<?php
// ////////////////////////////////////////////////////////////
// LFM v4.25
// Copyright 2006-2019 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";
require_once "../inc/funcs.php";
require_once "../inc/sql_funcs.php";

include "../inc/checkauth.php"; 

if(!isset($_SESSION["adminid"])) { exit; };

if (!isset($_GET['extype']) || !is_numeric($_GET['extype']) || $_GET['extype'] < 1 || $_GET['extype'] > 2) {
	echo("Invalid Exception Type");
	exit;
}

if (!isset($_GET['exval']) || ($_GET['extype'] == 2 && !is_numeric($_GET['exval'])) || strlen($_GET['exval']) < 1) {
	echo("Invalid Exception Value");
	exit;
}

$checkexists = lfmsql_query("SELECT newlimit FROM `".$prefix."hackblock_exceptions` WHERE exctype=".$_GET['extype']." AND excvalue='".$_GET['exval']."'") or die(lfmsql_error());
if (lfmsql_num_rows($checkexists) > 0) {
	$excexists = 1;
	$currentlimit = lfmsql_result($checkexists, 0, "newlimit");
} else {
	$excexists = 0;
	if ($_GET['extype'] == 1) {
		$currentlimit = lfmsql_result(lfmsql_query("SELECT max_accperip FROM `".$prefix."settings`"), 0);
	} else {
		$currentlimit = lfmsql_result(lfmsql_query("SELECT max_ipperacc FROM `".$prefix."settings`"), 0);
	}
}

?>

<html>

<head>
<link href="lfm_admin_style.css" rel="stylesheet" type="text/css" />
<link href="styles.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../inc/qtip.js"></script>
<script type="text/javascript" src="../inc/jsfuncs.js"></script>
<script type="text/javascript" src="../inc/jquery.js"></script>
</head>

<style>
body {
  margin: 0;
  background-color: #FFFFFF;
}
</style>

<body>
<center>

<?php

if (isset($_POST['newlimit']) && is_numeric($_POST['newlimit']) && $_POST['newlimit'] >= 0) {
	if ($excexists == 1) {
		lfmsql_query("UPDATE `".$prefix."hackblock_exceptions` SET newlimit=".$_POST['newlimit']." WHERE exctype=".$_GET['extype']." AND excvalue='".$_GET['exval']."'") or die(lfmsql_error());
		$currentlimit = $_POST['newlimit'];
	} else {
		lfmsql_query("INSERT INTO `".$prefix."hackblock_exceptions` (exctype, excvalue, newlimit) VALUES (".$_GET['extype'].", '".$_GET['exval']."', ".$_POST['newlimit'].")") or die(lfmsql_error());
		$currentlimit = $_POST['newlimit'];
	}
	echo("<br><div class=\"lfm_title\">Exception Added Successfully</div><br>");
	echo "<script language=\"JavaScript\">";
	echo "window.opener.location.href = window.opener.location.href;";
	echo "</script>";
	echo "<input name=\"Button\" type=\"button\" id=\"Submit\" value=\"Close\" onClick=\"javascript:self.close();\" />";
	exit;
}

if ($_GET['extype'] == 1) {
	echo('<br><div class="lfm_title">IP '.$_GET['exval'].' Exception</div>');
	echo('<br><p class="lfm_descr">Set a new limit on the number of accounts that this IP address can log into.</p>');
} else {
	echo('<br><div class="lfm_title">User ID '.$_GET['exval'].' Exception</div>');
	echo('<br><p class="lfm_descr">Set a new limit on the number of IP addresses that can log into this account.</p>');
}

?>

<form action="accountexception.php?extype=<? echo($_GET['extype']); ?>&exval=<? echo($_GET['exval']); ?>" method="post">

<table width="230" border="0" align="center" cellpadding="4" cellspacing="0">
  
  <tr>
    <td align="left" nowrap="nowrap"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">New Limit</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="newlimit" type="text" id="newlimit" value="<?=$currentlimit;?>" size="16" /></td>
  </tr>
    
  <tr>
    <td colspan="2" align="center">
      <input type="submit" name="Submit" value="Create Exception" /></td>
    </tr>
</table>
</form>

</body>
</html>
