<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.55
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

// Prevent anyone who isn't logged in from opening this page
include "../inc/checkauth.php"; 
if(!isset($_SESSION["adminid"])) { exit; };

		// Get path for affiliate URL
		$fullurl = "http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'];
		$aff_path=substr($fullurl,0,strlen($fullurl)-15);


	// Get path to PHP
	$php_path = @exec( 'which php');
	if(isset($_SERVER['DOCUMENT_ROOT']))
	{
		$fullapp_path = $_SERVER['DOCUMENT_ROOT'];
	}
	else
	if(isset($_ENV['DOCUMENT_ROOT']))
	{
		$fullapp_path = $_ENV['DOCUMENT_ROOT'];
	}
	else
	if(isset($_SERVER['PATH_TRANSLATED']))
	{
		$fullapp_path = $_SERVER['PATH_TRANSLATED'];
	}
	else
	{
		$fullapp_path = $_SERVER['SCRIPT_FILENAME'];
	}

	// Strip filename from $fullapp_path
	$app_path=substr($fullapp_path,0,strlen($fullapp_path)-15);

// Update system settings
if($_POST["Submit"] == "Update General Settings")
{
		if(!is_numeric($_POST["hitsconnectid"])){ $_POST["hitsconnectid"]=0; }
		if(!is_numeric($_POST["ibcid"])){ $_POST["ibcid"]=0; }
		if(!is_numeric($_POST["intellibid"])){ $_POST["intellibid"]=0; }
		
		if(isset($_POST["hitsconnectenable"])){ $hitsconnectenable=1; } else { $hitsconnectenable=0; }
		if(isset($_POST["ibcenable"])){ $ibcenable=1; } else { $ibcenable=0; }
		if(isset($_POST["intellibenable"])){ $intellibenable=1; } else { $intellibenable=0; }
		
		if(isset($_POST["allowduplicates"])){ $allowduplicates=1; } else { $allowduplicates=0; }
		
		if(isset($_POST["framebreakblock"])){ $framebreakblock=1; } else { $framebreakblock=0; }
		
		$storeimps = 1;
		
		if(isset($_POST["lfmtehttp"])){ $lfmtehttp=$_POST["lfmtehttp"]; } else { $lfmtehttp=0; }
		
		if(isset($_POST["legacypages"])){ $legacypages=$_POST["legacypages"]; } else { $legacypages=0; }
		
		$qry="UPDATE ".$prefix."settings SET hitsconnectid=".$_POST["hitsconnectid"].",ibcid=".$_POST["ibcid"].",intellibid=".$_POST["intellibid"].",hitsconnectenable=".$hitsconnectenable.",ibcenable=".$ibcenable.",intellibenable=".$intellibenable;
		
		lfmsql_query($qry) or die("<br><br>Error updating site settings: ".lfmsql_error());
		
		// Update TE settings
		lfmsql_query("UPDATE ".$prefix."settings SET storeimps=".$storeimps.", defurl='".$_POST['defurl']."', defbanimg='".$_POST['defbanimg']."', defbantar='".$_POST['defbantar']."', deftextad='".$_POST['deftextad']."', deftexttar='".$_POST['deftexttar']."', rotationtype='".$_POST['rotationtype']."', allowduplicates='".$allowduplicates."', surflogdays='".$_POST['surflogdays']."', framebreakblock='".$framebreakblock."', lfmtehttp='".$lfmtehttp."', legacypages='".$legacypages."'") or die("<br><br>Error updating TE settings: ".lfmsql_error());
		
		if((is_numeric($_POST['accuracy'])) && ($_POST['accuracy'] < 1)) {
			$_POST['accuracy'] = $_POST['accuracy']*100;
		}
		
		//If the click accuracy requirement is too low or too high, uses default of 75%
		if ((!is_numeric($_POST['accuracy'])) || ($_POST['accuracy'] < 5) || ($_POST['accuracy'] > 95)) {
			$_POST['accuracy'] = 75;
		}
		
		if ((!is_numeric($_POST['gracep'])) || ($_POST['gracep'] <= 4)) {
			$_POST['gracep'] = 20;
		}
		
		if ((!is_numeric($_POST['sessiontime'])) || ($_POST['sessiontime'] < 1)) {
			$_POST['sessiontime'] = 5;
		}
		
		if ((!is_numeric($_POST['maxtime'])) || ($_POST['maxtime'] <= 1)) {
			$_POST['maxtime'] = 12;
		}

		// Update anti-cheat settings
		@lfmsql_query("Update ".$prefix."anticheat set accuracy=".$_POST['accuracy'].", gracep=".$_POST['gracep'].", sessiontime=".$_POST['sessiontime'].", maxtime=".$_POST['maxtime']." where id=1");
		
}

// Update member level
if($_POST["Submit"] == "Update Member Level" && isset($_POST['mtypeid']) && is_numeric($_POST['mtypeid']))
{
	if ($_POST["minauto"] < 1) {
		$_POST["minauto"] = $_POST["minauto"]*100;
	}
	
	if ($_POST["refcrds"] < 1) {
		$_POST["refcrds"] = $_POST["refcrds"]*100;
	}
	
	if ($_POST["refcrds2"] < 1) {
		$_POST["refcrds2"] = $_POST["refcrds2"]*100;
	}

	// Update the membertype
	$qry="UPDATE ".$prefix."membertypes SET surfratio='".$_POST["surfratio"]."',hitvalue='".$_POST["hitvalue"]."',bannervalue='".$_POST["bannervalue"]."',textvalue='".$_POST["textvalue"]."',maxsites='".$_POST["maxsites"]."',maxbanners='".$_POST["maxbanners"]."',maxtexts='".$_POST["maxtexts"]."',minauto='".$_POST["minauto"]."',refcrds='".$_POST["refcrds"]."',refcrds2='".$_POST["refcrds2"]."',manbanners=".$_POST["manbanners"].",mantexts=".$_POST["mantexts"].",mansites=".$_POST["mansites"].",surftimer=".$_POST["surftimer"].",monthcrds=".$_POST['monthcrds'].",monthbimps=".$_POST['monthbimps'].",monthtimps=".$_POST['monthtimps'].",cantransfer='".$_POST['cantransfer']."',mintransfer='".$_POST['mintransfer']."',maxtransfer='".$_POST['maxtransfer']."', upgenabled='".$_POST['upgenabled']."', description='".$_POST["desc"]."', bannerunvalue='".$_POST["bannerunvalue"]."', textunvalue='".$_POST["textunvalue"]."' WHERE mtid=".$_POST['mtypeid'];

	@lfmsql_query($qry) or die("Unable to edit member type: ".lfmsql_error());
}

$res=@lfmsql_query("SELECT * FROM ".$prefix."settings");
$row=@lfmsql_fetch_array($res);

?>
<link href="styles.css" rel="stylesheet" type="text/css" />
<table width="100%" border="0" cellspacing="0" cellpadding="4">
  <tr>
    <td><p>&nbsp;</p><p>&nbsp;</p></td>
  </tr>
  <tr>
    <td>
	<form action="admin.php?f=acheats" method="post" name="ss" id="ss">
	<table width="300" align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
      <?
      // Update system settings
      if($_POST["Submit"] == "Update General Settings")
      { ?>
        <tr>
          <td  colspan="4" align="center">
            <font color="red"><strong><?=$msg;?></strong></font></td>
        </tr>
    <?
      }    
    ?>
    <tr>
        <td colspan="4" nowrap="nowrap" class="admintd"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Quick And Easy Programs</font></strong><br>
        <strong><font face="Verdana, Arial, Helvetica, sans-serif" size="2">
        Enter your affiliate IDs for the sites below and you can earn commissions when<br>
        members join them from the Quick And Easy options on your site.</font></strong></td>
        </tr>
      
      <tr>
        <td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a target="_blank" href="http://hitsconnect.com/index.php?rid=2">HitsConnect</a></font> </strong></td>
        <td colspan="2" class="formfield"><input name="hitsconnectid" type="text" class="formfield" id="hitsconnectid" value="<?=$row["hitsconnectid"];?>" /> <input type="checkbox" name="hitsconnectenable" value="1"<?php if ($row["hitsconnectenable"] == 1) { echo(" checked"); } ?>><font size="1">Enabled</font></td>
        <td align="center"><a href="#" title="Your HitsConnect affiliate ID number."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a target="_blank" href="http://instantbannercreator.com/index.php?rid=10">Instant Banner Creator</a></font> </strong></td>
        <td colspan="2" class="formfield"><input name="ibcid" type="text" class="formfield" id="ibcid" value="<?=$row["ibcid"];?>" /> <input type="checkbox" name="ibcenable" value="1"<?php if ($row["ibcenable"] == 1) { echo(" checked"); } ?>><font size="1">Enabled</font></td>
        <td align="center"><a href="#" title="Your Instant Banner Creator affiliate ID number."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a target="_blank" href="http://intellibanners.com/index.php?rid=1">IntelliBanners</a></font> </strong></td>
        <td colspan="2" class="formfield"><input name="intellibid" type="text" class="formfield" id="intellibid" value="<?=$row["intellibid"];?>" /> <input type="checkbox" name="intellibenable" value="1"<?php if ($row["intellibenable"] == 1) { echo(" checked"); } ?>><font size="1">Enabled</font></td>
        <td align="center"><a href="#" title="Your IntelliBanners affiliate ID number."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>

      <tr>
        <td nowrap="nowrap" class="button"><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
        <td colspan="2">&nbsp;</td>
        <td>&nbsp;</td>
      </tr>

      <tr>
        <td colspan="4" nowrap="nowrap" class="admintd"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Traffic Exchange Configuration </font></strong></td>
        </tr>
        
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Rotation Type: </font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap">
          <select name="rotationtype" class="formfield" id="rotationtype">
            <option value="0"<? if($row["rotationtype"] == 0) { ?> selected="selected"<? } ?>>Per Member (Recommended)</option>
            <option value="1"<? if($row["rotationtype"] == 1) { ?> selected="selected"<? } ?>>Per Site</option>
          </select>
        </td>
        <td align="left" nowrap="nowrap"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><a title="Per Member means that all members who have credits assigned will receive an equal number of hits.  These hits will be evenly distributed among their sites.  Per Member is the default and recommended setting." href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /></a></font></td>
      </tr>
        
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Allow Duplicate Sites: </font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap">
		  <? if($row["allowduplicates"] == 1) { ?>
		<input name="allowduplicates" type="checkbox" id="allowduplicates" value="1" checked="checked" />
		  <? } else { ?>
		<input name="allowduplicates" type="checkbox" id="allowduplicates" value="1" />
		  <? } ?></td>
        <td align="center"><a title="If checked, a member can submit the same site, banner, or text ad multiple times.  This is not recommended unless you are using the Per Site rotation type." href="#">
		<img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Enable Frame Break Blocker:</font> </strong></td>
        <td colspan="2" align="left" nowrap="nowrap" class="formfield"><input name="framebreakblock" type="checkbox" <? if($row["framebreakblock"] == 1) { echo(" checked"); } ?>></td>
        <td align="center"><a title="Helps block frame breakers and makes it easier for members to report them." href="#">
		<img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Redirect Surfbar To HTTP:</font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><?php if($row["lfmtehttp"] == 1) { ?>
        <input name="lfmtehttp" type="checkbox" id="lfmtehttp" value="1" checked="checked" />
          <?php } else { ?>
        <input name="lfmtehttp" type="checkbox" id="lfmtehttp" value="1" />
          <?php } ?></td>
        <td align="center" nowrap="nowrap"><a title="Uses JavaScript to force a non-secure connection while surfing.  This allows both HTTP and HTTPS sites to rotate.  You can uncheck this if all members have upgraded their sites to HTTPS." href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /></a></td>
      </tr>
      
      <?php
      if (file_exists('../mysites_legacy.php')) {
      ?>
      
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Use Old Theme Pages:</font></strong></td>
        <td colspan="2" align="left" nowrap="nowrap"><?php if($row["legacypages"] == 1) { ?>
        <input name="legacypages" type="checkbox" id="legacypages" value="1" checked="checked" />
          <?php } else { ?>
        <input name="legacypages" type="checkbox" id="legacypages" value="1" />
          <?php } ?></td>
        <td align="center" nowrap="nowrap"><a title="Uses old pages for member sites and ads, only recommended for themes that do not support HTML5." href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /></a></td>
      </tr>
      
      <?php
      }
      ?>
        
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Default URL:</font> </strong></td>
        <td colspan="2" align="left" nowrap="nowrap" class="formfield"><input name="defurl" type="text" class="formfield" size="40" id="defurl" value="<?=$row["defurl"];?>" /></td>
        <td align="center"><a title="The site shown if no other sites are in rotation." href="#">
		<img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Default Banner Image:</font> </strong></td>
        <td colspan="2" align="left" nowrap="nowrap" class="formfield"><input name="defbanimg" type="text" class="formfield" size="40" id="defbanimg" value="<?=$row["defbanimg"];?>" /></td>
        <td align="center"><a title="The banner shown if no other banners are in rotation." href="#">
		<img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Default Banner Target:</font> </strong></td>
        <td colspan="2" align="left" nowrap="nowrap" class="formfield"><input name="defbantar" type="text" class="formfield" size="40" id="defbantar" value="<?=$row["defbantar"];?>" /></td>
        <td align="center"><a title="The banner shown if no other banners are in rotation." href="#">
		<img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Default Text Ad:</font> </strong></td>
        <td colspan="2" align="left" nowrap="nowrap" class="formfield"><input name="deftextad" type="text" class="formfield" size="40" id="deftextad" value="<?=$row["deftextad"];?>" /></td>
        <td align="center"><a title="The text ad shown if no other text ads are in rotation." href="#">
		<img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Default Text Ad Target:</font> </strong></td>
        <td colspan="2" align="left" nowrap="nowrap" class="formfield"><input name="deftexttar" type="text" class="formfield" size="40" id="deftexttar" value="<?=$row["deftexttar"];?>" /></td>
        <td align="center"><a title="The text ad shown if no other text ads are in rotation." href="#">
		<img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td align="left" nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Keep Surf Logs:</font> </strong></td>
        <td colspan="2" align="left" nowrap="nowrap" class="formfield"><input name="surflogdays" type="text" class="formfield" size="10" id="surflogdays" value="<?=$row["surflogdays"];?>" /> days</td>
        <td align="center"><a title="The number of days before a member surf log is deleted.  This will affect lifetime stats and any active leader boards within the deleted range.  Set to 0 to never delete surf logs." href="#">
		<img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td align="left" nowrap="nowrap" class="button"><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
        <td colspan="2" align="left" nowrap="nowrap">&nbsp;</td>
        <td align="left">&nbsp;</td>
      </tr>
      
<?php

$res=@lfmsql_query("SELECT * FROM ".$prefix."anticheat where id=1");
$row=@lfmsql_fetch_array($res);

?>

<tr>
        <td colspan="4" nowrap="nowrap" class="admintd"><font face="Verdana, Arial, Helvetica, sans-serif"><strong>Clicking Accuracy</strong></font> </td>
        </tr>

      <tr>
        <td nowrap="nowrap" class="button"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Accuracy Requirement</strong></font></td>
        <td colspan="2" class="formfield"><input name="accuracy" type="text" class="formfield" id="accuracy" value="<?=$row["accuracy"];?>" size="4" />%</td>
        <td align="center"><a href="#" title="The percentage of correct clicks a member must maintain without being suspended.  Must be between 5% and 95%.">
		<img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td nowrap="nowrap" class="button"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Grace Period</strong></font></td>
        <td colspan="2" class="formfield"><input name="gracep" type="text" class="formfield" id="gracep" value="<?=$row["gracep"];?>" size="4" />clicks</td>
        <td align="center"><a href="#" title="The number of clicks a member can make before being suspended for a low clicking accuracy.  This gives new members a little time to become familiar with the surfbar.  Must be at least 5.">
		<img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>


      <tr>
        <td nowrap="nowrap" class="button"><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
        <td colspan="2">&nbsp;</td>
        <td>&nbsp;</td>
      </tr>

      <tr>
        <td colspan="4" nowrap="nowrap" class="admintd"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Surfing Time Limits</font></strong></td>
        </tr>
        
      <tr>
        <td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Session Surfing Limit</font> </strong></td>
        <td colspan="2" class="formfield"><input name="sessiontime" type="text" class="formfield" id="sessiontime" value="<?=$row["sessiontime"];?>" size="4" /> hours</td>
        <td align="center"><a href="#" title="The maxiumum number of hours a member can surf in one session."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>

      <tr>
        <td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Daily Surfing Limit</font> </strong></td>
        <td colspan="2" class="formfield"><input name="maxtime" type="text" class="formfield" id="maxtime" value="<?=$row["maxtime"];?>" size="4" /> hours</td>
        <td align="center"><a href="#" title="The maxiumum number of hours a member can surf in one day."><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
      </tr>
      
      <tr>
        <td colspan="4" align="center" nowrap="nowrap"><input name="Submit" type="submit" class="footer-text" value="Update General Settings" /></td>
        </tr>
    </table>
	</form>
	</td>
  </tr>

</table>

<?php
	// Get the list of member account types
	$mtres=@lfmsql_query("SELECT * FROM ".$prefix."membertypes ORDER BY acclevel");
	while($mrow=@lfmsql_fetch_array($mtres)) {
		
		?>
		
		<form method="post" action="admin.php?f=acheats">
		<input type="hidden" name="mtypeid" value="<?=$mrow["mtid"];?>">
		<br><br>
  <table style="border:thin solid #000 ; border-width: 1px;" border="0" align="center" cellpadding="4" cellspacing="0">
  <tr>
    <td colspan="6" align="center" class="admintd"><strong><font size="3" face="Verdana, Arial, Helvetica, sans-serif"><?=$mrow["accname"];?> Settings</font> </strong></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The number of credits members will earn per click.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE">
	  <strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Surfing Ratio:</font></strong></td>
    <td align="left" nowrap="nowrap">
	<input name="surfratio" type="text" size="2" value="<?=$mrow["surfratio"];?>"></td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The number of seconds that a member must view each site.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Surf Timer:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="surftimer" type="text" size="2" value="<?=$mrow["surftimer"];?>" /> seconds</td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The number of hits a site will receive per credit assigned.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Hits Per Credit:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="hitvalue" type="text" size="2" value="<?=$mrow["hitvalue"];?>" /></td>
    <td align="left" bgcolor="#E0EBFE"></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"></strong></td>
    <td align="left" nowrap="nowrap"></td>
  </tr>
  
  <tr>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The number of impressions a banner will receive per credit assigned.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Banner Imps Per Credit:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="bannervalue" type="text" size="2" value="<?=$mrow["bannervalue"];?>" /></td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The number of credits a member will receive per banner impression.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Credits Per Banner Imp:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="bannerunvalue" type="text" size="2" value="<?=$mrow["bannerunvalue"];?>" /></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The number of impressions a text ad will receive per credit assigned.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Text Imps Per Credit:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="textvalue" type="text" size="2" value="<?=$mrow["textvalue"];?>" /></td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The number of credits a member will receive per text impression.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Credits Per Text Imp:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="textunvalue" type="text" size="2" value="<?=$mrow["textunvalue"];?>" /></td>
  </tr>
  
  <tr>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
  </tr>

   <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The maximum number of sites a member can submit.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Max Number of Sites:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="maxsites" type="text" size="2" value="<?=$mrow["maxsites"];?>"  /></td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The maximum number of banners a member can submit.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Max Number of Banners:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="maxbanners" type="text" size="2" value="<?=$mrow["maxbanners"];?>"  /></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The maximum number of text ads a member can submit.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Max Number of Text Ads:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="maxtexts" type="text" size="2" value="<?=$mrow["maxtexts"];?>" /></td>
    <td align="left" bgcolor="#E0EBFE"></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"></strong></td>
    <td align="left" nowrap="nowrap"></td>
  </tr>
  
  <tr>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>The percentage of credits that must be auto-assigned.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Auto Assign Minimum:</font></strong></td>
    <td align="left" nowrap="nowrap"><input name="minauto" type="text" size="2" value="<?=$mrow["minauto"];?>" /> %</td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>If YES, banners will not rotate until approved from the admin area.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Admin Approve Banners:</font></strong></td>
    <td align="left" nowrap="nowrap">
    <select name="manbanners">
    <option value=0<? if ($mrow["manbanners"] == 0) { echo(" selected"); } ?>>No</option>
    <option value=1<? if ($mrow["manbanners"] == 1) { echo(" selected"); } ?>>Yes</option>
    </select>
    </td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>If YES, text ads will not rotate until approved from the admin area.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Admin Approve Text Ads:</font></strong></td>
    <td align="left" nowrap="nowrap">
    <select name="mantexts">
    <option value=0<? if ($mrow["mantexts"] == 0) { echo(" selected"); } ?>>No</option>
    <option value=1<? if ($mrow["mantexts"] == 1) { echo(" selected"); } ?>>Yes</option>
    </select>
    </td>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>If YES, sites will not rotate until approved from the admin area.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Admin Approve Sites:</font></strong></td>
    <td align="left" nowrap="nowrap">
    <select name="mansites">
    <option value=0<? if ($mrow["mansites"] == 0) { echo(" selected"); } ?>>No</option>
    <option value=1<? if ($mrow["mansites"] == 1) { echo(" selected"); } ?>>Yes</option>
    </select>
    </td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The number of banner impressions members will get at the beginning of each month.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE">
	  <strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Monthly Banner Bonus:</font></strong></td>
    <td align="left" nowrap="nowrap">
	<input name="monthbimps" type="text" size="2" value="<?=$mrow["monthbimps"];?>"></td>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The number of text impressions members will get at the beginning of each month.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE">
	  <strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Monthly Text Ad Bonus:</font></strong></td>
    <td align="left" nowrap="nowrap">
	<input name="monthtimps" type="text" size="2" value="<?=$mrow["monthtimps"];?>"></td>
  </tr>
  
  <tr>
      <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The number of credits members will get at the beginning of each month.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE">
	  <strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Monthly Credit Bonus:</font></strong></td>
    <td align="left" nowrap="nowrap">
	<input name="monthcrds" type="text" size="2" value="<?=$mrow["monthcrds"];?>"></td>
    <td align="left" bgcolor="#E0EBFE"></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"></strong></td>
    <td align="left" nowrap="nowrap"></td>
  </tr>
  
  <tr>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The percentage of credits members earn from their direct referrals surfing.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong>
	<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Referral Credits:</font></strong></td>
    <td align="left" nowrap="nowrap">
	<input name="refcrds" type="text" id="refcrds" size="3" value="<?=$mrow["refcrds"];?>">
      %</td>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The percentage of credits members earn from their second level referrals surfing.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong>
	<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Referral Credits <font color="#FF0000">Level 2:</font> </font></strong></td>
    <td align="left" nowrap="nowrap">
	<input name="refcrds2" type="text" id="refcrds2" size="3" value="<?=$mrow["refcrds2"];?>">
      %</td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>If YES, the member can transfer their credits to their downline.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Can Transfer Downline Credits:</font></strong></td>
    <td align="left" nowrap="nowrap">
    <select name="cantransfer">
    <option value=0<? if ($mrow["cantransfer"] == 0) { echo(" selected"); } ?>>No</option>
    <option value=1<? if ($mrow["cantransfer"] == 1) { echo(" selected"); } ?>>Yes</option>
    </select>
    </td>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The minimum number of credits a member can transfer.  Enter 0 for no minimum.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE">
	  <strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Minimum Credit Transfer:</font></strong></td>
    <td align="left" nowrap="nowrap">
	<input name="mintransfer" type="text" size="2" value="<?=$mrow["mintransfer"];?>"></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The maximum number of credits a member can transfer.  Enter 0 for no maximum.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE">
	  <strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Maximum Credit Transfer:</font></strong></td>
    <td align="left" nowrap="nowrap">
	<input name="maxtransfer" type="text" size="2" value="<?=$mrow["maxtransfer"];?>"></td>
    <td align="left" bgcolor="#E0EBFE"></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"></strong></td>
    <td align="left" nowrap="nowrap"></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="white"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
    <td align="left" bgcolor="white"><br></td>
    <td align="left" nowrap="nowrap"><br></td>
  </tr>
  
  <tr>
    <td align="left" bgcolor="#E0EBFE"><a class="info" href="#"><img src="../images/question.jpg" width="15" height="15" border="0" /> <span>If YES, this level will show on the Upgrade page.</span></a></td>
    <td align="left" nowrap="nowrap" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Show On Upgrade Page:</font></strong></td>
    <td align="left" nowrap="nowrap">
    <select name="upgenabled">
    <option value=0<? if ($mrow["upgenabled"] == 0) { echo(" selected"); } ?>>No</option>
    <option value=1<? if ($mrow["upgenabled"] == 1) { echo(" selected"); } ?>>Yes</option>
    </select>
    </td>
    <td align="left" bgcolor="#E0EBFE"><a class=info href="#"><img src="../images/question.jpg" width="15" height="15" border="0" />
	  <span>The description that will appear on the Upgrade page.</span></a></td>
    <td align="left" nowrap="NOWRAP" bgcolor="#E0EBFE"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Description: </font></strong></td>
    <td align="left" nowrap="nowrap"><textarea name="desc" wrap="soft" rows="5" cols="25"><?=$mrow["description"];?></textarea></td>
  </tr>
  
  <tr>
    <td colspan="6" align="center" bgcolor="#B0CBFD"><input type="submit" name="Submit" value="Update Member Level" /></td>
  </tr>
</table>
</form>

<?php
}
?>