<?
// /////////////////////////////////////////////////////////////////////
// Viral Traffic Games Plugin for LFMVM written by Francisco Cardona
// Copyright 2014 ALL RIGHTS RESERVED!
// Do NOT Copy, Transfer, Sell, or Modify
// Licenses and Installation available
// contact: info@customtemods.com or admin@viraltrafficgames.com
// http://customtemods.com
// http://viraltrafficgames.com
// /////////////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

function v0($val){
	return ($val == '0' ? '' : $val);
}

function doValidations($vprefix, $vsufix, $msgerrorprefix){
	$msgerror = "";

	//credit validations
	$creditserror = false;
	if($_POST[$vprefix.'credits'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'credits'.$vsufix]) || $_POST[$vprefix.'credits'.$vsufix] < 0 || ($_POST[$vprefix.'credits'.$vsufix]+0 != floor($_POST[$vprefix.'credits'.$vsufix]))){
		$msgerror .= $msgerrorprefix."Please enter a valid number of minimum credits.<br>";
		$creditserror = true;
	}
	if($_POST[$vprefix.'credits_max'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'credits_max'.$vsufix]) || $_POST[$vprefix.'credits_max'.$vsufix] < 0 || ($_POST[$vprefix.'credits_max'.$vsufix]+0 != floor($_POST[$vprefix.'credits_max'.$vsufix]))){
		$msgerror .= $msgerrorprefix."Please enter a valid number of maximum credits.<br>";
		$creditserror = true;
	}
	if(!$creditserror && $_POST[$vprefix.'credits'.$vsufix] != "" && $_POST[$vprefix.'credits_max'.$vsufix] != ""){
		if($_POST[$vprefix.'credits'.$vsufix] > $_POST[$vprefix.'credits_max'.$vsufix]){
			$msgerror .= $msgerrorprefix."The maximum number of credits cannot be smaller than the minimum number of credits.<br>";
			$creditserror = true;
		}
	}

	//banner validations
	$bannerserror = false;
	if($_POST[$vprefix.'banners'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'banners'.$vsufix]) || $_POST[$vprefix.'banners'.$vsufix] < 0 || ($_POST[$vprefix.'banners'.$vsufix]+0 != floor($_POST[$vprefix.'banners'.$vsufix]))){
		$msgerror .= $msgerrorprefix."Please enter a valid number of minimum banners.<br>";
		$bannerserror = true;
	}
	if($_POST[$vprefix.'banners_max'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'banners_max'.$vsufix]) || $_POST[$vprefix.'banners_max'.$vsufix] < 0 || ($_POST[$vprefix.'banners_max'.$vsufix]+0 != floor($_POST[$vprefix.'banners_max'.$vsufix]))){
		$msgerror .= $msgerrorprefix."Please enter a valid number of maximum banners.<br>";
		$bannerserror = true;
	}
	if(!$bannerserror && $_POST[$vprefix.'banners'.$vsufix] != "" && $_POST[$vprefix.'banners_max'.$vsufix] != ""){
		if($_POST[$vprefix.'banners'.$vsufix] > $_POST[$vprefix.'banners_max'.$vsufix]){
			$msgerror .= $msgerrorprefix."The maximum number of banners cannot be smaller than the minimum number of banners.<br>";
			$bannerserror = true;
		}
	}
	if($_POST[$vprefix.'banners_factor'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'banners_factor'.$vsufix]) || $_POST[$vprefix.'banners_factor'.$vsufix] < 0){
		$msgerror .= $msgerrorprefix."Please enter a valid number of banners per credits.<br>";
		$bannerserror = true;
	}
	if(!$bannerserror && ($_POST[$vprefix.'banners'.$vsufix] != "" || $_POST[$vprefix.'banners_max'.$vsufix] != "") && $_POST[$vprefix.'banners_factor'.$vsufix] != ""){
		$msgerror .= $msgerrorprefix."Invalid Banners configuration. You can define a Max/Min number of banners or a number of banners x Credits, but not both.<br>";
		$bannerserror = true;
	}
	if(!$bannerserror && !$creditserror && $_POST[$vprefix.'banners_factor'.$vsufix] != "" && $_POST[$vprefix.'credits'.$vsufix] == "" && $_POST[$vprefix.'credits_max'.$vsufix] == ""){
		$msgerror .= $msgerrorprefix."Invalid Banners configuration. If you define a number of banners x Credits, enter the Max/Min number of credits.<br>";
		$bannerserror = true;
	}

	//text ad validations
	$textserror = false;
	if($_POST[$vprefix.'texts'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'texts'.$vsufix]) || $_POST[$vprefix.'texts'.$vsufix] < 0 || ($_POST[$vprefix.'texts'.$vsufix]+0 != floor($_POST[$vprefix.'texts'.$vsufix]))){
		$msgerror .= $msgerrorprefix."Please enter a valid number of minimum text ads.<br>";
		$textserror = true;
	}
	if($_POST[$vprefix.'texts_max'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'texts_max'.$vsufix]) || $_POST[$vprefix.'texts_max'.$vsufix] < 0 || ($_POST[$vprefix.'texts_max'.$vsufix]+0 != floor($_POST[$vprefix.'texts_max'.$vsufix]))){
		$msgerror .= $msgerrorprefix."Please enter a valid number of maximum text ads.<br>";
		$textserror = true;
	}
	if(!$textserror && $_POST[$vprefix.'texts'.$vsufix] != "" && $_POST[$vprefix.'texts_max'.$vsufix] != ""){
		if($_POST[$vprefix.'texts'.$vsufix] > $_POST[$vprefix.'texts_max'.$vsufix]){
			$msgerror .= $msgerrorprefix."The maximum number of text ads cannot be smaller than the minimum number of text ads.<br>";
			$textserror = true;
		}
	}
	if($_POST[$vprefix.'texts_factor'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'texts_factor'.$vsufix]) || $_POST[$vprefix.'texts_factor'.$vsufix] < 0){
		$msgerror .= $msgerrorprefix."Please enter a valid number of text ads per credits.<br>";
		$textserror = true;
	}
	if($_POST[$vprefix.'texts_factorb'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'texts_factorb'.$vsufix]) || $_POST[$vprefix.'texts_factorb'.$vsufix] < 0){
		$msgerror .= $msgerrorprefix."Please enter a valid number of text ads per banners.<br>";
		$textserror = true;
	}
	if(!$textserror && ($_POST[$vprefix.'texts'.$vsufix] != "" || $_POST[$vprefix.'texts_max'.$vsufix] != "") && $_POST[$vprefix.'texts_factor'.$vsufix] != ""){
		$msgerror .= $msgerrorprefix."Invalid Text Ads configuration. You can define a Max/Min number of text ads or a number of text ads x Credits, but not both.<br>";
		$textserror = true;
	}
	if(!$textserror && ($_POST[$vprefix.'texts'.$vsufix] != "" || $_POST[$vprefix.'texts_max'.$vsufix] != "") && $_POST[$vprefix.'texts_factorb'.$vsufix] != ""){
		$msgerror .= $msgerrorprefix."Invalid Text Ads configuration. You can define a Max/Min number of text ads or a number of text ads x Banners, but not both.<br>";
		$textserror = true;
	}
	if(!$textserror && $_POST[$vprefix.'texts_factor'.$vsufix] != "" && $_POST[$vprefix.'texts_factorb'.$vsufix] != ""){
		$msgerror .= $msgerrorprefix."Invalid Text Ads configuration. You can define a number of text ads x Credits or x Banners, but not both.<br>";
		$textserror = true;
	}
	if(!$textserror && !$creditserror && $_POST[$vprefix.'texts_factor'.$vsufix] != "" && $_POST[$vprefix.'credits'.$vsufix] == "" && $_POST[$vprefix.'credits_max'.$vsufix] == ""){
		$msgerror .= $msgerrorprefix."Invalid Text Ads configuration. If you define a number of text ads x Credits, enter the Max/Min number of credits.<br>";
		$textserror = true;
	}
	if(!$textserror && !$bannerserror && $_POST[$vprefix.'texts_factorb'.$vsufix] != "" && $_POST[$vprefix.'banners'.$vsufix] == "" && $_POST[$vprefix.'banners_max'.$vsufix] == ""  && $_POST[$vprefix.'banners_factor'.$vsufix] == ""){
		$msgerror .= $msgerrorprefix."Invalid Text Ads configuration. If you define a number of text ads x Banners, enter the Max/Min number of banners or the number of banners x Credits.<br>";
		$textserror = true;
	}

	//square banner validations
	$sq_bannerserror = false;
	if($_POST[$vprefix.'sq_banners'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'sq_banners'.$vsufix]) || $_POST[$vprefix.'sq_banners'.$vsufix] < 0 || ($_POST[$vprefix.'sq_banners'.$vsufix]+0 != floor($_POST[$vprefix.'sq_banners'.$vsufix]))){
		$msgerror .= $msgerrorprefix."Please enter a valid number of minimum square banners.<br>";
		$sq_bannerserror = true;
	}
	if($_POST[$vprefix.'sq_banners_max'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'sq_banners_max'.$vsufix]) || $_POST[$vprefix.'sq_banners_max'.$vsufix] < 0 || ($_POST[$vprefix.'sq_banners_max'.$vsufix]+0 != floor($_POST[$vprefix.'sq_banners_max'.$vsufix]))){
		$msgerror .= $msgerrorprefix."Please enter a valid number of maximum square banners.<br>";
		$sq_bannerserror = true;
	}
	if(!$sq_bannerserror && $_POST[$vprefix.'sq_banners'.$vsufix] != "" && $_POST[$vprefix.'sq_banners_max'.$vsufix] != ""){
		if($_POST[$vprefix.'sq_banners'.$vsufix] > $_POST[$vprefix.'sq_banners_max'.$vsufix]){
			$msgerror .= $msgerrorprefix."The maximum number of square banners cannot be smaller than the minimum number of square banners.<br>";
			$sq_bannerserror = true;
		}
	}
	if($_POST[$vprefix.'sq_banners_factor'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'sq_banners_factor'.$vsufix]) || $_POST[$vprefix.'sq_banners_factor'.$vsufix] < 0){
		$msgerror .= $msgerrorprefix."Please enter a valid number of square banners per credits.<br>";
		$sq_bannerserror = true;
	}
	if(!$sq_bannerserror && ($_POST[$vprefix.'sq_banners'.$vsufix] != "" || $_POST[$vprefix.'sq_banners_max'.$vsufix] != "") && $_POST[$vprefix.'sq_banners_factor'.$vsufix] != ""){
		$msgerror .= $msgerrorprefix."Invalid square banners configuration. You can define a Max/Min number of square banners or a number of square banners x Credits, but not both.<br>";
		$sq_bannerserror = true;
	}
	if(!$sq_bannerserror && !$creditserror && $_POST[$vprefix.'sq_banners_factor'.$vsufix] != "" && $_POST[$vprefix.'credits'.$vsufix] == "" && $_POST[$vprefix.'credits_max'.$vsufix] == ""){
		$msgerror .= $msgerrorprefix."Invalid square banners configuration. If you define a number of square banners x Credits, enter the Max/Min number of credits.<br>";
		$sq_bannerserror = true;
	}
	
	//cash validations
	$casherror = false;
	if($_POST[$vprefix.'cash'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'cash'.$vsufix]) || $_POST[$vprefix.'cash'.$vsufix] < 0 || ($_POST[$vprefix.'cash'.$vsufix] > 0 && $_POST[$vprefix.'cash'.$vsufix] < 0.001)){
		$msgerror .= $msgerrorprefix."Please enter a valid amount of minimum cash.<br>";
		$casherror = true;
	}
	if($_POST[$vprefix.'cash_max'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'cash_max'.$vsufix]) || $_POST[$vprefix.'cash_max'.$vsufix] < 0 || ($_POST[$vprefix.'cash_max'.$vsufix] > 0 && $_POST[$vprefix.'cash_max'.$vsufix] < 0.001)){
		$msgerror .= $msgerrorprefix."Please enter a valid amount of maximum cash.<br>";
		$casherror = true;
	}
	if(!$casherror && $_POST[$vprefix.'cash'.$vsufix] != "" && $_POST[$vprefix.'cash_max'.$vsufix] != ""){
		if($_POST[$vprefix.'cash'.$vsufix] > $_POST[$vprefix.'cash_max'.$vsufix]){
			$msgerror .= $msgerrorprefix."The maximum value of cash cannot be smaller than the minimum value of cash.<br>";
			$casherror = true;
		}
	}

	//prize limit validations
	if($_POST[$vprefix.'site_qty'.$vsufix] != ""){
		if(!is_numeric($_POST[$vprefix.'site_qty'.$vsufix]) || $_POST[$vprefix.'site_qty'.$vsufix] < 0 || ($_POST[$vprefix.'site_qty'.$vsufix]+0 != floor($_POST[$vprefix.'site_qty'.$vsufix]))){
			$msgerror .= $msgerrorprefix."Please enter a valid number of prizes per site.<br>";
		}
	}
	if($_POST[$vprefix.'member_qty'.$vsufix] != "" && !is_numeric($_POST[$vprefix.'member_qty'.$vsufix]) || $_POST[$vprefix.'member_qty'.$vsufix] < 0 || ($_POST[$vprefix.'member_qty'.$vsufix]+0 != floor($_POST[$vprefix.'member_qty'.$vsufix]))){
		$msgerror .= $msgerrorprefix."Please enter a valid number of prizes per member.<br>";
	}

	return $msgerror;
}

// Prevent anyone who isn't logged in from opening this page
include "../inc/checkauth.php";
if(!isset($_SESSION["adminid"])) { exit; };

$prizetype = $_REQUEST['prizetype'];
if(!(is_numeric($prizetype) && $prizetype >= 0)){
	$prizetype = 0;
}
$title = 'Any Member Level';
if($prizetype > 0){
	$mtypesnameres = lfmsql_query("select accname from ".$prefix."membertypes where mtid=".$prizetype);
	if(lfmsql_num_rows($mtypesnameres) > 0){
		$title = lfmsql_result($mtypesnameres, 0);
	}
}

//default values
$msgerror = "";
$new_format = 1;
$new_day0 = $new_day1 = $new_day2 = $new_day3 = $new_day4 = $new_day5 = $new_day6 = 1;

//new prize action
if ($_POST["action"] == "add"){
	$new_site_every_seconds = 0.0;
	$new_member_every_seconds = 0.0;
	$new_rank = lfmsql_result(lfmsql_query("select ifnull(max(rank),0) from fc_vtg_prizes where mtype=$prizetype"),0)+1;
	$new_day0 = $_POST['new_day0'] == '1' ? 1 : 0;
	$new_day1 = $_POST['new_day1'] == '1' ? 1 : 0;
	$new_day2 = $_POST['new_day2'] == '1' ? 1 : 0;
	$new_day3 = $_POST['new_day3'] == '1' ? 1 : 0;
	$new_day4 = $_POST['new_day4'] == '1' ? 1 : 0;
	$new_day5 = $_POST['new_day5'] == '1' ? 1 : 0;
	$new_day6 = $_POST['new_day6'] == '1' ? 1 : 0;
	$new_format = is_numeric($_POST['new_format']) && $_POST['new_format'] >= 0 && $_POST['new_format'] <= 2 ? $_POST['new_format'] : $new_format;
	$new_member_unit = is_numeric($_POST['new_member_unit']) && $_POST['new_member_unit'] >= 0 && $_POST['new_member_unit'] <= 2 ? $_POST['new_member_unit'] : 0;
	$new_site_unit = is_numeric($_POST['new_site_unit']) && $_POST['new_site_unit'] >= 0 && $_POST['new_site_unit'] <= 2 ? $_POST['new_site_unit'] : 0;
	
	$msgerror = doValidations('new_','', '');
	
	//if everything is ok we save data
	if($msgerror == ""){
		if($_POST['new_site_qty'] != ""){
			if($new_site_unit == 2){
				$new_site_every_seconds = floor((30*24*60*60) / $_POST['new_site_qty']);
			}else if($new_site_unit == 1){
				$new_site_every_seconds = floor((7*24*60*60) / $_POST['new_site_qty']);
			}else{
				$new_site_every_seconds = floor((24*60*60) / $_POST['new_site_qty']);
			}
		}
		if($_POST['new_member_qty'] != ""){
			if($new_member_unit == 2){
				$new_member_every_seconds = floor((30*24*60*60) / $_POST['new_member_qty']);
			}else if($new_member_unit == 1){
				$new_member_every_seconds = floor((7*24*60*60) / $_POST['new_member_qty']);
			}else{
				$new_member_every_seconds = floor((24*60*60) / $_POST['new_member_qty']);
			}
		}
		$active = (($_POST['new_credits']+$_POST['new_credits_max']+$_POST['new_banners']+$_POST['new_banners_max']+$_POST['new_texts']+$_POST['new_texts_max']+$_POST['new_sq_banners']+$_POST['new_sq_banners_max']+$_POST['new_cash']+$_POST['new_cash_max']>0)?1:0);		
		lfmsql_query("insert into fc_vtg_prizes (rank,site_every_seconds,member_every_seconds,active,message, format, mtype,credits,credits_max,banners,banners_max,banners_factor,texts,texts_max,texts_factor,texts_factorb,sq_banners,sq_banners_max,sq_banners_factor,cash,cash_max,site_qty, site_unit, member_qty, member_unit,day0,day1,day2,day3,day4,day5,day6,visible) values ($new_rank,$new_site_every_seconds,$new_member_every_seconds,$active, '','".$new_format."',$prizetype,".($_POST['new_credits']!=""?$_POST['new_credits']:"0").",".($_POST['new_credits_max']!=""?$_POST['new_credits_max']:"0").",".($_POST['new_banners']!=""?$_POST['new_banners']:"0").",".($_POST['new_banners_max']!=""?$_POST['new_banners_max']:"0").",".($_POST['new_banners_factor']!=""?$_POST['new_banners_factor']:"0").",".($_POST['new_texts']!=""?$_POST['new_texts']:"0").",".($_POST['new_texts_max']!=""?$_POST['new_texts_max']:"0").",".($_POST['new_texts_factor']!=""?$_POST['new_texts_factor']:"0").",".($_POST['new_texts_factorb']!=""?$_POST['new_texts_factorb']:"0").",".($_POST['new_sq_banners']!=""?$_POST['new_sq_banners']:"0").",".($_POST['new_sq_banners_max']!=""?$_POST['new_sq_banners_max']:"0").",".($_POST['new_sq_banners_factor']!=""?$_POST['new_sq_banners_factor']:"0").",".($_POST['new_cash']!=""?$_POST['new_cash']:"0").",".($_POST['new_cash_max']!=""?$_POST['new_cash_max']:"0").",".($_POST['new_site_qty']!=""?$_POST['new_site_qty']:"0").",$new_site_unit,".($_POST['new_member_qty']!=""?$_POST['new_member_qty']:"0").",$new_member_unit,$new_day0,$new_day1,$new_day2,$new_day3,$new_day4,$new_day5,$new_day6,1)");
		$msgok = "The prize has been added.<br>";
		foreach($_POST as $key => $value){
			if(substr($key,0,4) == 'new_'){
				unset($_POST[$key]);
			}
		}
		$new_format = 1;
		$new_day0 = $new_day1 = $new_day2 = $new_day3 = $new_day4 = $new_day5 = $new_day6 = 1;
	}
}

//update action
if ($_POST["action"] == "update"){
	$prizes_res = lfmsql_query("select * from fc_vtg_prizes where mtype=$prizetype order by id");
	while($prizes_row = lfmsql_fetch_array($prizes_res)){
		$site_every_seconds = 0.0;
		$member_every_seconds = 0.0;
		$day0 = $_POST['day0'.$prizes_row['id']] == '1' ? 1 : 0;
		$day1 = $_POST['day1'.$prizes_row['id']] == '1' ? 1 : 0;
		$day2 = $_POST['day2'.$prizes_row['id']] == '1' ? 1 : 0;
		$day3 = $_POST['day3'.$prizes_row['id']] == '1' ? 1 : 0;
		$day4 = $_POST['day4'.$prizes_row['id']] == '1' ? 1 : 0;
		$day5 = $_POST['day5'.$prizes_row['id']] == '1' ? 1 : 0;
		$day6 = $_POST['day6'.$prizes_row['id']] == '1' ? 1 : 0;
		$format = is_numeric($_POST['format'.$prizes_row['id']]) && $_POST['format'.$prizes_row['id']] >= 0 && $_POST['format'.$prizes_row['id']] <= 2 ? $_POST['format'.$prizes_row['id']] : $format;
		$member_unit = is_numeric($_POST['member_unit'.$prizes_row['id']]) && $_POST['member_unit'.$prizes_row['id']] >= 0 && $_POST['member_unit'.$prizes_row['id']] <= 2 ? $_POST['member_unit'.$prizes_row['id']] : 0;
		$site_unit = is_numeric($_POST['site_unit'.$prizes_row['id']]) && $_POST['site_unit'.$prizes_row['id']] >= 0 && $_POST['site_unit'.$prizes_row['id']] <= 2 ? $_POST['site_unit'.$prizes_row['id']] : 0;
		
		$msgerror .= doValidations('',$prizes_row['id'], 'Prize #'.$prizes_row['rank'].': ');
		
		//if everything is ok we save data
		if($msgerror == ""){
			if($_POST['site_qty'.$prizes_row['id']] != ""){
				if($site_unit == 2){
					$site_every_seconds = floor((30*24*60*60) / $_POST['site_qty'.$prizes_row['id']]);
				}else if($site_unit == 1){
					$site_every_seconds = floor((7*24*60*60) / $_POST['site_qty'.$prizes_row['id']]);
				}else{
					$site_every_seconds = floor((24*60*60) / $_POST['site_qty'.$prizes_row['id']]);
				}
			}
			if($_POST['member_qty'.$prizes_row['id']] != ""){
				if($member_unit == 2){
					$member_every_seconds = floor((30*24*60*60) / $_POST['member_qty'.$prizes_row['id']]);
				}else if($member_unit == 1){
					$member_every_seconds = floor((7*24*60*60) / $_POST['member_qty'.$prizes_row['id']]);
				}else{
					$member_every_seconds = floor((24*60*60) / $_POST['member_qty'.$prizes_row['id']]);
				}
			}
			$active = (($_POST['credits'.$prizes_row['id']]+$_POST['credits_max'.$prizes_row['id']]+$_POST['banners'.$prizes_row['id']]+$_POST['banners_max'.$prizes_row['id']]+$_POST['texts'.$prizes_row['id']]+$_POST['texts_max'.$prizes_row['id']]+$_POST['sq_banners'.$prizes_row['id']]+$_POST['sq_banners_max'.$prizes_row['id']]+$_POST['cash'.$prizes_row['id']]+$_POST['cash_max'.$prizes_row['id']]>0)?1:0);
			lfmsql_query("update fc_vtg_prizes set active=$active,site_every_seconds=$site_every_seconds,member_every_seconds=$member_every_seconds,message='', format='1', credits=".($_POST['credits'.$prizes_row['id']]!=""?$_POST['credits'.$prizes_row['id']]:"0").",credits_max=".($_POST['credits_max'.$prizes_row['id']]!=""?$_POST['credits_max'.$prizes_row['id']]:"0").",banners=".($_POST['banners'.$prizes_row['id']]!=""?$_POST['banners'.$prizes_row['id']]:"0").",banners_max=".($_POST['banners_max'.$prizes_row['id']]!=""?$_POST['banners_max'.$prizes_row['id']]:"0").",banners_factor=".($_POST['banners_factor'.$prizes_row['id']]!=""?$_POST['banners_factor'.$prizes_row['id']]:"0").",texts=".($_POST['texts'.$prizes_row['id']]!=""?$_POST['texts'.$prizes_row['id']]:"0").",texts_max=".($_POST['texts_max'.$prizes_row['id']]!=""?$_POST['texts_max'.$prizes_row['id']]:"0").",texts_factor=".($_POST['texts_factor'.$prizes_row['id']]!=""?$_POST['texts_factor'.$prizes_row['id']]:"0").",texts_factorb=".($_POST['texts_factorb'.$prizes_row['id']]!=""?$_POST['texts_factorb'.$prizes_row['id']]:"0").",sq_banners=".($_POST['sq_banners'.$prizes_row['id']]!=""?$_POST['sq_banners'.$prizes_row['id']]:"0").",sq_banners_max=".($_POST['sq_banners_max'.$prizes_row['id']]!=""?$_POST['sq_banners_max'.$prizes_row['id']]:"0").",sq_banners_factor=".($_POST['sq_banners_factor'.$prizes_row['id']]!=""?$_POST['sq_banners_factor'.$prizes_row['id']]:"0").",cash=".($_POST['cash'.$prizes_row['id']]!=""?$_POST['cash'.$prizes_row['id']]:"0").",cash_max=".($_POST['cash_max'.$prizes_row['id']]!=""?$_POST['cash_max'.$prizes_row['id']]:"0").",site_qty=".($_POST['site_qty'.$prizes_row['id']]!=""?$_POST['site_qty'.$prizes_row['id']]:"0").",site_unit=$site_unit, member_qty=".($_POST['member_qty'.$prizes_row['id']]!=""?$_POST['member_qty'.$prizes_row['id']]:"0").", member_unit=$member_unit,day0=$day0,day1=$day1,day2=$day2,day3=$day3,day4=$day4,day5=$day5,day6=$day6 where id=".$prizes_row['id']);
		}	
	}
	if($msgerror == ""){
		$msgok = "Prizes have been updated.<br>";
	}
}

//delete action
if ($_POST["action"] == "delete"){
	$prizeid = $_POST["delid"];
	if(is_numeric($prizeid)){
		$prizedelres = lfmsql_query("select rank from fc_vtg_prizes where id = $prizeid");
		if(lfmsql_num_rows($prizedelres) > 0){
			$delrank = lfmsql_result($prizedelres, 0);
			if($delrank > 0){
				lfmsql_query("update fc_vtg_prizes set rank = rank -1 where rank >= $delrank and mtype = $prizetype");
			}
			lfmsql_query("delete from fc_vtg_prizes where id = $prizeid");
			$msgok = "The prize has been deleted.<br>";
		}
	}
}

//check if a default prize has been added
$hasdefprize = lfmsql_result(lfmsql_query("select count(0) from fc_vtg_prizes where mtype=0 and credits+credits_max+banners+banners_max+texts+texts_max+sq_banners+sq_banners_max>0 and site_qty=0 and member_qty=0 and day0=1 and day1=1 and day2=1 and day3=1 and day4=1 and day5=1 and day6=1"),0);
if(!$hasdefprize){
	$msgalert .= "<span STYLE='background-color: yellow'>No default prize has been defined.</span>
	<br>Add one prize for 'Any Member Level', for all days with no site or member limits.<br>
	It can have credits, banners, text ads and/ or square banners (cash prizes are not recommended).<br>
	<a href='./vtg_defaultprize.png' target='_blank'>Click here</a> to view an example.<br>";
	$surfgame_active = lfmsql_result(lfmsql_query("select setting from fc_settings where name='surfgame_active' limit 1"),0);
	if($surfgame_active){
		lfmsql_query("update fc_settings set setting='0' where name='surfgame_active' limit 1");
		$msgerror .= 'The VTG game has been disabled. To enable it add a default prize and mark the field Activate in the main settings.<br>';
	}
}

//read prizes to show them
$prizes_res = lfmsql_query("select * from fc_vtg_prizes where mtype=$prizetype order by id");
?>
<script LANGUAGE="JavaScript">
<!--
function delete_prize(theform, theaction, thevalue, valueid)
{
	var agree=confirm('Do you want to delete this prize?');
	if (agree){
		theaction.value = 'delete';
		thevalue.value = valueid;
		theform.submit();
	}
}
// -->
</script>
<center>
<a href="admin.php?f=fc_vtg">View Settings</a>

<h1>Viral Traffic Games</h1>
<h2>Prizes</h2>
<?php echo ($msgalert != "" ? "<b><font color=black>".$msgalert."</font></b><br><br>" : ""); ?>
<?php echo ($msgerror != "" ? "<b><font color=red>".$msgerror."</font></b><br>" : ""); ?>
<?php echo ($msgok != "" ? "<b><font color=green>".$msgok."</font></b><br>" : ""); ?>

<form method="POST" name="refreshform" id="refreshform" action="admin.php?f=fc_vtg&showprizes=true">
Member Level: <select name="prizetype" onChange="this.form.submit();">
<option value="0">Any Member Level</option>
<?php
	$mtypesres = lfmsql_query("select * from ".$prefix."membertypes order by rank");
	while($mtypesrow = lfmsql_fetch_array($mtypesres)){
		echo "<option value='".$mtypesrow['mtid']."' ".($prizetype==$mtypesrow['mtid']?' selected':'').">".$mtypesrow['accname']."</option>";
	}
?>
</select>
</form>

<br>	
<form method="post" action="admin.php?f=fc_vtg&showprizes=true&prizetype=<?php echo $prizetype;?>" >
  <input type="hidden" name="action" value="add">
  <table width="100%" align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
	  <tr>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>#</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Credits</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="3"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Banners</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="4"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Text Ads</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="3"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Square Banners</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Cash</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="7"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Active</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="4"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Prize Limits</strong></font></td>
		<td nowrap="nowrap" class="admintd">&nbsp;</td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="admintd">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>xCredits</strong></font></td>		
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>xCredits</strong></font></td>		
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>xBanners</strong></font>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td></td>		
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>xCredits</strong></font></td>		
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Sun</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Mon</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Tue</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Wed</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Thu</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Fri</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Sat</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>x Site</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>x Member</strong></font></td>
		<td nowrap="nowrap" class="admintd">&nbsp;</td>
	  </tr>
	  <tr>
		<td class="button">&nbsp;</td>
		<td class="formfield" align="center">
			<input name="new_credits" type="text" class="formfield" id="new_credits" value="<?php echo v0(isset($_POST['new_credits']) ? $_POST['new_credits'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="new_credits_max" type="text" class="formfield" id="new_credits_max" value="<?php echo v0(isset($_POST['new_credits_max']) ? $_POST['new_credits_max'] : "");?>" size="3" />
		</td>
		<td nowrap="nowrap" class="button" align="center">&nbsp;</td>
		<td class="formfield" align="center">
			<input name="new_banners" type="text" class="formfield" id="new_banners" value="<?php echo v0(isset($_POST['new_banners']) ? $_POST['new_banners'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="new_banners_max" type="text" class="formfield" id="new_banners_max" value="<?php echo v0(isset($_POST['new_banners_max']) ? $_POST['new_banners_max'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="new_banners_factor" type="text" class="formfield" id="new_banners_factor" value="<?php echo v0(isset($_POST['new_banners_factor']) ? $_POST['new_banners_factor'] : "");?>" size="3" />
		</td>
		<td nowrap="nowrap" class="button" align="center">&nbsp;</td>
		<td class="formfield" align="center">
			<input name="new_texts" type="text" class="formfield" id="new_texts" value="<?php echo v0(isset($_POST['new_texts']) ? $_POST['new_texts'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="new_texts_max" type="text" class="formfield" id="new_texts_max" value="<?php echo v0(isset($_POST['new_texts_max']) ? $_POST['new_texts_max'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="new_texts_factor" type="text" class="formfield" id="new_texts_factor" value="<?php echo v0(isset($_POST['new_texts_factor']) ? $_POST['new_texts_factor'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="new_texts_factorb" type="text" class="formfield" id="new_texts_factorb" value="<?php echo v0(isset($_POST['new_texts_factorb']) ? $_POST['new_texts_factorb'] : "");?>" size="3" />
		</td>
		<td nowrap="nowrap" class="button" align="center">&nbsp;</td>
		<td class="formfield" align="center">
			<input name="new_sq_banners" type="text" class="formfield" id="new_sq_banners" value="<?php echo v0(isset($_POST['new_sq_banners']) ? $_POST['new_sq_banners'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="new_sq_banners_max" type="text" class="formfield" id="new_sq_banners_max" value="<?php echo v0(isset($_POST['new_sq_banners_max']) ? $_POST['new_sq_banners_max'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="new_sq_banners_factor" type="text" class="formfield" id="new_sq_banners_factor" value="<?php echo v0(isset($_POST['new_sq_banners_factor']) ? $_POST['new_sq_banners_factor'] : "");?>" size="3" />
		</td>
		<td nowrap="nowrap" class="button" align="center">&nbsp;</td>
		<td class="formfield" align="center">
			<input name="new_cash" type="text" class="formfield" id="new_cash" value="<?php echo v0(isset($_POST['new_cash']) ? $_POST['new_cash'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="new_cash_max" type="text" class="formfield" id="new_cash_max" value="<?php echo v0(isset($_POST['new_cash_max']) ? $_POST['new_cash_max'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="new_day0" <?php echo ($_POST['new_day0']=='1' || $new_day0 ? "checked" : "");?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="new_day1" <?php echo ($_POST['new_day1']=='1' || $new_day1 ? "checked" : "");?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="new_day2" <?php echo ($_POST['new_day2']=='1' || $new_day2 ? "checked" : "");?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="new_day3" <?php echo ($_POST['new_day3']=='1' || $new_day3 ? "checked" : "");?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="new_day4" <?php echo ($_POST['new_day4']=='1' || $new_day4 ? "checked" : "");?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="new_day5" <?php echo ($_POST['new_day5']=='1' || $new_day5 ? "checked" : "");?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="new_day6" <?php echo ($_POST['new_day6']=='1' || $new_day6 ? "checked" : "");?>>
		</td>
		<td class="formfield" align="center">
			<input name="new_site_qty" type="text" class="formfield" id="new_site_qty" value="<?php echo v0(isset($_POST['new_site_qty']) ? $_POST['new_site_qty'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<select name="new_site_unit">
			<option value="0">Day</option>
			<option value="1">Week</option>
			<option value="2">Month</option>
			</select>
		</td>
		<td class="formfield" align="center">
			<input name="new_member_qty" type="text" class="formfield" id="new_member_qty" value="<?php echo v0(isset($_POST['new_member_qty']) ? $_POST['new_member_qty'] : "");?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<select name="new_member_unit">
			<option value="0">Day</option>
			<option value="1">Week</option>
			<option value="2">Month</option>
			</select>
		</td>
		<td align="center"><a href="#" title=""><img src="../images/question.jpg" width="15" height="15" border="0" />
		</a></td>
	  </tr>
  </table>
<br><input type="submit" name="Submit" value="New Prize"><br>
</form>

<br>
<div align="left"><a href="admin.php?f=fc_vtg&showprizes=true&prizetype=<?php echo $prizetype;?>">Refresh</a></div>
<form method="post" name="prizesform" id="prizesform" action="admin.php?f=fc_vtg&showprizes=true&prizetype=<?php echo $prizetype;?>">
  <input type="hidden" name="action" value="update">
  <input type="hidden" name="delid" value="">
  <table width="100%" align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
	  <tr>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>#</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Credits</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="3"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Banners</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="4"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Text Ads</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="3"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Square Banners</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Cash</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="7"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Active</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="4"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Prize Limits</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="4"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Rewarded</strong></font></td>
		<td nowrap="nowrap" class="admintd">&nbsp;</td>
	  </tr>
	  <tr>
		<td nowrap="nowrap" class="admintd">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>xCredits</strong></font></td>		
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>xCredits</strong></font></td>		
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>xBanners</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>xCredits</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center">&nbsp;</td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Min</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Max</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Sun</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Mon</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Tue</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Wed</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Thu</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Fri</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Sat</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>x Site</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>x Member</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Day</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Week</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Month</strong></font></td>
		<td nowrap="nowrap" class="admintd" align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Total</strong></font></td>
		<td nowrap="nowrap" class="admintd">&nbsp;</td>
	  </tr>
<?php 
$cnt=0;
while($prizerow = lfmsql_fetch_array($prizes_res)){
	$cnt++;
	$bgcolor = ($prizerow['day0']+$prizerow['day1']+$prizerow['day2']+$prizerow['day3']+$prizerow['day4']+$prizerow['day5']+$prizerow['day6'] == 0 ? 'bgcolor="#DDDDDD"' : 
		(!$prizerow['active'] ? 'bgcolor="#FFFFA0"' : ''));
?> 
	  <tr <?php echo $bgcolor;?>>
		<td nowrap="nowrap" class="button" align="center">
			<?php echo $prizerow['id'];?>
		</td>
		<td class="formfield" align="center">
			<input name="credits<?php echo $prizerow['id'];?>" type="text" class="formfield" id="credits<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['credits'.$prizerow['id']]) ? $_POST['credits'.$prizerow['id']] : $prizerow['credits']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="credits_max<?php echo $prizerow['id'];?>" type="text" class="formfield" id="credits_max<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['credits_max'.$prizerow['id']]) ? $_POST['credits_max'.$prizerow['id']] : $prizerow['credits_max']);?>" size="3" />
		</td>
		<td nowrap="nowrap" class="button" align="center">&nbsp;</td>
		<td class="formfield" align="center">
			<input name="banners<?php echo $prizerow['id'];?>" type="text" class="formfield" id="banners<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['banners'.$prizerow['id']]) ? $_POST['banners'.$prizerow['id']] : $prizerow['banners']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="banners_max<?php echo $prizerow['id'];?>" type="text" class="formfield" id="banners_max<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['banners_max'.$prizerow['id']]) ? $_POST['banners_max'.$prizerow['id']] : $prizerow['banners_max']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="banners_factor<?php echo $prizerow['id'];?>" type="text" class="formfield" id="banners_factor<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['banners_factor'.$prizerow['id']]) ? $_POST['banners_factor'.$prizerow['id']] : $prizerow['banners_factor']);?>" size="3" />
		</td>
		<td nowrap="nowrap" class="button" align="center">&nbsp;</td>
		<td class="formfield" align="center">
			<input name="texts<?php echo $prizerow['id'];?>" type="text" class="formfield" id="texts<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['texts'.$prizerow['id']]) ? $_POST['texts'.$prizerow['id']] : $prizerow['texts']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="texts_max<?php echo $prizerow['id'];?>" type="text" class="formfield" id="texts_max<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['texts_max'.$prizerow['id']]) ? $_POST['texts_max'.$prizerow['id']] : $prizerow['texts_max']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="texts_factor<?php echo $prizerow['id'];?>" type="text" class="formfield" id="texts_factor<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['texts_factor'.$prizerow['id']]) ? $_POST['texts_factor'.$prizerow['id']] : $prizerow['texts_factor']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="texts_factorb<?php echo $prizerow['id'];?>" type="text" class="formfield" id="texts_factorb<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['texts_factorb'.$prizerow['id']]) ? $_POST['texts_factorb'.$prizerow['id']] : $prizerow['texts_factorb']);?>" size="3" />
		</td>
		<td nowrap="nowrap" class="button" align="center">&nbsp;</td>
		<td class="formfield" align="center">
			<input name="sq_banners<?php echo $prizerow['id'];?>" type="text" class="formfield" id="sq_banners<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['sq_banners'.$prizerow['id']]) ? $_POST['sq_banners'.$prizerow['id']] : $prizerow['sq_banners']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="sq_banners_max<?php echo $prizerow['id'];?>" type="text" class="formfield" id="sq_banners_max<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['sq_banners_max'.$prizerow['id']]) ? $_POST['sq_banners_max'.$prizerow['id']] : $prizerow['sq_banners_max']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="sq_banners_factor<?php echo $prizerow['id'];?>" type="text" class="formfield" id="sq_banners_factor<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['sq_banners_factor'.$prizerow['id']]) ? $_POST['sq_banners_factor'.$prizerow['id']] : $prizerow['sq_banners_factor']);?>" size="3" />
		</td>
		<td nowrap="nowrap" class="button" align="center">&nbsp;</td>
		<td class="formfield" align="center">
			<input name="cash<?php echo $prizerow['id'];?>" type="text" class="formfield" id="cash<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['cash'.$prizerow['id']]) ? $_POST['cash'.$prizerow['id']] : $prizerow['cash']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input name="cash_max<?php echo $prizerow['id'];?>" type="text" class="formfield" id="cash_max<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['cash_max'.$prizerow['id']]) ? $_POST['cash_max'.$prizerow['id']] : $prizerow['cash_max']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="day0<?php echo $prizerow['id'];?>" <?php echo (isset($_POST['day0'.$prizerow['id']]) ? ($_POST['day0'.$prizerow['id']]=='1'?'checked':'') : ($prizerow['day0']=='1'?'checked':''));?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="day1<?php echo $prizerow['id'];?>" <?php echo (isset($_POST['day1'.$prizerow['id']]) ? ($_POST['day1'.$prizerow['id']]=='1'?'checked':'') : ($prizerow['day1']=='1'?'checked':''));?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="day2<?php echo $prizerow['id'];?>" <?php echo (isset($_POST['day2'.$prizerow['id']]) ? ($_POST['day2'.$prizerow['id']]=='1'?'checked':'') : ($prizerow['day2']=='1'?'checked':''));?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="day3<?php echo $prizerow['id'];?>" <?php echo (isset($_POST['day3'.$prizerow['id']]) ? ($_POST['day3'.$prizerow['id']]=='1'?'checked':'') : ($prizerow['day3']=='1'?'checked':''));?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="day4<?php echo $prizerow['id'];?>" <?php echo (isset($_POST['day4'.$prizerow['id']]) ? ($_POST['day4'.$prizerow['id']]=='1'?'checked':'') : ($prizerow['day4']=='1'?'checked':''));?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="day5<?php echo $prizerow['id'];?>" <?php echo (isset($_POST['day5'.$prizerow['id']]) ? ($_POST['day5'.$prizerow['id']]=='1'?'checked':'') : ($prizerow['day5']=='1'?'checked':''));?>>
		</td>
		<td class="formfield" align="center">
			<input type="checkbox" value="1" class="formfield" name="day6<?php echo $prizerow['id'];?>" <?php echo (isset($_POST['day6'.$prizerow['id']]) ? ($_POST['day6'.$prizerow['id']]=='1'?'checked':'') : ($prizerow['day6']=='1'?'checked':''));?>>
		</td>
		<td class="formfield" align="center">
			<input name="site_qty<?php echo $prizerow['id'];?>" type="text" class="formfield" id="site_qty<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['site_qty'.$prizerow['id']]) ? $_POST['site_qty'.$prizerow['id']] : $prizerow['site_qty']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<select name="site_unit<?php echo $prizerow['id'];?>">
			<option value="0" <?php echo ((isset($_POST['site_unit'.$prizerow['id']]) ? $_POST['site_unit'.$prizerow['id']] : $prizerow['site_unit'])=='0'?"selected":"");?>>Day</option>
			<option value="1" <?php echo ((isset($_POST['site_unit'.$prizerow['id']]) ? $_POST['site_unit'.$prizerow['id']] : $prizerow['site_unit'])=='1'?"selected":"");?>>Week</option>
			<option value="2" <?php echo ((isset($_POST['site_unit'.$prizerow['id']]) ? $_POST['site_unit'.$prizerow['id']] : $prizerow['site_unit'])=='2'?"selected":"");?>>Month</option>
			</select>
		</td>
		<td class="formfield" align="center">
			<input name="member_qty<?php echo $prizerow['id'];?>" type="text" class="formfield" id="member_qty<?php echo $prizerow['id'];?>" value="<?php echo v0(isset($_POST['member_qty'.$prizerow['id']]) ? $_POST['member_qty'.$prizerow['id']] : $prizerow['member_qty']);?>" size="3" />
		</td>
		<td class="formfield" align="center">
			<select name="member_unit<?php echo $prizerow['id'];?>">
			<option value="0" <?php echo ((isset($_POST['member_unit'.$prizerow['id']]) ? $_POST['member_unit'.$prizerow['id']] : $prizerow['member_unit'])=='0'?"selected":"");?>>Day</option>
			<option value="1" <?php echo ((isset($_POST['member_unit'.$prizerow['id']]) ? $_POST['member_unit'.$prizerow['id']] : $prizerow['member_unit'])=='1'?"selected":"");?>>Week</option>
			<option value="2" <?php echo ((isset($_POST['member_unit'.$prizerow['id']]) ? $_POST['member_unit'.$prizerow['id']] : $prizerow['member_unit'])=='2'?"selected":"");?>>Month</option>
			</select>
		</td>
		<td class="formfield" align="center">
			<?php echo $prizerow['winners_today'];?>
		</td>
		<td class="formfield" align="center">
			<?php echo $prizerow['winners_week'];?>
		</td>
		<td class="formfield" align="center">
			<?php echo $prizerow['winners_month'];?>
		</td>
		<td class="formfield" align="center">
			<?php echo $prizerow['winners_total'];?>
		</td>
		<td align="center"><a href="#" onclick="javascript:delete_prize(document.prizesform,document.prizesform.elements['action'],document.prizesform.elements['delid'],'<?php echo $prizerow['id'];?>');"><img src="../images/del.png" width="15" height="15" border="0" /></a>
		</a></td>

	  </tr>
<?}?>
  </table>
  <br><input type="submit" name="Submit" value="Save"><br>
</form>
</center>