<?php

// GeniuXs AI v1.0 for LFM Scripts
// Copyright 2023 Logiscape LLC. All Rights Reserved.
// https://geniuxs.com

// Any modification, distribution, or use of this file is governed
// by the current terms of service at geniuxs.com and any additional
// license agreements for the script this file was included with.

require_once "../inc/filter.php";

// Prevent anyone who isn't logged in from opening this page
if(!isset($_SESSION["adminid"])) { exit; };

if (isset($_GET['aiid']) && is_numeric($_GET['aiid'])) {
	$aiid = $_GET['aiid'];
} else {
	$aiid = 0;
}

if (isset($_GET['templatesai']) && is_numeric($_GET['templatesai']) && $_GET['templatesai'] > 0) {
	$templatesai = 1;
	$aiid = 0;
} else {
	$templatesai = 0;
}

$sourcedomain = $_SERVER["SERVER_NAME"];
$keyres=@lfmsql_query("SELECT license FROM ".$prefix."admin");
$lfmkey=@lfmsql_result($keyres,0);
$genkey = md5($lfmkey);

function geniuxsAiCall($filename, $postdata) {
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 30);
	curl_setopt($ch, CURLOPT_TIMEOUT, 300);
	curl_setopt($ch, CURLOPT_URL, "https://geniuxs.com/".$filename);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $postdata);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	$airesponse = curl_exec($ch);
	if (curl_error($ch)) {
		curl_close($ch);
		return false;
	}
	curl_close($ch);
	return $airesponse;
}

function geniuxsReplaceCodes($aioutput) {
	// Puts SQL and HTML into textboxes
	$codecount = 0;
	while (stripos($aioutput, '```sql') !== false) {
		
		$startcodetag = stripos($aioutput, '```sql');
		
		$endcodetag = stripos(substr($aioutput, $startcodetag+6), '```');
		
		if ($endcodetag === false) {
			// The code ends at the end of the output
			$codecontent = substr($aioutput, $startcodetag+6);
			
			if ($codecount >= 9) {
				return $aioutput;
			}
			
			$codecontent = str_ireplace('```sql', '', $codecontent);
			$codecontent = '<textarea id="codeoutput'.$codecount.'" class="form-control" rows="2">'.trim($codecontent).'</textarea> <button class="btn btn-primary btn-sm" onclick="copyCodeToClipboard('.$codecount.')">Copy To Clipboard</button>';
			
			// Place the textbox at the end of the output
			$aioutput = substr($aioutput, 0, $startcodetag).$codecontent;
		} else {
			// The code ends at an end tag
			$codecontent = substr($aioutput, $startcodetag+6, $endcodetag);
			
			if ($codecount >= 9) {
				return $aioutput;
			}
			
			$codecontent = str_ireplace('```sql', '', $codecontent);
			$codecontent = '<textarea id="codeoutput'.$codecount.'" class="form-control" rows="2">'.trim($codecontent).'</textarea> <button class="btn btn-primary btn-sm" onclick="copyCodeToClipboard('.$codecount.')">Copy To Clipboard</button>';
			
			// Place the textbox into the rest of the output
			$aioutput = substr($aioutput, 0, $startcodetag).$codecontent.substr($aioutput, $startcodetag+$endcodetag+9);
		}
		
		$codecount = $codecount + 1;
	}
	
	while (stripos($aioutput, '```html') !== false) {
		
		$startcodetag = stripos($aioutput, '```html');
		
		$endcodetag = stripos(substr($aioutput, $startcodetag+7), '```');
		
		if ($endcodetag === false) {
			// The code ends at the end of the output
			$codecontent = substr($aioutput, $startcodetag+7);
			
			if ($codecount >= 9) {
				return $aioutput;
			}
			
			$codecontent = str_ireplace('```html', '', $codecontent);
			$codecontent = '<textarea id="codeoutput'.$codecount.'" class="form-control" rows="2">'.trim($codecontent).'</textarea> <button class="btn btn-primary btn-sm" onclick="copyCodeToClipboard('.$codecount.')">Copy To Clipboard</button>';
			
			// Place the textbox at the end of the output
			$aioutput = substr($aioutput, 0, $startcodetag).$codecontent;
		} else {
			// The code ends at an end tag
			$codecontent = substr($aioutput, $startcodetag+7, $endcodetag);
			
			if ($codecount >= 9) {
				return $aioutput;
			}
			
			$codecontent = str_ireplace('```html', '', $codecontent);
			$codecontent = '<textarea id="codeoutput'.$codecount.'" class="form-control" rows="2">'.trim($codecontent).'</textarea> <button class="btn btn-primary btn-sm" onclick="copyCodeToClipboard('.$codecount.')">Copy To Clipboard</button>';
			
			// Place the textbox into the rest of the output
			$aioutput = substr($aioutput, 0, $startcodetag).$codecontent.substr($aioutput, $startcodetag+$endcodetag+10);
		}
		
		$codecount = $codecount + 1;
	}
	
	
	return $aioutput;
}

?>
    
<ul class="card-header nav nav-pills" style="border-radius:5px;">
  <li class="nav-item">
    <a class="nav-link<?php if($aiid == 0 && $templatesai == 0 && !isset($_GET['createai'])) { echo(' active'); } ?>" href="admin.php?f=geniuxsadmin&aiid=0"><span class="text-white">LFM AI</span></a>
  </li>
  <li class="nav-item">
    <a class="nav-link<?php if($templatesai == 1) { echo(' active'); } ?>" href="admin.php?f=geniuxsadmin&aiid=0&templatesai=1"><span class="text-white">Page Editor AI</span></a>
  </li>
  <?php
  
  // Save Template
  if (isset($_GET['savetemplate']) && is_numeric($_GET['savetemplate'])) {
  	
  	$keep_prev = 30;
  	
  	$gettemplateid = $_GET['savetemplate'];
	if ($gettemplateid > 200000) {
		// Members Area Template
		$pageid = $gettemplateid - 200000;
		$gettemplate=lfmsql_query("Select newcode from `geniuxs_ai_templates` where templateid=".$gettemplateid);
		if (lfmsql_num_rows($gettemplate) < 1) {
			echo("Could Not Find Template ID: ".$gettemplateid);
			exit;
		}
		$newtemplate = addslashes(lfmsql_result($gettemplate, 0, "newcode"));
		
		$getoldtemplate = lfmsql_query("SELECT template_data from ".$prefix."membertypes WHERE mtid=".$pageid) or die(lfmsql_error());
		if (lfmsql_num_rows($getoldtemplate) > 0) {
			$oldtemplate = addslashes(lfmsql_result($getoldtemplate, 0, "template_data"));
			
			// Make sure the old template is already saved
			$backupexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) from ".$prefix."memtemplates_backups where mtid='".$pageid."' and template_data='".$oldtemplate."'"), 0);
			if ($backupexists < 1 && (!isset($default_templates['Members Area']) || ($oldtemplate != $default_templates['Members Area']))) {
				// We don't know when this template was saved, so set 1 day ago
				$tempsavetime = date("Y-m-d H:i:s", time()-86400);
				lfmsql_query("INSERT INTO ".$prefix."memtemplates_backups (savetime, mtid, template_data) VALUES ('".$tempsavetime."', '".$pageid."', '".$oldtemplate."')") or die(lfmsql_error());
			}
			
			// Save new template backup
			lfmsql_query("INSERT INTO ".$prefix."memtemplates_backups (savetime, mtid, template_data) VALUES (NOW(), '".$pageid."', '".$newtemplate."')") or die(lfmsql_error());
			
			// Save new template
			@lfmsql_query("UPDATE ".$prefix."membertypes SET template_data='".$newtemplate."' WHERE mtid=".$pageid) or die(lfmsql_error());
			
			// Check and remove extra previous versions
			$countprev = lfmsql_result(lfmsql_query("SELECT COUNT(*) from ".$prefix."memtemplates_backups where mtid='".$pageid."'"), 0);
			if ($countprev > $keep_prev) {
				$num_to_del = $countprev - $keep_prev;
				lfmsql_query("DELETE FROM ".$prefix."memtemplates_backups WHERE mtid='".$pageid."' ORDER BY savetime ASC LIMIT ".$num_to_del) or die(lfmsql_error());
			}
			
		}
		
	} elseif ($gettemplateid > 100000) {
		// Members Page Template
		$pageid = $gettemplateid - 100000;
		$gettemplate=lfmsql_query("Select newcode from `geniuxs_ai_templates` where templateid=".$gettemplateid);
		if (lfmsql_num_rows($gettemplate) < 1) {
			echo("Could Not Find Template ID: ".$gettemplateid);
			exit;
		}
		$newtemplate = addslashes(lfmsql_result($gettemplate, 0, "newcode"));
		
		$getoldtemplate = lfmsql_query("SELECT pagedata from ".$prefix."memberpages WHERE pageid=".$pageid) or die(lfmsql_error());
		if (lfmsql_num_rows($getoldtemplate) > 0) {
			$oldtemplate = addslashes(lfmsql_result($getoldtemplate, 0, "pagedata"));
			
			// Make sure the old template is already saved
			$backupexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) from ".$prefix."pages_backups where pageid='".$pageid."' and template_data='".$oldtemplate."'"), 0);
			if ($backupexists < 1) {
				// We don't know when this template was saved, so set 1 day ago
				$tempsavetime = date("Y-m-d H:i:s", time()-86400);
				lfmsql_query("INSERT INTO ".$prefix."pages_backups (savetime, pageid, template_data) VALUES ('".$tempsavetime."', '".$pageid."', '".$oldtemplate."')") or die(lfmsql_error());
			}
			
			// Save new template backup
			lfmsql_query("INSERT INTO ".$prefix."pages_backups (savetime, pageid, template_data) VALUES (NOW(), '".$pageid."', '".$newtemplate."')") or die(lfmsql_error());
			
			// Save new template
			$qry="UPDATE ".$prefix."memberpages SET pagedata='".$newtemplate."' WHERE pageid=$pageid";
			@lfmsql_query($qry);
			
			// Check and remove extra previous versions
			$countprev = lfmsql_result(lfmsql_query("SELECT COUNT(*) from ".$prefix."pages_backups where pageid='".$pageid."'"), 0);
			if ($countprev > $keep_prev) {
				$num_to_del = $countprev - $keep_prev;
				lfmsql_query("DELETE FROM ".$prefix."pages_backups WHERE pageid='".$pageid."' ORDER BY savetime ASC LIMIT ".$num_to_del) or die(lfmsql_error());
			}
			
		}
		
	} else {
		$gettemplate=lfmsql_query("Select newcode from `geniuxs_ai_templates` where templateid=".$gettemplateid);
		if (lfmsql_num_rows($gettemplate) < 1) {
			echo("Could Not Find Template ID: ".$gettemplateid);
			exit;
		}
		$newtemplate = addslashes(lfmsql_result($gettemplate, 0, "newcode"));
		
		$getoldtemplate = lfmsql_query("SELECT template_name, template_data from ".$prefix."templates WHERE template_id=".$gettemplateid) or die(lfmsql_error());
		if (lfmsql_num_rows($getoldtemplate) > 0) {
			$template_name = addslashes(lfmsql_result($getoldtemplate, 0, "template_name"));
			$oldtemplate = addslashes(lfmsql_result($getoldtemplate, 0, "template_data"));
			
			// Make sure the old template is already saved
			$backupexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) from ".$prefix."templates_backups where template_name='".$template_name."' and template_data='".$oldtemplate."'"), 0);
			if ($backupexists < 1 && (!isset($default_templates[$template_name]) || ($oldtemplate != $default_templates[$template_name]))) {
				// We don't know when this template was saved, so set 1 day ago
				$tempsavetime = date("Y-m-d H:i:s", time()-86400);
				lfmsql_query("INSERT INTO ".$prefix."templates_backups (savetime, template_name, template_data) VALUES ('".$tempsavetime."', '".$template_name."', '".$oldtemplate."')") or die(lfmsql_error());
			}
			
			// Save new template backup
			lfmsql_query("INSERT INTO ".$prefix."templates_backups (savetime, template_name, template_data) VALUES (NOW(), '".$template_name."', '".$newtemplate."')") or die(lfmsql_error());
			
			// Save new template
			lfmsql_query("UPDATE ".$prefix."templates SET template_data='".$newtemplate."' WHERE template_name='".$template_name."'") or die(lfmsql_error());
			
			// Check and remove extra previous versions
			$countprev = lfmsql_result(lfmsql_query("SELECT COUNT(*) from ".$prefix."templates_backups where template_name='".$template_name."'"), 0);
			if ($countprev > $keep_prev) {
				$num_to_del = $countprev - $keep_prev;
				lfmsql_query("DELETE FROM ".$prefix."templates_backups WHERE template_name='".$template_name."' ORDER BY savetime ASC LIMIT ".$num_to_del) or die(lfmsql_error());
			}
				
		}
	}
  }
  
  // Delete AI
  if (isset($_GET['action']) && $_GET['action'] == "deleteai" && $aiid > 0) {
  	lfmsql_query("DELETE FROM `geniuxs_ai` WHERE id=".$aiid) or die(lfmsql_error());
  	$aiid = 0;
  }
  
  // Show AI List
  $creatorenabled = array();
$getailist = lfmsql_query("Select id, name, creator from `geniuxs_ai` order by name asc");
for ($j = 0; $j < lfmsql_num_rows($getailist); $j++) {
	$ailistid = lfmsql_result($getailist, $j, "id");
	$ailistname = lfmsql_result($getailist, $j, "name");
	$ailistcreator = lfmsql_result($getailist, $j, "creator");
	if ($ailistcreator > 0) {
		$creatorenabled[] = $ailistid;
	}
	if ($ailistid == $aiid) {
		echo('<li class="nav-item">
    <a class="nav-link active" href="admin.php?f=geniuxsadmin&aiid='.$ailistid.'"><span class="text-white">'.$ailistname.'</span></a>
  </li>');
	} else {
		echo('<li class="nav-item">
    <a class="nav-link" href="admin.php?f=geniuxsadmin&aiid='.$ailistid.'"><span class="text-white">'.$ailistname.'</span></a>
  </li>');
	}
}
// End Show AI List
  
  ?>
  <li class="nav-item">
    <a class="nav-link<?php if($aiid == 0 && $templatesai == 0 && isset($_GET['createai'])) { echo(' active'); } ?>" href="admin.php?f=geniuxsadmin&createai=1"><span class="text-white">AI Creator</span></a>
  </li>
</ul>
<br>

<link href="atomloading.css" rel="stylesheet">
<script>
	function copyCodeToClipboard(codeid) {
		var tempinput = document.createElement('input');
		document.body.appendChild(tempinput);
		tempinput.setAttribute('value', document.getElementById("codeoutput" + codeid).value);
		tempinput.select();
		tempinput.setSelectionRange(0, 99999);
		document.execCommand("copy");
		tempinput.remove();
	}
	function showLoading() {
		document.getElementById("loadingpage").style.display = "block";
	}
	function stopLoading() {
		document.getElementById("loadingpage").style.display = "none";
	}
</script>

<?php
        
if (isset($_GET['createai']) && $_GET['createai'] > 0 && $templatesai == 0 && ($aiid == 0 || in_array($aiid, $creatorenabled))) {
	if ($aiid > 0) {
		echo('<a class="btn btn-primary" href="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'">Switch To User Mode</a> <a class="btn btn-danger" href="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'&action=deleteai" onclick="return confirm(\'Are you sure you want to delete this AI?\')">Delete AI</a><br><br>');
	}
	include "geniuxs_admin_create.php";
	exit;
} elseif ($aiid > 0 && $templatesai == 0) {
	if (in_array($aiid, $creatorenabled)) {
		echo('<a class="btn btn-primary" href="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'&createai=1">Switch To Creator Mode</a> ');
	}
	echo('<a class="btn btn-danger" href="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'&action=deleteai" onclick="return confirm(\'Are you sure you want to delete this AI?\')">Delete AI</a><br><br>');
}

function geniuxsAiUserPrompt($aiid, $templatesai, $userprompt='') {
	global $geniuxscredits;
	$formcode = '<h1 class="display-4" style="font-size:32px;">How Can I Help?</h1>
			<form action="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'" method="post">
			            <textarea class="form-control" id="userprompt" name="userprompt" wrap="soft" rows="5" placeholder="Make a new request to the AI assistant">'.$userprompt.'</textarea>
			            <input style="margin-top:0px; width:100%;" class="btn btn-primary btn-lg" type="submit" value="Submit My Request">
			        </form>
			        <small>This request will cost 1 credit. You currently have <b>'.$geniuxscredits.'</b> credits.</small>
			        '.geniuxsAiSamplePrompts($aiid, $templatesai);
	return $formcode;
}

function geniuxsAiStartFresh($aiid, $templatesai, $userprompt='') {
	global $geniuxscredits;
	$formcode = '<h1 class="display-4" style="font-size:32px;">Make A New Request</h1>
			            <p>Ready to move on to a new topic? Click the button below to make a new request to the AI.</p>
			            <a href="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'" style="margin-top:0px; width:100%;" class="btn btn-primary btn-lg">Ask A New Request</a>
			            <script>stopLoading();</script>';
	return $formcode;
}

function geniuxsAiFollowUp($aiid, $templatesai, $requestid) {
	global $geniuxscredits;
	$followupcode = '<h1 class="display-4" style="font-size:32px;">Make A Follow-Up Request</h1>
				<p>Making a follow-up request can be useful if you want to dig deeper into the results of your last request. If you want to ask about a different topic, it would be better to make a new request below to clear the AI\'s memory and start fresh.</p>
				<form action="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'" method="post">
					            <textarea class="form-control" id="userprompt" name="userprompt" wrap="soft" rows="5" placeholder="Ask a follow-up question related to your last request">'.$userprompt.'</textarea>
					            <input type="hidden" name="lastrequest" value="'.$requestid.'">
					            <input style="margin-top:0px; width:100%;" class="btn btn-primary btn-lg" type="submit" value="Ask A Follow-Up">
					        </form>
					        <small>This follow-up will cost 1 credit. You currently have <b>'.$geniuxscredits.'</b> credits.</small>
					        <hr>';
	return $followupcode;
}

function geniuxsAiSamplePrompts($aiid, $templatesai) {
	
	$samplecode = '';
	$sampletitles = array();
	$sampleprompts = array();
	if ($aiid > 0) {
		$getaidata = lfmsql_query("SELECT aidata FROM `geniuxs_ai` WHERE id='".$aiid."'") or die(lfmsql_error());
		$aidata = lfmsql_result($getaidata, 0, "aidata");
    		$aidata = json_decode($aidata, true);
    		if (isset($aidata['training']) && count($aidata['training']) > 0) {
	    		foreach ($aidata['training'] as $trainingindex=>$value) {
    				if ($aidata['training'][$trainingindex]['exampleshow'] > 0 && strlen($aidata['training'][$trainingindex]['exampletitle']) > 0) {
    					$sampletitles[] = $aidata['training'][$trainingindex]['exampletitle'];
    					$sampleprompts[] = $aidata['training'][$trainingindex]['message'];
    				}
    			}
    		}
    	} elseif ($templatesai == 1) {
    		$sampletitles[] = 'Make Text And Formatting Changes';
		$sampleprompts[] = 'Change the color of the first heading to red on the sales page';
		
		$sampletitles[] = 'Get Tips And Help With Your Content';
		$sampleprompts[] = 'Provide a summary of the sales page, and describe some ways it could be improved';
		
	} else {
		$sampletitles[] = 'Understand Your Products';
		$sampleprompts[] = 'List all of the sales packages. For each one show: the Sales Package ID number, the name of the sales package, 2022 revenue, 2023 revenue, total lifetime revenue, and the last date that somebody purchased that sales package.';
		
		$sampletitles[] = 'Lookup A Member\'s Purchases';
		$sampleprompts[] = 'What is the total amount purchased by John Doe in the last 30 days?';
		
		$sampletitles[] = 'Get Insights Into Your Site\'s Revenue';
		$sampleprompts[] = 'Which product generated the highest revenue in the past month?';
		
		$sampletitles[] = 'See Sales For A Specific Product';
		$sampleprompts[] = 'What were the month-by-month sales of Sales Package #1 since January 2022?';
		
		$sampletitles[] = 'Understand Your Membership Levels';
		$sampleprompts[] = 'Which members have a lifetime Gold membership?';
		
		$sampletitles[] = 'View Referral Stats';
		$sampleprompts[] = 'Make a leaderboard showing the top 10 referrers between February 1, 2023 and February 28, 2023';
		
		$sampletitles[] = 'Dig Deeper Into Your Stats';
		$sampleprompts[] = 'Which affiliates have the highest percentage of referrals who have never logged into their accounts?';
		
		$sampletitles[] = 'View Your Sales Results Over Time';
		$sampleprompts[] = 'Show the year-over-year increase or decline in sales for each month since January 2021';
		
		$sampletitles[] = 'Get Useful Comparisons Between Different Products';
		$sampleprompts[] = 'Did subscription or non-subscription products generate more revenue in 2022?';
	}
	
	$samplecount = max(count($sampletitles), count($sampleprompts));
	
	if ($samplecount > 0) {
		$samplecode .= '<br><br><h1 class="display-4" style="font-size:32px;">Things You Can Ask...</h1>';
		for ($i = 0; $i < $samplecount; $i++) {
			if (isset($sampletitles[$i]) && isset($sampleprompts[$i])) {
				$samplecode .= '<div class="card bg-info text-light">
							<div class="card-body py-4">
								<div class="media">
									<div class="media-body">
										<h3 class="mb-2">'.$sampletitles[$i].'</h3>
										<div class="mb-0">"'.$sampleprompts[$i].'"</div>
									</div>
								</div>
							</div>
						</div>';
			}
		}
	}
	
	return $samplecode;
}

if ($aiid > 0) {
	$getaidata = lfmsql_query("SELECT name, aidata FROM `geniuxs_ai` WHERE id='".$aiid."'") or die(lfmsql_error());
	$ainame = lfmsql_result($getaidata, 0, "name");
	$aidata = lfmsql_result($getaidata, 0, "aidata");
	$aidataarray = json_decode($aidata, true);
	$userinfo = $aidataarray['userinfo'];
	$apifilename = 'geniuxs_ai_api.php';
	$apipostdata = "&ainame=".urlencode(base64_encode($ainame));
	$apipostdata .= "&aidata=".urlencode(base64_encode($aidata));
} elseif ($templatesai == 1) {
	$ainame = 'Page Editor AI';
	$userinfo = 'This AI helps with editing HTML and writing content for your Templates and Content Pages. In your prompt, specify the title of the template or page you want to work with, and any changes you want the AI to make. It\'s important to note that the AI doesn\'t actually see your pages the same way that a person would. So if you have an image on your page, it would only know what that image is from an alt tag or the name of the file. It also doesn\'t search the web beyond your own website, so if you want the AI to add a video or image to your page, be sure to give it the URL of the content you want to add.';
	$apifilename = 'geniuxs_ai_templates.php';
	$apipostdata = "";
} else {
	$ainame = 'LFM AI';
	$userinfo = 'The LFM AI can answer general questions about your members, membership levels, sales packages, and purchases made at your site. See the list below for just a few examples of the many things the AI can find for you. Just like any other assistant, AIs can potentially make mistakes, or misunderstand what you are asking, so it\'s important to verify any information the AI provides before making major decisions.';
	$apifilename = 'geniuxs_ai_admin.php';
	$apipostdata = "";
}

echo('<h1 class="display-4" style="font-size:32px;">'.$ainame.'</h1>
<p style="font-size:18px;">'.$userinfo.'</p>
<hr>
	<div id="loadingpage" style="display:none;">
	  <h1 class="display-4" style="font-size:36px; text-align:center">I\'m Working On Your Request...</h1>
	  <br><br><div class="atomloading-loader"><div class="atomloading-inner atomloading-one-dark"></div><div class="atomloading-inner atomloading-two-dark"></div><div class="atomloading-inner atomloading-three-dark"></div></div><br><br>
	  <h1 class="display-4" style="font-size:26px; text-align:center">This could take a few moments</h1>
	</div>');

$outputcode = '';
$responseform = '';

$selectcount = 0;

if (isset($_POST['userprompt']) && strlen($_POST['userprompt']) > 0) {
	
	echo('<script>showLoading();</script>');
	
	$userprompt = stripslashes($_POST['userprompt']);
	
	$data = "genkey=".$genkey;
	$data .= "&datetime=".urlencode(base64_encode(date("Y-m-d H:i:s")));
	
	if ($templatesai == 1) {
		
		$templatelist = '';
		
		$getaccounts=lfmsql_query("Select template_id, template_title from `".$prefix."templates` where template_type='page' order by template_id asc");
		while($row=lfmsql_fetch_array($getaccounts)) {
			$templatelist .= '#'.$row['template_id'].' = "'.$row['template_title'].'"
';
		}
		
		$getaccounts=lfmsql_query("Select pageid, pagename from `".$prefix."memberpages` where isfile=0 order by pageid asc");
		while($row=lfmsql_fetch_array($getaccounts)) {
			$templateid = 100000 + $row['pageid'];
			$templatelist .= '#'.$templateid.' = "'.$row['pagename'].'"
';
		}
		
		$getaccounts=lfmsql_query("Select mtid, accname from `".$prefix."membertypes` order by mtid asc");
		while($row=lfmsql_fetch_array($getaccounts)) {
			$templateid = 200000 + $row['mtid'];
			$templatelist .= '#'.$templateid.' = "Members Area for '.$row['accname'].'"
';
		}
		
		
		$data .= "&templatelist=".urlencode(base64_encode($templatelist));
		
	} else {
		
		$mtypeinfo = '';
		$getaccounts=lfmsql_query("Select mtid, accname from `".$prefix."membertypes` order by mtid asc");
		while($row=lfmsql_fetch_array($getaccounts)) {
			$mtypeinfo .= 'mtid #'.$row['mtid'].' = "'.$row['accname'].'"
';
		}
		
		$data .= "&mtypeinfo=".urlencode(base64_encode($mtypeinfo));
		
	}
	
	$data .= $apipostdata;
	
	if (isset($_POST['lastrequest']) && strlen($_POST['lastrequest']) > 0) {
		$data .= "&followupprompt=".urlencode(base64_encode($userprompt));
		$data .= "&lastrequest=".$_POST['lastrequest'];
	} else {
		$data .= "&userprompt=".urlencode(base64_encode($userprompt));
	}
	
	$outputcode = geniuxsAiCall($apifilename.'?sourcedomain='.$sourcedomain.'&script='.get_script_type().'&vers='.get_script_vers().'&selectcount='.$selectcount, $data);
	
	if ($outputcode === false || strlen($outputcode) < 1) {
		echo("Could not connect to GeniuXs <script>stopLoading();</script>");
		exit;
	} else {
		
		$startrequestid = stripos($outputcode, 'RequestID:');
		if ($startrequestid !== false) {
			$requestid = trim(substr($outputcode, $startrequestid+10));
			$endrequestid = stripos($requestid, ':EndRequestID');
			$requestid = trim(substr($requestid, 0, $endrequestid));
		} else {
			$requestid = 0;
		}
		
		$startgeniuxscredits = stripos($outputcode, 'CreditBalance:');
		if ($startgeniuxscredits !== false) {
			$geniuxscredits = trim(substr($outputcode, $startgeniuxscredits+14));
			$endgeniuxscredits = stripos($geniuxscredits, ':EndCreditBalance');
			$geniuxscredits = trim(substr($geniuxscredits, 0, $endgeniuxscredits));
		} else {
			$geniuxscredits = 0;
		}
		if (!isset($geniuxscredits) || !is_numeric($geniuxscredits) || $geniuxscredits < 1) {
			$geniuxscredits = 0;
		}
		
		$startprompterror = stripos($outputcode, 'PromptError:');
		if ($startprompterror !== false) {
			$prompterror = trim(substr($outputcode, $startprompterror+12));
			$endprompterror = stripos($prompterror, ':EndPromptError');
			$prompterror = trim(substr($prompterror, 0, $endprompterror));
			$prompterror = geniuxsReplaceCodes($prompterror);
			$prompterror = preg_replace_callback("/<textarea\b[^>]*>([\s\S]*?)<\/textarea\b[^>]*>/m",function($matches){return str_replace('<br />','',$matches[0]);},nl2br($prompterror));
			$responseform .= '<br><div class="alert alert-dark" role="alert">'.$prompterror.'</div><br>';
			$responseform .= '<br>
					'.geniuxsAiFollowUp($aiid, $templatesai, $requestid);
			echo('<html>
			    <body>
			        '.$responseform.'
			        <br><br>
			        '.geniuxsAiStartFresh($aiid, $templatesai, $userprompt).'
			    </body>
			</html>');
			exit;
		}
		
		if ($templatesai == 1) {
			
			$startupdateid = stripos($outputcode, 'UpdateTemplate:');
			$startupdatecode = stripos($outputcode, 'TemplateHTML:');
			if ($startupdateid !== false && $startupdatecode !== false) {
				$updateid = trim(substr($outputcode, $startupdateid+15));
				$endupdateid = stripos($updateid, ':EndUpdateTemplate');
				$updateid = trim(substr($updateid, 0, $endupdateid));
				
				$updatecode = trim(substr($outputcode, $startupdatecode+13));
				$endupdatecode = stripos($updatecode, ':EndTemplateHTML');
				$updatecode = trim(substr($updatecode, 0, $endupdatecode));
				
				$updatecode = base64_decode($updatecode);
				
				lfmsql_query("DELETE from `geniuxs_ai_templates` where templateid=".$updateid);
				lfmsql_query("INSERT INTO `geniuxs_ai_templates` (templateid, updated, newcode) VALUES ('".$updateid."', NOW(), '".addslashes($updatecode)."')") or die(lfmsql_error());
				
				$responseform .= '<br><h2>Please review the changes below</h2>
				<a href="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'&savetemplate='.$updateid.'" class="btn btn-success btn-lg">Save Changes</a>
				<a href="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'" class="btn btn-danger btn-lg">Discard Changes</a>
				<br>
				<hr>
				<br>
				<h3>New Version:</h3>
				<iframe style="width:100%; height:500px;" src="/geniuxs_templatepreview.php?templateid='.$updateid.'&newversion=1">Error: Frames disabled</iframe>
				<br>
				<hr>
				<br>
				<h3>Previous Version:</h3>
				<iframe style="width:100%; height:500px;" src="/geniuxs_templatepreview.php?templateid='.$updateid.'&newversion=0">Error: Frames disabled</iframe>
				<br>';
				
				echo('<html>
				    <body>
				        '.$responseform.'
				    </body>
				    <script>stopLoading();</script>
				</html>');
				exit;
			}
			
			$startgettemplate = stripos($outputcode, 'GetTemplate:');
			if ($startgettemplate === false) {
				echo("Invalid AI Response <script>stopLoading();</script>");
				exit;
			} else {
				
				$gettemplateid = trim(substr($outputcode, $startgettemplate+12));
				$endgettemplate = stripos($gettemplateid, ':EndGetTemplate');
				$gettemplateid = trim(substr($gettemplateid, 0, $endgettemplate));
				
				if (!is_numeric($gettemplateid)) {
					echo("Invalid Template ID: ".$gettemplateid." <script>stopLoading();</script>");
					exit;
				}
				
				$templatecode = '';
				
				if ($gettemplateid > 200000) {
					// Members Area Template
					$gettemplateid = $gettemplateid - 200000;
					$gettemplate=lfmsql_query("Select template_data from ".$prefix."membertypes WHERE mtid=".$gettemplateid);
					if (lfmsql_num_rows($gettemplate) < 1) {
						echo("Could Not Find Template ID: ".$gettemplateid." <script>stopLoading();</script>");
						exit;
					}
					$templatecode = lfmsql_result($gettemplate, 0, "template_data");
				} elseif ($gettemplateid > 100000) {
					// Members Page Template
					$gettemplateid = $gettemplateid - 100000;
					$gettemplate=lfmsql_query("Select pagedata from `".$prefix."memberpages` where pageid=".$gettemplateid);
					if (lfmsql_num_rows($gettemplate) < 1) {
						echo("Could Not Find Template ID: ".$gettemplateid." <script>stopLoading();</script>");
						exit;
					}
					$templatecode = lfmsql_result($gettemplate, 0, "pagedata");
				} else {
					$gettemplate=lfmsql_query("Select template_data from `".$prefix."templates` where template_id=".$gettemplateid);
					if (lfmsql_num_rows($gettemplate) < 1) {
						echo("Could Not Find Template ID: ".$gettemplateid." <script>stopLoading();</script>");
						exit;
					}
					$templatecode = lfmsql_result($gettemplate, 0, "template_data");
				}
				
				if (strlen($templatecode) < 1) {
					$templatecode = '(This is a new page)';
				} else {
					$templatecode = html_entity_decode($templatecode);
				}
						// Send The Template To GeniuXs
						
						$data = "genkey=".$genkey;
						$data .= "&datetime=".urlencode(base64_encode(date("Y-m-d H:i:s")));
						$data .= "&templatelist=".urlencode(base64_encode($templatelist));
						$data .= $apipostdata;
						$data .= "&requestid=".$requestid;
						
						$data .= "&sendtemplate=".urlencode(base64_encode($templatecode));
						
						$outputcode = geniuxsAiCall($apifilename.'?sourcedomain='.$sourcedomain.'&script='.get_script_type().'&vers='.get_script_vers(), $data);
						
						if ($outputcode === false || strlen($outputcode) < 1) {
							echo("Could not connect to GeniuXs to send the template <script>stopLoading();</script>");
							exit;
						} else {
							
							$startprompterror = stripos($outputcode, 'PromptError:');
							if ($startprompterror !== false) {
								$prompterror = trim(substr($outputcode, $startprompterror+12));
								$endprompterror = stripos($prompterror, ':EndPromptError');
								$prompterror = trim(substr($prompterror, 0, $endprompterror));
								$prompterror = geniuxsReplaceCodes($prompterror);
								$prompterror = preg_replace_callback("/<textarea\b[^>]*>([\s\S]*?)<\/textarea\b[^>]*>/m",function($matches){return str_replace('<br />','',$matches[0]);},nl2br($prompterror));
								$responseform .= '<br><div class="alert alert-dark" role="alert">'.$prompterror.'</div><br>';
								$responseform .= '<br>
										'.geniuxsAiFollowUp($aiid, $templatesai, $requestid);
								echo('<html>
								    <body>
								        '.$responseform.'
								        <br><br>
								        '.geniuxsAiStartFresh($aiid, $templatesai, $userprompt).'
								    </body>
								</html>');
								exit;
							}
							
							$startupdateid = stripos($outputcode, 'UpdateTemplate:');
							$startupdatecode = stripos($outputcode, 'TemplateHTML:');
							if ($startupdateid !== false && $startupdatecode !== false) {
								$updateid = trim(substr($outputcode, $startupdateid+15));
								$endupdateid = stripos($updateid, ':EndUpdateTemplate');
								$updateid = trim(substr($updateid, 0, $endupdateid));
								
								$updatecode = trim(substr($outputcode, $startupdatecode+13));
								$endupdatecode = stripos($updatecode, ':EndTemplateHTML');
								$updatecode = trim(substr($updatecode, 0, $endupdatecode));
								
								$updatecode = base64_decode($updatecode);
								
								lfmsql_query("DELETE from `geniuxs_ai_templates` where templateid=".$updateid);
								lfmsql_query("INSERT INTO `geniuxs_ai_templates` (templateid, updated, newcode) VALUES ('".$updateid."', NOW(), '".addslashes($updatecode)."')") or die(lfmsql_error());
								
								$responseform .= '<br><h2>Please review the changes below</h2>
								<a href="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'&savetemplate='.$updateid.'" class="btn btn-success btn-lg">Save Changes</a>
								<a href="admin.php?f=geniuxsadmin&aiid='.$aiid.'&templatesai='.$templatesai.'" class="btn btn-danger btn-lg">Discard Changes</a>
								<br>
								<hr>
								<br>
								<h3>New Version:</h3>
								<iframe style="width:100%; height:500px;" src="/geniuxs_templatepreview.php?templateid='.$updateid.'&newversion=1">Error: Frames disabled</iframe>
								<br>
								<hr>
								<br>
								<h3>Previous Version:</h3>
								<iframe style="width:100%; height:500px;" src="/geniuxs_templatepreview.php?templateid='.$updateid.'&newversion=0">Error: Frames disabled</iframe>
								<br>';
								
								echo('<html>
								    <body>
								        '.$responseform.'
								    </body>
								    <script>stopLoading();</script>
								</html>');
								exit;
							}
							
						}
					
				
			}
		}
		
		$startquerydata = stripos($outputcode, 'SelectQuery:');
		if ($startquerydata === false) {
			echo("Invalid AI Response <script>stopLoading();</script>");
			exit;
		} else {
			
			while ($selectcount <= 5 && stripos($outputcode, 'SelectQuery:') !== false) {
				
				$sqlquery = trim(substr($outputcode, $startquerydata+12));
				$endquerydata = stripos($sqlquery, ':EndSelectQuery');
				$sqlquery = trim(substr($sqlquery, 0, $endquerydata));
				$sqlquery = base64_decode($sqlquery);
				
				$startsubject = stripos($sqlquery, 'SELECT');
				
				if ($startsubject === false) {
					echo("Invalid Select Statement <script>stopLoading();</script>");
					exit;
				} else {
					
					$sqlquery = substr($sqlquery, $startsubject);
					
					$endquery = strpos($sqlquery, ';');
					
					if ($endquery === false) {
						echo("Broken Select Statement <script>stopLoading();</script>");
						exit;
					} else {
						
						$sqlquery = trim(substr($sqlquery, 0, $endquery)).';';
						
						if (!$runquery = lfmsql_query($sqlquery)) {
							// Retry the query
							
							$data = "genkey=".$genkey;
							$data .= "&datetime=".urlencode(base64_encode(date("Y-m-d H:i:s")));
							$data .= "&mtypeinfo=".urlencode(base64_encode($mtypeinfo));
							$data .= $apipostdata;
							$data .= "&requestid=".$requestid;
							
							$data .= "&errorprompt=".urlencode(base64_encode(lfmsql_error()));
							
							$outputcode = geniuxsAiCall($apifilename.'?sourcedomain='.$sourcedomain.'&script='.get_script_type().'&vers='.get_script_vers().'&selectcount='.$selectcount, $data);
							
							if ($outputcode === false || strlen($outputcode) < 1) {
								echo("Could not connect to GeniuXs for error correction <script>stopLoading();</script>");
								exit;
							} else {
								
								$startprompterror = stripos($outputcode, 'PromptError:');
								if ($startprompterror !== false) {
									$prompterror = trim(substr($outputcode, $startprompterror+12));
									$endprompterror = stripos($prompterror, ':EndPromptError');
									$prompterror = trim(substr($prompterror, 0, $endprompterror));
									$responseform .= '<br><div class="alert alert-danger" role="alert">I encountered an issue while trying to find that information: '.$prompterror.'</div><br>';
									echo('<html>
									    <body>
									        '.$responseform.'
									        <br><br>
									        '.geniuxsAiUserPrompt($aiid, $templatesai, $userprompt).'
									    </body>
									    <script>stopLoading();</script>
									</html>');
									exit;
								}
								
								$startquerydata = stripos($outputcode, 'SelectQuery:');
								if ($startquerydata === false) {
									echo("Invalid Query Data for error correction <script>stopLoading();</script>");
									exit;
								} else {
									
									$sqlquery = trim(substr($outputcode, $startquerydata+12));
									$endquerydata = stripos($sqlquery, ':EndSelectQuery');
									$sqlquery = trim(substr($sqlquery, 0, $endquerydata));
									$sqlquery = base64_decode($sqlquery);
									
									$startsubject = stripos($sqlquery, 'SELECT');
									
									if ($startsubject === false) {
										echo("Invalid Select Statement for error correction <script>stopLoading();</script>");
										exit;
									} else {
										
										$sqlquery = substr($sqlquery, $startsubject);
										
										$endquery = strpos($sqlquery, ';');
										
										if ($endquery === false) {
											echo("Broken Select Statement for error correction <script>stopLoading();</script>");
											exit;
										} else {
											
											$sqlquery = trim(substr($sqlquery, 0, $endquery)).';';
										}
									}
								}
							}
						}
						
						
						if (!$runquery = lfmsql_query($sqlquery)) {
							$responseform .= '<br><div class="alert alert-danger" role="alert">I encountered a database error while trying to find that information, and could not find a way to correct it. I got the error '.lfmsql_error().' after trying to run the query '.$sqlquery.'</div><br>';
									echo('<html>
									    <body>
									        '.$responseform.'
									        <br><br>
									        '.geniuxsAiUserPrompt($aiid, $templatesai, $userprompt).'
									    </body>
									    <script>stopLoading();</script>
									</html>');
									exit;
						} else {
						
							$rawresults = '';
							$processedresults = '';
							$tableoutput = '';
							
							if (lfmsql_num_rows($runquery) < 1) {
								$rawresults = '0 rows returned';
							} else {
								$rowcounter = 0;
								while (($rowinfo = mysqli_fetch_assoc($runquery)) && $rowcounter <= 100 && strlen($rawresults) <= 5000) {
									foreach ($rowinfo as $cell) {
										$rawresults .= '"'.$cell.'",';
									}
									$rawresults = substr($rawresults, 0, -1);
									$rawresults .= "\n";
									$rowcounter = $rowcounter + 1;
								}
								mysqli_data_seek($runquery, 0);
								if ($rowcounter > 100) {
									$rawresults .= "Note: Results were truncated to 100 rows";
								} elseif (strlen($rawresults) > 5000) {
									$rawresults .= "Note: Results were truncated to 5000 characters";
								}
								$rawresults = trim($rawresults);
							}
							
							if (strlen($rawresults) > 0) {
								
								$selectcount = $selectcount + 1;
								
								// Send results for processing
								
								$data = "genkey=".$genkey;
								$data .= "&datetime=".urlencode(base64_encode(date("Y-m-d H:i:s")));
								$data .= "&mtypeinfo=".urlencode(base64_encode($mtypeinfo));
								$data .= $apipostdata;
								$data .= "&requestid=".$requestid;
								
								$data .= "&sqlresults=".urlencode(base64_encode($rawresults));
								
								$outputcode = geniuxsAiCall($apifilename.'?sourcedomain='.$sourcedomain.'&script='.get_script_type().'&vers='.get_script_vers().'&selectcount='.$selectcount, $data);
								
								if ($outputcode === false || strlen($outputcode) < 1) {
									echo("Could not connect to GeniuXs for result processing <script>stopLoading();</script>");
									exit;
								} else {
									
									$startprompterror = stripos($outputcode, 'PromptError:');
									if ($startprompterror !== false) {
										$prompterror = trim(substr($outputcode, $startprompterror+12));
										$endprompterror = stripos($prompterror, ':EndPromptError');
										$prompterror = trim(substr($prompterror, 0, $endprompterror));
										$prompterror = geniuxsReplaceCodes($prompterror);
										$prompterror = preg_replace_callback("/<textarea\b[^>]*>([\s\S]*?)<\/textarea\b[^>]*>/m",function($matches){return str_replace('<br />','',$matches[0]);},nl2br($prompterror));
										$responseform .= '<br><div class="alert alert-dark" role="alert">'.$prompterror.'</div><br>';
										if (lfmsql_num_rows($runquery) > 1) {
											// Output a table
											$tablecolumns = '';
											while ($finfo = mysqli_fetch_field($runquery)) {
												$tablecolumns .= '<th>'.$finfo->name.'</th>';
											}
											
											$tableoutput = '<br><br>
												<table class="table table-striped table-bordered table-hover" id="airesultstable">
												
												<thead class="thead-dark">
												<tr>
												'.$tablecolumns.'
												</tr>
												</thead>
												
												<tfoot class="searchrow_header">
												<tr>
												'.$tablecolumns.'
												</tr>
												</tfoot>
												
												<tbody>';
												while ($rowinfo = mysqli_fetch_assoc($runquery)) {
													$tableoutput .= '<tr>';
													foreach ($rowinfo as $cell) {
														$tableoutput .= "<td>" . htmlspecialchars($cell) . "</td>";
													}
													$tableoutput .= '</tr>';
												}
												$tableoutput .= '</tbody>
												</table>
												
												<!-- Datatables Stylesheet -->
												<link href="libraries/datatables/datatables.css" rel="stylesheet" type="text/css" />
												<link href="../lib/datatables/css/buttons.bootstrap4.min.css" rel="stylesheet" type="text/css" />
												
												<!-- Datatables Javascript -->
												<script type="text/javascript" src="../lib/jszip/jszip.min.js"></script>
												<script type="text/javascript" src="../lib/pdfmake/pdfmake.min.js"></script>
												<script type="text/javascript" src="../lib/pdfmake/vfs_fonts.js"></script>
												
												<script type="text/javascript" src="libraries/datatables/datatables.min.js"></script>
												
												<script type="text/javascript" src="../lib/datatables/js/dataTables.buttons.min.js"></script>
												<script type="text/javascript" src="../lib/datatables/js/buttons.bootstrap4.min.js"></script>
												<script type="text/javascript" src="../lib/datatables/js/buttons.colVis.min.js"></script>
												<script type="text/javascript" src="../lib/datatables/js/buttons.html5.min.js"></script>
												<script type="text/javascript" src="../lib/datatables/js/buttons.print.min.js"></script>
												
												<script>
												
												function checkSearchEntered() {
													$(".searchinput").each( function() {
														var thisfield = $(this);
														if(thisfield.val().length === 0) {
															thisfield.addClass(\'textempty\');
														} else {
															thisfield.removeClass(\'textempty\');
														}
													});
												}
												
												$(document).ready( function () {
												
												    $(\'#airesultstable tfoot th\').each( function () {
												        var title = $(this).text();
												        if (title == \'NOSEARCH\') {
												        	$(this).html( \'<input type="hidden" />\' );
												        } else {
												        	$(this).html( \'<input class="searchinput textempty" type="text" placeholder="&#xf002;" />\' );
												        }
												    } );
												
												    var aitable = $(\'#airesultstable\').DataTable( {
												        "lengthMenu": [ 10, 25, 50, 100, 500, 1000 ],
												        "pageLength": 10,
												        "order": [],
												        buttons: [ \'colvis\', \'copy\', \'csv\', \'excel\', \'pdf\' ],
												        initComplete: function() {
												      var api = this.api();
												      // Apply the search
												      api.columns().every(function() {
												        var that = this;
												        $(\'input\', this.footer()).on(\'keyup input change clear\', function() {
												          if (that.search() !== this.value) {
												            that
												              .search(this.value)
												              .draw();
												          }
												          checkSearchEntered();
												        });
												      });
												    }
												    } );
												    
												    aitable.buttons().container()
				    .appendTo( $(\'.col-sm-12:eq(0)\', aitable.table().container() ) );
												} );
												
												</script>
												
												<br><br>';
										}
										
										if (strlen($tableoutput) > 0) {
											$responseform .= '<br>'.$tableoutput.'<br>';
										}
										
										$responseform .= '<br>
												'.geniuxsAiFollowUp($aiid, $templatesai, $requestid);
										echo('<html>
										    <body>
										        '.$responseform.'
										        <br><br>
										        '.geniuxsAiStartFresh($aiid, $templatesai, $userprompt).'
										    </body>
										</html>');
										exit;
									}
									
									$startquerydata = stripos($outputcode, 'SelectQuery:');
									if ($startquerydata === false) {
										echo("Invalid AI Response <script>stopLoading();</script>");
										exit;
									}
								}
									
							} else {
								echo("Results were empty <script>stopLoading();</script>");
								exit;
							}
							
								
						}
					}
					
				}
			}
			
			
		}
		
	}
	
}

$data = "genkey=".$genkey;
$creditdata = geniuxsAiCall('geniuxs_ai_credits.php?sourcedomain='.$sourcedomain.'&script='.get_script_type().'&vers='.get_script_vers(), $data);

if ($creditdata === false || strlen($creditdata) < 1) {
	echo("Could not connect to GeniuXs.com");
	exit;
} else {
	
	$startgeniuxscredits = stripos($creditdata, 'CreditBalance:');
	if ($startgeniuxscredits !== false) {
		$geniuxscredits = trim(substr($creditdata, $startgeniuxscredits+14));
		$endgeniuxscredits = stripos($geniuxscredits, ':EndCreditBalance');
		$geniuxscredits = trim(substr($geniuxscredits, 0, $endgeniuxscredits));
	} else {
		$geniuxscredits = 0;
	}
	
	$startgeniuxserror = stripos($creditdata, 'CreditError:');
	if ($startgeniuxserror !== false) {
		$geniuxserror = trim(substr($creditdata, $startgeniuxserror+12));
		$endgeniuxserror = stripos($geniuxserror, ':EndCreditError');
		$geniuxserror = trim(substr($geniuxserror, 0, $endgeniuxserror));
		echo($geniuxserror);
		exit;
	}
}

if (!isset($geniuxscredits) || !is_numeric($geniuxscredits) || $geniuxscredits < 1) {
	$geniuxscredits = 0;
}

        echo($responseform);
        ?>
        <br>
        <?php
        echo(geniuxsAiUserPrompt($aiid, $templatesai, ''));
        ?>
        
    </body>
</html>