<?php

// GeniuXs AI v1.0 for LFM Scripts
// Copyright 2023 Logiscape LLC. All Rights Reserved.
// https://geniuxs.com

// Any modification, distribution, or use of this file is governed
// by the current terms of service at geniuxs.com and any additional
// license agreements for the script this file was included with.

include "../inc/checkauth.php"; 
include "../inc/funcs.php";

if(!isset($_SESSION["adminid"])) { exit; };

if (!isset($_GET['sqltest']) || strlen($_GET['sqltest']) < 10) {
	echo("Invalid Input");
	exit;
}

?>
<!doctype html>
<html lang="en">

<head>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<!-- Legacy Stylesheet -->
	<link href="style_files/css/lfm_legacy_styles.css" rel="stylesheet" type="text/css" />
	
	<!-- Bootstrap Stylesheet -->
	<link href="style_files/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
	
	<!-- Font Awesome Free Stylesheet -->
	<link href="style_files/css/fontawesome-icons.min.css" rel="stylesheet" type="text/css" />
	
	<!-- Main LFM Admin Stylesheet -->
	<link href="style_files/css/lfm_admin_bootstrap4.css" rel="stylesheet" type="text/css" />
	
</head>
<body>

	<!-- Required Bootstrap Javascript Files -->
	<script src="style_files/js/jquery.min.js"></script>
	<script src="style_files/js/bootstrap.bundle.min.js"></script>
	
<div class="container-fluid">

<?php

$sqlquery = base64_decode($_GET['sqltest']);

$startsubject = stripos($sqlquery, 'SELECT');

if ($startsubject === false) {
	echo("The response must be a valid SELECT SQL query");
	exit;
} else {
	
	$sqlquery = substr($sqlquery, $startsubject);
	
	$endquery = strpos($sqlquery, ';');
	
	if ($endquery === false) {
		echo("The response must end with a ; symbol");
		exit;
	} else {
		
		$sqlquery = trim(substr($sqlquery, 0, $endquery)).';';
		
		if (!$runquery = lfmsql_query($sqlquery)) {
			echo("Your SQL query resulted in the following error: <div class=\"alert alert-dark\" role=\"alert\">".lfmsql_error()."</div>");
			exit;
		} else {
		
			$rawresults = '';
			$tableoutput = '';
			
			if (lfmsql_num_rows($runquery) < 1) {
				$rawresults = '0 rows returned';
			} elseif (lfmsql_num_rows($runquery) < 2) {
				// Process the results for 1 result
				while ($rowinfo = mysqli_fetch_assoc($runquery)) {
					foreach ($rowinfo as $cell) {
						$rawresults .= '"'.$cell.'",';
					}
					$rawresults = substr($rawresults, 0, -1);
					$rawresults .= "\n";
				}
				$rawresults = trim($rawresults);
			} else {
				// Output a table for multiple results
				
				if (lfmsql_num_rows($runquery) < 3) {
					while ($rowinfo = mysqli_fetch_assoc($runquery)) {
						foreach ($rowinfo as $cell) {
							$rawresults .= '"'.$cell.'",';
						}
						$rawresults = substr($rawresults, 0, -1);
						$rawresults .= "\n";
					}
					$rawresults = trim($rawresults);
					mysqli_data_seek($runquery, 0);
				}
				
				$tablecolumns = '';
				while ($finfo = mysqli_fetch_field($runquery)) {
					$tablecolumns .= '<th>'.$finfo->name.'</th>';
				}
				
				$tableoutput = '<br><br>
					<table class="table table-striped table-bordered table-hover" id="airesultstable">
					
					<thead class="thead-dark">
					<tr>
					'.$tablecolumns.'
					</tr>
					</thead>
					
					<tfoot class="searchrow_header">
					<tr>
					'.$tablecolumns.'
					</tr>
					</tfoot>
					
					<tbody>';
					while ($rowinfo = mysqli_fetch_assoc($runquery)) {
						$tableoutput .= '<tr>';
						foreach ($rowinfo as $cell) {
							$tableoutput .= "<td>" . htmlspecialchars($cell) . "</td>";
						}
						$tableoutput .= '</tr>';
					}
					$tableoutput .= '</tbody>
					</table>
					
					<!-- Datatables Stylesheet -->
					<link href="libraries/datatables/datatables.css" rel="stylesheet" type="text/css" />
					<link href="../lib/datatables/css/buttons.bootstrap4.min.css" rel="stylesheet" type="text/css" />
					
					<!-- Datatables Javascript -->
					<script type="text/javascript" src="../lib/jszip/jszip.min.js"></script>
					<script type="text/javascript" src="../lib/pdfmake/pdfmake.min.js"></script>
					<script type="text/javascript" src="../lib/pdfmake/vfs_fonts.js"></script>
					
					<script type="text/javascript" src="libraries/datatables/datatables.min.js"></script>
					
					<script type="text/javascript" src="../lib/datatables/js/dataTables.buttons.min.js"></script>
					<script type="text/javascript" src="../lib/datatables/js/buttons.bootstrap4.min.js"></script>
					<script type="text/javascript" src="../lib/datatables/js/buttons.colVis.min.js"></script>
					<script type="text/javascript" src="../lib/datatables/js/buttons.html5.min.js"></script>
					<script type="text/javascript" src="../lib/datatables/js/buttons.print.min.js"></script>
					
					<script>
					
					function checkSearchEntered() {
						$(".searchinput").each( function() {
							var thisfield = $(this);
							if(thisfield.val().length === 0) {
								thisfield.addClass(\'textempty\');
							} else {
								thisfield.removeClass(\'textempty\');
							}
						});
					}
					
					$(document).ready( function () {
					
					    $(\'#airesultstable tfoot th\').each( function () {
					        var title = $(this).text();
					        if (title == \'NOSEARCH\') {
					        	$(this).html( \'<input type="hidden" />\' );
					        } else {
					        	$(this).html( \'<input class="searchinput textempty" type="text" placeholder="&#xf002;" />\' );
					        }
					    } );
					
					    var aitable = $(\'#airesultstable\').DataTable( {
					        "lengthMenu": [ 10, 25, 50, 100, 500, 1000 ],
					        "pageLength": 10,
					        "order": [],
					        buttons: [ \'colvis\', \'copy\', \'csv\', \'excel\', \'pdf\' ],
					        initComplete: function() {
					      var api = this.api();
					      // Apply the search
					      api.columns().every(function() {
					        var that = this;
					        $(\'input\', this.footer()).on(\'keyup input change clear\', function() {
					          if (that.search() !== this.value) {
					            that
					              .search(this.value)
					              .draw();
					          }
					          checkSearchEntered();
					        });
					      });
					    }
					    } );
					    
					    aitable.buttons().container().appendTo( $(\'.col-sm-12:eq(0)\', aitable.table().container() ) );
					} );
					
					</script>
					
					<br><br>';
			}

			echo('Your statement ran successfully. Ensure that the results below are what you expected the query to return:');
			
			if (strlen($tableoutput) > 0) {
				echo('<br>'.$tableoutput.'<br>');
			} elseif (strlen($rawresults) > 0) {
				$rawresults = nl2br($rawresults);
				echo('<div class="alert alert-dark" role="alert">'.$rawresults.'</div><br>');
			}
			
			
		}
	}
	
}

?>

</div>

</body>
</html>