<?php

// HitsConnect IP ID
// Written For TMS/LFM, LFMTE, and LFMVM Scripts
// Updated June 22, 2020
// hcipid_dl.php

require_once "../inc/filter.php";
require_once "../inc/funcs.php";

// Prevent anyone who isn't logged in from opening this page
include "../inc/checkauth.php"; 
if(!isset($_SESSION["adminid"])) { exit; };

// Set the database tables/columns names
$lfm_members_table = $prefix."members";
$lfm_firstname_col = 'firstname';
$lfm_lastname_col = 'lastname';
$lfm_email_col = 'email';

$lfm_lastlogin_col = 'lastlogin';
$lfm_lastip_col = 'lastip';
$lfm_joindate_col = 'joindate';
$lfm_signupip_col = 'signupip';

// Generate the IP ID file

$ipidoutput = '';
$iplist = array();

// Get member login log
$getmembers = lfmsql_query("SELECT a.ipaddress AS ipaddress, a.logtime AS lastlogin, b.firstname AS firstname, b.lastname AS lastname, b.email AS email FROM ".$prefix."login_log a LEFT JOIN ".$prefix."members b ON (a.userid=b.Id) WHERE a.invalidlogin=0 ORDER BY lastlogin DESC") or die(lfmsql_error());
while ($row = lfmsql_fetch_array($getmembers)) {
	$ipaddress = $row['ipaddress'];
	if (strlen($ipaddress) >= 7 && !isset($iplist[$ipaddress])) {
		$iplist[$ipaddress] = 1;
		$recordtime = $row['lastlogin'];
		$ipname = text_filter($row['firstname'], 1)." ".text_filter($row['lastname'], 1);
		$ipgravatar = md5($row['email']);
		$ipidoutput .= $ipaddress.','.$recordtime.','.$ipname.','.$ipgravatar."\n";
	}
}

// Get members who have logged in
$getmembers = lfmsql_query("SELECT ".$lfm_lastip_col." AS lastip, ".$lfm_lastlogin_col." AS lastlogin, ".$lfm_firstname_col." AS firstname, ".$lfm_lastname_col." AS lastname, ".$lfm_email_col." AS email FROM ".$lfm_members_table." WHERE ".$lfm_lastip_col." != '' ORDER BY ".$lfm_lastlogin_col." DESC") or die(lfmsql_error());
while ($row = lfmsql_fetch_array($getmembers)) {
	$ipaddress = $row['lastip'];
	if (strlen($ipaddress) >= 7 && !isset($iplist[$ipaddress])) {
		$iplist[$ipaddress] = 1;
		$recordtime = strtotime($row['lastlogin']);
		$ipname = text_filter($row['firstname'], 1)." ".text_filter($row['lastname'], 1);
		$ipgravatar = md5($row['email']);
		$ipidoutput .= $ipaddress.','.$recordtime.','.$ipname.','.$ipgravatar."\n";
	}
}


// Get members who have not logged in
$getmembers = lfmsql_query("SELECT $lfm_signupip_col AS signupip, ".$lfm_joindate_col." AS joindate, ".$lfm_firstname_col." AS firstname, ".$lfm_lastname_col." AS lastname, ".$lfm_email_col." AS email FROM ".$lfm_members_table." WHERE ".$lfm_lastip_col." = '' ORDER BY ".$lfm_joindate_col." DESC") or die(lfmsql_error());
while ($row = lfmsql_fetch_array($getmembers)) {
	$ipaddress = $row['signupip'];
	if (strlen($ipaddress) >= 7 && !isset($iplist[$ipaddress])) {
		$iplist[$ipaddress] = 1;
		$recordtime = strtotime($row['joindate']);
		$ipname = text_filter($row['firstname'], 1)." ".text_filter($row['lastname'], 1);
		$ipgravatar = md5($row['email']);
		$ipidoutput .= $ipaddress.','.$recordtime.','.$ipname.','.$ipgravatar."\n";
	}
}

if (strlen($ipidoutput) > 0) {
	$ipidoutput = trim($ipidoutput);
	$name = $_SERVER["SERVER_NAME"];
	if (strpos($name, '.') !== false) {
		$splitname = explode('.', $name);
		$name = $splitname[0];
	}
	$name = $name.'.ipid';
	if (function_exists('gzencode')) {
		header("Content-type: application/gzip");
		$ipidoutput = gzencode($ipidoutput, 9);
	} else {
		header("Content-type: application/txt");
	}
	header("Content-length: ".strlen($ipidoutput)."");
	header("Content-Disposition: attachment; filename=$name");
	echo($ipidoutput);
	exit;
} else {
	header("Location:admin.php?f=hcipid&message=nonefound");
	exit;
}

?>