<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.54
// Copyright ©2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

function displayMacro($macroname, $macrodescr) {
	return '<div class="mb-3" style="display:flex;">
			<div style="float:left;"><button class="btn btn-primary btn-sm" onclick="copyMacro(this)">'.$macroname.'</button></div>
			<div class="ml-1" style="float:right;"> - '.$macrodescr.'</div>
			</div>';
}

$sqbaninstalled = 0;
$mbrandinstalled = 0;
$peelsinstalled = 0;
$promowallinstalled = 0;
$piggyinstalled = 0;
$widgetsinstalled = 0;

if (file_exists("sqbanners.php")) {
	$sqbaninstalled = 1;
}

if (file_exists("minibranders.php")) {
	$mbrandinstalled = 1;
}

if (file_exists("peelads.php")) {
	$peelsinstalled = 1;
}

if (file_exists("pwall.php")) {
	$promowallinstalled = 1;
}

if (file_exists("piggybank.php")) {
	$piggyinstalled = 1;
}

if (file_exists("widgetads.php")) {
	$widgetsinstalled = 1;
}

?>

<script>
	function copyMacro(macro) {
		var tempinput = document.createElement('input');
		document.body.appendChild(tempinput);
		tempinput.setAttribute('value', macro.textContent);
		tempinput.select();
		tempinput.setSelectionRange(0, 99999);
		document.execCommand("copy");
		tempinput.remove();
	}
</script>

<h2 class="mb-1">Macros List</h2>
<p>This is a list of macros you can use in your templates, e-mails, and affiliate tools to display stats and other information about your site.  Just click on a macro to copy it to your clipboard, which you can then paste where you want to use it.</p>

<div class="row">
	
	<div class="col-12 col-xl-6">
		
		<hr><h3>Individual Member Stats & Info</h3>
		
		<!-- Basic Member Information -->
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Basic Member Information</h5>
			</div>
			<div class="card-body">
				<?php
				echo(displayMacro("#FIRSTNAME#", "Member's first name"));
				
				echo(displayMacro("#LASTNAME#", "Member's last name"));
				
				echo(displayMacro("#USERNAME#", "Member's login username"));
				
				echo(displayMacro("#AFFILIATEID#", "Member's user/affiliate ID number"));
				
				echo(displayMacro("#REFURL#", "Member's referral URL/affiliate link"));
				
				echo(displayMacro("#MEMBERPHOTO#", "Member's Gravatar photo"));
				
				echo(displayMacro("#MEMBERPHOTOURL#", "Member's Gravatar photo URL"));
				
				echo(displayMacro("#SPONSORID#", "Member's referrer's User ID number"));
				
				echo(displayMacro("#SPONSORNAME#", "Member's referrer's name"));
				
				echo(displayMacro("#SPONSORPHOTO#", "Member's referrer's Gravatar photo"));
				
				echo(displayMacro("#SPONSORPHOTOURL#", "Member's referral's Gravatar photo URL"));
				?>
			</div>
		</div>
		
		<!-- Member Account Balances -->
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Member Account Balances</h5>
			</div>
			<div class="card-body">
				<?php
				echo(displayMacro("#BALANCE#", "Member's total unpaid commission cash balance"));
				
				echo(displayMacro("#BALANCE_COMMS#", "Member's unpaid commission balance earned from affiliate sales"));
				
				echo(displayMacro("#BALANCE_PRIZES#", "Member's unpaid commission balance earned from cash prizes and rewards"));
				
				if ($piggyinstalled == 1) {
					echo(displayMacro("#PIGGYBALANCE#", "Member's Piggy Bank balance"));
				}
				
				echo(displayMacro("#CREDITS#", "Member's unassigned credits balance"));
				
				echo(displayMacro("#BANNERIMPS#", "Member's unassigned banner impressions"));
				
				echo(displayMacro("#TEXTIMPS#", "Member's unassigned text impressions"));
				
				if ($sqbaninstalled == 1) {
					echo(displayMacro("#SQUAREBANNERIMPS#", "Member's unassigned square banner impressions"));
				}
				
				if ($mbrandinstalled == 1) {
					echo(displayMacro("#MINIBRANDERIMPS#", "Member's unassigned mini brander impressions"));
				}
				
				if ($peelsinstalled == 1) {
					echo(displayMacro("#PEELIMPS#", "Member's unassigned peel ad impressions"));
				}
				
				if ($widgetsinstalled == 1) {
					echo(displayMacro("#WIDGETIMPS#", "Member's unassigned widget ad impressions"));
				}
				?>
			</div>
		</div>
		
		<!-- Membership Information -->
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Member's Membership Information</h5>
			</div>
			<div class="card-body">
				<?php
				echo(displayMacro("#MEMBERSHIP#", "The name of the member's membership level"));
				
				echo(displayMacro("#MEMBERSHIP_EXPIRES#", "The expiration date of the member's membership"));
				
				echo(displayMacro("#MEMBERSHIP_SURFRATIO#", "Member's base surfing ratio (credits per click)"));
				
				echo(displayMacro("#MEMBERSHIP_SURFTIMER#", "Member's surf timer"));
				
				echo(displayMacro("#MEMBERSHIP_MAXSITES#", "Max sites the member can add"));
				
				echo(displayMacro("#MEMBERSHIP_MAXBANNERS#", "Max banners the member can add"));
				
				echo(displayMacro("#MEMBERSHIP_MAXTEXTS#", "Max text ads the member can add"));
				
				if ($sqbaninstalled == 1) {
					echo(displayMacro("#MEMBERSHIP_MAXSQUAREBANNERS#", "Max square banners the member can add"));
				}
				
				if ($mbrandinstalled == 1) {
					echo(displayMacro("#MEMBERSHIP_MAXMINIBRANDERS#", "Max mini branders the member can add"));
				}
				
				if ($peelsinstalled == 1) {
					echo(displayMacro("#MEMBERSHIP_MAXPEELS#", "Max peel ads the member can add"));
				}
				
				if ($widgetsinstalled == 1) {
					echo(displayMacro("#MEMBERSHIP_MAXWIDGETS#", "Max widget ads the member can add"));
				}
				
				echo(displayMacro("#MEMBERSHIP_MONTHLYCREDITS#", "Member's monthly credit bonus"));
				
				echo(displayMacro("#MEMBERSHIP_MONTHLYBANNERS#", "Member's monthly banner bonus"));
				
				echo(displayMacro("#MEMBERSHIP_MONTHLYTEXTS#", "Member's monthly text bonus"));
				
				if ($sqbaninstalled == 1) {
					echo(displayMacro("#MEMBERSHIP_MONTHLYSQUAREBANNERS#", "Member's monthly square banner bonus"));
				}
				
				if ($mbrandinstalled == 1) {
					echo(displayMacro("#MEMBERSHIP_MONTHLYMINIBRANDERS#", "Member's monthly mini brander bonus"));
				}
				
				if ($peelsinstalled == 1) {
					echo(displayMacro("#MEMBERSHIP_MONTHLYPEELS#", "Member's monthly peel ad bonus"));
				}
				
				if ($widgetsinstalled == 1) {
					echo(displayMacro("#MEMBERSHIP_MONTHLYWIDGETS#", "Member's monthly widget ad bonus"));
				}
				
				echo(displayMacro("#MEMBERSHIP_COMMS#", "Member's standard commission rate"));
				
				echo(displayMacro("#MEMBERSHIP_COMMS2#", "Member's 2nd level standard commission rate"));
				
				echo(displayMacro("#MEMBERSHIP_COMMSOTO#", "Member's OTO commission rate"));
				
				echo(displayMacro("#MEMBERSHIP_COMMSOTO2#", "Member's 2nd level OTO commission rate"));
				?>
			</div>
		</div>
		
		<!-- Member's Stats -->
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Member's Stats</h5>
			</div>
			<div class="card-body">
				<?php
				echo(displayMacro("#NUMREFS#", "Member's total number of referrals"));
				
				echo(displayMacro("#CLICKSTODAY#", "The number of clicks the member has made today"));
				
				echo(displayMacro("#CLICKSYESTERDAY#", "The number of clicks the member made yesterday"));
				
				echo(displayMacro("#CLICKSLAST7#", "The number of clicks the member made over the previous 7 days"));
				
				echo(displayMacro("#CREDITSTODAY#", "The number of credits the member has earned from surfing today"));
				
				echo(displayMacro("#CREDITSYESTERDAY#", "The number of credits the member earned from surfing yesterday"));
				
				echo(displayMacro("#HITSTODAY#", "The number of hits that have been delivered to the member's sites today"));
				
				echo(displayMacro("#HITSYESTERDAY#", "The number of hits that have been delivered to the member's sites yesterday"));
				
				echo(displayMacro("#HITSLAST7#", "The number of hits that have been delivered to the member's sites over the previous 7 days"));
				
				echo(displayMacro("#BANNERSTODAY#", "The number of hits that have been delivered to the member's banners today"));
				
				echo(displayMacro("#BANNERSYESTERDAY#", "The number of hits that have been delivered to the member's banners yesterday"));
				
				echo(displayMacro("#BANNERSLAST7#", "The number of hits that have been delivered to the member's banners over the previous 7 days"));
				
				echo(displayMacro("#TEXTSTODAY#", "The number of hits that have been delivered to the member's text ads today"));
				
				echo(displayMacro("#TEXTSYESTERDAY#", "The number of hits that have been delivered to the member's text ads yesterday"));
				
				echo(displayMacro("#TEXTSLAST7#", "The number of hits that have been delivered to the member's text ads over the previous 7 days"));
				
				if ($sqbaninstalled == 1) {
					echo(displayMacro("#SQUAREBANNERSTODAY#", "The number of hits that have been delivered to the member's square banners today"));
					
					echo(displayMacro("#SQUAREBANNERSYESTERDAY#", "The number of hits that have been delivered to the member's square banners yesterday"));
					
					echo(displayMacro("#SQUAREBANNERSLAST7#", "The number of hits that have been delivered to the member's square banners over the previous 7 days"));
				}
				
				if ($mbrandinstalled == 1) {
					echo(displayMacro("#MINIBRANDERSTODAY#", "The number of hits that have been delivered to the member's mini branders today"));
					
					echo(displayMacro("#MINIBRANDERSYESTERDAY#", "The number of hits that have been delivered to the member's mini branders yesterday"));
					
					echo(displayMacro("#MINIBRANDERSLAST7#", "The number of hits that have been delivered to the member's mini branders over the previous 7 days"));
				}
				
				if ($peelsinstalled == 1) {
					echo(displayMacro("#PEELSTODAY#", "The number of hits that have been delivered to the member's peel ads today"));
					
					echo(displayMacro("#PEELSYESTERDAY#", "The number of hits that have been delivered to the member's peel ads yesterday"));
					
					echo(displayMacro("#PEELSLAST7#", "The number of hits that have been delivered to the member's peel ads over the previous 7 days"));
				}
				
				if ($widgetsinstalled == 1) {
					echo(displayMacro("#WIDGETSTODAY#", "The number of hits that have been delivered to the member's widget ads today"));
					
					echo(displayMacro("#WIDGETSYESTERDAY#", "The number of hits that have been delivered to the member's widget ads yesterday"));
					
					echo(displayMacro("#WIDGETSLAST7#", "The number of hits that have been delivered to the member's widget ads over the previous 7 days"));
					
					echo(displayMacro("#WIDGETCRDTODAY#", "The number of widget credits the member earned today"));
					
					echo(displayMacro("#WIDGETCRDYESTERDAY#", "The number of widget credits the member earned yesterday"));
					
					echo(displayMacro("#WIDGETCRDLAST7#", "The number of widget credits the member earned over the previous 7 days"));
				}
				
				if ($promowallinstalled == 1) {
					echo(displayMacro("#MEMBERSTATS_PROMOWALL#", "The number of hits the member has sent to their promowall today"));
				}
				
				echo(displayMacro("#MEMBERSTATS_CURRENTSITES#", "The number of sites the member has added to their account"));
				
				echo(displayMacro("#MEMBERSTATS_CURRENTBANNERS#", "The number of banners the member has added to their account"));
				
				echo(displayMacro("#MEMBERSTATS_CURRENTTEXTS#", "The number of text ads the member has added to their account"));
				
				if ($sqbaninstalled == 1) {
					echo(displayMacro("#MEMBERSTATS_CURRENTSQUAREBANNERS#", "The number of square banner the member has added to their account"));
				}
				
				if ($mbrandinstalled == 1) {
					echo(displayMacro("#MEMBERSTATS_CURRENTMINIBRANDERS#", "The number of mini branders the member has added to their account"));
				}
				
				if ($peelsinstalled == 1) {
					echo(displayMacro("#MEMBERSTATS_CURRENTPEELS#", "The number of peel ads the member has added to their account"));
				}
				
				if ($widgetsinstalled == 1) {
					echo(displayMacro("#MEMBERSTATS_CURRENTWIDGETS#", "The number of widget ads the member has added to their account"));
				}
				?>
			</div>
		</div>
		
	</div>
	<div class="col-12 col-xl-6">
		
		<hr><h3>Site-Wide Info & Stats</h3>
		
		<!-- Basic Site Information -->
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Basic Site Information</h5>
			</div>
			<div class="card-body">
				<?php
				echo(displayMacro("#SITENAME#", "The name of your site"));
				
				echo(displayMacro("#SITESTATS_DATETIME#", "The current server date/time"));
				
				echo(displayMacro("#SITESTATS_LIVEDATETIME#", "Server clock that updates in real time<br><i>*Uses Javascript - Cannot be used in e-mails</i>"));
				?>
			</div>
		</div>
		
		<!-- General Site Stats -->
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Site General Stats</h5>
			</div>
			<div class="card-body">
				<?php
				echo(displayMacro("#SITESTATS_TOTALMEMBERS#", "Total number of members in your site"));
				
				echo(displayMacro("#SITESTATS_ACTIVEMEMBERS#", "Number of active members who have logged in within the past 30 days"));
				
				echo(displayMacro("#SITESTATS_COMMEARNED#", "Total cash earned from affiliate sales"));
				
				echo(displayMacro("#SITESTATS_CASHPRIZESEARNED#", "Total cash earned from cash prizes and rewards"));
				
				echo(displayMacro("#SITESTATS_COMMPAID#", "Total cash paid out from affiliate sales"));
				
				echo(displayMacro("#SITESTATS_CASHPRIZESPAID#", "Total cash paid out from cash prizes and rewards"));
				
				echo(displayMacro("#SITESTATS_NEWTODAY#", "Number of members who joined today"));
				
				echo(displayMacro("#SITESTATS_NEWTHISWEEK#", "Number of members who joined this week"));
				
				echo(displayMacro("#SITESTATS_NEWTHISMONTH#", "Number of members who joined this month"));
				
				echo(displayMacro("#SITESTATS_NEWTHISYEAR#", "Number of members who joined this year"));
				
				echo(displayMacro("#SITESTATS_SURFINGNOW#", "Number of members who are surfing now"));
				
				echo(displayMacro("#SITESTATS_SURFEDTODAY#", "Number of members who surfed today"));
				
				echo(displayMacro("#SITESTATS_SURFEDYESTERDAY#", "Number of members who surfed yesterday"));
				
				echo(displayMacro("#SITESTATS_SURFEDWEEK#", "Number of members who surfed this week"));
				
				echo(displayMacro("#SITESTATS_SURFEDMONTH#", "Number of members who surfed this month"));
				
				echo(displayMacro("#SITESTATS_SURFEDYEAR#", "Number of members who surfed this year"));
				?>
			</div>
		</div>
		
		<!-- Ad Stats -->
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Ad Stats</h5>
			</div>
			<div class="card-body">
				<?php
				echo(displayMacro("#SITESTATS_ROTATINGSITES#", "The number of sites currently rotating"));
				
				echo(displayMacro("#SITESTATS_ROTATINGBANNERS#", "The number of banners currently rotating"));
				
				echo(displayMacro("#SITESTATS_ROTATINGTEXTS#", "The number of text ads currently rotating"));
				
				if ($sqbaninstalled == 1) {
					echo(displayMacro("#SITESTATS_ROTATINGSQUAREBANNERS#", "The number of square banners currently rotating"));
				}
				
				if ($mbrandinstalled == 1) {
					echo(displayMacro("#SITESTATS_ROTATINGMINIBRANDERS#", "The number of mini branders currently rotating"));
				}
				
				if ($peelsinstalled == 1) {
					echo(displayMacro("#SITESTATS_ROTATINGPEELS#", "The number of peel ads currently rotating"));
				}
				
				if ($widgetsinstalled == 1) {
					echo(displayMacro("#SITESTATS_ROTATINGWIDGETS#", "The number of widget ads currently rotating"));
				}
				?>
			</div>
		</div>
		
		<!-- Ad Delivery Stats -->
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Ad Delivery Stats</h5>
			</div>
			<div class="card-body">
				<?php
				echo(displayMacro("#SITESTATS_SITEHITSTODAY#", "The number of site hits delivered today"));
				
				echo(displayMacro("#SITESTATS_SITEHITSYESTERDAY#", "The number of site hits delivered yesterday"));
				
				echo(displayMacro("#SITESTATS_BANNERHITSTODAY#", "The number of banner impressions delivered today"));
				
				echo(displayMacro("#SITESTATS_BANNERHITSYESTERDAY#", "The number of banner impressions delivered yesterday"));
				
				echo(displayMacro("#SITESTATS_TEXTHITSTODAY#", "The number of text impressions delivered today"));
				
				echo(displayMacro("#SITESTATS_TEXTHITSYESTERDAY#", "The number of text impressions delivered yesterday"));
				
				if ($sqbaninstalled == 1) {
					echo(displayMacro("#SITESTATS_SQUAREBANNERHITSTODAY#", "The number of square banner impressions delivered today"));
					
					echo(displayMacro("#SITESTATS_SQUAREBANNERHITSYESTERDAY#", "The number of square banner impressions delivered yesterday"));
				}
				
				if ($mbrandinstalled == 1) {
					echo(displayMacro("#SITESTATS_MINIBRANDERHITSTODAY#", "The number of mini brander impressions delivered today"));
					
					echo(displayMacro("#SITESTATS_MINIBRANDERHITSYESTERDAY#", "The number of mini brander impressions delivered yesterday"));
				}
				
				if ($peelsinstalled == 1) {
					echo(displayMacro("#SITESTATS_PEELHITSTODAY#", "The number of peel ad impressions delivered today"));
					
					echo(displayMacro("#SITESTATS_PEELHITSYESTERDAY#", "The number of peel ad impressions delivered yesterday"));
				}
				
				if ($widgetsinstalled == 1) {
					echo(displayMacro("#SITESTATS_WIDGETHITSTODAY#", "The number of widget ad impressions delivered today"));
					
					echo(displayMacro("#SITESTATS_WIDGETHITSYESTERDAY#", "The number of widget ad impressions delivered yesterday"));
				}
				?>
			</div>
		</div>
		
		<!-- Daily Delivery Rates -->
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Daily Delivery Rates</h5>
				<span>These are the average daily delivery rates per ad, over the last week.</span>
			</div>
			<div class="card-body">
				<?php
				echo(displayMacro("#SITESTATS_SITEHITSAVERAGE#", "The average site hits per day"));
				
				echo(displayMacro("#SITESTATS_BANNERHITSAVERAGE#", "The average banner impressions per day"));
				
				echo(displayMacro("#SITESTATS_TEXTHITSAVERAGE#", "The average text impressions per day"));
				
				if ($sqbaninstalled == 1) {
					echo(displayMacro("#SITESTATS_SQUAREBANNERHITSAVERAGE#", "The average square banner impressions per day"));
				}
				
				if ($mbrandinstalled == 1) {
					echo(displayMacro("#SITESTATS_MINIBRANDERHITSAVERAGE#", "The average mini brander impressions per day"));
				}
				
				if ($peelsinstalled == 1) {
					echo(displayMacro("#SITESTATS_PEELHITSAVERAGE#", "The average peel ad impressions per day"));
				}
				
				if ($widgetsinstalled == 1) {
					echo(displayMacro("#SITESTATS_WIDGETHITSAVERAGE#", "The average widget ad impressions per day"));
				}
				?>
			</div>
		</div>
		
		<!-- Live Macros -->
		<div class="card">
			<div class="card-header">
				<h5 class="card-title mb-0">Live Stats Macros</h5>
				<span>These macros show how many hits your site has delivered, updated in real time.  These use Javascript, so they cannot be used in e-mails.</span>
			</div>
			<div class="card-body">
				<?php
				echo(displayMacro("#SITESTATS_LIVEHITSTODAY#", "The number of hits delivered today"));
				
				echo(displayMacro("#SITESTATS_LIVEHITSWEEK#", "The number of hits delivered this week"));
				
				echo(displayMacro("#SITESTATS_LIVEHITSMONTH#", "The number of hits delivered this month"));
				
				echo(displayMacro("#SITESTATS_LIVEHITSYEAR#", "The number of hits delivered this year"));
				
				echo(displayMacro("#SITESTATS_LIVEHITSLIFE#", "The total number of hits your site has delivered"));
				?>
			</div>
		</div>
		
	</div>
</div>