<?php
// ////////////////////////////////////////////////////////////
// LFM v4.25
// Copyright 2006-2019 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";
require_once "../inc/funcs.php";

	include "../inc/config.php";
	lfmsql_connect($dbhost,$dbuser,$dbpass);
	lfmsql_select_db($dbname);

// trim the logfile to past 30 days
$tda=date("Y-m-d 00:00:00",mktime(0,0,0,date("m")-1,date("d"),date("Y")));
@lfmsql_query("DELETE FROM ".$prefix."log WHERE logtime < '$tda'");

// Downgrade cancelled subscriptions
$currentdate = date("Y-m-d");

$cancelres=@lfmsql_query("SELECT Id FROM ".$prefix."members WHERE (upgend <= '".$currentdate."' AND upgend != '0000-00-00')");
while($cancel=@lfmsql_fetch_object($cancelres)) {
	downgrade_member($cancel->Id);
}

// Delete Old Auto Track Records
$tenminago = time() - 600;
@lfmsql_query("DELETE FROM `".$prefix."autotrack` WHERE timehit < '".$tenminago."'");

//Delete Unverified Accounts
$getdeldays = lfmsql_query("Select unveridel, nodelpaid, autopermdel from ".$prefix."settings");
$deldays = lfmsql_result($getdeldays, 0, "unveridel");
if ($deldays > 0) {
	$nodelpaid = lfmsql_result($getdeldays, 0, "nodelpaid");
	$autopermdel = lfmsql_result($getdeldays, 0, "autopermdel");
	$deldate = strftime("%Y-%m-%d", strtotime("$currentdate + ".$deldays." days ago"));
	$getmembers = lfmsql_query("SELECT Id FROM ".$prefix."members WHERE status='Unverified' AND joindate < '".$deldate."' AND numLogins < 1");
	if (lfmsql_num_rows($getmembers) > 0) {
		for ($i = 0; $i < lfmsql_num_rows($getmembers); $i++) {
			$delid = lfmsql_result($getmembers, $i, "Id");
			$numpurchases = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `".$prefix."ipn_transactions` WHERE user_id='".$delid."'"), 0);
			if ($nodelpaid == 0 || $numpurchases == 0) {
				// Delete The Member
				
				$deletememid = $delid;
				
				$getmemberinfo = lfmsql_query("SELECT * FROM ".$prefix."members WHERE Id=".$deletememid);
				$memberinfo = lfmsql_fetch_array($getmemberinfo);
				
				lfmsql_query("DELETE FROM ".$prefix."membersd WHERE Id=".$deletememid." OR username='".$memberinfo['username']."' OR email='".$memberinfo['email']."'");
				
				if ($autopermdel == 0) {
					
					$getmods = lfmsql_query("Select filename from `".$prefix."delete_final_mods` where enabled=1");
					if (lfmsql_num_rows($getmods) > 0) {
					while ($modlist = lfmsql_fetch_array($getmods)) {
						$modfilename = trim($modlist['filename']);
						if (file_exists("../".$modfilename)) {
							include("../".$modfilename);
						}
					}
					}
					
					lfmsql_query("Delete from ".$prefix."oto_stats where userid=".$deletememid);
					lfmsql_query("Delete from ".$prefix."spostats where userid=".$deletememid);
					lfmsql_query("DELETE FROM ".$prefix."customvals WHERE userid=".$deletememid);
					lfmsql_query("UPDATE ".$prefix."sales SET affid=0, commission=0 WHERE affid=".$deletememid);
					
				} else {
					
					$qry="INSERT INTO ".$prefix."membersd (Id, username, firstname, lastname, email, address, city, state, postcode, country, telephone, password, refid, status, joindate, geo, paypal_email, groupid, mtype, newsletter, lastip, signupip, lastlogin, numLogins, affnotify, expirydate, paymentplan, upgend, vericode, deletedate, deletereason) VALUES (".$deletememid.", '".$memberinfo['username']."', '".$memberinfo['firstname']."', '".$memberinfo['lastname']."', '".$memberinfo['email']."', '".$memberinfo['address']."', '".$memberinfo['city']."', '".$memberinfo['state']."', '".$memberinfo['postcode']."', '".$memberinfo['country']."', '".$memberinfo['telephone']."', '".$memberinfo['password']."', '".$memberinfo['refid']."', '".$memberinfo['status']."', '".$memberinfo['joindate']."', '".$memberinfo['geo']."', '".$memberinfo['paypal_email']."', '".$memberinfo['groupid']."', '".$memberinfo['mtype']."', '".$memberinfo['newsletter']."', '".$memberinfo['lastip']."', '".$memberinfo['signupip']."', '".$memberinfo['lastlogin']."', '".$memberinfo['numLogins']."', '".$memberinfo['affnotify']."', '".$memberinfo['expirydate']."', '".$memberinfo['paymentplan']."', '".$memberinfo['upgend']."', '".$memberinfo['vericode']."', NOW(), 'Unverified for ".$deldays." days')";
					
					lfmsql_query($qry);
					
					$getmods = lfmsql_query("Select filename from `".$prefix."delete_mods` where enabled=1");
					if (lfmsql_num_rows($getmods) > 0) {
					while ($modlist = lfmsql_fetch_array($getmods)) {
						$modfilename = trim($modlist['filename']);
						if (file_exists("../".$modfilename)) {
							include("../".$modfilename);
						}
					}
					}
				}
				
				lfmsql_query("DELETE FROM ".$prefix."members WHERE Id = ".$deletememid);
			}
		}	
	}	
}

// Remind Unverified Accounts
$getremdays = lfmsql_query("Select unverirem from ".$prefix."settings");
$remdays = lfmsql_result($getremdays, 0, "unverirem");
if ($remdays > 0) {

	// Query settings table for sitename etc
	$res=@lfmsql_query("SELECT sitename,replyaddress FROM ".$prefix."settings") or die("1040: Unable to find ".$prefix."settings!");
	$row=@lfmsql_fetch_array($res);
	$sitename=$row["sitename"];
	$replyemail=$row["replyaddress"];
	
	// Get the reminder email
	$eres=lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='Verify Reminder'");
	if (lfmsql_num_rows($eres) > 0) {
		$erow=@lfmsql_fetch_array($eres);
		
		$remdate = strftime("%Y-%m-%d", strtotime("$currentdate + ".$remdays." days ago"));
		$getmem = lfmsql_query("Select email from ".$prefix."members where status='Unverified' AND DATE(joindate) = '".$remdate."'");
			
			if (lfmsql_num_rows($getmem) > 0) {
			for ($i = 0; $i < lfmsql_num_rows($getmem); $i++) {
				$member_email = lfmsql_result($getmem, $i, "email");
				$msgbody=translate_site_tags($erow["template_data"]);
				$msgbody=translate_user_tags($msgbody,$member_email);
				
				// Send message
				$headers = "From: ".$sitename." <".$replyemail.">"."\r\n";
				$headers .= "Return-Path: ".$sitename." <".$replyemail.">"."\r\n";
				$headers .= "Message-ID: <".$now." TheSystem@".$_SERVER['SERVER_NAME'].">"."\r\n";
				$subject = $sitename." Verification Reminder";
				mail($member_email,$subject,$msgbody,$headers);
			}
			}
	}
}
// End Remind Unverified Accounts

//Delete Old Suspended Accounts
$getdeldays = lfmsql_query("Select delsusp, nodelpaid, autopermdel from ".$prefix."settings");
$deldays = lfmsql_result($getdeldays, 0, "delsusp");
if ($deldays > 0) {
	$nodelpaid = lfmsql_result($getdeldays, 0, "nodelpaid");
	$autopermdel = lfmsql_result($getdeldays, 0, "autopermdel");
	$deldate = strftime("%Y-%m-%d", strtotime("$currentdate + ".$deldays." days ago"));
	$getmembers = lfmsql_query("SELECT Id FROM ".$prefix."members WHERE status='Suspended' AND lastlogin < '".$deldate."'");
	if (lfmsql_num_rows($getmembers) > 0) {
		for ($i = 0; $i < lfmsql_num_rows($getmembers); $i++) {
			$delid = lfmsql_result($getmembers, $i, "Id");
			$numpurchases = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `".$prefix."ipn_transactions` WHERE user_id='".$delid."'"), 0);
			if ($nodelpaid == 0 || $numpurchases == 0) {
				// Delete The Member
				
				$deletememid = $delid;
				
				$getmemberinfo = lfmsql_query("SELECT * FROM ".$prefix."members WHERE Id=".$deletememid);
				$memberinfo = lfmsql_fetch_array($getmemberinfo);
				
				lfmsql_query("DELETE FROM ".$prefix."membersd WHERE Id=".$deletememid." OR username='".$memberinfo['username']."' OR email='".$memberinfo['email']."'");
				
				if ($autopermdel == 0) {
					
					$getmods = lfmsql_query("Select filename from `".$prefix."delete_final_mods` where enabled=1");
					if (lfmsql_num_rows($getmods) > 0) {
					while ($modlist = lfmsql_fetch_array($getmods)) {
						$modfilename = trim($modlist['filename']);
						if (file_exists("../".$modfilename)) {
							include("../".$modfilename);
						}
					}
					}
					
					lfmsql_query("Delete from ".$prefix."oto_stats where userid=".$deletememid);
					lfmsql_query("Delete from ".$prefix."spostats where userid=".$deletememid);
					lfmsql_query("DELETE FROM ".$prefix."customvals WHERE userid=".$deletememid);
					lfmsql_query("UPDATE ".$prefix."sales SET affid=0, commission=0 WHERE affid=".$deletememid);
					
				} else {
					
					$qry="INSERT INTO ".$prefix."membersd (Id, username, firstname, lastname, email, address, city, state, postcode, country, telephone, password, refid, status, joindate, geo, paypal_email, groupid, mtype, newsletter, lastip, signupip, lastlogin, numLogins, affnotify, expirydate, paymentplan, upgend, vericode, deletedate, deletereason) VALUES (".$deletememid.", '".$memberinfo['username']."', '".$memberinfo['firstname']."', '".$memberinfo['lastname']."', '".$memberinfo['email']."', '".$memberinfo['address']."', '".$memberinfo['city']."', '".$memberinfo['state']."', '".$memberinfo['postcode']."', '".$memberinfo['country']."', '".$memberinfo['telephone']."', '".$memberinfo['password']."', '".$memberinfo['refid']."', '".$memberinfo['status']."', '".$memberinfo['joindate']."', '".$memberinfo['geo']."', '".$memberinfo['paypal_email']."', '".$memberinfo['groupid']."', '".$memberinfo['mtype']."', '".$memberinfo['newsletter']."', '".$memberinfo['lastip']."', '".$memberinfo['signupip']."', '".$memberinfo['lastlogin']."', '".$memberinfo['numLogins']."', '".$memberinfo['affnotify']."', '".$memberinfo['expirydate']."', '".$memberinfo['paymentplan']."', '".$memberinfo['upgend']."', '".$memberinfo['vericode']."', NOW(), 'Suspended for ".$deldays." days')";
					
					lfmsql_query($qry);
					
					$getmods = lfmsql_query("Select filename from `".$prefix."delete_mods` where enabled=1");
					if (lfmsql_num_rows($getmods) > 0) {
					while ($modlist = lfmsql_fetch_array($getmods)) {
						$modfilename = trim($modlist['filename']);
						if (file_exists("../".$modfilename)) {
							include("../".$modfilename);
						}
					}
					}
				}
				
				lfmsql_query("DELETE FROM ".$prefix."members WHERE Id = ".$deletememid);
			}
		}	
	}
}

// Automatically Delete Deleted Accounts
$getdeldays = lfmsql_query("Select autopermdel from ".$prefix."settings");
$autopermdel = lfmsql_result($getdeldays, 0, "autopermdel");
if ($autopermdel == 0) {
	// Accounts should be immediately deleted
	$getmembers = lfmsql_query("SELECT Id FROM ".$prefix."membersd WHERE deletereason='Deleted By Member' OR deletereason LIKE 'Unverified for%' OR deletereason LIKE 'Suspended for%'");
	if (lfmsql_num_rows($getmembers) > 0) {
		for ($i = 0; $i < lfmsql_num_rows($getmembers); $i++) {
			$delid = lfmsql_result($getmembers, $i, "Id");
			
			$deletememid = $delid;
			
			$getmods = lfmsql_query("Select filename from `".$prefix."delete_final_mods` where enabled=1");
			if (lfmsql_num_rows($getmods) > 0) {
			while ($modlist = lfmsql_fetch_array($getmods)) {
				$modfilename = trim($modlist['filename']);
				if (file_exists("../".$modfilename)) {
					include("../".$modfilename);
				}
			}
			}
			
			lfmsql_query("DELETE FROM ".$prefix."membersd WHERE Id=".$deletememid);
			lfmsql_query("Delete from ".$prefix."oto_stats where userid=".$deletememid);
			lfmsql_query("Delete from ".$prefix."spostats where userid=".$deletememid);
			lfmsql_query("DELETE FROM ".$prefix."customvals WHERE userid=".$deletememid);
			lfmsql_query("UPDATE ".$prefix."sales SET affid=0, commission=0 WHERE affid=".$deletememid);
		}
	}
} elseif ($autopermdel > 0) {
	// Accounts should be deleted after a certain number of days
	$deldate = strftime("%Y-%m-%d", strtotime("$currentdate + ".$autopermdel." days ago"));
	$getmembers = lfmsql_query("SELECT Id FROM ".$prefix."membersd WHERE deletedate < '".$deldate."' AND (deletereason='Deleted By Member' OR deletereason LIKE 'Unverified for%' OR deletereason LIKE 'Suspended for%')");
	if (lfmsql_num_rows($getmembers) > 0) {
		for ($i = 0; $i < lfmsql_num_rows($getmembers); $i++) {
			$delid = lfmsql_result($getmembers, $i, "Id");
			
			$deletememid = $delid;
			
			$getmods = lfmsql_query("Select filename from `".$prefix."delete_final_mods` where enabled=1");
			if (lfmsql_num_rows($getmods) > 0) {
			while ($modlist = lfmsql_fetch_array($getmods)) {
				$modfilename = trim($modlist['filename']);
				if (file_exists("../".$modfilename)) {
					include("../".$modfilename);
				}
			}
			}
			
			lfmsql_query("DELETE FROM ".$prefix."membersd WHERE Id=".$deletememid);
			lfmsql_query("Delete from ".$prefix."oto_stats where userid=".$deletememid);
			lfmsql_query("Delete from ".$prefix."spostats where userid=".$deletememid);
			lfmsql_query("DELETE FROM ".$prefix."customvals WHERE userid=".$deletememid);
			lfmsql_query("UPDATE ".$prefix."sales SET affid=0, commission=0 WHERE affid=".$deletememid);
		}
	}
}

if (file_exists('../cronte.php')) {
	//Run TE Cron
	include "../cronte.php";
}

if (file_exists('../cronvm.php')) {
	//Run VM Cron
	include "../cronvm.php";
}

@lfmsql_query("Update ".$prefix."settings set maintcron='$currentdate'");

?>