<?php

// LFMTE Script Update v2.54
// 2022 Logiscape.com

function updateScriptFile($filedata, $filename) {
	if (file_exists($filedata) && file_exists($filename)) {
		if (copy($filename, $filename.".bak")) {
			// Copy New File
			if (copy($filedata, $filename)) {
				@unlink($filedata);
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	} elseif (file_exists($filedata) && !file_exists($filename)) {
		// Create New File
		if (copy($filedata, $filename)) {
			@unlink($filedata);
			return true;
		} else {
			return false;
		}
	} else {
		return false;
	}
}

require_once "../../../inc/filter.php";

include "../../../inc/config.php";
require_once "../../../inc/funcs.php";
require_once "../../../inc/sql_funcs.php";
require_once "../../../inc/lfmvers.php";

$mconn=@lfmsql_connect($dbhost,$dbuser,$dbpass);
@lfmsql_select_db($dbname,$mconn) or die( "Unable to select database");

$scripttype = get_script_type();
if ($scripttype != "LFMTE") {
	echo("<br><br><font size=\"2\">This file only runs on the LFMTE script.</font><br><br>");
	exit;
}

$scriptvers = get_script_vers();
if ($scriptvers < "2.53") {
	echo("<br><br><font size=\"2\">This update requires v2.53 to be installed.</font><br><br>");
	exit;
}

if ($scriptvers >= "2.54") {
	echo("<br><br><font size=\"2\">The v2.54 update is already installed.</font><br><br>");
	exit;
}


if ($scriptvers < "2.54") {
	
	// Start v2.54 Updates
	
	// Database Updates
	
	$checkexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `".$prefix."memgrid` WHERE `field`='showwidgets'"), 0);
	if ($checkexists < 1) {
		lfmsql_query("INSERT INTO `".$prefix."memgrid` (`field`, `value`) VALUES ('showwidgets', '0')");
	}
	
	@lfmsql_query("ALTER TABLE `".$prefix."prizelog` ADD `widgetads` INT(11) NOT NULL DEFAULT '0' AFTER `podpoints`");
	@lfmsql_query("ALTER TABLE `".$prefix."datestats` ADD `perwidgetad` INT(11) NOT NULL DEFAULT '0' AFTER `perpeel`;");
	@lfmsql_query("ALTER TABLE `".$prefix."surflogs` ADD `widgetdeliver` INT(11) NOT NULL DEFAULT '0' AFTER `peeldeliver`;");
	@lfmsql_query("ALTER TABLE `".$prefix."surflogs` ADD `widgetcredit` INT(11) NOT NULL DEFAULT '0' AFTER `widgetdeliver`;");
	
	// Update Files
	
	updateScriptFile("macros_list.txt", "../../macros_list.php");
	updateScriptFile("giveprize.txt", "../../giveprize.php");
	updateScriptFile("giveprize_pop.txt", "../../giveprize_pop.php");
	updateScriptFile("membermanagement.txt", "../../membermanagement.php");
	updateScriptFile("membermanagement_ajax.txt", "../../membermanagement_ajax.php");
	updateScriptFile("memgrid.txt", "../../memgrid.php");
	
	updateScriptFile("graphdashboard.txt", "../../widgets/graphdashboard.php");
	updateScriptFile("graphdashboard_ajax.txt", "../../widgets/graphdashboard_ajax.php");
	updateScriptFile("tedash.txt", "../../widgets/tedash.php");
	updateScriptFile("tedash_settings.txt", "../../widgets/tedash_settings.php");
	
	updateScriptFile("cronte.txt", "../../../cronte.php");
	updateScriptFile("macros_memberstats.txt", "../../../macros_memberstats.php");
	updateScriptFile("macros_sitestats.txt", "../../../macros_sitestats.php");
	
	// End v2.54 Updates
}

// Set the current version
lfmsql_query("UPDATE `".$prefix."settings` SET `ver` = '2.54'") or die(lfmsql_error());

echo("<!--
RESULT:SUCCESS:ENDRESULT
-->
<p><b>Installation Complete.</b></p>");

exit;

?>