<?php

// LFMTE Script Update v2.56
// 2023 Logiscape.com

function updateScriptFile($filedata, $filename) {
	if (file_exists($filedata) && file_exists($filename)) {
		if (copy($filename, $filename.".bak")) {
			// Copy New File
			if (copy($filedata, $filename)) {
				@unlink($filedata);
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	} elseif (file_exists($filedata) && !file_exists($filename)) {
		// Create New File
		if (copy($filedata, $filename)) {
			@unlink($filedata);
			return true;
		} else {
			return false;
		}
	} else {
		return false;
	}
}

require_once "../../../inc/filter.php";

include "../../../inc/config.php";
require_once "../../../inc/funcs.php";
require_once "../../../inc/sql_funcs.php";
require_once "../../../inc/lfmvers.php";

$mconn=@lfmsql_connect($dbhost,$dbuser,$dbpass);
@lfmsql_select_db($dbname,$mconn) or die( "Unable to select database");

$scripttype = get_script_type();
if ($scripttype != "LFMTE") {
	echo("<br><br><font size=\"2\">This file only runs on the LFMTE script.</font><br><br>");
	exit;
}

$scriptvers = get_script_vers();
if ($scriptvers < "2.55") {
	echo("<br><br><font size=\"2\">This update requires v2.55 to be installed.</font><br><br>");
	exit;
}

if ($scriptvers >= "2.56") {
	echo("<br><br><font size=\"2\">The v2.56 update is already installed.</font><br><br>");
	exit;
}


if ($scriptvers < "2.56") {
	
	// Start v2.56 Updates
	
	// Database Updates
	
	// GeniuXs is now part of the core script - Remove any plugin files
	lfmsql_query("DELETE FROM `".$prefix."plugins` where `productid`='geniuxs'");
	if (file_exists("../installers/geniuxs.php")) {
		unlink("../installers/geniuxs.php");
	}
	if (file_exists("../uninstallers/geniuxs.php")) {
		unlink("../uninstallers/geniuxs.php");
	}
	
// Install GeniuXs

$domainurl = "https://".$_SERVER["SERVER_NAME"];

$checkexists = lfmsql_result(lfmsql_query("Select COUNT(*) from `".$prefix."adminmenu` where menu_label='GeniuXs'"), 0);
if ($checkexists == 0) {
lfmsql_query("INSERT INTO `".$prefix."adminmenu` (
`id` ,
`menu_label` ,
`menu_url` ,
`menu_target` ,
`menu_parent` ,
`menu_order` ,
`f` ,
`filename` 
)
VALUES (
'8500', 'GeniuXs', 'admin.php?f=gensched', '_top', '0', '3', 'gensched', 'geniuxs_sched.php'
);");

lfmsql_query("INSERT INTO `".$prefix."adminmenu` (
`id` ,
`menu_label` ,
`menu_url` ,
`menu_target` ,
`menu_parent` ,
`menu_order` ,
`f` ,
`filename` 
)
VALUES (
'8510', 'Scheduled Mailings', 'admin.php?f=gensched', '_top', '8500', '1', 'gensched', 'geniuxs_sched.php'
);");

lfmsql_query("INSERT INTO `".$prefix."adminmenu` (
`id` ,
`menu_label` ,
`menu_url` ,
`menu_target` ,
`menu_parent` ,
`menu_order` ,
`f` ,
`filename` 
)
VALUES (
'8520', 'Automated Mailings', 'admin.php?f=gengroups', '_top', '8500', '2', 'gengroups', 'geniuxs_groups.php'
);");

lfmsql_query("INSERT INTO `".$prefix."adminmenu` (
`id` ,
`menu_label` ,
`menu_url` ,
`menu_target` ,
`menu_parent` ,
`menu_order` ,
`f` ,
`filename` 
)
VALUES (
'8530', 'New Member Mailings', 'admin.php?f=gennewmem', '_top', '8500', '3', 'gennewmem', 'geniuxs_newmem.php'
);");

lfmsql_query("INSERT INTO `".$prefix."adminmenu` (
`id` ,
`menu_label` ,
`menu_url` ,
`menu_target` ,
`menu_parent` ,
`menu_order` ,
`f` ,
`filename` 
)
VALUES (
'8540', 'Status and Settings', 'admin.php?f=geninfo', '_top', '8500', '4', 'geninfo', 'geniuxs_info.php'
);");

lfmsql_query("INSERT INTO `".$prefix."adminmenu` (
`id` ,
`menu_label` ,
`menu_url` ,
`menu_target` ,
`menu_parent` ,
`menu_order` ,
`f` ,
`filename` 
)
VALUES (
'8550', 'Help and Tutorials', 'http://thetrafficexchangescript.com/geniuxshelp.html', '_blank', '8500', '5', '', ''
);");

lfmsql_query("ALTER TABLE `".$prefix."adminmenu` ORDER BY id ;");
}

@lfmsql_query("UPDATE `".$prefix."adminmenu` SET menu_label='Autoresponder Series' WHERE menu_label='New Member Mailings' OR menu_label='Member Level Mailer'");
@lfmsql_query("UPDATE `".$prefix."adminmenu` SET menu_url='https://geniuxs.com/geniuxshelp_lfmte.php' WHERE menu_label='Help and Tutorials'");

$checkexists = lfmsql_result(lfmsql_query("Select COUNT(*) from `".$prefix."templates` where template_name='geniuxs_expired'"), 0);
if ($checkexists == 0) {

lfmsql_query("INSERT INTO `".$prefix."templates` (`template_name`, `template_data`, `template_type`, `template_title` ) 
VALUES (
'geniuxs_expired', '&lt;html&gt;\r\n&lt;head&gt;\r\n&lt;title&gt;Link Expired&lt;/title&gt;\r\n&lt;/head&gt;\r\n\r\n&lt;body&gt;\r\n&lt;center&gt;\r\n\r\n&lt;p&gt;&lt;font size=&quot;6&quot; color=&quot;darkred&quot;&gt;&lt;b&gt;Sorry, this link has expired!&lt;/b&gt;&lt;/font&gt;&lt;/p&gt;\r\n\r\n&lt;p&gt;&lt;font size=&quot;4&quot; color=&quot;black&quot;&gt;&lt;b&gt;But while you''re here, check out the special bonus below...&lt;/b&gt;&lt;/font&gt;&lt;/p&gt;\r\n\r\n&lt;script language=&quot;JavaScript&quot; src=&quot;".$domainurl."/bonuspage/showad.php&quot;&gt;&lt;/script&gt;\r\n\r\n&lt;/center&gt;\r\n&lt;/body&gt;\r\n\r\n&lt;/html&gt;', 'page', 'Geniuxs Expired Link'
) ;") or die(lfmsql_error());

lfmsql_query("INSERT INTO `".$prefix."templates_defaults` (`template_name`, `template_data` )
VALUES (
'geniuxs_expired', '&lt;html&gt;\r\n&lt;head&gt;\r\n&lt;title&gt;Link Expired&lt;/title&gt;\r\n&lt;/head&gt;\r\n\r\n&lt;body&gt;\r\n&lt;center&gt;\r\n\r\n&lt;p&gt;&lt;font size=&quot;6&quot; color=&quot;darkred&quot;&gt;&lt;b&gt;Sorry, this link has expired!&lt;/b&gt;&lt;/font&gt;&lt;/p&gt;\r\n\r\n&lt;p&gt;&lt;font size=&quot;4&quot; color=&quot;black&quot;&gt;&lt;b&gt;But while you''re here, check out the special bonus below...&lt;/b&gt;&lt;/font&gt;&lt;/p&gt;\r\n\r\n&lt;script language=&quot;JavaScript&quot; src=&quot;".$domainurl."/bonuspage/showad.php&quot;&gt;&lt;/script&gt;\r\n\r\n&lt;/center&gt;\r\n&lt;/body&gt;\r\n\r\n&lt;/html&gt;'
) ;") or die(lfmsql_error());

}

$checkexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `".$prefix."ipnmods` WHERE filename='geniuxs_mod.php'"), 0);
if ($checkexists == 0) {
	lfmsql_query("INSERT INTO `".$prefix."ipnmods` (`enabled`, `filename`) VALUES ('1', 'geniuxs_mod.php')") or die(lfmsql_error());
}

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_clicklinks` (
  `id` int(11) NOT NULL auto_increment,
  `linkkey` varchar(30) NOT NULL,
  `salespackage` int(11) NOT NULL default '0',
  `acctype` int(11) NOT NULL default '0',
  `expiretime` int(11) NOT NULL default '0',
  `htmlcontent` text NOT NULL,
  `redirecturl` varchar(75) NOT NULL default 'about:blank',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `linkkey` (`linkkey`),
  KEY `expiretime` (`expiretime`),
  KEY `acctype` (`acctype`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

// v2 Updates

@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `salespackage` int(11) NOT NULL default '0' AFTER `linkkey` ;");

@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `credits` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `banners` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `texts` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `peelimps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `sqbanimps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `porkyps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");

@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `mbranders` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `xppoints` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");

@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `cash` decimal(6,2) NOT NULL DEFAULT '0.00' ;");
@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `widgetads` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `podpoints` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_clicklinks` ADD `piggybank` decimal(6,2) NOT NULL DEFAULT '0.00' ;");

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_clicklog` (
  `id` int(11) NOT NULL auto_increment,
  `linkkey` varchar(30) NOT NULL,
  `userid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `linkkey` (`linkkey`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_crons` (
  `id` int(11) NOT NULL auto_increment,
  `crontype` varchar(20) NOT NULL,
  `lastruntime` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;") or die(lfmsql_error());

$checkexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `geniuxs_crons`"), 0);
if ($checkexists == 0) {
lfmsql_query("INSERT INTO `geniuxs_crons` (`crontype`, `lastruntime`) VALUES
('dailynewmem', 0),
('dailygroups', 0),
('quarterhourly', 0);") or die(lfmsql_error());
}

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_groupmails` (
  `id` int(11) NOT NULL auto_increment,
  `groupid` int(11) NOT NULL,
  `subject` varchar(100) NOT NULL,
  `bodytext` text NOT NULL,
  `expiredays` int(11) NOT NULL default '1',
  `surfboost` float NOT NULL default '0',
  `buyboost` float NOT NULL default '0',
  `timerdrop` int(11) NOT NULL default '0',
  `salespackage` int(11) NOT NULL default '0',
  `htmlcontent` text NOT NULL,
  `clickurl` varchar(75) NOT NULL default 'http://',
  `lastsent` int(11) NOT NULL default '0',
  `totalsends` int(11) NOT NULL default '0',
  `linkclicks` int(11) NOT NULL default '0',
  `unsubscribes` int(11) NOT NULL default '0',
  `numsales` int(11) NOT NULL default '0',
  `sales` decimal(7,2) NOT NULL default '0.00',
  `percentclicked` decimal(6,3) NOT NULL default '000.000',
  `percentbought` decimal(6,3) NOT NULL default '000.000',
  `percentunsub` decimal(6,3) NOT NULL default '000.000',
  `salespersend` decimal(7,2) NOT NULL default '0.00',
  `salesperclick` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY  (`id`),
  KEY `groupid` (`groupid`),
  KEY `lastsent` (`lastsent`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

// v2 Updates

@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `surfboost` float NOT NULL default '0' AFTER `expiredays` ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `buyboost` float NOT NULL default '0' AFTER `surfboost` ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `timerdrop` int(11) NOT NULL default '0' AFTER `buyboost` ;");

@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `salespackage` int(11) NOT NULL default '0' AFTER `timerdrop` ;");

@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `credits` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `banners` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `texts` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `peelimps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `sqbanimps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `porkyps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");

@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `mbranders` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `xppoints` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");

@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `cash` decimal(6,2) NOT NULL DEFAULT '0.00' ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `widgetads` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `podpoints` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_groupmails` ADD `piggybank` decimal(6,2) NOT NULL DEFAULT '0.00' ;");

@lfmsql_query("ALTER TABLE `geniuxs_groupmails` CHANGE `subject` `subject` VARCHAR(200) NOT NULL;");

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_grouprules` (
  `id` int(11) NOT NULL auto_increment,
  `groupid` int(11) NOT NULL,
  `ruletype` int(11) NOT NULL default '1',
  `daysvalue` int(11) NOT NULL default '0',
  `ruleoperator` varchar(5) NOT NULL default '=',
  `rulevalue` float NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `groupid` (`groupid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_groups` (
  `id` int(11) NOT NULL auto_increment,
  `groupname` varchar(50) NOT NULL default '',
  `groupactive` int(1) NOT NULL default '1',
  `grouprank` int(11) NOT NULL default '0',
  `sendfreq` int(11) NOT NULL default '1',
  `rotatetype` int(1) NOT NULL default '1',
  `acctype` int(11) NOT NULL default '0',
  `lastsent` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `groupactive` (`groupactive`),
  KEY `grouprank` (`grouprank`),
  KEY `lastsent` (`lastsent`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_maillog` (
  `id` int(11) NOT NULL auto_increment,
  `mailid` int(11) NOT NULL default '0',
  `groupid` int(11) NOT NULL default '0',
  `starttime` int(11) NOT NULL default '0',
  `updatetime` int(11) NOT NULL default '0',
  `warnflag` int(1) NOT NULL default '0',
  `sendcount` int(11) NOT NULL default '0',
  `numsends` int(11) NOT NULL default '0',
  `linkclicks` int(11) NOT NULL default '0',
  `unsubscribes` int(11) NOT NULL default '0',
  `numsales` int(11) NOT NULL default '0',
  `sales` decimal(7,2) NOT NULL default '0.00',
  `percentclicked` decimal(6,3) NOT NULL default '000.000',
  `percentbought` decimal(6,3) NOT NULL default '000.000',
  `percentunsub` decimal(6,3) NOT NULL default '000.000',
  `salespersend` decimal(7,2) NOT NULL default '0.00',
  `salesperclick` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY  (`id`),
  KEY `mailid` (`mailid`),
  KEY `groupid` (`groupid`),
  KEY `starttime` (`starttime`),
  KEY `updatetime` (`updatetime`),
  KEY `warnflag` (`warnflag`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_memtypes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `acctype` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

@lfmsql_query("ALTER TABLE `".$prefix."members` ADD `upgchanged` DATE NOT NULL DEFAULT '0000-00-00', ADD INDEX (`upgchanged`)");

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_newmem` (
  `id` int(11) NOT NULL auto_increment,
  `messageactive` int(1) NOT NULL default '1',
  `numdays` int(11) NOT NULL,
  `freeonly` int(11) NOT NULL default '0',
  `salespackage` int(11) NOT NULL default '0',
  `htmlcontent` text NOT NULL,
  `clickurl` varchar(75) NOT NULL default 'http://',
  `expiredays` int(11) NOT NULL default '1',
  `subject` varchar(100) NOT NULL,
  `bodytext` text NOT NULL,
  `totalsends` int(11) NOT NULL default '0',
  `linkclicks` int(11) NOT NULL default '0',
  `unsubscribes` int(11) NOT NULL default '0',
  `numsales` int(11) NOT NULL default '0',
  `sales` decimal(7,2) NOT NULL default '0.00',
  `percentclicked` decimal(6,3) NOT NULL default '000.000',
  `percentbought` decimal(6,3) NOT NULL default '000.000',
  `percentunsub` decimal(6,3) NOT NULL default '000.000',
  `salespersend` decimal(7,2) NOT NULL default '0.00',
  `salesperclick` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY  (`id`),
  KEY `messageactive` (`messageactive`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

// v2 Updates

@lfmsql_query("ALTER TABLE `geniuxs_newmem` DROP INDEX `numdays`;");

@lfmsql_query("ALTER TABLE `geniuxs_newmem` CHANGE `freeonly` `acctype` int(11) NOT NULL default '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `sendonce` int(1) NOT NULL default '1' AFTER `acctype` ;");

@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `salespackage` int(11) NOT NULL default '0' AFTER `sendonce` ;");

@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `credits` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `banners` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `texts` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `peelimps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `sqbanimps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `porkyps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");

@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `mbranders` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `xppoints` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");

@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `cash` decimal(6,2) NOT NULL DEFAULT '0.00' ;");
@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `widgetads` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `podpoints` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_newmem` ADD `piggybank` decimal(6,2) NOT NULL DEFAULT '0.00' ;");

@lfmsql_query("ALTER TABLE `geniuxs_newmem` CHANGE `subject` `subject` VARCHAR(200) NOT NULL;");

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_newmemlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `messageid` int(11) NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `messageid` (`messageid`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_preview` (
  `id` int(11) NOT NULL auto_increment,
  `timestamp` bigint(15) NOT NULL,
  `htmlcontent` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `timestamp` (`timestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_schedsent` (
  `id` int(11) NOT NULL auto_increment,
  `messageid` int(11) NOT NULL,
  `starttime` int(11) NOT NULL default '0',
  `updatetime` int(11) NOT NULL default '0',
  `warnflag` int(1) NOT NULL default '0',
  `sendcount` int(11) NOT NULL default '0',
  `numsends` int(11) NOT NULL default '0',
  `subject` varchar(100) NOT NULL,
  `linkclicks` int(11) NOT NULL default '0',
  `unsubscribes` int(11) NOT NULL default '0',
  `numsales` int(11) NOT NULL default '0',
  `sales` decimal(7,2) NOT NULL default '0.00',
  `percentclicked` decimal(6,3) NOT NULL default '000.000',
  `percentbought` decimal(6,3) NOT NULL default '000.000',
  `percentunsub` decimal(6,3) NOT NULL default '000.000',
  `salespersend` decimal(7,2) NOT NULL default '0.00',
  `salesperclick` decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `messageid` (`messageid`),
  KEY `starttime` (`starttime`),
  KEY `updatetime` (`updatetime`),
  KEY `warnflag` (`warnflag`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

@lfmsql_query("ALTER TABLE `geniuxs_schedsent` CHANGE `subject` `subject` VARCHAR(200) NOT NULL;");

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_schedtemplates` (
  `id` int(11) NOT NULL auto_increment,
  `acctype` int(11) NOT NULL default '0',
  `subject` varchar(100) NOT NULL,
  `bodytext` text NOT NULL,
  `expiredays` int(11) NOT NULL default '1',
  `surfboost` float NOT NULL default '0',
  `buyboost` float NOT NULL default '0',
  `timerdrop` int(11) NOT NULL default '0',
  `salespackage` int(11) NOT NULL default '0',
  `htmlcontent` text NOT NULL,
  `clickurl` varchar(75) NOT NULL default 'http://',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

// v2 Updates

@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `surfboost` float NOT NULL default '0' AFTER `expiredays` ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `buyboost` float NOT NULL default '0' AFTER `surfboost` ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `timerdrop` int(11) NOT NULL default '0' AFTER `buyboost` ;");

@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `salespackage` int(11) NOT NULL default '0' AFTER `timerdrop` ;");

@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `credits` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `banners` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `texts` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `peelimps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `sqbanimps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `porkyps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");

@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `mbranders` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `xppoints` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");

@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `cash` decimal(6,2) NOT NULL DEFAULT '0.00' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `widgetads` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `podpoints` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` ADD `piggybank` decimal(6,2) NOT NULL DEFAULT '0.00' ;");

@lfmsql_query("ALTER TABLE `geniuxs_schedtemplates` CHANGE `subject` `subject` VARCHAR(200) NOT NULL;");

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_schedule` (
  `id` int(11) NOT NULL auto_increment,
  `senddate` date NOT NULL,
  `sendhour` int(2) NOT NULL default '0',
  `sendminute` int(1) NOT NULL default '1',
  `acctype` int(11) NOT NULL default '0',
  `subject` varchar(100) NOT NULL,
  `bodytext` text NOT NULL,
  `expiredays` int(11) NOT NULL default '1',
  `surfboost` float NOT NULL default '0',
  `buyboost` float NOT NULL default '0',
  `timerdrop` int(11) NOT NULL default '0',
  `salespackage` int(11) NOT NULL default '0',
  `htmlcontent` text NOT NULL,
  `clickurl` varchar(75) NOT NULL default 'http://',
  `messagesent` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

// v2 Updates

@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `surfboost` float NOT NULL default '0' AFTER `expiredays` ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `buyboost` float NOT NULL default '0' AFTER `surfboost` ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `timerdrop` int(11) NOT NULL default '0' AFTER `buyboost` ;");

@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `salespackage` int(11) NOT NULL default '0' AFTER `timerdrop` ;");

@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `credits` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `banners` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `texts` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `peelimps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `sqbanimps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `porkyps` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");

@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `mbranders` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `xppoints` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");

@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `cash` decimal(6,2) NOT NULL DEFAULT '0.00' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `widgetads` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `podpoints` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0' ;");
@lfmsql_query("ALTER TABLE `geniuxs_schedule` ADD `piggybank` decimal(6,2) NOT NULL DEFAULT '0.00' ;");

@lfmsql_query("ALTER TABLE `geniuxs_schedule` CHANGE `subject` `subject` VARCHAR(200) NOT NULL;");

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_timerdrops` (
  `id` int(11) NOT NULL auto_increment,
  `acctype` int(11) NOT NULL default '0',
  `expiretime` int(11) NOT NULL default '0',
  `numseconds` int(11) NOT NULL default '0',
  `expired` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `expiretime` (`expiretime`),
  KEY `expired` (`expired`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_tracksales` (
  `id` int(11) NOT NULL auto_increment,
  `time` int(11) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  `salespackage` int(11) NOT NULL default '0',
  `mailtype` int(1) NOT NULL default '1',
  `mailid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `time` (`time`),
  KEY `userid` (`userid`),
  KEY `salespackage` (`salespackage`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;") or die(lfmsql_error());

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_vals` (
  `id` int(11) NOT NULL auto_increment,
  `valtype` varchar(20) default NULL,
  `valvalue` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;") or die(lfmsql_error());

$checkexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `geniuxs_vals`"), 0);
if ($checkexists == 0) {
	lfmsql_query("INSERT INTO `geniuxs_vals` (`valtype`, `valvalue`) VALUES ('lastadminmail', 0)") or die(lfmsql_error());
	lfmsql_query("INSERT INTO `geniuxs_vals` (`valtype`, `valvalue`) VALUES ('lastschedmail', 0)") or die(lfmsql_error());
	lfmsql_query("INSERT INTO `geniuxs_vals` (`valtype`, `valvalue`) VALUES ('sendonegroup', 1)") or die(lfmsql_error());
	lfmsql_query("INSERT INTO `geniuxs_vals` (`valtype`, `valvalue`) VALUES ('notifylevel', 1)") or die(lfmsql_error());
}

// v3 Updates

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_pausequeue` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `starttime` int(11) NOT NULL DEFAULT '0',
  `endtime` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `starttime` (`starttime`),
  KEY `endtime` (`endtime`)
) ENGINE=MyISAM ;");

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_pausesched` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hour` int(11) NOT NULL DEFAULT '0',
  `minute` int(11) NOT NULL DEFAULT '0',
  `durationmins` int(11) NOT NULL DEFAULT '5',
  PRIMARY KEY (`id`),
  KEY `hour` (`hour`),
  KEY `minute` (`minute`)
) ENGINE=MyISAM ;");

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_queue` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `priority` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `messageid` int(11) NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `toaddress` varchar(200) NOT NULL DEFAULT 'None',
  `fromname` varchar(200) NOT NULL DEFAULT 'Viral Mailer Script',
  `fromaddress` varchar(200) NOT NULL DEFAULT 'None',
  `subjecttext` varchar(200) NOT NULL DEFAULT 'None',
  `bodytext` text NULL,
  `linkkey` varchar(30) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `priority` (`priority`),
  KEY `type` (`type`),
  KEY `messageid` (`messageid`)
) ENGINE=MyISAM ;");

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_queue_log` (`logid` bigint(20) NOT NULL auto_increment,  PRIMARY KEY  (`logid`))");
@lfmsql_query("ALTER TABLE `geniuxs_queue_log` ADD `logtimestamp` int(11) NOT NULL DEFAULT '0'");
@lfmsql_query("ALTER TABLE `geniuxs_queue_log` ADD `logtime` datetime NOT NULL default '0000-00-00 00:00:00'");
@lfmsql_query("ALTER TABLE `geniuxs_queue_log` ADD `logentry` text NOT NULL");
@lfmsql_query("ALTER TABLE `geniuxs_queue_log` ADD `queuecount` int(11) NOT NULL DEFAULT '0'");

@lfmsql_query("ALTER TABLE `geniuxs_schedsent` ADD `bodytext` text NULL");

$checkexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `geniuxs_vals` WHERE valtype='usequeue'"), 0);
if ($checkexists == 0) {
	lfmsql_query("INSERT INTO `geniuxs_vals` (`valtype`, `valvalue`) VALUES ('usequeue', 0)") or die(lfmsql_error());
	lfmsql_query("INSERT INTO `geniuxs_vals` (`valtype`, `valvalue`) VALUES ('lastqueue', 0)") or die(lfmsql_error());
	lfmsql_query("INSERT INTO `geniuxs_vals` (`valtype`, `valvalue`) VALUES ('lastmail', 0)") or die(lfmsql_error());
	lfmsql_query("INSERT INTO `geniuxs_vals` (`valtype`, `valvalue`) VALUES ('messagespermin', 500)") or die(lfmsql_error());
}

$checkexists = lfmsql_result(lfmsql_query("Select COUNT(*) from `".$prefix."cronjobs` where `filepath`='geniuxs_groupmailer.php'"), 0);
if ($checkexists == 0) {
	lfmsql_query("INSERT INTO `".$prefix."cronjobs` (`priority`, `filepath`, `day`, `hour`, `minute`) VALUES ('1', 'geniuxs_groupmailer.php', '*', '0', '36')");
}

$checkexists = lfmsql_result(lfmsql_query("Select COUNT(*) from `".$prefix."cronjobs` where `filepath`='geniuxs_newmemmailer.php'"), 0);
if ($checkexists == 0) {
	lfmsql_query("INSERT INTO `".$prefix."cronjobs` (`priority`, `filepath`, `day`, `hour`, `minute`) VALUES ('1', 'geniuxs_newmemmailer.php', '*', '0', '26')");
}

$checkexists = lfmsql_result(lfmsql_query("Select COUNT(*) from `".$prefix."cronjobs` where `filepath`='geniuxs_quarterhourly.php'"), 0);
if ($checkexists == 0) {
	lfmsql_query("INSERT INTO `".$prefix."cronjobs` (`priority`, `filepath`, `day`, `hour`, `minute`) VALUES ('0', 'geniuxs_quarterhourly.php', '*', '*', '*/15')");
}

lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_api` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `messageid` varchar(200) NOT NULL DEFAULT '',
  `time` int(11) NOT NULL DEFAULT '0',
  `subjecttext` varchar(200) NOT NULL DEFAULT 'None',
  `bodytext` text NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `messageid` (`messageid`),
  KEY `time` (`time`)
) ENGINE=MyISAM ;");

// Add built in templates

$checkexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `geniuxs_groupmails`"), 0);
if ($checkexists == 0) {

@lfmsql_query("INSERT INTO `geniuxs_groupmails` (`id`, `groupid`, `subject`, `bodytext`, `expiredays`, `surfboost`, `buyboost`, `timerdrop`, `salespackage`, `htmlcontent`, `clickurl`, `lastsent`, `totalsends`, `linkclicks`, `unsubscribes`, `numsales`, `sales`, `percentclicked`, `percentbought`, `percentunsub`, `salespersend`, `salesperclick`) VALUES
(1, 1, 'Surfing Ratio Boost', 'Hello #FIRSTNAME#,\r\n\r\nThe surfing ratios at #SITENAME# have been\r\nincreased today.  Come surf and enjoy the extra\r\ncredits!\r\n\r\nLogin and surf here:\r\n-> #CLICKLINK#\r\n\r\nRegards,\r\n#SITENAME#', 1, 1.5, 0, 0, 0, 'none', '".$domainurl."/login.php', 0, 0, 0, 0, 0, '0.00', '0.000', '0.000', '0.000', '0.00', '0.00'),
(2, 2, 'Our Surf Timers Have Been Lowered', 'Hello #FIRSTNAME#,\r\n\r\nThe surfing timers at #SITENAME# have been\r\nlowered by 2 seconds for today.  Be sure to come\r\nsurf and see how much extra traffic you can get!\r\n\r\nLogin and surf here:\r\n-> #CLICKLINK#\r\n\r\nRegards,\r\n#SITENAME#', 1, 0, 0, 2, 0, 'none', '".$domainurl."/login.php', 0, 0, 0, 0, 0, '0.00', '0.000', '0.000', '0.000', '0.00', '0.00'),
(3, 3, '2 Day Credit Special', 'Hello #FIRSTNAME#,\r\n\r\nWe are having a 2-Day credit special at\r\n#SITENAME#.  Pick up any credit package on our\r\nBuy Credits page, and we''ll double your order!\r\n\r\nLogin here:\r\n-> #CLICKLINK#\r\n\r\nRegards,\r\n#SITENAME#', 2, 0, 2, 0, 0, 'none', '".$domainurl."/login.php', 0, 0, 0, 0, 0, '0.00', '0.000', '0.000', '0.000', '0.00', '0.00');");

@lfmsql_query("INSERT INTO `geniuxs_grouprules` (`id`, `groupid`, `ruletype`, `daysvalue`, `ruleoperator`, `rulevalue`) VALUES
(1, 1, 4, 1, '<', 10),
(2, 2, 5, 1, '<', 7),
(3, 3, 6, 30, '<', 200);");

@lfmsql_query("INSERT INTO `geniuxs_groups` (`id`, `groupname`, `groupactive`, `grouprank`, `sendfreq`, `rotatetype`, `acctype`, `lastsent`) VALUES
(1, 'Less than 10 surfers', 0, 1, 1, 1, 0, 0),
(2, 'Less than 7 hits per url', 0, 2, 1, 1, 0, 0),
(3, 'Less than 200 in sales', 0, 3, 5, 1, 0, 0);");

}

// End Install GeniuXs
	
	// Install Admin AI
	@lfmsql_query("UPDATE `".$prefix."adminmenu` SET menu_order=menu_order+1 WHERE menu_parent='8500'");
	$checkexists = lfmsql_result(lfmsql_query("Select COUNT(*) from `".$prefix."adminmenu` where menu_label='GeniuXs AI'"), 0);
	if ($checkexists == 0) {
	lfmsql_query("INSERT INTO `".$prefix."adminmenu` (
	`id` ,
	`menu_label` ,
	`menu_url` ,
	`menu_target` ,
	`menu_parent` ,
	`menu_order` ,
	`f` ,
	`filename` 
	)
	VALUES (
	'8575', 'GeniuXs AI', 'admin.php?f=geniuxsadmin', '_top', '8500', '1', 'geniuxsadmin', 'geniuxs_admin.php'
	);");
	}
	
	lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_ai` (
	    `id` int(11) NOT NULL AUTO_INCREMENT,
	    `name` varchar(255) NOT NULL,
	    `creator` tinyint(1) NOT NULL DEFAULT 0,
	    `aidata` text NOT NULL,
	    PRIMARY KEY (`id`),
	    UNIQUE KEY `name` (`name`)
	) ENGINE=MyISAM ;");
	
	lfmsql_query("CREATE TABLE IF NOT EXISTS `geniuxs_ai_templates` (
	    `id` int(11) NOT NULL AUTO_INCREMENT,
	    `templateid` int(11) NOT NULL,
	    `updated` datetime NOT NULL,
	    `newcode` text NOT NULL,
	    PRIMARY KEY (`id`),
	    UNIQUE KEY `templateid` (`templateid`)
	) ENGINE=MyISAM ;");
	
	// Add The LFMTE AI
	$aifilename = 'lfmte_ai_file.json';
	if (file_exists($aifilename)) {
		$fp=fopen($aifilename, "r");
		$importai = fread($fp, filesize($aifilename));
		fclose($fp);
		@unlink($aifilename);
		$importai = json_decode($importai, true);
		if (!isset($importai['aicreator']) || $importai['aicreator'] != 1) {
			$importai['aicreator'] = 0;
		}
		if (isset($importai['ainame']) && strlen($importai['ainame']) > 0 && isset($importai['aidata']) && is_array($importai['aidata'])) {
			$ainame = $importai['ainame'];
			$aidata = $importai['aidata'];
			$checkexists = lfmsql_query("SELECT id FROM `geniuxs_ai` WHERE name='".$ainame."'");
			if (lfmsql_num_rows($checkexists) > 0) {
				$aiid = lfmsql_result($checkexists, 0, "id");
				$saveaidata = json_encode($aidata);
				lfmsql_query("UPDATE `geniuxs_ai` SET creator='".$importai['aicreator']."', aidata='".addslashes($saveaidata)."' WHERE id=".$aiid) or die(lfmsql_error());
			} else {
				$saveaidata = json_encode($aidata);
		        	lfmsql_query("INSERT INTO `geniuxs_ai` (name, creator, aidata) VALUES ('".$ainame."', '".$importai['aicreator']."', '".addslashes($saveaidata)."')") or die(lfmsql_error());
			}
		}
	}
	// End Add The LFMTE AI
	
	// End v2.56 Updates
}

// Set the current version
lfmsql_query("UPDATE `".$prefix."settings` SET `ver` = '2.56'") or die(lfmsql_error());

echo("<!--
RESULT:SUCCESS:ENDRESULT
-->
<p><b>Installation Complete.</b></p>");

exit;

?>