<?php

// LFMTE Script Update v2.57
// 2023 Logiscape.com

function updateScriptFile($filedata, $filename) {
	if (file_exists($filedata) && file_exists($filename)) {
		if (copy($filename, $filename.".bak")) {
			// Copy New File
			if (copy($filedata, $filename)) {
				@unlink($filedata);
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	} elseif (file_exists($filedata) && !file_exists($filename)) {
		// Create New File
		if (copy($filedata, $filename)) {
			@unlink($filedata);
			return true;
		} else {
			return false;
		}
	} else {
		return false;
	}
}

require_once "../../../inc/filter.php";

include "../../../inc/config.php";
require_once "../../../inc/funcs.php";
require_once "../../../inc/sql_funcs.php";
require_once "../../../inc/lfmvers.php";

$mconn=@lfmsql_connect($dbhost,$dbuser,$dbpass);
@lfmsql_select_db($dbname,$mconn) or die( "Unable to select database");

$scripttype = get_script_type();
if ($scripttype != "LFMTE") {
	echo("<br><br><font size=\"2\">This file only runs on the LFMTE script.</font><br><br>");
	exit;
}

$scriptvers = get_script_vers();
if ($scriptvers < "2.56") {
	echo("<br><br><font size=\"2\">This update requires v2.56 to be installed.</font><br><br>");
	exit;
}

if ($scriptvers >= "2.57") {
	echo("<br><br><font size=\"2\">The v2.57 update is already installed.</font><br><br>");
	exit;
}


if ($scriptvers < "2.57") {
	
	// Start v2.57 Updates
	
	// Database Updates
	
	$domainurl = "https://".$_SERVER["SERVER_NAME"];
	$domainurl = str_ireplace('www.', '', $domainurl);
	if (strlen($domainurl) > 10) {
		@lfmsql_query("UPDATE ".$prefix."settings SET affurl='".$domainurl."/'");
	}
	
	@lfmsql_query("UPDATE ".$prefix."settings SET jshttps=1");
	@lfmsql_query("UPDATE ".$prefix."settings SET lfmtehttp=0");
	
	@lfmsql_query("UPDATE ".$prefix."msites SET url = REPLACE(url, 'http://', 'https://') WHERE url LIKE 'http://%'");
	
	// End v2.57 Updates
}

// Set the current version
lfmsql_query("UPDATE `".$prefix."settings` SET `ver` = '2.57'") or die(lfmsql_error());

echo("<!--
RESULT:SUCCESS:ENDRESULT
-->
<p><b>Installation Complete.</b></p>");

exit;

?>