<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.54
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";


// Prevent anyone who isn't logged in from opening this page
if(!isset($_SESSION["adminid"])) { exit; };

// Support For Legacy GET/POST Variables

$getshowtype = "";
$getsearchfield = "";
$getsearchtext = "";

if (isset($_GET['show']) && strlen($_GET['show']) > 0) {
	$showtype = $_GET['show'];
	$getshowtype = "&show=".$showtype;
} else {
	$showtype = "";
}

$searchfield = "";
$searchtext = "";

if ($_GET['tdb'] == "yes") {
	$userid = $_POST['userid'];
	$username = $_POST['username'];
	$email = $_POST['email'];
	$referrer = $_POST['referrer'];
	$ipaddress = $_POST['ipaddress'];
	if ($userid != "") {
		$searchfield = "Id";
		$searchtext = $userid;
	} elseif ($username != "") {
		$searchfield = "username";
		$searchtext = $username;
	} elseif ($email != "") {
		$searchfield = "email";
		$searchtext = $email;
	} elseif ($referrer != "") {
		$searchfield = "refid";
		$searchtext = $referrer;
	} elseif ($ipaddress != "") {
		$searchfield = "ipadd";
		$searchtext = $ipaddress;
	}
} elseif (isset($_POST["searchtext"])) {
            $searchfield=trim($_POST["searchfield"]);
            $searchtext=trim($_POST["searchtext"]);
} elseif (($_GET['searchfield'] != "") && ($_GET['searchtext'] != "")) {
            $searchfield=trim($_GET["searchfield"]);
            $searchtext=trim($_GET["searchtext"]);
}

if (strlen($searchfield) > 0 && strlen($searchtext) > 0) {
	$getsearchfield = "&searchfield=".$searchfield;
	$getsearchtext = "&searchtext=".base64_encode($searchtext);
}

// End Support For Legacy GET/POST Variables

// Determine Which Fields To Show

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showgrav'");
if (lfmsql_num_rows($getfield) > 0) {
	$showgrav = lfmsql_result($getfield, 0, "value");
} else {
	$showgrav = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showid'");
if (lfmsql_num_rows($getfield) > 0) {
	$showid = lfmsql_result($getfield, 0, "value");
} else {
	$showid = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showfirst'");
if (lfmsql_num_rows($getfield) > 0) {
	$showfirst = lfmsql_result($getfield, 0, "value");
} else {
	$showfirst = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showlast'");
if (lfmsql_num_rows($getfield) > 0) {
	$showlast = lfmsql_result($getfield, 0, "value");
} else {
	$showlast = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showusername'");
if (lfmsql_num_rows($getfield) > 0) {
	$showusername = lfmsql_result($getfield, 0, "value");
} else {
	$showusername = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showemail'");
if (lfmsql_num_rows($getfield) > 0) {
	$showemail = lfmsql_result($getfield, 0, "value");
} else {
	$showemail = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpaypal'");
if (lfmsql_num_rows($getfield) > 0) {
	$showpaypal = lfmsql_result($getfield, 0, "value");
} else {
	$showpaypal = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showmtype'");
if (lfmsql_num_rows($getfield) > 0) {
	$showmtype = lfmsql_result($getfield, 0, "value");
} else {
	$showmtype = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showupgend'");
if (lfmsql_num_rows($getfield) > 0) {
	$showupgend = lfmsql_result($getfield, 0, "value");
} else {
	$showupgend = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showjoined'");
if (lfmsql_num_rows($getfield) > 0) {
	$showjoined = lfmsql_result($getfield, 0, "value");
} else {
	$showjoined = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showlogin'");
if (lfmsql_num_rows($getfield) > 0) {
	$showlogin = lfmsql_result($getfield, 0, "value");
} else {
	$showlogin = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcredits'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcredits = lfmsql_result($getfield, 0, "value");
} else {
	$showcredits = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showbanners'");
if (lfmsql_num_rows($getfield) > 0) {
	$showbanners = lfmsql_result($getfield, 0, "value");
} else {
	$showbanners = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showtexts'");
if (lfmsql_num_rows($getfield) > 0) {
	$showtexts = lfmsql_result($getfield, 0, "value");
} else {
	$showtexts = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showsqban'");
if (lfmsql_num_rows($getfield) > 0 && file_exists("sqbanners.php")) {
	$showsqban = lfmsql_result($getfield, 0, "value");
} else {
	$showsqban = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showminibr'");
if (lfmsql_num_rows($getfield) > 0 && file_exists("minibranders.php")) {
	$showminibr = lfmsql_result($getfield, 0, "value");
} else {
	$showminibr = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpeels'");
if (lfmsql_num_rows($getfield) > 0 && file_exists("peelads.php")) {
	$showpeels = lfmsql_result($getfield, 0, "value");
} else {
	$showpeels = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showwidgets'");
if (lfmsql_num_rows($getfield) > 0 && file_exists("widgetads.php")) {
	$showwidgets = lfmsql_result($getfield, 0, "value");
} else {
	$showwidgets = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpurchmonth'");
if (lfmsql_num_rows($getfield) > 0) {
	$showpurchmonth = lfmsql_result($getfield, 0, "value");
} else {
	$showpurchmonth = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpurchyear'");
if (lfmsql_num_rows($getfield) > 0) {
	$showpurchyear = lfmsql_result($getfield, 0, "value");
} else {
	$showpurchyear = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpurchlife'");
if (lfmsql_num_rows($getfield) > 0) {
	$showpurchlife = lfmsql_result($getfield, 0, "value");
} else {
	$showpurchlife = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpiggybnk'");
if (lfmsql_num_rows($getfield) > 0 && file_exists("showpiggy.php")) {
	$showpiggybnk = lfmsql_result($getfield, 0, "value");
} else {
	$showpiggybnk = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcomm'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcomm = lfmsql_result($getfield, 0, "value");
} else {
	$showcomm = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcommp'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcommp = lfmsql_result($getfield, 0, "value");
} else {
	$showcommp = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showsales'");
if (lfmsql_num_rows($getfield) > 0) {
	$showsales = lfmsql_result($getfield, 0, "value");
} else {
	$showsales = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showrefs'");
if (lfmsql_num_rows($getfield) > 0) {
	$showrefs = lfmsql_result($getfield, 0, "value");
} else {
	$showrefs = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showclicks'");
if (lfmsql_num_rows($getfield) > 0) {
	$showclicks = lfmsql_result($getfield, 0, "value");
} else {
	$showclicks = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showclicksyester'");
if (lfmsql_num_rows($getfield) > 0) {
	$showclicksyester = lfmsql_result($getfield, 0, "value");
} else {
	$showclicksyester = 0;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showstatus'");
if (lfmsql_num_rows($getfield) > 0) {
	$showstatus = lfmsql_result($getfield, 0, "value");
} else {
	$showstatus = 1;
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcustom'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcustom = lfmsql_result($getfield, 0, "value");
	$showcustom = explode(",", $showcustom);
} else {
	$showcustom = array();
}

// End Determine Which Fields To Show

?>

<!-- Datatables Stylesheet -->
<link href="libraries/datatables/datatables.css" rel="stylesheet" type="text/css" />

<!-- Datatables Javascript -->
<script type="text/javascript" src="libraries/datatables/datatables.min.js"></script>

<script language="javascript">
	function customizeGrid()
	{
		var windowprops = "location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=no" + ",left=100,top=100,width=550,height=550"; 
	 
		var URL = "memgrid.php"; 
		popup = window.open(URL,"MemGridPopup",windowprops);	
	}
</script>

<?php

$headerlist = '';

if ($showgrav == 1) { $headerlist .= '<th>Gravatar</th>'; }
if ($showid == 1) { $headerlist .= '<th>ID</th>'; }
if ($showfirst == 1) { $headerlist .= '<th>First Name</th>'; }
if ($showlast == 1) { $headerlist .= '<th>Last Name</th>'; }
if ($showusername == 1) { $headerlist .= '<th>Username</th>'; }
if ($showemail == 1) { $headerlist .= '<th>E-mail</th>'; }
if ($showpaypal == 1) { $headerlist .= '<th>PayPal</th>'; }
if ($showmtype == 1) { $headerlist .= '<th>MType</th>'; }
if ($showupgend == 1) { $headerlist .= '<th>Upgrade Expires</th>'; }
if ($showjoined == 1) { $headerlist .= '<th>Joined</th>'; }
if ($showlogin == 1) { $headerlist .= '<th>Last Login</th>'; }
if ($showcredits == 1) { $headerlist .= '<th>Credits</th>'; }
if ($showbanners == 1) { $headerlist .= '<th>Banners</th>'; }
if ($showtexts == 1) { $headerlist .= '<th>Texts</th>'; }
if ($showsqban == 1) { $headerlist .= '<th>Square Banners</th>'; }
if ($showminibr == 1) { $headerlist .= '<th>Mini Branders</th>'; }
if ($showpeels == 1) { $headerlist .= '<th>Peels</th>'; }
if ($showwidgets == 1) { $headerlist .= '<th>Widget Imps</th>'; }
if ($showpurchmonth == 1) { $headerlist .= '<th>Purchased Month</th>'; }
if ($showpurchyear == 1) { $headerlist .= '<th>Purchased Year</th>'; }
if ($showpurchlife == 1) { $headerlist .= '<th>Purchased Lifetime</th>'; }
if ($showpiggybnk == 1) { $headerlist .= '<th>Piggy Bank</th>'; }
if ($showcomm == 1) { $headerlist .= '<th>Comm.</th>'; }
if ($showcommp == 1) { $headerlist .= '<th>Comm. Paid</th>'; }
if ($showsales == 1) { $headerlist .= '<th>Sales</th>'; }
if ($showrefs == 1) { $headerlist .= '<th>Refs</th>'; }
if ($showclicks == 1) { $headerlist .= '<th>Clicks Today</th>'; }
if ($showclicksyester == 1) { $headerlist .= '<th>Clicks Yesterday</th>'; }

if ($showtype == "surfing") {
	$headerlist .= '<th>Time Surfing</th>';
}

if ($showstatus == 1) { $headerlist .= '<th>Status</th>'; }

// Display Custom Fields
if (count($showcustom) > 0) {
	foreach ($showcustom as $key=>$value) {
		$getfield = lfmsql_query("SELECT name FROM ".$prefix."customfields WHERE id='".$value."'") or die(lfmsql_error());
		if (lfmsql_num_rows($getfield) > 0) {
			$fieldname = lfmsql_result($getfield, 0, "name");
			$headerlist .= '<th>'.$fieldname.'</th>';
		}
	}
}

?>

<!-- Search Guide Modal -->
<div class="modal fade" id="searchGuideModal" tabindex="-1" aria-labelledby="searchGuideModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-scrollable">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="searchGuideModalLabel">Search Guide</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>You can search and sort your members by any of the columns in your member grid.  To do a basic search, just enter text into the searchbox under the column you want to search.</p>
        
        <p>Example: Entering <strong>Jon</strong> in the First Name column would show accounts with Jon, Jonathan, etc. as the first name.</p>
        
        <p><strong>Advanced Search Operators</strong></p>
        
        <p><strong>=</strong> Does an exact search<br>
        Example: <strong>=Jon</strong> in the First Name column would only show accounts with Jon as the first name, not Jonathan, etc.</p>
        
        <p><strong>!</strong> Does a NOT search<br>
        Example: <strong>!Jon</strong> would exclude names containing "Jon", such as Jon, Jonathan, etc.</p>
        
        <p><strong>!=</strong> Does an exact NOT search<br>
        Example: <strong>!=Jon</strong> would exclude accounts with the first name Jon, but still show Jonathan.</p>
        
        <p><strong> > </strong> Greater than search<br>
        Example: <strong>>20</strong> in the Commission column would show accounts with more than $20 in commissions.</p>
        
        <p><strong> >= </strong> Greater than or equals search<br>
        Example: <strong>>=20</strong> in the Commission column would show accounts with $20 or more in commissions.</p>
        
        <p><strong> < </strong> Less than search<br>
        Example: <strong><20</strong> in the Commission column would show accounts with less than $20 in commissions.</p>
        
        <p><strong> <= </strong> Less than or equals search<br>
        Example: <strong><=20</strong> in the Commission column would show accounts with $20 or less in commissions.</p>
        
        <p><strong>Advanced Multi Searches</strong></p>
        
        <p>You can search a column for multiple values using the keywords <strong>AND</strong> and <strong>OR</strong> which are case-sensitive and must be entered in uppercase.  For example, enter: <br><strong>yahoo.com OR hotmail.com OR gmail.com</strong><br> in the E-mail column to find accounts using either a yahoo.com, hotmail.com, or gmail.com address.</p>
        
        <p>Note that you cannot use both AND and OR in the same column search.  For example, "a.com AND b.com OR c.com" would NOT work as expected and parenthesis are not supported.</p>
        
        <p><strong>Date Field Searches</strong></p>
        
        <p>Most date fields, such as "Last Login" can be searched using the MySQL date format: YYYY-MM-DD.  For example, enter: <br><strong>>=2020-08-01</strong><br> in the Last Login column to view accounts that have logged in since August 1, 2020.</p>
        
        <p>Another example, enter: <br><strong>=0000-00-00</strong><br> in the Upgrade Expires column to find accounts with lifetime membership levels.</p>
        
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

<!-- Delete Members Modal -->
<div class="modal fade" id="deleteMembersModal" tabindex="-1" aria-labelledby="deleteMembersModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content bg-danger text-light">
      <div class="modal-header">
        <h5 class="modal-title" id="deleteMembersModalLabel">Delete Members</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p><strong>Are you sure you want to delete the selected members?</strong></p>
        <p>Reason (optional): <input type="text" id="modaldelreason" name="modaldelreason" value=""></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" data-dismiss="modal">Cancel</button>
        <button type="button" class="btn btn-warning" data-dismiss="modal" onClick="javascript:deleteSubmit()">Delete Members</button>
      </div>
    </div>
  </div>
</div>

<!-- Ban Members Modal -->
<div class="modal fade" id="banMembersModal" tabindex="-1" aria-labelledby="banMembersModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content bg-danger text-light">
      <div class="modal-header">
        <h5 class="modal-title" id="banMembersModalLabel">Ban Members</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p><strong>Are you sure you want to BAN the selected members?</strong></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" data-dismiss="modal">Cancel</button>
        <button type="button" class="btn btn-warning" data-dismiss="modal" onClick="javascript:actionSubmit('Ban Selected')">Ban Members</button>
      </div>
    </div>
  </div>
</div>

<div class="row">
	<div class="col-12">
		<button type="button" class="btn btn-outline-primary" style="margin-bottom:20px;" onClick="javascript:customizeGrid()">Customize Member Grid</button>
		<button type="button" class="btn btn-outline-primary" style="margin-bottom:20px;" data-toggle="modal" data-target="#searchGuideModal">View Search Guide</button>
	</div>
</div>

<form name="mbrowse" id="mbrowse" method="post" action="admin.php?f=mm&show=<?=$showtype?>&searchfield=<?=$searchfield?>&searchtext=<?=$searchtext?>">

<div class="row">
	<div class="col-12">
		
		<button type="button" class="btn btn-outline-primary btn-sm" onClick="javascript:refreshTable()"><i class="fas fa-sync-alt"></i></button>
		
		<? if ($showtype == "") { echo('<button type="button" class="btn btn-outline-primary btn-sm" onClick="javascript:addMember()"><i class="far fa-plus-square"></i> New Member</button>'); } ?>
		
		<button type="submit" class="btn btn-outline-primary btn-sm" name="EmailSelected" value="Email Members">Email Members</button>
		
		<button type="submit" class="btn btn-outline-primary btn-sm" name="PaySelected" value="Pay Members">Pay Members</button>
		
		<button type="submit" class="btn btn-outline-primary btn-sm" name="GivePrize" value="Give Prize">Give Prize</button>
		
		<button type="submit" class="btn btn-outline-primary btn-sm" name="DeductCommissions" value="Deduct Commissions">Deduct Commissions</button>
		
		<button type="submit" class="btn btn-outline-primary btn-sm" name="Submit" value="Show Stats Of Selected">Show Stats Of Selected</button>
		
		<button type="button" class="btn btn-outline-primary btn-sm" onClick="javascript:actionSubmit('Set Selected Active')">Set Selected Active</button>
		
		<button type="button" class="btn btn-outline-primary btn-sm" onClick="javascript:actionSubmit('Suspend Selected')">Suspend Selected</button>
		
		<button type="button" class="btn btn-outline-primary btn-sm" data-toggle="modal" data-target="#deleteMembersModal">Delete Selected</button>
		
		<button type="button" class="btn btn-outline-danger btn-sm" data-toggle="modal" data-target="#banMembersModal">Ban Selected</button>
		
	</div>
</div>

<div style="margin-top:50px;" class="row">
	<div class="col-12">
	
		    <table class="table table-striped table-bordered table-hover" id="memberstable">
		      <thead class="thead-dark">
		        <tr>
		        	<th><input type="checkbox" name="checkbox" value="checkbox" onClick="javascript:checkAll(document.getElementById('mbrowse'),'mcheck');" /></th>
		        	<th>&nbsp;</th>
		        	
		        	<?php
		        	echo($headerlist);
		        	?>
		        	
		        	<th>&nbsp;</th>
		        	<th>&nbsp;</th>
		        </tr>
		      </thead>
		      <tfoot class="searchrow_header">
		        <tr>
		        	<th>NOSEARCH</th>
		        	<th>NOSEARCH</th>
		        	
		        	<?php
		        	echo($headerlist);
		        	?>
		        	
		        	<th>NOSEARCH</th>
		        	<th>NOSEARCH</th>
		        </tr>
		      </tfoot>
		      <tbody>
		      </tbody>
		    </table>
		
	</div>
</div>

</form>

<script>

	function refreshTable() {
		// Refreshes the table on the current page
		$('#memberstable').DataTable().ajax.reload(null, false);
	}
	
	function reloadTable() {
		// Reloads the table back to page 1
		$('#memberstable').DataTable().ajax.reload();
	}
	
	function actionSubmit(submittext) {
		// Submits the list of checked members for a button action
		
		var formData = new FormData();
		formData.append('Submit', submittext);
		
		var memcheckarray = [];
		$('.mcheck:checked').each(function(i, e) {
			memcheckarray.push($(this).val());
		});
		var memchecklist = '';
		if (memcheckarray.length > 0) {
			memchecklist = memcheckarray.join();
		}
		formData.append('memcheck', memchecklist);
		
		$.ajax({
		    url: 'membermanagement_ajax.php',
		    type: 'POST',
		    data: formData,
		    async: true,
		    success: function (data) {
		    	if (data == 'Done') {
		    		refreshTable();
		    	} else {
		    		alert('Unable to complete action: ' + data);
		    	}
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
		
		return false;
	}
	
	function deleteSubmit() {
		// Submits the list of checked members to delete
		
		var formData = new FormData();
		formData.append('MDelete', 'Yes - Delete');
		formData.append('delreason', document.getElementById("modaldelreason").value);
		
		var memcheckarray = [];
		$('.mcheck:checked').each(function(i, e) {
			memcheckarray.push($(this).val());
		});
		var memchecklist = '';
		if (memcheckarray.length > 0) {
			memchecklist = memcheckarray.join();
		} else {
			alert('No members were selected');
			return false;
		}
		formData.append('memcheck', memchecklist);
		
		$.ajax({
		    url: 'membermanagement_ajax.php',
		    type: 'POST',
		    data: formData,
		    async: true,
		    success: function (data) {
		    	if (data == 'Done') {
		    		refreshTable();
		    	} else {
		    		alert('Unable to complete action: ' + data);
		    	}
		    },
		    cache: false,
		    contentType: false,
		    processData: false
		});
		
		return false;
	}
	
	function checkSearchEntered() {
		$(".searchinput").each( function() {
			var thisfield = $(this);
			if(thisfield.val().length === 0) {
				thisfield.addClass('textempty');
			} else {
				thisfield.removeClass('textempty');
			}
		});
	}

$(document).ready( function () {
	
    $('#memberstable tfoot th').each( function () {
        var title = $(this).text();
        if (title == 'Gravatar' || title == 'NOSEARCH') {
        	$(this).html( '<input type="hidden" />' );
        } else {
        	$(this).html( '<input class="searchinput textempty" type="text" placeholder="&#xf002;" />' );
        }
    } );

    $('#memberstable').DataTable( {
        "processing": true,
        "lengthMenu": [ 10, 25, 50, 100, 500, 1000 ],
        "pageLength": 10,
        "serverSide": true,
        "ajax": "membermanagement_ajax.php?runsearch=1<?php echo($getshowtype.$getsearchfield.$getsearchtext); ?>",
        "order": [[2, 'asc']],
        "columnDefs": [
        	{ "orderable": false, "targets": [0, 1, -1, -2] }
        ],
        initComplete: function() {
      var api = this.api();
      // Apply the search
      api.columns().every(function() {
        var that = this;
        $('input', this.footer()).on('keyup input change clear', function() {
          if (that.search() !== this.value) {
            that
              .search(this.value)
              .draw();
          }
          checkSearchEntered();
        });
      });
    }
    } );
} );
</script>