<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.54
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";
require_once "../inc/funcs.php";
require_once "../inc/sql_funcs.php";

include "../inc/checkauth.php"; 

if(!isset($_SESSION["adminid"])) { exit; };

// Operations affecting member records

if (isset($_POST["memcheck"]) && strlen($_POST["memcheck"]) > 0) {
	$_POST["memcheck"] = explode(',', $_POST["memcheck"]);
}

// Suspend members according to check boxes
if($_POST["Submit"] == "Suspend Selected")
{
	if(isset($_POST["memcheck"]))
	{
		while (list ($key,$val) = @each ($_POST["memcheck"])) {
		$sqry="UPDATE ".$prefix."members SET status='Suspended' WHERE Id=".$val;
		@lfmsql_query($sqry) or die("Error: Unable to suspend multiple members!");
		}
	}
	echo("Done");
	exit;
}

// Un-Suspend members according to check boxes
if($_POST["Submit"] == "Set Selected Active")
{
	if(isset($_POST["memcheck"]))
	{
		while (list ($key,$val) = @each ($_POST["memcheck"])) {
		$uqry="UPDATE ".$prefix."members SET status='Active', disableddate=NULL WHERE Id=".$val;
		@lfmsql_query($uqry) or die("Error: Unable to un-suspend multiple members!");
		}
	}
	echo("Done");
	exit;
}

// Delete multiple members according to check boxes
if($_POST["MDelete"] == "Yes - Delete")
{
	
	if (isset($_POST['delreason']) && strlen($_POST['delreason']) > 0) {
		$delreason = $_POST['delreason'];
	} else {
		$delreason = 'Deleted By Admin';
	}
	
	if(isset($_POST["memcheck"]))
	{
		while (list ($key,$val) = @each ($_POST["memcheck"])) {
			
			$deletememid = $val;
			
			$getmemberinfo = lfmsql_query("SELECT * FROM ".$prefix."members WHERE Id=".$deletememid);
			$memberinfo = lfmsql_fetch_array($getmemberinfo);
			
			foreach ($memberinfo as $key => $value) {
				if (!is_array($memberinfo[$key])) {
					$memberinfo[$key] =  trim(addslashes($value));
				}
			}
			
			lfmsql_query("DELETE FROM ".$prefix."membersd WHERE Id=".$deletememid." OR username='".$memberinfo['username']."' OR email='".$memberinfo['email']."'") or die(lfmsql_error());
			
			$qry="INSERT INTO ".$prefix."membersd (Id, username, firstname, lastname, email, address, city, state, postcode, country, telephone, password, refid, status, joindate, geo, paypal_email, groupid, mtype, newsletter, lastip, signupip, lastlogin, numLogins, affnotify, expirydate, paymentplan, upgend, vericode, deletedate, deletereason) VALUES (".$deletememid.", '".$memberinfo['username']."', '".$memberinfo['firstname']."', '".$memberinfo['lastname']."', '".$memberinfo['email']."', '".$memberinfo['address']."', '".$memberinfo['city']."', '".$memberinfo['state']."', '".$memberinfo['postcode']."', '".$memberinfo['country']."', '".$memberinfo['telephone']."', '".$memberinfo['password']."', '".$memberinfo['refid']."', '".$memberinfo['status']."', '".$memberinfo['joindate']."', '".$memberinfo['geo']."', '".$memberinfo['paypal_email']."', '".$memberinfo['groupid']."', '".$memberinfo['mtype']."', '".$memberinfo['newsletter']."', '".$memberinfo['lastip']."', '".$memberinfo['signupip']."', '".$memberinfo['lastlogin']."', '".$memberinfo['numLogins']."', '".$memberinfo['affnotify']."', '".$memberinfo['expirydate']."', '".$memberinfo['paymentplan']."', '".$memberinfo['upgend']."', '".$memberinfo['vericode']."', NOW(), '".$delreason."')";
			
			lfmsql_query($qry) or die(lfmsql_error());
			
			$getmods = lfmsql_query("Select filename from `".$prefix."delete_mods` where enabled=1");
			if (lfmsql_num_rows($getmods) > 0) {
			while ($modlist = lfmsql_fetch_array($getmods)) {
				$modfilename = trim($modlist['filename']);
				if (file_exists("../".$modfilename)) {
					include("../".$modfilename);
				}
			}
			}
			
			lfmsql_query("DELETE FROM ".$prefix."members WHERE Id = ".$deletememid);
			
		}
	}
	echo("Done");
	exit;
}

// Ban members according to check boxes
if($_POST["Submit"] == "Ban Selected")
{
	if(isset($_POST["memcheck"]))
	{
		while (list ($key,$val) = @each ($_POST["memcheck"])) {
		$getmem = lfmsql_query("SELECT email, lastip, signupip from ".$prefix."members WHERE Id=".$val);
		$emailtoban = lfmsql_result($getmem, 0, "email");
		$ipban1 = lfmsql_result($getmem, 0, "lastip");
		$ipban2 = lfmsql_result($getmem, 0, "signupip");

		// Ban Email Addresses
		if ($emailtoban != "") {
		$checkban = lfmsql_query("Select id from `".$prefix."banemails` where banned='$emailtoban' limit 1");
		if (lfmsql_num_rows($checkban) == 0) {
		$sqry = "Insert into `".$prefix."banemails` (banned) values ('$emailtoban')";
		@lfmsql_query($sqry) or die("Error: Unable to ban emails");
		@lfmsql_query("Update ".$prefix."members set status='Suspended' where email LIKE '%".$emailtoban."%'");
		}
		}
		
		// Ban Last IP Addresses
		if(strpos($ipban1, ".") !== false) {
		$checkban = lfmsql_query("Select id from `".$prefix."banips` where banned='$ipban1' limit 1");
		if (lfmsql_num_rows($checkban) == 0) {
		$sqry = "Insert into `".$prefix."banips` (banned) values ('$ipban1')";
		@lfmsql_query($sqry) or die("Error: Unable to ban last ip addresses");
		@lfmsql_query("Update ".$prefix."members set status='Suspended' where lastip LIKE '%".$ipban1."%' OR signupip LIKE '%".$ipban1."%'");
		}
		}
		
		// Ban Signup IP Addresses
		if ($ipban1 != $ipban2) {
		if(strpos($ipban2, ".") !== false) {
		$checkban = lfmsql_query("Select id from `".$prefix."banips` where banned='$ipban2' limit 1");
		if (lfmsql_num_rows($checkban) == 0) {
		$sqry = "Insert into `".$prefix."banips` (banned) values ('$ipban2')";
		@lfmsql_query($sqry) or die("Error: Unable to ban signup ip addresses");
		@lfmsql_query("Update ".$prefix."members set status='Suspended' where lastip LIKE '%".$ipban2."%' OR signupip LIKE '%".$ipban2."%'");
		}
		}
		}
		
		}
	}
	echo("Done");
	exit;
}

// Support For Legacy GET/POST Variables

$currenttime = time();

$nowtime = $currenttime-120;
$hourtime = $currenttime-3600;
$daytime = $currenttime-86400;
$weektime = $currenttime-604800;

$currentdate = date("Y-m-d");
$yesterdate = strftime("%Y-%m-%d", strtotime("$currentdate + 1 days ago"));
$weekdate = strftime("%Y-%m-%d", strtotime("$currentdate + 7 days ago"));

if ($_GET['show'] == "surfing") {
	$showtype = "surfing";
	$timequery = "lastclick >= ".$nowtime;

} elseif ($_GET['show'] == "surfhour") {
	$showtype = "surfhour";
	$timequery = "lastclick >= ".$hourtime;

} elseif ($_GET['show'] == "surftoday") {
	$showtype = "surftoday";
	$timequery = "clickstoday > 0";

} elseif ($_GET['show'] == "surfweek") {
	$showtype = "surfweek";
	$timequery = "lastclick >= ".$weektime;
	
} elseif ($_GET['show'] == "newtoday") {
	$showtype = "newtoday";
	$timequery = "joindate <= '".$currentdate." 23:59:59' and joindate >= '".$currentdate."'";
	
} elseif ($_GET['show'] == "newyester") {
	$showtype = "newyester";
	$timequery = "joindate <= '".$yesterdate." 23:59:59' and joindate >= '".$yesterdate."'";
	
} elseif ($_GET['show'] == "newweek") {
	$showtype = "newweek";
	$timequery = "joindate <= '".$currentdate." 23:59:59' and joindate >= '".$weekdate."'";
	
} elseif ($_GET['show'] == "subscribed") {
	$showtype = "subscribed";
	$timequery = "status='Active' AND newsletter=1";
	
} elseif ($_GET['show'] == "unverified") {
	$showtype = "unverified";
	$timequery = "status='Unverified'";
	
} elseif ($_GET['show'] == "unsubscribed") {
	$showtype = "unsubscribed";
	$timequery = "status='Active' AND newsletter=0";
	
} elseif ($_GET['show'] == "suspended") {
	$showtype = "suspended";
	$timequery = "status='Suspended'";
	
} elseif ($_GET['show'] == "bounced") {
	$showtype = "bounced";
	$timequery = "status='Active' AND bouncemode=3";
	
} else {
	$showtype = "";
	$timequery = "";
}

if (($_GET['searchfield'] != "") && ($_GET['searchtext'] != "")) {
            $searchfield = trim($_GET["searchfield"]);
            $searchtext = trim(base64_decode($_GET["searchtext"]));
} else {
	$searchfield = "";
	$searchtext = "";
}

// End Support For Legacy GET/POST Variables

$draw=$_GET['draw'];
if (empty($draw)) { $draw=0; }

$length=$_GET['length'];
if (empty($length)) { $length=10; }

$start=$_GET['start'];
if (empty($start)) { $start=0; }

// Determine Which Fields To Show

$colarray = array();

$colarray[] = 'tablecheckbox';
$colarray[] = 'editbtn';

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showgrav'");
if (lfmsql_num_rows($getfield) > 0) {
	$showgrav = lfmsql_result($getfield, 0, "value");
} else {
	$showgrav = 1;
}
if ($showgrav == 1) {
	$colarray[] = 'grav';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showid'");
if (lfmsql_num_rows($getfield) > 0) {
	$showid = lfmsql_result($getfield, 0, "value");
} else {
	$showid = 1;
}
if ($showid == 1) {
	$colarray[] = 'Id';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showfirst'");
if (lfmsql_num_rows($getfield) > 0) {
	$showfirst = lfmsql_result($getfield, 0, "value");
} else {
	$showfirst = 1;
}
if ($showfirst == 1) {
	$colarray[] = 'firstname';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showlast'");
if (lfmsql_num_rows($getfield) > 0) {
	$showlast = lfmsql_result($getfield, 0, "value");
} else {
	$showlast = 1;
}
if ($showlast == 1) {
	$colarray[] = 'lastname';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showusername'");
if (lfmsql_num_rows($getfield) > 0) {
	$showusername = lfmsql_result($getfield, 0, "value");
} else {
	$showusername = 1;
}
if ($showusername == 1) {
	$colarray[] = 'username';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showemail'");
if (lfmsql_num_rows($getfield) > 0) {
	$showemail = lfmsql_result($getfield, 0, "value");
} else {
	$showemail = 0;
}
if ($showemail == 1) {
	$colarray[] = 'email';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpaypal'");
if (lfmsql_num_rows($getfield) > 0) {
	$showpaypal = lfmsql_result($getfield, 0, "value");
} else {
	$showpaypal = 0;
}
if ($showpaypal == 1) {
	$colarray[] = 'paypal_email';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showmtype'");
if (lfmsql_num_rows($getfield) > 0) {
	$showmtype = lfmsql_result($getfield, 0, "value");
} else {
	$showmtype = 1;
}
if ($showmtype == 1) {
	$colarray[] = 'accname';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showupgend'");
if (lfmsql_num_rows($getfield) > 0) {
	$showupgend = lfmsql_result($getfield, 0, "value");
} else {
	$showupgend = 1;
}
if ($showupgend == 1) {
	$colarray[] = 'upgend';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showjoined'");
if (lfmsql_num_rows($getfield) > 0) {
	$showjoined = lfmsql_result($getfield, 0, "value");
} else {
	$showjoined = 0;
}
if ($showjoined == 1) {
	$colarray[] = 'joindate';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showlogin'");
if (lfmsql_num_rows($getfield) > 0) {
	$showlogin = lfmsql_result($getfield, 0, "value");
} else {
	$showlogin = 1;
}
if ($showlogin == 1) {
	$colarray[] = 'lastlogin';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcredits'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcredits = lfmsql_result($getfield, 0, "value");
} else {
	$showcredits = 1;
}
if ($showcredits == 1) {
	$colarray[] = 'credits';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showbanners'");
if (lfmsql_num_rows($getfield) > 0) {
	$showbanners = lfmsql_result($getfield, 0, "value");
} else {
	$showbanners = 0;
}
if ($showbanners == 1) {
	$colarray[] = 'bannerimps';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showtexts'");
if (lfmsql_num_rows($getfield) > 0) {
	$showtexts = lfmsql_result($getfield, 0, "value");
} else {
	$showtexts = 0;
}
if ($showtexts == 1) {
	$colarray[] = 'textimps';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showsqban'");
if (lfmsql_num_rows($getfield) > 0 && file_exists("sqbanners.php")) {
	$showsqban = lfmsql_result($getfield, 0, "value");
} else {
	$showsqban = 0;
}
if ($showsqban == 1) {
	$colarray[] = 'sqbanimps';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showminibr'");
if (lfmsql_num_rows($getfield) > 0  && file_exists("minibranders.php")) {
	$showminibr = lfmsql_result($getfield, 0, "value");
} else {
	$showminibr = 0;
}
if ($showminibr == 1) {
	$colarray[] = 'mbrandimps';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpeels'");
if (lfmsql_num_rows($getfield) > 0 && file_exists("peelads.php")) {
	$showpeels = lfmsql_result($getfield, 0, "value");
} else {
	$showpeels = 0;
}
if ($showpeels == 1) {
	$colarray[] = 'peelimps';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showwidgets'");
if (lfmsql_num_rows($getfield) > 0 && file_exists("widgetads.php")) {
	$showwidgets = lfmsql_result($getfield, 0, "value");
} else {
	$showwidgets = 0;
}
if ($showwidgets == 1) {
	$colarray[] = 'widgetimps';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpurchmonth'");
if (lfmsql_num_rows($getfield) > 0) {
	$showpurchmonth = lfmsql_result($getfield, 0, "value");
} else {
	$showpurchmonth = 0;
}
if ($showpurchmonth == 1) {
	$colarray[] = 'purchmonthval';
	$purchmonthquery = " , (SELECT COALESCE(SUM(d.amount), 0) FROM ".$prefix."ipn_transactions d WHERE d.user_id=m.Id AND d.added >= (CURRENT_DATE - INTERVAL 31 DAY)) AS purchmonthval";
} else {
	$purchmonthquery = "";
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpurchyear'");
if (lfmsql_num_rows($getfield) > 0) {
	$showpurchyear = lfmsql_result($getfield, 0, "value");
} else {
	$showpurchyear = 0;
}
if ($showpurchyear == 1) {
	$colarray[] = 'purchyearval';
	$purchyearquery = " , (SELECT COALESCE(SUM(d.amount), 0) FROM ".$prefix."ipn_transactions d WHERE d.user_id=m.Id AND d.added >= (CURRENT_DATE - INTERVAL 365 DAY)) AS purchyearval";
} else {
	$purchyearquery = "";
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpurchlife'");
if (lfmsql_num_rows($getfield) > 0) {
	$showpurchlife = lfmsql_result($getfield, 0, "value");
} else {
	$showpurchlife = 0;
}
if ($showpurchlife == 1) {
	$colarray[] = 'purchlifeval';
	$purchlifequery = " , (SELECT COALESCE(SUM(d.amount), 0) FROM ".$prefix."ipn_transactions d WHERE d.user_id=m.Id) AS purchlifeval";
} else {
	$purchlifequery = "";
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showpiggybnk'");
if (lfmsql_num_rows($getfield) > 0 && file_exists("showpiggy.php")) {
	$showpiggybnk = lfmsql_result($getfield, 0, "value");
} else {
	$showpiggybnk = 0;
}
if ($showpiggybnk == 1) {
	$colarray[] = 'piggyval';
	$piggyquery = " , (SELECT COALESCE(SUM(p.amount), 0) FROM ".$prefix."piggybank p WHERE p.userid=m.Id AND p.status=0) AS piggyval";
} else {
	$piggyquery = "";
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcomm'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcomm = lfmsql_result($getfield, 0, "value");
} else {
	$showcomm = 1;
}
if ($showcomm == 1) {
	$colarray[] = 'commval';
	$commquery = " , (SELECT COALESCE(SUM(c.commission), 0) FROM ".$prefix."sales c WHERE c.affid=m.Id AND c.status IS NULL) AS commval";
} else {
	$commquery = "";
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcommp'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcommp = lfmsql_result($getfield, 0, "value");
} else {
	$showcommp = 0;
}
if ($showcommp == 1) {
	$colarray[] = 'commpval';
	$commpquery = " , (SELECT COALESCE(SUM(c.commission), 0) FROM ".$prefix."sales c WHERE c.affid=m.Id AND c.commission>0 AND c.status = 'P') AS commpval";
} else {
	$commpquery = "";
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showsales'");
if (lfmsql_num_rows($getfield) > 0) {
	$showsales = lfmsql_result($getfield, 0, "value");
} else {
	$showsales = 0;
}
if ($showsales == 1) {
	$colarray[] = 'salesval';
	$salesquery = " , (SELECT COUNT(*) FROM ".$prefix."sales c WHERE c.affid=m.Id AND c.commission>0 AND c.prize = 0) AS salesval";
} else {
	$salesquery = "";
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showrefs'");
if (lfmsql_num_rows($getfield) > 0) {
	$showrefs = lfmsql_result($getfield, 0, "value");
} else {
	$showrefs = 1;
}
if ($showrefs == 1) {
	$colarray[] = 'refsval';
	$refsquery = " , (SELECT COUNT(*) FROM ".$prefix."members m2 WHERE m2.refid=m.Id) AS refsval";
} else {
	$refsquery = "";
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showclicks'");
if (lfmsql_num_rows($getfield) > 0) {
	$showclicks = lfmsql_result($getfield, 0, "value");
} else {
	$showclicks = 1;
}
if ($showclicks == 1) {
	$colarray[] = 'clickstoday';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showclicksyester'");
if (lfmsql_num_rows($getfield) > 0) {
	$showclicksyester = lfmsql_result($getfield, 0, "value");
} else {
	$showclicksyester = 0;
}
if ($showclicksyester == 1) {
	$colarray[] = 'clicksyesterday';
}

if ($showtype == "surfing") {
	$colarray[] = 'timesurfing';
	$timesurfingquery = " , (".$currenttime."-m.starttime) AS timesurfing";
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showstatus'");
if (lfmsql_num_rows($getfield) > 0) {
	$showstatus = lfmsql_result($getfield, 0, "value");
} else {
	$showstatus = 1;
}
if ($showstatus == 1) {
	$colarray[] = 'status';
}

$getfield = lfmsql_query("SELECT value FROM ".$prefix."memgrid WHERE field='showcustom'");
if (lfmsql_num_rows($getfield) > 0) {
	$showcustom = lfmsql_result($getfield, 0, "value");
	$showcustom = explode(",", $showcustom);
} else {
	$showcustom = array();
}

if (count($showcustom) > 0) {
	foreach ($showcustom as $key=>$value) {
		$fieldexists = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."customfields WHERE id='".$value."'"), 0);
		if ($fieldexists > 0) {
			$colarray[] = 'custom_'.$value;
		}
	}
}

// End Determine Which Fields To Show


// Search

function lfm_build_where_search($colname, $searchval) {
	$searchval = trim($searchval);
	
	if (substr($searchval, 0, 2) == '!=' || substr($searchval, 0, 2) == '=!') {
		return "$colname != '".trim(addslashes(substr($searchval, 2)))."'";
	} elseif (substr($searchval, 0, 2) == '>=') {
		return "$colname >= '".trim(addslashes(substr($searchval, 2)))."'";
	} elseif (substr($searchval, 0, 2) == '<=') {
		return "$colname <= '".trim(addslashes(substr($searchval, 2)))."'";
	} elseif (substr($searchval, 0, 1) == '>') {
		return "$colname > '".trim(addslashes(substr($searchval, 1)))."'";
	} elseif (substr($searchval, 0, 1) == '<') {
		return "$colname < '".trim(addslashes(substr($searchval, 1)))."'";
	} elseif (substr($searchval, 0, 1) == '!') {
		return "$colname NOT LIKE '%".trim(addslashes(substr($searchval, 1)))."%'";
	} elseif (substr($searchval, 0, 1) == '=') {
		return "$colname = '".trim(addslashes(substr($searchval, 1)))."'";
	} elseif ($colname == 'Id') {
		// Use an exact search for the ID column
		return "$colname = '".trim(addslashes($searchval))."'";
	}
	
	return "$colname LIKE '%".trim(addslashes($searchval))."%'";
}

$wherequery = '';
$havingquery = '';

if (count($colarray) > 0) {
	foreach ($colarray as $key=>$value) {
		if (isset($_GET['columns'][$key]['search']['value']) && strlen(trim($_GET['columns'][$key]['search']['value'])) > 0) {
			
			if ($value == 'piggyval' || $value == 'commval' || $value == 'commpval' || $value == 'salesval' || $value == 'refsval' || $value == 'purchmonthval' || $value == 'purchyearval' || $value == 'purchlifeval' || substr($value, 0, 7) == 'custom_') {
				
				$splitor = explode(' OR ', $_GET['columns'][$key]['search']['value']);
				if (count($splitor) > 1) {
					$orquery = '';
					$orcount = 0;
					foreach ($splitor as $orkey=>$orvalue) {
						if (strlen(trim($orvalue)) > 0) {
							if ($orcount > 0) {
								$orquery .= " OR ";
							}
							$orquery .= lfm_build_where_search($value, $orvalue);
							$orcount++;
						}
					}
					if ($orcount > 0) {
						$havingquery .= " AND (";
						$havingquery .= $orquery;
						$havingquery .= ")";
					}
				} else {
					$splitand = explode(' AND ', $_GET['columns'][$key]['search']['value']);
					foreach ($splitand as $andkey=>$andvalue) {
						if (strlen(trim($andvalue)) > 0) {
							$havingquery .= " AND ".lfm_build_where_search($value, $andvalue);
						}
					}
				}
				
			} else {
				
				$splitor = explode(' OR ', $_GET['columns'][$key]['search']['value']);
				if (count($splitor) > 1) {
					$orquery = '';
					$orcount = 0;
					foreach ($splitor as $orkey=>$orvalue) {
						if (strlen(trim($orvalue)) > 0) {
							if ($orcount > 0) {
								$orquery .= " OR ";
							}
							$orquery .= lfm_build_where_search($value, $orvalue);
							$orcount++;
						}
					}
					if ($orcount > 0) {
						$wherequery .= " AND (";
						$wherequery .= $orquery;
						$wherequery .= ")";
					}
				} else {
					$splitand = explode(' AND ', $_GET['columns'][$key]['search']['value']);
					foreach ($splitand as $andkey=>$andvalue) {
						if (strlen(trim($andvalue)) > 0) {
							$wherequery .= " AND ".lfm_build_where_search($value, $andvalue);
						}
					}
				}
				
			}
		}
	}
}

// Quick search box
if (isset($_GET['search']['value'])) {
	$quicksearch = trim(addslashes($_GET['search']['value']));
	$splitspace = explode(' ', $quicksearch);
	foreach ($splitspace as $spacekey=>$spacevalue) {
		$spacevalue = trim($spacevalue);
		if (strlen($spacevalue) > 0) {
			$wherequery .= " AND (username LIKE '%".$spacevalue."%' OR firstname LIKE '%".$spacevalue."%' OR lastname LIKE '%".$spacevalue."%' OR email LIKE '%".$spacevalue."%' OR paypal_email LIKE '%".$spacevalue."%' OR lastip LIKE '%".$spacevalue."%' OR signupip LIKE '%".$spacevalue."%')";
		}
	}
}

// Add Legacy Searches
if (strlen($timequery) > 0) {
	$wherequery .= " AND ".$timequery;
}
// Handle membertype search
if($searchfield == "mtype" && !is_numeric($searchtext))
{
	$mtsqry="SELECT mtid FROM ".$prefix."membertypes WHERE accname='".$searchtext."'";
	$mtsres=@lfmsql_query($mtsqry);
	$mtsrow=@lfmsql_fetch_array($mtsres);
	$searchtext=$mtsrow["mtid"];
}

// Handle referral search
if ($searchfield == "refid" && !is_numeric($searchtext)) {
	$getrefid = lfmsql_query("Select Id from ".$prefix."members where username='".$searchtext."' or email='".$searchtext."'");
	if (lfmsql_num_rows($getrefid) > 0) {
		$searchtext = lfmsql_result($getrefid, 0, "Id");
	}		
}

// Handle ip address search
if ($searchfield == "ipadd") {
	$searchfield = "lastip='".$searchtext."' or signupip";
}

if (strlen($searchfield) > 0 && strlen($searchtext) > 0) {
	$wherequery .= " AND ".$searchfield." = '".$searchtext."'";
}
// End Legacy Searches


// Sorting

$order=$_GET['order'];
if(!$order) { $order="Id"; }

if (is_array($order)) {
	$orderstr = 'ORDER BY ';
	for ($i=0; $i<count($order); $i++) {
		if ($i > 0) { $orderstr .= ', '; }
		
		if (!isset($colarray[$order[$i]['column']]) || strlen($colarray[$order[$i]['column']]) < 1 || $colarray[$order[$i]['column']] == 'tablecheckbox' || $colarray[$order[$i]['column']] == 'grav') {
			$thisordercol = 'Id';
		} else {
			$thisordercol = $colarray[$order[$i]['column']];
		}
		$orderstr .= $thisordercol.' '.$order[$i]['dir'];
	}
	$order = $orderstr;
} else {
	$order = 'ORDER BY '.$order.' DESC';
}


// Build Custom Field Selects

$customselects = '';
if (count($showcustom) > 0) {
	foreach ($showcustom as $key=>$value) {
		$isnotint = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."customvals WHERE fieldid='".$value."' AND fieldvalue NOT REGEXP '^[+-]?[0-9]*([0-9]\\.|[0-9]|\\.[0-9])[0-9]*(e[+-]?[0-9]+)?$'"), 0);
		if ($isnotint > 0) {
			$customselects .= " , COALESCE((SELECT b.fieldvalue FROM ".$prefix."customvals b WHERE b.fieldid='".$value."' AND b.userid=m.Id), 'N/A') AS custom_".$value;
		} else {
			// This can be changed to CAST(b.fieldvalue AS FLOAT) if support for older MySQL versions is not needed
			$customselects .= " , COALESCE((SELECT CAST(b.fieldvalue AS SIGNED) FROM ".$prefix."customvals b WHERE b.fieldid='".$value."' AND b.userid=m.Id), 0) AS custom_".$value;
		}
	}
}

if (strlen($havingquery) > 0) {
	if (substr($havingquery, 0, 5) == ' AND ') {
		$havingquery = substr($havingquery, 5);
	}
	$havingquery = " HAVING ".$havingquery;
}


// Build Main Queries

$totalcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members WHERE `status` != 'Pending'"), 0);

$mqry="SELECT SQL_CALC_FOUND_ROWS *".$customselects.$piggyquery.$commquery.$commpquery.$salesquery.$refsquery.$purchmonthquery.$purchyearquery.$purchlifequery.$timesurfingquery." FROM ".$prefix."members m LEFT JOIN ".$prefix."membertypes t ON m.mtype=t.mtid WHERE `status` != 'Pending'".$wherequery.$havingquery;

$mqry .= " ".$order." LIMIT $start, $length";

$mres=@lfmsql_query($mqry);


// Start Table Output

echo('{
  "draw": '.$draw.',
  "recordsTotal": '.$totalcount.',
  "recordsFiltered": '.lfmsql_result(lfmsql_query("SELECT FOUND_ROWS();"), 0).',
  "data": [');

$i = 0;
while ($mrow=@lfmsql_fetch_array($mres)) {
	
	if ($i > 0) {
		echo (',');
	}
	
	echo '[';
	
	$mrowdata = '';
	
	// Modify Some Columns For Easier Readability
	
	$mrow["tablecheckbox"] = '<input type=checkbox class=mcheck name=memcheck[] value='.$mrow["Id"].' onclick=HighlightRowIfChecked(this)>';
	
	$mrow["editbtn"] .= '<button type=\'button\' class=\'btn btn-primary btn-sm\' onClick=javascript:editMember('.$mrow["Id"].')><i class=\'fas fa-pencil-alt\'></i></button>';
	
	$mrow["grav"] = '<img border=0 src=https://www.gravatar.com/avatar/'.md5($mrow["email"]).'?d=mm>';
	
	$mrow["joindate"] = date('M j Y', strtotime($mrow["joindate"]));
	$mrow["credits"] = round($mrow["credits"], 2);
	
	$mrow["purchmonthval"] = '<a target=_blank href=admin.php?f=ipnsales&daterange=pastmonth&showcustomer=yes&q='.$mrow["Id"].'>'.$mrow["purchmonthval"].'</a>';
	$mrow["purchyearval"] = '<a target=_blank href=admin.php?f=ipnsales&daterange=pastyear&showcustomer=yes&q='.$mrow["Id"].'>'.$mrow["purchyearval"].'</a>';
	$mrow["purchlifeval"] = '<a target=_blank href=admin.php?f=ipnsales&showcustomer=yes&q='.$mrow["Id"].'>'.$mrow["purchlifeval"].'</a>';
	
	$mrow["piggyval"] = '<a href=# onClick=window.open(\'showpiggy.php?mid='.$mrow["Id"].'\',\'PiggyBankPopup\',\'location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=no,left=100,top=100,width=700,height=500\');>'.$mrow["piggyval"].'</a>';
	
	$mrow["commval"] = '<a href=javascript:showSales('.$mrow["Id"].')>'.$mrow["commval"].'</a>';
	$mrow["commpval"] = '<a href=javascript:showSales('.$mrow["Id"].')>'.$mrow["commpval"].'</a>';
	
	$mrow["refsval"] = '<a href=admin.php?f=mm&searchfield=refid&searchtext='.$mrow["Id"].'>'.$mrow["refsval"].'</a>';
	
	if (strlen($mrow["lastlogin"]) > 1 && $mrow["lastlogin"] != "0000-00-00 00:00:00") {
		$mrow["lastlogin"] = date('M j Y', strtotime($mrow["lastlogin"]));
        } else {
        	$mrow["lastlogin"] = "Never";
        }
        
        if ($showtype == "surfing") {
        	$numhours = floor($mrow["timesurfing"]/60/60);
        	$mrow["timesurfing"] = $mrow["timesurfing"] - ($numhours*60*60);
        	$nummins = floor($mrow["timesurfing"]/60);
        	$mrow["timesurfing"] = $mrow["timesurfing"] - ($nummins*60);
        	$numsecs = $mrow["timesurfing"];
        	$mrow["timesurfing"] = $numhours."H ".$nummins."M ".$numsecs."S";
        }
	
	// Output Columns
	
	if (count($colarray) > 0) {
		foreach ($colarray as $key=>$value) {
			$mrow[$value] = str_replace('"', '', $mrow[$value]);
			$mrowdata .= '"'.$mrow[$value].'",';
		}
	}
	
	$mrowdata .= '"<a class=\'btn btn-primary btn-sm\' href=login_as_member.php?userid='.$mrow["Id"].' target=_blank>Login</a>",';
	$mrowdata .= '"<button type=\'button\' class=\'btn btn-danger btn-sm\' onClick=javascript:delMember('.$mrow["Id"].')><i class=\'fas fa-trash-alt\'></i></button>",';
	
	if (substr($mrowdata, -1) == ',') {
		$mrowdata = substr($mrowdata, 0, -1);
	}
	
	echo($mrowdata);
	
	echo ']';
	
	$i++;
}

echo ']
}'; 

?>