<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.52
// Copyright 2006-2021 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "../inc/filter.php";

// Prevent anyone who isn't logged in from opening this page
if(!isset($_SESSION["adminid"])) { exit; };

function checkModExtension($file) {
	$fileExp = explode('.', $file);
	return $fileExp[count($fileExp) -1];
}

// Add/Edit a Widget
if (isset($_GET['addedit']) && isset($_GET['widgettype'])) {
	
	if (!isset($_SESSION["adminidnum"]) || !is_numeric($_SESSION["adminidnum"]) || $_SESSION["adminidnum"] != 0) {
		echo("You must be logged into the main Admin account to add, delete, or edit a Widget");
		exit;
	}
	
	if ($_GET['widgettype'] == 'miniwidget') {
		$actionobj = "Mini Widget";
		$tablename = "`".$prefix."miniwidgets`";
		$postablename = "`".$prefix."miniwidgetpositions`";
		$directoryname = "miniwidgets";
	} else {
		$actionobj = "Widget";
		$tablename = "`".$prefix."widgets`";
		$postablename = "`".$prefix."widgetpositions`";
		$directoryname = "widgets";
	}
	
	if ($_POST['Submit'] == "Add" || $_POST['Submit'] == "Edit") {
		
		if (strlen($_POST['widgetfile']) > 0 && file_exists($directoryname."/".$_POST['widgetfile'])) {
			
			if (!isset($_POST['settingsfile']) || strlen($_POST['settingsfile']) < 1 || !file_exists($directoryname."/".$_POST['settingsfile'])) {
				$_POST['settingsfile'] = "None";
			}
			
			if (is_numeric($_GET['addedit'])) {
				// Edit existing entry
				lfmsql_query("UPDATE ".$tablename." SET name='".$_POST['name']."', descr='".$_POST['descr']."', widgetfile='".$_POST['widgetfile']."', settingsfile='".$_POST['settingsfile']."' WHERE id='".$_GET['addedit']."' AND candelete=1") or die(lfmsql_error());
			} else {
				// Add new entry
				lfmsql_query("INSERT INTO ".$tablename." (name, descr, widgetfile, settingsfile, candelete) VALUES ('".$_POST['name']."', '".$_POST['descr']."', '".$_POST['widgetfile']."', '".$_POST['settingsfile']."', 1)") or die(lfmsql_error());
				$newid = lfmsql_insert_id();
				lfmsql_query("INSERT INTO ".$postablename." (widgetid, adminid, enabled) VALUES ('".$newid."', '0', 1)") or die(lfmsql_error());
				
				// Add to secondary admins
				$adminres = lfmsql_query("SELECT id FROM ".$prefix."admins");
				while ($adminrow=lfmsql_fetch_array($adminres)) {
					lfmsql_query("INSERT INTO ".$postablename." (widgetid, adminid, enabled) VALUES ('".$newid."', '".$adminrow["id"]."', 1)") or die(lfmsql_error());
				}
				
			}
		}
		
	} else {
		
		if (is_numeric($_GET['addedit'])) {
			$actiontype = "Edit";
			$getentry = lfmsql_query("SELECT name, descr, widgetfile, settingsfile FROM ".$tablename." WHERE id='".$_GET['addedit']."' AND candelete=1") or die(lfmsql_error());
			if (lfmsql_num_rows($getentry) > 0) {
				$modnameval = lfmsql_result($getentry, 0, "name");
				$moddescrval = lfmsql_result($getentry, 0, "descr");
				$widgetfileval = lfmsql_result($getentry, 0, "widgetfile");
				$settingsfileval = lfmsql_result($getentry, 0, "settingsfile");
			} else {
				echo("Module or Extension ID not found.");
				exit;
			}
		} else {
			$actiontype = "Add";
			$modnameval = "";
			$moddescrval = "";
			$widgetfileval = "None";
			$settingsfileval = "None";
		}
		
		?>
		
		<table width="100%" border="0" cellspacing="0" cellpadding="4">
		  <tr>
		    <td><p>&nbsp;</p></td>
		  </tr>
		  <tr>
		    <td>

		<center>
		<p><font size="5"><b><? echo($actiontype." ".$actionobj); ?></b></font></p>
		
		<table border="0" cellpadding="0" cellspacing="0" width="450">
		<tr><td align="left">
			<p><font size="2"><b>Note:</b> This feature is intended for developers and advanced users with programming experience who want to create their own Widgets.  LFM does not provide technical support for custom Widgets.  Carefully read the guidelines below before adding a Widget.</font></p>
		</td></tr>
		</table>
		
		<form action="admin.php?f=widgets&addedit=<? echo($_GET['addedit']); ?>&widgettype=<? echo($_GET['widgettype']); ?>" method="post" name="widgets" id="widgets">
		<table width="300" align="center" cellpadding="4" cellspacing="0" class="lfmtable" style="border: 1px solid #999;">
		
		      <tr>
        		<td nowrap="nowrap" class="button"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong><? echo($actionobj); ?> Name</strong></font></td>
		        <td colspan="2" class="formfield" align="left">
		        <input type="text" name="name" size="20" value="<? echo($modnameval); ?>">
		        </td>
		        <td align="center"><a href="#" title="A quick title for your own reference.">
				<img src="../images/question.jpg" width="15" height="15" border="0" />
				</a></td>
		      </tr>
		      
		      <tr>
        		<td nowrap="nowrap" class="button"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>Description</strong></font></td>
		        <td colspan="2" class="formfield" align="left">
		        <textarea name="descr" cols="25" rows="4"><? echo($moddescrval); ?></textarea>
		        </td>
		        <td align="center"><a href="#" title="A description for your own reference.">
				<img src="../images/question.jpg" width="15" height="15" border="0" />
				</a></td>
		      </tr>
		      
    		  <tr>
		        <td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Main PHP File</font> </strong></td>
		        <td colspan="2" class="formfield" align="left">
		        <select name="widgetfile">
		        <option value="None"<? if($widgetfileval == "None"){echo(" selected");} ?>>-- Select File --</option>
		        	<?php
				$handle = opendir($directoryname);
				while(false != $handle and $fName = readdir($handle)) {
				  if (is_numeric($_GET['addedit'])) {
				   $checkadded = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$tablename." WHERE (widgetfile='".$fName."' OR settingsfile='".$fName."') AND id != '".$_GET['addedit']."'"), 0);
				  } else {
				    $checkadded = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$tablename." WHERE widgetfile='".$fName."' OR settingsfile='".$fName."'"), 0);
				  }
				   if($checkadded == 0) {
				      if ($fName != "index.php" && checkModExtension($fName) == "php") {
				      	echo("<option value=\"".$fName."\""); if($widgetfileval == $fName) { echo(" selected"); } echo(">".$fName."</option>");
				      }
				   }
				}
		        	?>
		        </select>
		        </td>
		        <td align="center"><a href="#" title="Upload the main Widget file to your <? echo($directoryname); ?> directory and then select it from the list."><img src="../images/question.jpg" width="15" height="15" border="0" />
			</a></td>
      		</tr>
		      
    		  <tr>
		        <td nowrap="nowrap" class="button"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Optional Settings File</font> </strong></td>
		        <td colspan="2" class="formfield" align="left">
		        <select name="settingsfile">
		        <option value="None"<? if($settingsfileval == "None"){echo(" selected");} ?>>None</option>
		        	<?php
				$handle = opendir($directoryname);
				while(false != $handle and $fName = readdir($handle)) {
				  if (is_numeric($_GET['addedit'])) {
				   $checkadded = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$tablename." WHERE (widgetfile='".$fName."' OR settingsfile='".$fName."') AND id != '".$_GET['addedit']."'"), 0);
				  } else {
				    $checkadded = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$tablename." WHERE widgetfile='".$fName."' OR settingsfile='".$fName."'"), 0);
				  }
				   if($checkadded == 0) {
				      if ($fName != "index.php" && checkModExtension($fName) == "php") {
				      	echo("<option value=\"".$fName."\""); if($settingsfileval == $fName) { echo(" selected"); } echo(">".$fName."</option>");
				      }
				   }
				}
		        	?>
		        </select>
		        </td>
		        <td align="center"><a href="#" title="An optional PHP file to allow users to change the settings of your Widget."><img src="../images/question.jpg" width="15" height="15" border="0" />
			</a></td>
      		</tr>
		      
		      <tr>
		        <td colspan="4" align="center" nowrap="nowrap"><input name="Submit" type="submit" class="footer-text" value="<? echo($actiontype); ?>" /></td>
		        </tr>
		    </table>
		</form>
		
		<br><br>
		<table border="0" cellpadding="0" cellspacing="0" width="450">
		<tr><td align="left">
			
		<?php if($_GET['widgettype'] == 'miniwidget') { ?>
			
			<font size="2"><b>Mini Widget Guidelines</b></font><br>
			<ul>
				<li><font size="2">All Mini Widget files should be uploaded to the /admin/miniwidgets directory.  Use distinct file names such as johndoe_map_widget.php so your files are not accidentally overwritten by future updates or Widgets created by other developers.<br></font></li>
				<li><font size="2">Mini Widget output should be in the following format:</font> <xmp><div class="col-12 col-sm-6 col-xl-3">
	<a class="lfm_miniwidget_link" href="(Optional Widget Link)">
		<div class="card bg-info text-light">
			<div class="card-body py-4">
				<div class="media">
					<div class="d-inline-block mt-2 mr-3">
						(Optional Widget Icon)
					</div>
					<div class="media-body">
						<h3 class="mb-2">(Info Value)</h3>
						<div class="mb-0">(Info Description)</div>
					</div>
				</div>
			</div>
		</div>
	</a>
</div></xmp>
				</li>
				<li><font size="2">If you do not wish to link your widget to a page, remove the a tag from your HTML.<br></font></li>
				<li><font size="2">Check the Bootstrap 4 documentation for various color and style options that are available.<br></font></li>
				<li><font size="2">Widgets should be self-contained and not alter the function or appearance of other widgets or other parts of the script.<br></font></li>
				<li><font size="2">Widgets should not create new database connections.  A connection will already be available when your main file or settings file is included by the script.  You should use the functions in /inc/lfmsql.php for making database queries.<br></font></li>
				<li><font size="2">Widgets with a settings file should post any form data to the URL admin.php?f=widgets&miniwidgetsettings=settings.php replacing settings.php with the name of your file.  Your settings file will then be included by the script, and the data will be available in the $_POST array.<br></font></li>
			</ul>
			
		<?php } else { ?>
		
			<font size="2"><b>Widget Guidelines</b></font><br>
			<ul>
				<li><font size="2"><a href="widget_template.zip">Click Here</a> to download a sample Widget with a template for both the main PHP file and an optional settings file.<br></font></li>
				<li><font size="2">All Widget files should be uploaded to the /admin/widgets directory.  Use distinct file names such as johndoe_map_widget.php so your files are not accidentally overwritten by future updates or Widgets created by other developers.<br></font></li>
				<li><font size="2">Widget output should be in the following format:</font> <xmp><div class="col-12 col-lg-6 col-xl-4">
	<div class="card">
		<div class="card-header">
			<span class="lfm_widget_title">(Your Widget Title)</span>
		</div>
		<div class="card-body">
			(Your Widget HTML)
		</div>
	</div>
</div></xmp>
				</li>
				<li><font size="2">Check the Bootstrap 4 documentation to see how the col classes can be used to support different size widgets.<br></font></li>
				<li><font size="2">You can also create expandable widgets using the format:</font> <xmp><div id="sampleexpandingwidget" class="lfm_widget_expandable">
	<div class="card">
		<div class="card-header">
			<span class="lfm_widget_title">(Your Expandable Widget Title)</span>
			<i onClick="toggleWidget('sampleexpandingwidget')" class="fas fa-arrows-alt-h lfm_widget_expandable_toggleswitch"></i>
		</div>
		<div class="card-body">
			(Your Expandable Widget HTML)
		</div>
	</div>
</div></xmp>
				</li>
				<li><font size="2">If creating an expandable widget, you must replace <b>sampleexpandingwidget</b> with a unique ID for your widget, on both line 1 and line 5 in the sample code above.<br></font></li>
				<li><font size="2">Widgets should be self-contained and not alter the function or appearance of other widgets or other parts of the script.<br></font></li>
				<li><font size="2">Widgets should not create new database connections.  A connection will already be available when your main file or settings file is included by the script.  You should use the functions in /inc/lfmsql.php for making database queries.<br></font></li>
				<li><font size="2">Widgets with a settings file should post any form data to the URL admin.php?f=widgets&widgetsettings=settings.php replacing settings.php with the name of your file.  Your settings file will then be included by the script, and the data will be available in the $_POST array.<br></font></li>
			</ul>
		
		<?php } ?>
			
		</td></tr>
		</table>
		
		<?
	exit;
	
	}
	
}


// Change a Widget state
if (isset($_GET['widgetstate']) && is_numeric($_GET['widgetstate']) && isset($_GET['widgetid']) && is_numeric($_GET['widgetid']) && isset($_GET['widgettype'])) {
	
	if ($_GET['widgettype'] == 'miniwidget') {
		$postablename = "`".$prefix."miniwidgetpositions`";
	} else {
		$postablename = "`".$prefix."widgetpositions`";
	}
	
	if ($_GET['widgetstate'] == 1) {
		lfmsql_query("UPDATE ".$postablename." SET enabled='1' WHERE adminid='".$_SESSION["adminidnum"]."' AND widgetid='".$_GET['widgetid']."'") or die(lfmsql_error());
	} elseif ($_GET['widgetstate'] == 0) {
		lfmsql_query("UPDATE ".$postablename." SET enabled='0' WHERE adminid='".$_SESSION["adminidnum"]."' AND widgetid='".$_GET['widgetid']."'") or die(lfmsql_error());
	}
}

// Delete a Widget
if (isset($_GET['deletewidget']) && is_numeric($_GET['deletewidget']) && isset($_GET['widgettype'])) {
	
	if (!isset($_SESSION["adminidnum"]) || !is_numeric($_SESSION["adminidnum"]) || $_SESSION["adminidnum"] != 0) {
		echo("You must be logged into the main Admin account to add, delete, or edit a Widget");
		exit;
	}
	
	if ($_GET['widgettype'] == 'miniwidget') {
		$tablename = "`".$prefix."miniwidgets`";
		$postablename = "`".$prefix."miniwidgetpositions`";
	} else {
		$tablename = "`".$prefix."widgets`";
		$postablename = "`".$prefix."widgetpositions`";
	}
	
	$getwidget = lfmsql_query("SELECT name FROM ".$tablename." WHERE id='".$_GET['deletewidget']."' AND candelete=1") or die(lfmsql_error());
	if (lfmsql_num_rows($getwidget) > 0) {
		
		$widgetname = lfmsql_result($getwidget, 0, "name");
		
		if(isset($_GET['confirmdel']) && $_GET['confirmdel'] == "yes") {
			lfmsql_query("DELETE FROM ".$tablename." WHERE id='".$_GET['deletewidget']."' AND candelete=1") or die(lfmsql_error());
			
			// Delete main admin positions
			lfmsql_query("DELETE FROM ".$postablename." WHERE adminid='0' AND widgetid='".$_GET['deletewidget']."'") or die(lfmsql_error());
			
			// Delete secondary admin positions
			$adminres = lfmsql_query("SELECT id FROM ".$prefix."admins");
			while ($adminrow=lfmsql_fetch_array($adminres)) {
				lfmsql_query("DELETE FROM ".$postablename." WHERE adminid='".$adminrow["id"]."' AND widgetid='".$_GET['deletewidget']."'") or die(lfmsql_error());
			}
		} else {
			echo("<center>
			<p><font size=3>Are you sure you want to delete this Widget from your Admin Panel?</font></p>
			<p><font size=4><b>".$widgetname."</b></p>
			<p><font size=3><a href=\"admin.php?f=widgets&deletewidget=".$_GET['deletewidget']."&confirmdel=yes&widgettype=".$_GET['widgettype']."\">Yes</a></font></p>
			<p><font size=3><a href=\"admin.php?f=widgets\">No</a></font></p>
			</center>");
			exit;
		}

	}
}

// Mini Widget Settings
if (isset($_GET['miniwidgetsettings']) && strlen($_GET['miniwidgetsettings']) > 0) {
	if (stripos($_GET['miniwidgetsettings'], '..') !== false || stripos($_GET['miniwidgetsettings'], '/') !== false) {
		echo("Widget files must be in the widgets directory");
		exit;
	}
	$checkwidget = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `".$prefix."miniwidgets` WHERE settingsfile='".$_GET['miniwidgetsettings']."'"), 0);
	if ($checkwidget > 0 && file_exists("miniwidgets/".$_GET['miniwidgetsettings'])) {
		include "miniwidgets/".$_GET['miniwidgetsettings'];
		exit;
	} else {
		echo("Could not validate settings file");
		exit;
	}
}

// Widget Settings
if (isset($_GET['widgetsettings']) && strlen($_GET['widgetsettings']) > 0) {
	if (stripos($_GET['widgetsettings'], '..') !== false || stripos($_GET['widgetsettings'], '/') !== false) {
		echo("Widget files must be in the widgets directory");
		exit;
	}
	$checkwidget = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `".$prefix."widgets` WHERE settingsfile='".$_GET['widgetsettings']."'"), 0);
	if ($checkwidget > 0 && file_exists("widgets/".$_GET['widgetsettings'])) {
		include "widgets/".$_GET['widgetsettings'];
		exit;
	} else {
		echo("Could not validate settings file");
		exit;
	}
}

?>

<link href="../lib/jquery-ui/jquery-ui.min.css" rel="stylesheet" type="text/css" />
<script src="../lib/jquery-ui/jquery-ui.min.js"></script>

<style>

.widgetbox {
	width: 500px;
	display: flex;
	background-color: #DDDDDD;
	color: #222222;
	border: 1px solid #bbc1ca;
	padding: 15px;
	margin-top: 15px;
	margin-bottom: 15px;
	cursor: move;
}

.widgetinfo {
	width: 400px;
	float: left;
	padding-right: 20px;
}

.widgetbuttons {
	width: 100px;
	float: right;
}

.widgetbuttons a {
	text-decoration: none;
}

</style>


<div class="lfm_infobox" style="width: 600px;">
<table width="600" border="0" cellpadding="2">
  <tr>
    <td align="center"><div class="lfm_infobox_heading">Widgets</div></td>
  </tr>
  
  <tr>
    <td align="left"><div class="lfm_descr">
    	
    	<br>Widgets are the boxes that appear on the homepage of your Admin Panel.  Mini Widgets are tiny widgets that appear at the top of the page.  You can switch each Widget on or off, and move them to different positions by dragging them up or down in the list below.	 If logged into the main Admin account, you can also create and add your own Widgets.
    	
    </div></td>
  </tr>
      
</table>
</div>

<br>
<h2>Mini Widgets</h2>
<br>

<?php

$getminiwidgets = lfmsql_query("SELECT a.id AS id, b.enabled AS enabled, a.name AS name, a.descr AS descr, a.candelete AS candelete, a.settingsfile AS settingsfile FROM ".$prefix."miniwidgets a LEFT JOIN ".$prefix."miniwidgetpositions b ON (a.id=b.widgetid) WHERE b.adminid='".$_SESSION["adminidnum"]."' ORDER BY b.rank ASC");

echo('<ul id="miniwidgetlist" style="width:500px; list-style-type:none;">');

for ($i = 0; $i < lfmsql_num_rows($getminiwidgets); $i++) {
	
	$widgetid = lfmsql_result($getminiwidgets, $i, "id");
	$widgetenabled = lfmsql_result($getminiwidgets, $i, "enabled");
	$widgetname = lfmsql_result($getminiwidgets, $i, "name");
	$widgetdescr = lfmsql_result($getminiwidgets, $i, "descr");
	$widgetcandelete = lfmsql_result($getminiwidgets, $i, "candelete");
	$widgetsettingsfile = lfmsql_result($getminiwidgets, $i, "settingsfile");
	
	if ($widgetenabled == 1) {
		$tdbg = "#73fb76";
	} else {
		$tdbg = "#DDDDDD";
	}
	
	if ($widgetenabled == 1) {
		$widgetoptions = '<a href=admin.php?f=widgets&widgetstate=0&widgetid='.$widgetid.'&widgettype=miniwidget><button type="button" class="btn btn-danger" style="display:block;">Disable</button></a>';
	} else {
		$widgetoptions = '<a href=admin.php?f=widgets&widgetstate=1&widgetid='.$widgetid.'&widgettype=miniwidget><button type="button" class="btn btn-success" style="display:block;">Enable</button></a>';
	}
	
	if (strlen($widgetsettingsfile) > 0 && $widgetsettingsfile != "None") {
		$widgetoptions .= '<a href=admin.php?f=widgets&widgetsettings='.$widgetsettingsfile.'><button type="button" class="btn btn-primary" style="display:block; margin-top:10px;">Settings</button></a>';
	}
	
	if ($widgetcandelete == 1 && isset($_SESSION["adminidnum"]) && is_numeric($_SESSION["adminidnum"]) && $_SESSION["adminidnum"] == 0) {
		$widgetoptions .= '<a href=admin.php?f=widgets&addedit='.$widgetid.'&widgettype=miniwidget><button type="button" class="btn btn-primary" style="display:block; margin-top:10px;">Edit</button></a>';
		$widgetoptions .= '<a href=admin.php?f=widgets&deletewidget='.$widgetid.'&widgettype=miniwidget><button type="button" class="btn btn-danger" style="display:block; margin-top:10px;">Delete</button></a>';
	}
	
	echo('<li id="mini'.$widgetid.'" class="widgetbox" style="background-color:'.$tdbg.';">
		<div class="widgetinfo">
			<h3 class="text-left">'.$widgetname.'</h3>
			<p class="text-left">'.$widgetdescr.'</p>
		</div>
		<div class="widgetbuttons">
			'.$widgetoptions.'
		</div>
	</li>');
	
}

echo('</ul>');

if (isset($_SESSION["adminidnum"]) && is_numeric($_SESSION["adminidnum"]) && $_SESSION["adminidnum"] == 0) {
echo('<br>
<p><a href="admin.php?f=widgets&addedit=new&widgettype=miniwidget"><font size="4">Add A New Mini Widget</font></a></p>
<br>');
}

?>

<br>
<h2>Main Widgets</h2>
<br>

<?php

$getwidgets = lfmsql_query("SELECT a.id AS id, b.enabled AS enabled, a.name AS name, a.descr AS descr, a.candelete AS candelete, a.settingsfile AS settingsfile FROM ".$prefix."widgets a LEFT JOIN ".$prefix."widgetpositions b ON (a.id=b.widgetid) WHERE b.adminid='".$_SESSION["adminidnum"]."' ORDER BY b.rank ASC");

echo('<ul id="widgetlist" style="width:500px; list-style-type:none;">');

for ($i = 0; $i < lfmsql_num_rows($getwidgets); $i++) {
	
	$widgetid = lfmsql_result($getwidgets, $i, "id");
	$widgetenabled = lfmsql_result($getwidgets, $i, "enabled");
	$widgetname = lfmsql_result($getwidgets, $i, "name");
	$widgetdescr = lfmsql_result($getwidgets, $i, "descr");
	$widgetcandelete = lfmsql_result($getwidgets, $i, "candelete");
	$widgetsettingsfile = lfmsql_result($getwidgets, $i, "settingsfile");
	
	if ($widgetenabled == 1) {
		$tdbg = "#73fb76";
	} else {
		$tdbg = "#DDDDDD";
	}
	
	if ($widgetenabled == 1) {
		$widgetoptions = '<a href=admin.php?f=widgets&widgetstate=0&widgetid='.$widgetid.'&widgettype=widget><button type="button" class="btn btn-danger" style="display:block;">Disable</button></a>';
	} else {
		$widgetoptions = '<a href=admin.php?f=widgets&widgetstate=1&widgetid='.$widgetid.'&widgettype=widget><button type="button" class="btn btn-success" style="display:block;">Enable</button></a>';
	}
	
	if (strlen($widgetsettingsfile) > 0 && $widgetsettingsfile != "None") {
		$widgetoptions .= '<a href=admin.php?f=widgets&widgetsettings='.$widgetsettingsfile.'><button type="button" class="btn btn-primary" style="display:block; margin-top:10px;">Settings</button></a>';
	}
	
	if ($widgetcandelete == 1 && isset($_SESSION["adminidnum"]) && is_numeric($_SESSION["adminidnum"]) && $_SESSION["adminidnum"] == 0) {
		$widgetoptions .= '<a href=admin.php?f=widgets&addedit='.$widgetid.'&widgettype=widget><button type="button" class="btn btn-primary" style="display:block; margin-top:10px;">Edit</button></a>';
		$widgetoptions .= '<a href=admin.php?f=widgets&deletewidget='.$widgetid.'&widgettype=widget><button type="button" class="btn btn-danger" style="display:block; margin-top:10px;">Delete</button></a>';
	}
	
	echo('<li id="'.$widgetid.'" class="widgetbox" style="background-color:'.$tdbg.';">
		<div class="widgetinfo">
			<h3 class="text-left">'.$widgetname.'</h3>
			<p class="text-left">'.$widgetdescr.'</p>
		</div>
		<div class="widgetbuttons">
			'.$widgetoptions.'
		</div>
	</li>');
	
}

echo('</ul>');

if (isset($_SESSION["adminidnum"]) && is_numeric($_SESSION["adminidnum"]) && $_SESSION["adminidnum"] == 0) {
echo('<br>
<p><a href="admin.php?f=widgets&addedit=new&widgettype=widget"><font size="4">Add A New Widget</font></a></p>
<br>');
}

?>

<script>
$(function() {
	$( "#miniwidgetlist" ).sortable({
		placeholder: "ui-state-highlight",
		cursor: 'crosshair',
		update: function(event, ui) {
			var order = $("#miniwidgetlist").sortable("toArray");
			var formData = new FormData();
			formData.append('miniwidgetlist', order.join());
			$.ajax({
			    url: 'miniwidgets_ajax.php',
			    type: 'POST',
			    data: formData,
			    async: true,
			    cache: false,
			    contentType: false,
			    processData: false
			});
		}
	});
	$( "#miniwidgetlist" ).disableSelection();
});

$(function() {
	$( "#widgetlist" ).sortable({
		placeholder: "ui-state-highlight",
		cursor: 'crosshair',
		update: function(event, ui) {
			var order = $("#widgetlist").sortable("toArray");
			var formData = new FormData();
			formData.append('widgetlist', order.join());
			$.ajax({
			    url: 'widgets_ajax.php',
			    type: 'POST',
			    data: formData,
			    async: true,
			    cache: false,
			    contentType: false,
			    processData: false
			});
		}
	});
	$( "#widgetlist" ).disableSelection();
});
</script>
