<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.54
// Copyright ©2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

if(!isset($_SESSION["adminid"])) { exit; };

    $sdate = date("Y-m-d", strtotime("-7 days"));
    $edate = date("Y-m-d", strtotime("-1 day"));

?>

<!-- Start Graph Dashboard -->

<script>

// Custom toggle widget function: Shows the graph controls, expands the height of the graph, changes the toggle icon, and then calls the regular LFM toggleWidget function

var graphDashExpanded = 0;

function toggleGraphDash() {
	if (graphDashExpanded == 0) {
		graphDashExpanded = 1;
		$("#graphdash_form").css("display", "flex");
		$("#graphdash_controls").css("display", "block");
		$("#graphdash_graphdiv").css("height", "400px");
		$("#graphdash_toggleswitch").removeClass("fa-expand-alt");
		$("#graphdash_toggleswitch").addClass("fa-compress-alt");
	} else {
		graphDashExpanded = 0;
		$("#graphdash_form").css("display", "none");
		$("#graphdash_controls").css("display", "none");
		$("#graphdash_graphdiv").css("height", "285px");
		$("#graphdash_toggleswitch").removeClass("fa-compress-alt");
		$("#graphdash_toggleswitch").addClass("fa-expand-alt");
	}
	toggleWidget('graphwidget');
}

</script>

<!-- Flot Files -->
<script src="../lib/jquery-flot/jquery.flot.js" type="text/javascript"></script>
<script src="../lib/jquery-flot/jquery.flot.resize.js" type="text/javascript"></script>
<script src="../lib/jquery-flot/plugins/jquery.flot.tooltip.js" type="text/javascript"></script>

<!-- VisuGraph Files -->
<link href="../lib/visugraph/visugraph.css" rel="stylesheet" type="text/css">
<script src="../lib/visugraph/visugraph.js" type="text/javascript"></script>


<div id="graphwidget" class="lfm_widget_expandable">
	<div class="card">
		<div class="card-header">
			<span class="lfm_widget_title">Graph Dashboard</span>
			<i id="graphdash_toggleswitch" onClick="toggleGraphDash()" class="fas fa-expand-alt lfm_widget_expandable_toggleswitch"></i>
		</div>
		<div class="card-body pb-0">
			
			<div id="graphdash_form" style="display:none;">
				
				<div style="display:flex;margin-left:20px;">
				<div class="input-group date datetimepicker" data-min-view="2" data-date-format="yyyy-mm-dd">
				<input size="10" type="text" id="graphdash_startdate" value="<?php echo($sdate); ?>">
				<div class="input-group-append">
				<button class="btn btn-primary"><i class="far fa-calendar-alt"></i></button>
				</div>
				</div>
				</div>
				
				<div style="display:flex;margin-left:10px;">
				<div class="input-group date datetimepicker" data-min-view="2" data-date-format="yyyy-mm-dd">
				<input size="10" type="text" id="graphdash_enddate" value="<?php echo($edate); ?>">
				<div class="input-group-append">
				<button class="btn btn-primary"><i class="far fa-calendar-alt"></i></button>
				</div>
				</div>
				</div>
				
				<div style="display:flex;margin-left:10px;margin-top:5px;">
				<select class="form-control" id="graphdash_datatype">
					<option value=1>Hits Delivered</option>
					<option value=2>Credits Earned</option>
					<option value=3>Members Surfed</option>
					<option value=4>Hits Per URL</option>
					<option value=5>Imps Per Banner</option>
					<option value=6>Imps Per Text Ad</option>
					
					<?php if (file_exists('sqbanners.php') || file_exists('../sqbanners.php')) { echo('<option value=8>Imps Per Sq Banner</option>'); } ?>
					<?php if (file_exists('minibranders.php') || file_exists('../minibranders.php')) { echo('<option value=9>Imps Per Mini Brander</option>'); } ?>
					<?php if (file_exists('peelads.php') || file_exists('../peelads.php')) { echo('<option value=10>Imps Per Peel Ad</option>'); } ?>
					<?php if (file_exists('widgetads.php') || file_exists('../widgetads.php')) { echo('<option value=15>Imps Per Widget Ad</option>'); } ?>
					
					<option value=7>New Signups</option>
				</select>
				</div>
				
				<button class="btn btn-primary btn-sm" style="margin-left:10px;margin-top:5px;height:37px;" onclick="visugraph_makegraph(graphdash_visuobj)">View</button>
				
			</div>
			
			<div id="graphdash_spinner" class="visugraph_spinner spinner-border text-primary" role="status">
			  <span class="sr-only">Loading...</span>
			</div>
			<div id="graphdash_graphdiv" class="visugraph_graphdiv" style="height:285px"></div>
			
		<div style="width:100%;text-align:center;">
		<center>
		<div id="graphdash_controls" style="display:none;margin-bottom:10px;">
		<table border=0 cellpadding=0 cellspacing=0>
			<tr>
				<td>&nbsp;</td>
				<td><input class="btn btn-primary" id="graphdash_zoomin" type="button" style="height:30px;width:30px;" OnClick="visugraph_change_zoom(graphdash_visuobj, 0)" value="+"></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><input class="btn btn-primary" id="graphdash_panleft" type="button" style="height:30px;width:30px;" OnClick="visugraph_change_pan(graphdash_visuobj, 0)" value="<"></td>
				<td>&nbsp;</td>
				<td><input class="btn btn-primary" id="graphdash_panright" type="button" style="height:30px;width:30px;" OnClick="visugraph_change_pan(graphdash_visuobj, 1)" value=">"></td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td><input class="btn btn-primary" id="graphdash_zoomout" type="button" style="height:30px;width:30px;" OnClick="visugraph_change_zoom(graphdash_visuobj, 1)" value="-"></td>
				<td>&nbsp;</td>
			</tr>
		</table>
		</div>
		</center>
		</div>
			
		</div>
	</div>
</div>

<script type="text/javascript">
	
	// Create The VisuGraph Object
	var graphdash_visuobj = {
		ajax_url:'widgets/graphdashboard_ajax.php',
		graphtype:'daily',
		graphcolor:'#1ca8dd',
		autofontsize:true,
		datatype_id:'graphdash_datatype',
		graphdiv_id:'graphdash_graphdiv',
		spinnerdiv_id:'graphdash_spinner',
		startdate_id:'graphdash_startdate',
		enddate_id:'graphdash_enddate',
		zoomin_id:'graphdash_zoomin',
		zoomout_id:'graphdash_zoomout',
		panleft_id:'graphdash_panleft',
		panright_id:'graphdash_panright',
		stimestamp:0,
		etimestamp:0,
	}
	
	window.addEventListener('load', function () {
		// Attach The Click Event
		$("#graphdash_graphdiv").bind("plotclick", function (evt, pos, obj) {
			var clickx = Math.round(pos['x']);
			visugraph_click_zoomin(graphdash_visuobj, clickx);
		});
		// Draw The Initial Graph
		visugraph_makegraph(graphdash_visuobj);
	});
</script>

<!-- End Graph Dashboard -->