<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.52
// Copyright ©2006-2021 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

if(!isset($_SESSION["adminid"])) { exit; };

function getNewFromLFM($processurl, $getdata = null) {
	
	$postdata = 'widget=1';
	foreach ($getdata as $key=>$value) {
		$postdata = $postdata."&".$key."=".$value;
	}
	
	$urlinfo = parse_url($processurl);
	$hostname = $urlinfo['host'];
	if ($hostname == "" || gethostbyname($hostname) == $hostname) {
		return "";
	} else {
		$port = 80;
		$timeout = 5;
		$headers = "POST ".$urlinfo['path']." HTTP/1.1\r\n";
		$headers .= "Host: ".$hostname."\r\n";
		$headers .= "Referer: http://".$_SERVER["SERVER_NAME"]."\r\n";
		$headers .= "Content-Type: application/x-www-form-urlencoded\r\n";
		$headers .= "Content-Length: ".strlen($postdata)."\r\n";
		$headers .= "Connection: close\r\n\r\n";
		$checkreturn = "";
		$attempts = 0;
		while((strpos($checkreturn, "200 OK") === false) && (strpos($checkreturn, "302 Found") === false) && ($attempts<2)) {
			$connection = fsockopen($hostname, $port, $errno, $errstr, $timeout);
			if ($connection) {
				stream_set_timeout($connection, $timeout);
				fwrite($connection,$headers.$postdata);
				//Read the reply
				$checkreturn = "";
				$readruns = 0;
				while (!feof($connection) && !$checktimeout['timed_out'] && $readruns < 50) {
					$checkreturn .= fread($connection, 10000);
					$checktimeout = stream_get_meta_data($connection);
					$readruns++;
				}
				fclose($connection);
			}
			$attempts = $attempts+1;
		}
		
		if((strpos($checkreturn, "200 OK") === false) && (strpos($checkreturn, "302 Found") === false)) {
			return "";
		} elseif (strpos($checkreturn, "NEWLFM:") === false) {
			return "";
		} else {
			$colonpos = strpos($checkreturn, "NEWLFM:");
			$colonpos = $colonpos+7;
			$newresult = trim(substr($checkreturn, $colonpos));
			
			$packressplit = explode(':ENDNEWLFM', $newresult);
			$newresult = trim($packressplit[0]);
			
			return $newresult;
		}
	}
}

$keyres = lfmsql_query("SELECT license FROM ".$prefix."admin");
$lfmkey = lfmsql_result($keyres, 0);
$lfmvers = get_script_vers();

$plugindata = '';
$pluginlist = array();
$getplugins = lfmsql_query("SELECT productid, majvers, minvers FROM ".$prefix."plugins");
if (lfmsql_num_rows($getplugins) > 0) {
	for ($iplugins = 0; $iplugins < lfmsql_num_rows($getplugins); $iplugins++) {
		$pluginproductid = lfmsql_result($getplugins, $iplugins, "productid");
		$pluginmajvers = lfmsql_result($getplugins, $iplugins, "majvers");
		$pluginminvers = lfmsql_result($getplugins, $iplugins, "minvers");
		$pluginlist[] = $pluginproductid.'.'.$pluginmajvers.'.'.$pluginminvers;
	}
	$plugindata = implode(",", $pluginlist);
}

$data = array
(
	'lfmkey' => $lfmkey,
	'lfmvers' => $lfmvers,
	'plugindata' => $plugindata
);

$news_info = getNewFromLFM('http://thetrafficexchangescript.com/newfromlfmv3.php', $data);

if (strlen($news_info) > 0) {
	// Blocks script injection attempts
	$news_info_check = preg_replace('/\s+/', '', html_entity_decode($news_info));
	if (stripos($news_info_check, '<script') !== false || stripos($news_info_check, '<object') !== false || stripos($news_info_check, '<embed') !== false || stripos($news_info_check, '<iframe') !== false || stripos($news_info_check, '<form') !== false || stripos($news_info_check, 'javascript:') !== false || stripos($news_info_check, 'http-equiv') !== false || stripos($news_info_check, 'eval(') !== false || stripos($news_info_check, 'unescape(') !== false || stripos($news_info_check, 'decodeURI') !== false || stripos($news_info_check, 'onload') !== false || stripos($news_info_check, 'onunload') !== false || stripos($news_info_check, 'getElement') !== false || stripos($news_info_check, '.navigate') !== false || stripos($news_info_check, '.href') !== false || stripos($news_info_check, '.submit') !== false || stripos($news_info_check, '.location') !== false || stripos($news_info_check, '.innerhtml') !== false || stripos($news_info_check, '.write') !== false || stripos($news_info_check, 'document.') !== false || stripos($news_info_check, 'window.') !== false || stripos($news_info_check, 'self.') !== false || stripos($news_info_check, 'top.') !== false || stripos($news_info_check, 'parent.') !== false) {
		$news_info = "";
	}
}

if (strlen($news_info) > 0) {

echo('
<!-- Start New From LFM -->
<div class="col-12 col-lg-6 col-xl-4">
	<div class="card">
		<div class="card-header">
			<h5 class="card-title mb-0">New From LFMTE</h5>
		</div>
		<div class="card-body">

'.$news_info.'

		</div>
	</div>
</div>
<!-- End New From LFM -->');

}

?>