function authnetDisplayModal(authnetItemId, authnetItemName) {
	
	var formData = new FormData();
	formData.append('authnetItemId', authnetItemId);
	formData.append('authnetItemName', authnetItemName);
	
	$.ajax({
	    url: 'authnet_ajax.php',
	    type: 'POST',
	    data: formData,
	    async: true,
	    success: function (data) {
	    	if (data == 'loginform') {
	    		authnetDisplayLogin(authnetItemId, authnetItemName);
	    	} else if (data.includes("|")) {
	    		authnetDisplayConfirm(authnetItemId, authnetItemName, data);
	    	} else {
	    		document.getElementById('authnetBody').innerHTML = '<div style="text-align:center;"><h1 style="text-align:center">Something Went Wrong</h1><span class="icon icon-circle-with-cross" style="font-size:120px;color:darkred;"></span><br><br><h3 style="text-align:left;">' + data + '</h3><br><button type="button" class="btn btn-sm btn-primary-outline" data-dismiss="modal">Close</button></div>';
	    	}
	    },
	    cache: false,
	    contentType: false,
	    processData: false
	});
	
	document.getElementById('authnetBody').innerHTML = '<h1 style="text-align:center">Loading...</h1>';
	
	return false;
	
}

function authnetDisplayConfirm(authnetItemId, authnetItemName, authnetDataResponse) {
	
	var authnetResponseVars = authnetDataResponse.split('|');
	var itemname = authnetResponseVars[0];
	var itemprice = authnetResponseVars[1];
	var displayprice = '$' + itemprice;
	var confirmbtn = authnetResponseVars[2];
	var itemrecurring = authnetResponseVars[3];
	var paymethods = authnetResponseVars[4];
	
	if (itemrecurring == 'none') {
		itemrecurring = '';
	} else if (itemrecurring == 'Rebills every 1 months') {
		itemrecurring = '<br><span style="font-size:16px;">Rebills every month</span>';
	} else {
		itemrecurring = '<br><span style="font-size:16px;">' + itemrecurring + '</span>';
	}
	
	var authnetHTML = '<span style="font-size:18px;">' + itemname + '</span> <hr style="border:0; clear:both; display:block; width:99%; background-color:#CCCCCC; height:1px;"> <span style="font-size:24px;">' + displayprice + '</span>' + itemrecurring + '<br><br>';
	
	if (paymethods.length > 1) {
		authnetHTML += '<form name="authnetform" method="POST">';
		authnetHTML += '<select id="paymentProfileId">';
		var splitpaymethods = paymethods.split(',');
		for (var i=0; i < splitpaymethods.length; i++) {
			thispaymethod = splitpaymethods[i];
			if (thispaymethod.length > 1) {
				splitthispaymethod = thispaymethod.split(' ');
				paymethodid = splitthispaymethod[0];
				paymethodnum = splitthispaymethod[1];
				paymethodtype = splitthispaymethod[2];
				authnetHTML += '<option value="' + paymethodid + '">' + paymethodtype + ' ' + paymethodnum + '</option>';
				
			}
		}
		authnetHTML += '</select>';
		authnetHTML += '<br><br><a href="authnet_paymethods.php">Add/Edit A Payment Method</a><br><input type="hidden" id="authnetItemId" value="' + authnetItemId + '"> <input type="hidden" id="authnetItemName" value="' + authnetItemName + '"> <br> <button style="color:#ffffff; background-color:#006dcc;" type="button" class="btn btn-sm btn-primary-outline" onclick="authnetSubmitConfirm()">' + confirmbtn + '</button> </form>';
	} else {
		authnetHTML += '<span style="color:darkred;">Please click the button below to add a payment method.</span>';
		authnetHTML += '<br><br><a href="authnet_paymethods.php"> <button style="color:#ffffff; background-color:#006dcc;" type="button" class="btn btn-sm btn-primary-outline">Add A Payment Method</button></a>';
	}
	
	document.getElementById('authnetBody').innerHTML = authnetHTML;
}

function authnetSubmitConfirm() {
	
	var formData = new FormData();
	formData.append('authnetItemId', document.getElementById("authnetItemId").value);
	formData.append('authnetItemName', document.getElementById("authnetItemName").value);
	formData.append('paymentProfileId', document.getElementById("paymentProfileId").value);
	
	$.ajax({
	    url: 'authnet_ipn.php',
	    type: 'POST',
	    data: formData,
	    async: true,
	    success: function (data) {
	    	if (data.indexOf('success') > -1) {
	    		splitdata = data.split('|');
	    		returnurl = splitdata[1];
	    		window.location = returnurl;
	    	} else if (data.indexOf('duplicate') > -1) {
	    		document.getElementById('authnetBody').innerHTML = '<div style="text-align:center;"><h1 style="text-align:center;color:#000000;">Possible Duplicate</h1><br><h3 style="text-align:left;">This purchase was blocked because you have made another purchase from us in a very short timeframe, and might be a duplicate.  If you are intentionally making another purchase, please wait a few minutes and try your purchase again.</h3></div>';
	    	} else {
	    		document.getElementById('authnetBody').innerHTML = '<div style="text-align:center;"><h1 style="text-align:center;color:#000000;">Something Went Wrong</h1><br><h3 style="text-align:left;">Please ensure that your payment method is still valid and has not expired.  For additional assistance, please contact our support.</h3></div>';
	    	}
	    },
	    cache: false,
	    contentType: false,
	    processData: false
	});
	
	return false;
}

function authnetDisplayLogin(authnetItemId, authnetItemName) {
	document.getElementById('authnetBody').innerHTML = '<span id="authnetLoginError" style="color:darkred;font-size:14px;"></span> <form name="authnetform" method="POST"> <input type="text" id="username" value="" placeholder="Username"><br><br> <input type="password" id="password" value="" placeholder="Password"><br><br> <input type="hidden" id="authnetItemId" value="' + authnetItemId + '"> <input type="hidden" id="authnetItemName" value="' + authnetItemName + '"> <button type="button" class="btn btn-sm btn-primary-outline" onclick="authnetSubmitLogin()">Login</button> </form>';
}

function authnetSubmitLogin() {
	
	document.getElementById('authnetLoginError').innerHTML = '';
	
	var formData = new FormData();
	formData.append('login', document.getElementById("username").value);
	formData.append('password', document.getElementById("password").value);
	formData.append('authnetItemId', document.getElementById("authnetItemId").value);
	formData.append('authnetItemName', document.getElementById("authnetItemName").value);
	var authnetItemId = document.getElementById("authnetItemId").value;
	var authnetItemName = document.getElementById("authnetItemName").value;
	
	$.ajax({
	    url: 'authnet_ajax.php',
	    type: 'POST',
	    data: formData,
	    async: true,
	    success: function (data) {
	    	if (data == 'loginform') {
	    		authnetDisplayLogin(authnetItemId, authnetItemName);
	    	} else if (data.includes("|")) {
	    		authnetDisplayConfirm(authnetItemId, authnetItemName, data);
	    	} else {
	    		document.getElementById('authnetBody').innerHTML = '<div style="text-align:center;"><h1 style="text-align:center">Something Went Wrong</h1><span class="icon icon-circle-with-cross" style="font-size:120px;color:darkred;"></span><br><br><h3 style="text-align:left;">' + data + '</h3><br><button type="button" class="btn btn-sm btn-primary-outline" data-dismiss="modal">Close</button></div>';
	    	}
	    },
	    cache: false,
	    contentType: false,
	    processData: false
	});
	
	document.getElementById('authnetLoginError').innerHTML = '';
	
	return false;
}