<?php

// LFM Authorize.net Integration v1.0
// Written By Josh Abbott

// Processes the Authorize.net purchase

require_once "inc/filter.php";
session_start();
include "inc/userauth.php";
$userid = $_SESSION["userid"];

if (isset($_SESSION["adminid"])) {
	echo('You must logout of the Admin Panel to make a purchase.');
	exit;
}

date_default_timezone_set('America/Denver'); //Authorize.net uses Mountain Time

require_once "authnet_ipn_funcs.php";

$getsiteinfo = lfmsql_query("Select sitename, affurl from `".$prefix."settings` where id=1 limit 1");
if (lfmsql_num_rows($getsiteinfo) > 0) {
$sitename = lfmsql_result($getsiteinfo, 0, "sitename");
$siteurl = lfmsql_result($getsiteinfo, 0, "affurl");
} else {
$sitename = "Traffic Exchange";
$siteurl = "http://thetrafficexchangescript.com";
}

$getadmininfo = lfmsql_query("Select email from `".$prefix."admin` where id=1 limit 1");
if (lfmsql_num_rows($getadmininfo) > 0) {
$adminemail = lfmsql_result($getadmininfo, 0, "email");
} else {
$adminemail = "lfmteipn@trafficmods.com";
}

if ($siteurl != "") {
$spliturl = explode("/", $siteurl);
$sitedomain = $spliturl[2];
$sitedomain = str_replace("www.", "", $sitedomain);
} else {
$sitedomain = "thetrafficexchangescript.com";
}

//End Connect to LFM Database

define('SITE_NAME',$sitename);
define('VALID_DOMAIN',$sitedomain);
define('CONTACT_EMAIL',$adminemail);

// Get Item

if (!isset($_POST['authnetItemId']) || !is_numeric($_POST['authnetItemId'])) {
	echo("Invalid Item ID");
	exit;
}

$getitem = lfmsql_query("SELECT * FROM ".$prefix."ipn_products WHERE id='".$_POST['authnetItemId']."'") or die(lfmsql_error());
if (lfmsql_num_rows($getitem) < 1) {
	echo("Item Not Found");
	exit;
}
$iteminfo = lfmsql_fetch_array($getitem);

$itemreturnurl = $iteminfo['return_url'];
if (strlen($itemreturnurl) < 3) {
	$itemreturnurl = 'members.php';
}

if (isset($_POST['authnetItemName']) && strlen($_POST['authnetItemName']) > 0) {
	$itemname = $_POST['authnetItemName'];
} else {
	$itemname = $iteminfo['name'];
}

// Build Request

require "authnet_config.php";

$authnetsubid = 0;

if($iteminfo['type'] != "N") {
	// Recurring Subscription
	
	$transRequestXmlStr=<<<XML
<?xml version="1.0" encoding="UTF-8"?>
<ARBCreateSubscriptionRequest xmlns="AnetApi/xml/v1/schema/AnetApiSchema.xsd">
      <merchantAuthentication></merchantAuthentication>
      <subscription>
         <name>assignSUBNAME</name>
            <paymentSchedule>
               <interval>
                  <length>assignLENGTH</length>
                  <unit>assignUNIT</unit>
               </interval>
               <startDate>assignSTARTDATE</startDate>
               <totalOccurrences>9999</totalOccurrences>
            </paymentSchedule>
            <amount>assignAMOUNT</amount>
            <profile>
               <customerProfileId>assignCP</customerProfileId>
               <customerPaymentProfileId>assignCPP</customerPaymentProfileId>
            </profile>
      </subscription>
</ARBCreateSubscriptionRequest>
XML;
	
	$transRequestXml=new SimpleXMLElement($transRequestXmlStr);
	
	$transRequestXml->merchantAuthentication->addChild('name',$loginId);
	$transRequestXml->merchantAuthentication->addChild('transactionKey',$transactionKey);
	
	$transRequestXml->subscription->name = $iteminfo['name'];
	$transRequestXml->subscription->amount = $iteminfo['amount'];
	
	if($iteminfo['type']=="D") { $unit="days"; }
	if($iteminfo['type']=="M") { $unit="months"; }
	if($iteminfo['type']=="Y") { $unit="months"; $iteminfo['period']=$iteminfo['period']*12; }
	
	if (!isset($unit) || strlen($unit) < 1 || !is_numeric($iteminfo['period']) || $iteminfo['period'] < 1) {
		echo("Invalid subscription values");
		exit;
	}
	
	if ($iteminfo['trial_period'] > 0 && ($iteminfo['trial_type'] == "D" || $iteminfo['trial_type'] == "M" || $iteminfo['trial_type'] == "Y")) {
		// Trial Period
		if($iteminfo['trial_type']=="D") { $startunit="days"; }
		if($iteminfo['trial_type']=="M") { $startunit="months"; }
		if($iteminfo['trial_type']=="Y") { $startunit="months"; $iteminfo['trial_period']=$iteminfo['trial_period']*12; }
		$startperiod = $iteminfo['trial_period'];
		$iteminfo['amount'] = $iteminfo['trial_amount'];
	} else {
		$startunit = $unit;
		$startperiod = $iteminfo['period'];
	}
	
	if (isset($iteminfo['recurring']) && is_numeric($iteminfo['recurring']) && $iteminfo['recurring'] > 1) {
		// The first payment will be processed below, and is not part of the subscription
		$transRequestXml->subscription->paymentSchedule->totalOccurrences = $iteminfo['recurring'] - 1;
	}
	
	$transRequestXml->subscription->paymentSchedule->interval->length = $iteminfo['period'];
	$transRequestXml->subscription->paymentSchedule->interval->unit = $unit;
	
	$today = date("Y-m-d");
	$transRequestXml->subscription->paymentSchedule->startDate = strftime("%Y-%m-%d",strtotime($today." + ".$startperiod." ".$startunit));
	
	$transRequestXml->subscription->profile->customerProfileId = authnetGetCustomerId($userid);
	$transRequestXml->subscription->profile->customerPaymentProfileId=$_POST['paymentProfileId'];
	
	// Make Request
	
	try {
		//setting the curl parameters.
	        $ch = curl_init();
        	if (FALSE === $ch)
        		throw new Exception('failed to initialize');
	        curl_setopt($ch, CURLOPT_URL, $authnetrequesturl);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/xml'));
        	curl_setopt($ch, CURLOPT_POSTFIELDS, $transRequestXml->asXML());
	        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 300);
		// The following two curl SSL options are set to "false" for ease of development/debug purposes only.
		// Any code used in production should either remove these lines or set them to the appropriate
		// values to properly use secure connections for PCI-DSS compliance.
	        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);	//for production, set value to true or 1
        	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);	//for production, set value to 2
	        curl_setopt($ch, CURLOPT_DNS_USE_GLOBAL_CACHE, false );
        	$content = curl_exec($ch);
	        if (FALSE === $content)
        		throw new Exception(curl_error($ch), curl_errno($ch));
	        curl_close($ch);
		
		$xmlResult=simplexml_load_string($content);
		
		if (!isset($xmlResult->messages->resultCode) || $xmlResult->messages->resultCode != 'Ok') {
			$jsonResult=json_encode($xmlResult);
			if (stripos($jsonResult, 'A duplicate transaction') !== false) {
				echo('duplicate');
				exit;
			} else {
				AddLog("Authnet Subscription Error - ".addslashes($jsonResult));
				echo('declined');
				exit;
			}
		} elseif (isset($xmlResult->subscriptionId) && is_numeric(trim($xmlResult->subscriptionId))) {
			$authnetsubid = trim($xmlResult->subscriptionId);
		}
		
	} catch(Exception $e) {
		trigger_error(sprintf('Curl failed with error #%d: %s', $e->getCode(), $e->getMessage()), E_USER_ERROR);
	}
	
}

if ($iteminfo['amount'] <= 0) {
	// Free Trial
	$_SESSION['authnetbuyid'] = 0;
	$_SESSION['authnetbuytime'] = 0;
	$_SESSION['authnetbuyname'] = '';
	
	$xmlResult->messages->resultCode = 'Ok';
	$authnettransid = 'freetrial_'.$authnetsubid.'_0';
	
	include("ipn/code.php");
	
	exit;
}


$transRequestXmlStr=<<<XML
<?xml version="1.0" encoding="UTF-8"?>
<createTransactionRequest xmlns="AnetApi/xml/v1/schema/AnetApiSchema.xsd">
      <merchantAuthentication></merchantAuthentication>
      <transactionRequest>
         <transactionType>authCaptureTransaction</transactionType>
         <amount>assignAMOUNT</amount>
         <currencyCode>USD</currencyCode>
            <profile>
               <customerProfileId>assignCP</customerProfileId>
               <paymentProfile>
                  <paymentProfileId>assignCPP</paymentProfileId>
               </paymentProfile>
            </profile>
      </transactionRequest>
</createTransactionRequest>
XML;

$transRequestXml=new SimpleXMLElement($transRequestXmlStr);

$transRequestXml->merchantAuthentication->addChild('name',$loginId);
$transRequestXml->merchantAuthentication->addChild('transactionKey',$transactionKey);

$transRequestXml->transactionRequest->amount = $iteminfo['amount'];
$transRequestXml->transactionRequest->profile->customerProfileId = authnetGetCustomerId($userid);
$transRequestXml->transactionRequest->profile->paymentProfile->paymentProfileId=$_POST['paymentProfileId'];

// Make Request

try {
	//setting the curl parameters.
        $ch = curl_init();
        if (FALSE === $ch)
        	throw new Exception('failed to initialize');
        curl_setopt($ch, CURLOPT_URL, $authnetrequesturl);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/xml'));
        curl_setopt($ch, CURLOPT_POSTFIELDS, $transRequestXml->asXML());
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 300);
	// The following two curl SSL options are set to "false" for ease of development/debug purposes only.
	// Any code used in production should either remove these lines or set them to the appropriate
	// values to properly use secure connections for PCI-DSS compliance.
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);	//for production, set value to true or 1
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);	//for production, set value to 2
        curl_setopt($ch, CURLOPT_DNS_USE_GLOBAL_CACHE, false );
        $content = curl_exec($ch);
        if (FALSE === $content)
        	throw new Exception(curl_error($ch), curl_errno($ch));
        curl_close($ch);
		
	$xmlResult=simplexml_load_string($content);
	
	if (isset($xmlResult->messages->resultCode) && $xmlResult->messages->resultCode == 'Ok' && ($xmlResult->transactionResponse->responseCode == '1' || $xmlResult->transactionResponse->responseCode == '4')) {
		$_SESSION['authnetbuyid'] = 0;
		$_SESSION['authnetbuytime'] = 0;
		$_SESSION['authnetbuyname'] = '';
		
		$authnettransid = $xmlResult->transactionResponse->transId;
		
		if ($authnetsubid > 0) {
			$authnettransid = 'newsub_'.$authnetsubid.'_'.$authnettransid;
		}
		
		include("ipn/code.php");
		
		exit;
		
	} else {
		$jsonResult=json_encode($xmlResult);
		if (stripos($jsonResult, 'A duplicate transaction') !== false) {
			echo('duplicate');
			exit;
		} else {
			AddLog("Authnet Error Or Card Declined For User ".$userid." - ".addslashes($jsonResult));
			echo('declined');
			exit;
		}
	}
	
} catch(Exception $e) {
	trigger_error(sprintf('Curl failed with error #%d: %s', $e->getCode(), $e->getMessage()), E_USER_ERROR);
}

?>