<?php

// LFM Authorize.net Integration v1.0
// Written By Josh Abbott

function authnetGetCustomerId($userid) {
	
	global $prefix;
	
	$checkuserid = lfmsql_query("SELECT authnetid FROM ".$prefix."members WHERE Id='".$userid."'") or die(lfmsql_error());
	if (lfmsql_num_rows($checkuserid) < 1) {
		echo("User Not Found");
		return false;
	}
	$dbauthnetid = lfmsql_result($checkuserid, 0, "authnetid");
	if (is_numeric($dbauthnetid) && $dbauthnetid > 0) {
		return $dbauthnetid;
	}
	
	$transRequestXmlStr=<<<XML
<?xml version="1.0" encoding="UTF-8"?>
<createCustomerProfileRequest xmlns="AnetApi/xml/v1/schema/AnetApiSchema.xsd"> 
   <merchantAuthentication></merchantAuthentication>
   <profile></profile>
  </createCustomerProfileRequest>
XML;
	
	$transRequestXml=new SimpleXMLElement($transRequestXmlStr);
	
	require "authnet_config.php";
	
	$transRequestXml->merchantAuthentication->addChild('name',$loginId);
	$transRequestXml->merchantAuthentication->addChild('transactionKey',$transactionKey);
	
	$transRequestXml->profile->merchantCustomerId = $userid;
	
	try {
		//setting the curl parameters.
		$ch = curl_init();
		if (FALSE === $ch)
			throw new Exception('failed to initialize');
		curl_setopt($ch, CURLOPT_URL, $authnetrequesturl);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/xml'));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $transRequestXml->asXML());
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 300);
		// The following two curl SSL options are set to "false" for ease of development/debug purposes only.
		// Any code used in production should either remove these lines or set them to the appropriate
		// values to properly use secure connections for PCI-DSS compliance.
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);	//for production, set value to true or 1
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);	//for production, set value to 2
		curl_setopt($ch, CURLOPT_DNS_USE_GLOBAL_CACHE, false );
		$content = curl_exec($ch);
		if (FALSE === $content)
			throw new Exception(curl_error($ch), curl_errno($ch));
		curl_close($ch);
		
		$xmlResult=simplexml_load_string($content);
		if (isset($xmlResult->messages->resultCode) && $xmlResult->messages->resultCode == 'Ok') {
		    $profileid = trim($xmlResult->customerProfileId);
		    if (is_numeric($profileid) && $profileid > 0) {
		        lfmsql_query("UPDATE ".$prefix."members SET authnetid='".$profileid."' WHERE Id='".$userid."' LIMIT 1");
		        return $profileid;
		    } else {
		        echo("Invalid Customer ID: ".$profileid);
		        return false;
		    }
		} elseif (isset($xmlResult->messages->message->code) && $xmlResult->messages->message->code == 'E00039') {
		    $profileid = $xmlResult->messages->message->text;
		    $profileid = str_replace('A duplicate record with ID ', '', $profileid);
		    $profileid = str_replace(' already exists.', '', $profileid);
		    if (is_numeric($profileid) && $profileid > 0) {
		        lfmsql_query("UPDATE ".$prefix."members SET authnetid='".$profileid."' WHERE Id='".$userid."' LIMIT 1");
		        return $profileid;
		    } else {
		        echo("Invalid Existing Customer ID: ".$profileid);
		        return false;
		    }
		} else {
		    echo("API Returned Error");
		    return false;
		}
		
		//Debug Code
		$jsonResult=json_encode($xmlResult);
		echo "<br>".$jsonResult;
		
	} catch(Exception $e) {
		trigger_error(sprintf('Curl failed with error #%d: %s', $e->getCode(), $e->getMessage()), E_USER_ERROR);
	}
}

function authnetGetPaymentMethods($customerid) {
	
	global $prefix;
	
	if (!is_numeric($customerid) || $customerid < 1) {
		return false;
	}
	
	$profileReq = <<<XML
<?xml version="1.0" encoding="utf-8"?>
<getCustomerProfileRequest xmlns="AnetApi/xml/v1/schema/AnetApiSchema.xsd">
<merchantAuthentication></merchantAuthentication>
<customerProfileId></customerProfileId>
</getCustomerProfileRequest>
XML;
	
	$xml = new SimpleXMLElement($profileReq);
	
	require "authnet_config.php";
	
	$xml->merchantAuthentication->addChild('name',$loginId);
	$xml->merchantAuthentication->addChild('transactionKey',$transactionKey);
	$xml->customerProfileId = $customerid;
	
	try {	//setting the curl parameters.
		$ch = curl_init();
		if (FALSE === $ch)
			throw new Exception('failed to initialize');
		curl_setopt($ch, CURLOPT_URL, $authnetrequesturl);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/xml'));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $xml->asXML());
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 300);
		// The following two curl SSL options are set to "false" for ease of development/debug purposes only.
		// Any code used in production should either remove these lines or set them to the appropriate
		// values to properly use secure connections for PCI-DSS compliance.
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);	//for production, set value to true or 1
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);	//for production, set value to 2
		curl_setopt($ch, CURLOPT_DNS_USE_GLOBAL_CACHE, false );
		$content = curl_exec($ch);
		
		if (FALSE === $content)
			throw new Exception(curl_error($ch), curl_errno($ch));
		curl_close($ch);
		
		//echo($content);
		
		$xmlResult=simplexml_load_string($content);
		
		$nummethods = count($xmlResult->profile->paymentProfiles);
		
		if ($nummethods < 1) {
			return false;
		}
		
		$methodlist = '';
		for ($i=0; $i<count($xmlResult->profile->paymentProfiles); $i++) {
			if (isset($xmlResult->profile->paymentProfiles[$i]->payment->creditCard->cardType) && strlen($xmlResult->profile->paymentProfiles[$i]->payment->creditCard->cardType) > 1) {
				$methodlist .= $xmlResult->profile->paymentProfiles[$i]->customerPaymentProfileId;
				$methodlist .= " ";
				$methodlist .= $xmlResult->profile->paymentProfiles[$i]->payment->creditCard->cardNumber;
				$methodlist .= " ";
				$methodlist .= $xmlResult->profile->paymentProfiles[$i]->payment->creditCard->cardType;
				$methodlist .= ",";
			} elseif (isset($xmlResult->profile->paymentProfiles[$i]->payment->bankAccount->accountType) && strlen($xmlResult->profile->paymentProfiles[$i]->payment->bankAccount->accountType) > 1) {
				$methodlist .= $xmlResult->profile->paymentProfiles[$i]->customerPaymentProfileId;
				$methodlist .= " ";
				$methodlist .= $xmlResult->profile->paymentProfiles[$i]->payment->bankAccount->accountNumber;
				$methodlist .= " ";
				$methodlist .= "Bank";
				$methodlist .= ",";
			}
		}
		
		return $methodlist;
		
		
	} catch(Exception $e) {
		trigger_error(sprintf('Curl failed with error #%d: %s', $e->getCode(), $e->getMessage()), E_USER_ERROR);
	}
}

function authnetGetSubscriptions($customerid=0) {
	
	global $prefix;
	
	if (!is_numeric($customerid) || $customerid < 1) {
		$customerid = 0;
	}
	
	$profileReq = <<<XML
<?xml version="1.0" encoding="utf-8"?>
<ARBGetSubscriptionListRequest xmlns="AnetApi/xml/v1/schema/AnetApiSchema.xsd">
<merchantAuthentication></merchantAuthentication>
<searchType>subscriptionActive</searchType>
   <sorting>
      <orderBy>id</orderBy>
      <orderDescending>false</orderDescending>
   </sorting>
   <paging>
      <limit>1000</limit>
      <offset>1</offset>
   </paging>
</ARBGetSubscriptionListRequest>
XML;
	
	$xml = new SimpleXMLElement($profileReq);
	
	require "authnet_config.php";
	
	$xml->merchantAuthentication->addChild('name',$loginId);
	$xml->merchantAuthentication->addChild('transactionKey',$transactionKey);
	
	try {	//setting the curl parameters.
		$ch = curl_init();
		if (FALSE === $ch)
			throw new Exception('failed to initialize');
		curl_setopt($ch, CURLOPT_URL, $authnetrequesturl);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/xml'));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $xml->asXML());
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 300);
		// The following two curl SSL options are set to "false" for ease of development/debug purposes only.
		// Any code used in production should either remove these lines or set them to the appropriate
		// values to properly use secure connections for PCI-DSS compliance.
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);	//for production, set value to true or 1
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);	//for production, set value to 2
		curl_setopt($ch, CURLOPT_DNS_USE_GLOBAL_CACHE, false );
		$content = curl_exec($ch);
		
		if (FALSE === $content)
			throw new Exception(curl_error($ch), curl_errno($ch));
		curl_close($ch);
		
		//echo($content);
		
		$xmlResult=simplexml_load_string($content);
		
		$numsubs = count($xmlResult->subscriptionDetails->subscriptionDetail);
		
		if ($numsubs < 1) {
			return false;
		}
		
		$sublist = '';
		for ($i=0; $i<count($xmlResult->subscriptionDetails->subscriptionDetail); $i++) {
			if ($customerid < 1 || $customerid == $xmlResult->subscriptionDetails->subscriptionDetail[$i]->customerProfileId) {
				$sublist .= $xmlResult->subscriptionDetails->subscriptionDetail[$i]->id;
				$sublist .= "|";
				$sublist .= $xmlResult->subscriptionDetails->subscriptionDetail[$i]->customerPaymentProfileId;
				$sublist .= "|";
				$sublist .= $xmlResult->subscriptionDetails->subscriptionDetail[$i]->amount;
				$sublist .= "|";
				$sublist .= $xmlResult->subscriptionDetails->subscriptionDetail[$i]->name;
				$sublist .= ",";
			}
		}
		
		return $sublist;
		
		
	} catch(Exception $e) {
		trigger_error(sprintf('Curl failed with error #%d: %s', $e->getCode(), $e->getMessage()), E_USER_ERROR);
	}
}

?>