<?php

// LFM Authorize.net Integration v1.0
// Written By Josh Abbott

// A page inside the members area where members can view and cancel their subscriptions

require_once "inc/filter.php";
session_start();
include "inc/userauth.php";
$userid = $_SESSION["userid"];

$getuserdata = lfmsql_query("Select email, mtype, joindate from ".$prefix."members where Id=$userid");
$useremail = lfmsql_result($getuserdata, 0, "email");
$mtype = lfmsql_result($getuserdata, 0, "mtype");
$joindate = lfmsql_result($getuserdata, 0, "joindate");
include "inc/theme.php";

require_once "authnet_ipn_funcs.php";

####################

//Begin main page

####################

load_template ($theme_dir."/header.php");
load_template ($theme_dir."/mmenu.php");

$authnetid = authnetGetCustomerId($_SESSION["userid"]);

$paymentmethods = authnetGetPaymentMethods($authnetid);
$paymentmethodsarray = array();

if ($paymentmethods !== false && strlen($paymentmethods) > 0) {
	$splitpaymentmethods = explode(',', $paymentmethods);
	for ($i=0; $i<count($splitpaymentmethods); $i++) {
		$thispaymentmethod = $splitpaymentmethods[$i];
		$thispaymentmethodparts = explode(' ', $thispaymentmethod);
		$paymentmethodsarray[$thispaymentmethodparts[0]] = $thispaymentmethodparts[2].' '.$thispaymentmethodparts[1];
	}
}

$sublist = authnetGetSubscriptions($authnetid);
$sublistarray = array();
$sublisttable = '';

if ($sublist !== false && strlen($sublist) > 0) {
	$splitsublist = explode(',', $sublist);
	for ($i=0; $i<count($splitsublist); $i++) {
		$thissub = $splitsublist[$i];
		if (strpos($thissub, '|') !== false) {
			$thissubparts = explode('|', $thissub);
			$thissubid = $thissubparts[0];
			$thissubpaymentmethod = $paymentmethodsarray[$thissubparts[1]];
			$thissubprice = $thissubparts[2];
			$thissubname = $thissubparts[3];
			$sublistarray[$thissubid] = $thissubname;
			$sublisttable .= '<tr><td>'.$thissubid.'</td><td>$'.$thissubprice.'</td><td>'.$thissubname.'</td><td>'.$thissubpaymentmethod.'</td><td><a href="authnet_subs.php?cancelid='.$thissubid.'" onclick="return confirm(\'Are you sure you want to cancel this subscription?\')"><button style="background-color:darkred;" class="btn btn-danger">Cancel</button></a></td></tr>';
		}
	}
}

if (isset($_GET['cancelid']) && is_numeric($_GET['cancelid']) && $_GET['cancelid'] > 0) {
	$cancelsub = $_GET['cancelid'];
	if (isset($sublistarray[$cancelsub]) && strlen($sublistarray[$cancelsub]) > 0) {
		
			$profileReq = <<<XML
<?xml version="1.0" encoding="utf-8"?>
<ARBCancelSubscriptionRequest xmlns="AnetApi/xml/v1/schema/AnetApiSchema.xsd">
<merchantAuthentication></merchantAuthentication>
<subscriptionId></subscriptionId>
</ARBCancelSubscriptionRequest>
XML;
		
		$xml = new SimpleXMLElement($profileReq);
		
		require "authnet_config.php";
		
		$xml->merchantAuthentication->addChild('name',$loginId);
		$xml->merchantAuthentication->addChild('transactionKey',$transactionKey);
		
		$xml->subscriptionId = $cancelsub;
		
		try {	//setting the curl parameters.
			$ch = curl_init();
			if (FALSE === $ch)
				throw new Exception('failed to initialize');
			curl_setopt($ch, CURLOPT_URL, $authnetrequesturl);
			curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/xml'));
			curl_setopt($ch, CURLOPT_POSTFIELDS, $xml->asXML());
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 300);
			// The following two curl SSL options are set to "false" for ease of development/debug purposes only.
			// Any code used in production should either remove these lines or set them to the appropriate
			// values to properly use secure connections for PCI-DSS compliance.
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);	//for production, set value to true or 1
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);	//for production, set value to 2
			curl_setopt($ch, CURLOPT_DNS_USE_GLOBAL_CACHE, false );
			$content = curl_exec($ch);
			
			if (FALSE === $content)
				throw new Exception(curl_error($ch), curl_errno($ch));
			curl_close($ch);
			
			//echo($content);
			
			$xmlResult=simplexml_load_string($content);
			
			if (isset($xmlResult->messages->resultCode) && $xmlResult->messages->resultCode == 'Ok') {
				
				echo('<center>
					<br>
					<h2>Subscription Canceled</h2>
					<p><a href="authnet_subs.php">Back To My Subscriptions</a></p>
					<br><br>
					</center>');
				include $theme_dir."/footer.php";
				exit;
				
			} else {
				echo('Error: The specified subscription could not be canceled.  Please contact support.');
				exit;
			}
			
		} catch(Exception $e) {
			trigger_error(sprintf('Curl failed with error #%d: %s', $e->getCode(), $e->getMessage()), E_USER_ERROR);
		}
		
	} else {
		echo('Error: The specified subscription was not found in your account.');
		exit;
	}
}

?>
<center>
<br>
<h2>Active Subscriptions</h2>
<p>Note: After creating or canceling a subscription, it may take a few minutes for the changes to appear in the table below.</p>

<table style="border: 1px solid #000000;" border="1" cellpadding="5" cellspacing="0">
<tr><td><b>Subscription ID</b></td><td><b>Price</b></td><td><b>Product Name</b></td><td><b>Payment Method</b></td><td><b>Cancel Subscription</b></td></tr>
	<?php
		if (strlen($sublisttable) > 0) {
			echo($sublisttable);
		} else {
			echo('<tr><td colspan="5">No Active Subscriptions Found In Your Account</td></tr>');
		}
	?>
</table>

<br><br>
</center>

<?php
include $theme_dir."/footer.php";
exit;
?>