<?php

######################
/*

Banner Checker
Written by Josh Abbott
For LFM Traffic Exchange Scripts

Return Codes:

0 - Server not found
1 - Banner approved
2 - Page not found
3 - Invalid URL

*/
######################

function checkbanner($url) {

if (strpos($url, 'http://') === false && strpos($url, 'https://') === false) {
	return 3;
}

if (strpos($url, '\"') !== false || strpos($url, '\'') !== false || $url == "http://") {
	return 3;
}

$urlinfo = parse_url($url);
$hostname = $urlinfo['host'];
if ($hostname == "") {
	return 3;
}

$ipaddress = gethostbyname($hostname);
if($ipaddress == $hostname) {
	return 0;
}

$port = 80;
$timeout = 20;
$headers = "GET ".$urlinfo['path'].'?'.$urlinfo['query']." HTTP/1.1\r\n";
$headers .= "Host: ".$hostname."\r\n";
$headers .= "User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.102 Safari/537.36\r\n";
$headers .= "Connection: close\r\n";
$headers .= "Accept: */*\r\n";
$headers .= "\r\n";

if (strpos($url, 'https://') !== false) {
	$port = 443;
	$hostname = 'ssl://'.$hostname;
}

$headerdata = "";
$attempts = 0;

while((strpos($headerdata, '200 OK') === false) && (strpos($headerdata, '201 Created') === false) && (strpos($headerdata, '300 Multiple') === false) && (strpos($headerdata, '301 Moved') === false) && (strpos($headerdata, '302 Found') === false) && (strpos($headerdata, '302 Moved') === false) && (strpos($headerdata, '303 See') === false) && (strpos($headerdata, '304 Not') === false) && (strpos($headerdata, '307 Temporary') === false) && (strpos($headerdata, '308 Permanent') === false) && ($attempts<2)) {
	
	$connection = @fsockopen($hostname,$port,$timeout);
	@fwrite($connection,$headers);
	//Read up to 30 bytes
	$headerdata = @fread($connection, 30);
	@fclose($connection);
	
	$attempts = $attempts+1;
}

if((strpos($headerdata, '200 OK') === false) && (strpos($headerdata, '201 Created') === false) && (strpos($headerdata, '300 Multiple') === false) && (strpos($headerdata, '301 Moved') === false) && (strpos($headerdata, '302 Found') === false) && (strpos($headerdata, '302 Moved') === false) && (strpos($headerdata, '303 See') === false) && (strpos($headerdata, '304 Not') === false) && (strpos($headerdata, '307 Temporary') === false) && (strpos($headerdata, '308 Permanent') === false)) {
	return 2;
}

return 1;

}

?>