<?php
// ////////////////////////////////////////////////////////////
// LFM v4.24
// Copyright 2006-2018 Josh Abbott and Robert Puddy. All Rights Reserved
// http://themembershipscript.com
//
// The Membership Script ("the script") is copyrighted to
// Josh Abbott and Robert Puddy.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the TMS
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that TMS
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "inc/filter.php";
require_once "inc/funcs.php";

include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass);
lfmsql_select_db($dbname) or die( "Unable to select database");

lfmsql_query("UPDATE ".$prefix."settings SET lastbouncecron='".time()."'");

$settings = lfmsql_fetch_array(lfmsql_query("SELECT sitename,replyaddress,bounceaddress,bouncetest1,bouncetest2,bouncemindays,bounceretrynum FROM ".$prefix."settings WHERE id=1"));

$sitename = $settings['sitename'];
$replyemail = $settings['replyaddress'];
$bounceaddress = $settings['bounceaddress'];

$bouncemindays = $settings['bouncemindays'];
$bounceretrynum = $settings['bounceretrynum'];

$bouncemode1_buffer = time()-(60*60*$settings['bouncetest1']);
$bouncemode2_buffer = time()-(60*60*$settings['bouncetest2']);
$bounceactivate = time()-(60*60*($settings['bouncetest2']+1));

// Manage Pending Modes 1 and 2
$getmem = lfmsql_query("SELECT email FROM ".$prefix."members WHERE bouncetp < bouncemode AND ((bouncemode=1 AND lastbounce <= $bouncemode1_buffer) OR (bouncemode=2 AND lastbounce <= $bouncemode2_buffer)) ");
if (lfmsql_num_rows($getmem)) {
	// Get the bounce email
	$eres=lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='bouncetesteml'");
	if (lfmsql_num_rows($eres) > 0) {
		$erow=@lfmsql_fetch_array($eres);
		for ($i = 0; $i < lfmsql_num_rows($getmem); $i++) {
			$member_email = lfmsql_result($getmem, $i, "email");
			$msgbody=translate_site_tags($erow["template_data"]);
			$msgbody=translate_user_tags($msgbody,$member_email);
			lfmsql_query("UPDATE ".$prefix."members SET bouncetp=bouncetp+1 WHERE email='$member_email' ");
		
			// Send message
			$now = date("ymdHis").rand(1000,9999);
			$headers = "From: ".$sitename." <".$replyemail.">"."\r\n";
			$headers .= "Return-Path: ".$sitename." <".$replyemail.">"."\r\n";
			$headers .= "Message-ID: <".$now."TheSystem@".$_SERVER['SERVER_NAME'].">"."\r\n";
			$mailFrom = "-f$bounceaddress";
			$subject = $sitename." Bounce Test";
			mail($member_email,$subject,$msgbody,$headers,$mailFrom);
		}
	}
}
lfmsql_query("UPDATE ".$prefix."members SET mailbounce=0,bouncemode=0,bouncetp=0 WHERE bouncemode < 3 AND lastbounce<='$bounceactivate' ");

$retrycronrun = lfmsql_result(lfmsql_query("SELECT retrybouncecron FROM `".$prefix."settings`"), 0);

if ($retrycronrun < (time()-86400) && $bouncemindays > 0 && $bounceretrynum > 0) {
	lfmsql_query("UPDATE ".$prefix."settings SET retrybouncecron='".time()."'");
	$retrycount = 0;
	$getmem = lfmsql_query("SELECT Id, newsletter, lastbounce, bounceretries FROM ".$prefix."members WHERE status='Active' AND bouncemode=3");
	if (lfmsql_num_rows($getmem)) {
		for ($i = 0; $i < lfmsql_num_rows($getmem); $i++) {
			$userid = lfmsql_result($getmem, $i, "Id");
			$mynewsletter = lfmsql_result($getmem, $i, "newsletter");
			$lastbounce = lfmsql_result($getmem, $i, "lastbounce");
			$bounceretries = lfmsql_result($getmem, $i, "bounceretries");
			$delaymult = $bounceretries + 1;
			
			$retrydelay = $bouncemindays*$delaymult*24*60*60;
			$retrytime = time()-$retrydelay;
			
			switch ($mynewsletter) {
			    case 3:
			      $newnletter = 1;
			      break;
			    case 2:
			      $newnletter = 0;
			      break;
			    default:
			      $newnletter = 0;
			      break;
			}
			
			if ($lastbounce < $retrytime && $retrycount < $bounceretrynum) {
				lfmsql_query("UPDATE ".$prefix."members SET mailbounce=0, bouncemode=0, bouncetp=0, newsletter='$newnletter', bounceretries=bounceretries+1 WHERE Id=".$userid);
				$retrycount = $retrycount + 1;
			}
		}
	}
}

?>