<?php

// LFMTE Chat Mod v5
// 2012-2020 Logiscape, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

require_once "chatfilter.php";

// Check For Logout
if ($_GET['logout'] == 1) {
	header("location: chatlogin.php?roomkey=".$_GET['roomkey']);
	exit;
}

// Connect To Database
require_once "inc/funcs.php";
require_once "inc/lfm_password.php";
require_once "inc/sql_funcs.php";
include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass) or die("Unable to connect to database.");
lfmsql_select_db($dbname) or die("Unable to select database.");

// Check Session
$dbsess = array(); // Put the session in the DB since some browsers block cookies from frames
$checksession = lfmsql_query("Select * from chat_sessions where ipaddress='".$_SERVER['REMOTE_ADDR']."' limit 1");
if (lfmsql_num_rows($checksession) > 0) {
	$dbsess['memuserid'] = lfmsql_result($checksession, 0, "memuserid");
	$dbsess['memusername'] = lfmsql_result($checksession, 0, "memusername");
}

if (!isset($_GET['roomkey']) || $_GET['roomkey'] == "") {
	echo("Invalid Room Link");
	exit;
}
$getroomid = lfmsql_query("SELECT id, delaymilli FROM `chat_rooms` WHERE roomkey='".$_GET['roomkey']."'") or die(lfmsql_error());
if (lfmsql_num_rows($getroomid) < 1) {
	echo("This chat is unavailable.");
	exit;
}
$dbsess['roomkey'] = $_GET['roomkey'];
$dbsess['roomid'] = lfmsql_result($getroomid, 0, "id");
$dbsess['delaymilli'] = lfmsql_result($getroomid, 0, "delaymilli");

if (!is_numeric($dbsess['delaymilli']) || $dbsess['delaymilli'] < 500) {
	$dbsess['delaymilli'] = 1500;
}

// Get Room Colors and Text
$getcolors = lfmsql_query("SELECT * FROM `chat_roomcolors` WHERE roomid=".$dbsess['roomid']);
if (lfmsql_num_rows($getcolors) < 1) {
	lfmsql_query("INSERT INTO `chat_roomcolors` (roomid) VALUES (".$dbsess['roomid'].")") or die(lfmsql_error());
	$getcolors = lfmsql_query("SELECT * FROM `chat_roomcolors` WHERE roomid=".$dbsess['roomid']);
}
$roomcolors = lfmsql_fetch_assoc($getcolors);

// Check Source Exchange
$thisdomain = str_replace("www.", "", $_SERVER["SERVER_NAME"]);
$refurl = $_SERVER["HTTP_REFERER"];
$splitsource = explode("/", $refurl);
$source = $splitsource[2];
$source = str_replace("www.", "", $source);
if ($source != $thisdomain) {
	$checksource = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `chat_exchanges` WHERE roomid=".$dbsess['roomid']), 0);
	if ($checksource > 0) {
		$authsource = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `chat_exchanges` WHERE domain='".$source."' AND roomid=".$dbsess['roomid']), 0);
		if ($authsource < 1) {
			echo($source." is not authorized to display this chat.");
			exit;
		}
	}
}

// Login Verification
if (!isset($dbsess['memusername']) && !isset($_POST['username'])) {
	
	// Attempt Auto Account Creation
	@session_start();
	if (!isset($_SESSION["autochatlogin"]) && isset($_SESSION["uid"]) && strlen($_SESSION["uid"]) > 0 && isset($_SESSION["user_password"]) && strlen($_SESSION["user_password"]) > 0 && isset($_SESSION["userid"]) && is_numeric($_SESSION["userid"]) && $_SESSION["userid"] > 0) {
		
		$_SESSION["autochatlogin"] = 1;
		
		$s_login=sanitize_sql($_SESSION["uid"]);
		$s_password=sanitize_sql($_SESSION["user_password"]);
		
		$authquery="SELECT email FROM ".$prefix."members WHERE username='".$s_login."' AND password='".$s_password."'";
		$authresult=@lfmsql_query($authquery);
		
		if (lfmsql_num_rows($authresult) < 1) {
			header("location: chatlogin.php?roomkey=".$_GET['roomkey']);
			exit;
		}
		
		$accemail = lfmsql_result($authresult, 0, "email");
		
		$checkid = lfmsql_query("Select id from chat_users where username='".$s_login."' OR email='".$accemail."'");
		if (lfmsql_num_rows($checkid) > 0) {
			
			$checkexact = lfmsql_query("Select id from chat_users where username='".$s_login."' AND password='".$s_password."'");
			if (lfmsql_num_rows($checkexact) > 0) {
				$chatuserid = lfmsql_result($checkexact, 0, "id");
				
				@lfmsql_query("Delete from chat_sessions where ipaddress='".$_SERVER['REMOTE_ADDR']."'");
				@lfmsql_query("Insert into chat_sessions (ipaddress, time, memuserid, memusername, temp) values ('".$_SERVER['REMOTE_ADDR']."', ".time().", ".$chatuserid.", '".$s_login."', 0)");
				
				$dbsess['memuserid'] = $chatuserid;
				$dbsess['memusername'] = $s_login;
			} else {
				header("location: chatlogin.php?roomkey=".$_GET['roomkey']);
				exit;
			}
		} else {
			
			lfmsql_query('Insert into chat_users (username, email, password, ipaddress, picture) values ("'.$s_login.'", "'.$accemail.'", "'.$s_password.'", "'.$_SERVER['REMOTE_ADDR'].'", "None")') or die(lfmsql_error());
			
			$newchatuserid = lfmsql_insert_id();
			
			@lfmsql_query("Delete from chat_sessions where ipaddress='".$_SERVER['REMOTE_ADDR']."'");
			@lfmsql_query("Insert into chat_sessions (ipaddress, time, memuserid, memusername, temp) values ('".$_SERVER['REMOTE_ADDR']."', ".time().", ".$newchatuserid.", '".$s_login."', 0)");
			
			$dbsess['memuserid'] = $newchatuserid;
			$dbsess['memusername'] = $s_login;
			
		}
		
	} else {
		header("location: chatlogin.php?roomkey=".$_GET['roomkey']);
		exit;
	}
}

if (isset($_POST['username'])) {

	// Verify New Login
	$checkid = lfmsql_query("Select id, password from chat_users where username='".$_POST['username']."' limit 1");
	if (lfmsql_num_rows($checkid) < 1) {
		header("location: chatlogin.php?invalid=yes&roomkey=".$_GET['roomkey']);
		exit;
	}
	
	$passwordhash = lfmsql_result($checkid, 0, "password");
	if (strlen($passwordhash) == 32) {
		// Check Using Old MD5 Format
		if ($passwordhash != md5($_POST['password'])) {
			header("location: chatlogin.php?invalid=yes&roomkey=".$_GET['roomkey']);
			exit;
		}
	} else {
		// Check Using New Format
		if (!lfmCheckPassword($_POST['password'], $passwordhash)) {
			header("location: chatlogin.php?invalid=yes&roomkey=".$_GET['roomkey']);
			exit;
		}
	}
	
	$dbsess['memuserid'] = lfmsql_result($checkid, 0, "id");
	$dbsess['memusername'] = $_POST['username'];

	if (isset($_POST['automatic'])) {
		$sesstemp = 0;
	} else {
		$sesstemp = 1;
	}
	
	@lfmsql_query("Delete from chat_sessions where ipaddress='".$_SERVER['REMOTE_ADDR']."'");
	@lfmsql_query("Insert into chat_sessions (ipaddress, time, memuserid, memusername, temp) values ('".$_SERVER['REMOTE_ADDR']."', ".time().", ".$dbsess['memuserid'].", '".$dbsess['memusername']."', $sesstemp)");

} else {
	// Verify Existing Login
	$verifyuser = lfmsql_query("Select COUNT(*) from chat_users where id=".$dbsess['memuserid']." and username='".$dbsess['memusername']."' limit 1");
	if (lfmsql_result($verifyuser, 0) < 1) {
		@lfmsql_query("Delete from chat_sessions where ipaddress='".$_SERVER['REMOTE_ADDR']."'");
		header("location: chatlogin.php?roomkey=".$_GET['roomkey']);
		exit;
	}
}
// End Login Verification

$userid = $dbsess['memuserid'];

?>