<?php

// LFMTE Chat Mod v5
// 2012-2020 Logiscape, http://thetrafficexchangescript.com
// Licensed for the LFMTE script

require_once "chatfilter.php";

if (!isset($_GET['userid']) || !is_numeric($_GET['userid']) || !isset($_GET['roomid']) || !is_numeric($_GET['roomid'])) {
	echo("Connection Error...");
	exit;
}

// Connect To Database
require_once "inc/funcs.php";
require_once "inc/lfm_password.php";
require_once "inc/sql_funcs.php";
include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass) or die("Unable to connect to database.");
lfmsql_select_db($dbname) or die("Unable to select database.");

if (!isset($_GET['lastid']) || !is_numeric($_GET['lastid']) || $_GET['lastid'] < 1) {
	$lastid = 0;
} else {
	$lastid = $_GET['lastid'];
}

$userid = $_GET['userid'];
$roomid = $_GET['roomid'];

$checksuspend = lfmsql_query("SELECT banexpires, reason FROM chat_suspended WHERE (userid=".$userid." OR ipaddress='".$_SERVER['REMOTE_ADDR']."') AND roomid=".$roomid." AND banexpires > ".time()." LIMIT 1") or die(lfmsql_error());

if (lfmsql_num_rows($checksuspend) > 0) {

	$banexpires = lfmsql_result($checksuspend, 0, "banexpires");
	$reason = lfmsql_result($checksuspend, 0, "reason");
	
	$expiredate = date('jS \of F Y', $banexpires);
	$expiretime = date('g:i A', $banexpires);
	
	echo("<font size=\"2\" color=\"".$roomcolors['chattextcolor']."\">Account Suspended Until: <br>".$expiredate." ".$expiretime."<br><br>".$reason."</font>");
	exit;
}

$checkwarnings = lfmsql_query("SELECT id, adminid, date, time, text FROM chat_adminpms WHERE userid=".$userid." AND roomid=".$roomid." AND dismissed=0") or die(lfmsql_error());

if (lfmsql_num_rows($checkwarnings) > 0) {

	$warnid = lfmsql_result($checkwarnings, 0, "id");
	$adminid = lfmsql_result($checkwarnings, 0, "adminid");
	$pmdate = lfmsql_result($checkwarnings, 0, "date");
	$pmtime = lfmsql_result($checkwarnings, 0, "time");
	$pmtext = lfmsql_result($checkwarnings, 0, "text");
	
	$getuser = lfmsql_query("Select username, email from chat_users where id=$adminid and isadmin=1 limit 1");
	if (lfmsql_num_rows($getuser) > 0) {
	
		$username = lfmsql_result($getuser, 0, "username");
		$gravatar = md5(lfmsql_result($getuser, 0, "email"));
		$userpic = 'http://www.gravatar.com/avatar/'.$gravatar.'?d=mm';
		
		$username = trim($username);
		
		// Make Sure Long Names Don't Break The Table
		$namespaces = explode(" ", $username);
		if (count($namespaces) > 0) {
			$username = "";
			for ($j = 0; $j < count($namespaces); $j++) {
				if (strlen($namespaces[$j]) > 12) {
					// Trim the name to 12 characters
					$username .= substr($namespaces[$j], 0, 12);
				} else {
					$username .= $namespaces[$j];
				}
				if ($j+1 < count($namespaces)) {
					// Put the space back in
					$username .= " ";
				}
			}
		}
		echo("<p><font size=\"3\"><b>Message From Chat Admin</b></font></p>");
		$usertitle = "<img border=\"0\" src=\"$userpic\" width=45 height=45><br /><font face=verdana size=2>$username</font>";
		
		
		echo("<tr><td valign=\"middle\" align=\"center\" width=\"60\">$usertitle</td><td valign=\"middle\" align=\"left\" width=\"140\"><font face=verdana size=2><br>".$pmdate."<br></font><br /><font face=verdana size=2>".$pmtext."</font>");
		
		echo("<br><br><a href=\"chatframe.php?roomkey=".$_GET['roomkey']."&dismissid=".$warnid."\">Continue To Chat</a>");

		exit;
}
}

$getmessages = lfmsql_query("Select * from chat_messages where roomid=".$roomid." and id>".$lastid." order by id desc limit 50");
if (lfmsql_num_rows($getmessages) == 0) {
	echo("none");
	exit;
} else {

$messagelist = '';

while ($messageinfo = lfmsql_fetch_assoc($getmessages)) {

// Get Chat Info
$messageid = $messageinfo["id"];
$chattimestamp = $messageinfo["timestamp"];
$messageuserid = $messageinfo["userid"];
$chatdate = $messageinfo["date"];
$chattime = $messageinfo["time"];
$chattext = $messageinfo["text"];
$isadmin = $messageinfo["isadmin"];
$username = $messageinfo["username"];
$userpic = 'http://www.gravatar.com/avatar/'.$messageinfo["gravatar"].'?d=mm';

if (strlen($username) < 1) {
	// Get User Info
	$getuser = lfmsql_query("Select isadmin, username, email from chat_users where id=$messageuserid limit 1");
	if (lfmsql_num_rows($getuser) > 0) {
		
		$isadmin = lfmsql_result($getuser, 0, "isadmin");
		$username = lfmsql_result($getuser, 0, "username");
		$gravatar = md5(lfmsql_result($getuser, 0, "email"));
		$userpic = 'http://www.gravatar.com/avatar/'.$gravatar.'?d=mm';
		
		if ($isadmin == 1) {
			// Check Mod Status For This Room
			$ismod = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `chat_moderators` WHERE userid=".$messageuserid." AND roomid=".$roomid." AND showasmod=1"), 0);
			if ($ismod <= 0) {
				$isadmin = 0;
			}
		} else {
			$isadmin = 0;
		}
	}
}

// Format Chat Info
$showtime = strftime("%I:%M", strtotime("$chattime"));
$showampm = strftime("%p", strtotime("$chattime"));

$showdate = date('M j Y', $chattimestamp);

// Make Sure Long Messages Don't Break The Table
$textspaces = explode(" ", $chattext);
if (count($textspaces) > 0) {
	$chattext = "";
	for ($j = 0; $j < count($textspaces); $j++) {
		if (strlen($textspaces[$j]) > 15) {
			// Trim the text to 15 characters
			$chattext .= substr($textspaces[$j], 0, 15);
		} else {
			$chattext .= $textspaces[$j];
		}
		if ($j+1 < count($textspaces)) {
			// Put the space back in
			$chattext .= " ";
		}
	}
}

$username = trim($username);


// Convert username to display first name
$getname = lfmsql_query("Select firstname from oto_members where username='".$username."' limit 1");
if (lfmsql_num_rows($getname) > 0) {  // found first name
	$firstname = lfmsql_result($getname, 0, "firstname");
	$username = trim($firstname);
}
if (lfmsql_num_rows($getname) == 0) {  // didn't find member

	$getemail = lfmsql_query("Select email from chat_users where username='".$username."' limit 1");
	if (lfmsql_num_rows($getemail) > 0) {  // found member using email 
		
		$email_f = lfmsql_result($getemail, 0, "email");


	}


	$getnamefinal = lfmsql_query("Select firstname from oto_members where email='".$email_f."' limit 1");
	if (lfmsql_num_rows($getnamefinal) > 0) { // found first name using email
		$firstname = lfmsql_result($getnamefinal, 0, "firstname");
		$username = trim($firstname);
	}

}

// Make Sure Long Names Don't Break The Table
$namespaces = explode(" ", $username);
if (count($namespaces) > 0) {
	$username = "";
	for ($j = 0; $j < count($namespaces); $j++) {
		if (strlen($namespaces[$j]) > 12) {
			// Trim the name to 12 characters
			$username .= substr($namespaces[$j], 0, 12);
		} else {
			$username .= $namespaces[$j];
		}
		if ($j+1 < count($namespaces)) {
			// Put the space back in
			$username .= " ";
		}
	}
}

if ($isadmin == 1 && $messageuserid == $userid) {
	$messagetype = 4;
} elseif ($isadmin == 1) {
	$messagetype = 3;
} elseif ($messageuserid == $userid) {
	$messagetype = 2;
} else {
	$messagetype = 1;
}

$messagelist = $messageid.','.$showdate.','.$showtime.' '.$showampm.','.$messagetype.','.$username.','.$userpic.','.$chattext.'|' . $messagelist;


}

echo($messagelist);
}

exit;
?>