<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.54
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

//TE Cron Job

if (!isset($prefix)) {
	echo("You should only run the admin/maint.php cron job instead of cronte.php");
	exit;
}

$currentdate = date("Y-m-d");
$yesterdate = strftime("%Y-%m-%d", strtotime("$currentdate + 1 days ago"));

$getlastcron = lfmsql_query("Select tecron from ".$prefix."settings");

if (lfmsql_num_rows($getlastcron) == 0) {
	exit;
}

$lastcron = lfmsql_result($getlastcron, 0, "tecron");

if ($lastcron == $currentdate) {
	exit;
}

@lfmsql_query("Update ".$prefix."settings set tecron='$currentdate'");

//Record Stats
$creditstoday = lfmsql_result(lfmsql_query("Select SUM(creditstoday) from ".$prefix."members"),0);
$creditstoday = round($creditstoday);
$hitstoday = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."msites"),0);
$persitetoday = lfmsql_result(lfmsql_query("Select hitstoday from ".$prefix."msites order by hitstoday desc limit 1"),0);
$perbantoday = lfmsql_result(lfmsql_query("Select hitstoday from ".$prefix."mbanners order by hitstoday desc limit 1"),0);
$pertexttoday = lfmsql_result(lfmsql_query("Select hitstoday from ".$prefix."mtexts order by hitstoday desc limit 1"),0);

$persqbantoday = 0;
if (file_exists("mysqbans.php") || file_exists("../mysqbans.php")) {
	$persqbantoday = lfmsql_result(lfmsql_query("Select hitstoday from ".$prefix."msqbans order by hitstoday desc limit 1"),0);
	if (!is_numeric($persqbantoday) || $persqbantoday < 1) {
		$persqbantoday = 0;
	}
}

$permbrandtoday = 0;
if (file_exists("mybranders.php") || file_exists("../mybranders.php")) {
	$permbrandtoday = lfmsql_result(lfmsql_query("Select hitstoday from ".$prefix."mbranders order by hitstoday desc limit 1"),0);
	if (!is_numeric($permbrandtoday) || $permbrandtoday < 1) {
		$permbrandtoday = 0;
	}
}

$perpeeltoday = 0;
if (file_exists("mypeels.php") || file_exists("../mypeels.php")) {
	$perpeeltoday = lfmsql_result(lfmsql_query("Select hitstoday from ".$prefix."mpeels order by hitstoday desc limit 1"),0);
	if (!is_numeric($perpeeltoday) || $perpeeltoday < 1) {
		$perpeeltoday = 0;
	}
}

$perwidgettoday = 0;
if (file_exists("mywidgetads.php") || file_exists("../mywidgetads.php")) {
	$perwidgettoday = lfmsql_result(lfmsql_query("Select hitstoday from ".$prefix."widgetads order by hitstoday desc limit 1"),0);
	if (!is_numeric($perwidgettoday) || $perwidgettoday < 1) {
		$perwidgettoday = 0;
	}
}

$memberssurfed = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where clickstoday>0"),0);
$newsignups = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where joindate <= '".$yesterdate." 23:59:59' and joindate >= '".$yesterdate."'"), 0);
@lfmsql_query("Insert into ".$prefix."datestats (date, crdsearned, hitsdelivered, perurl, perbanner, pertext, persqban, permbrand, perpeel, perwidgetad, memsurfed, signups) VALUES ('$yesterdate', $creditstoday, $hitstoday, $persitetoday, $perbantoday, $pertexttoday, $persqbantoday, $permbrandtoday, $perpeeltoday, $perwidgettoday, $memberssurfed, $newsignups)");

// Get surflogdays Value
$getlogdays = lfmsql_query("Select surflogdays from ".$prefix."settings");
$logdays = lfmsql_result($getlogdays, 0, "surflogdays");
if ($logdays > 0) {
	$logdate = strftime("%Y-%m-%d", strtotime("$currentdate + ".$logdays." days ago"));
	@lfmsql_query("Delete from ".$prefix."surflogs where date < '".$logdate."'");
}

//Update Surf Logs
$getmembers = lfmsql_query("Select Id, timetoday, clickstoday from ".$prefix."members");
if (lfmsql_num_rows($getmembers) > 0) {
for ($i = 0; $i < lfmsql_num_rows($getmembers); $i++) {
	$userid = lfmsql_result($getmembers, $i, "Id");
	$timetoday = lfmsql_result($getmembers, $i, "timetoday");
	$clickstoday = lfmsql_result($getmembers, $i, "clickstoday");
	$hitsdeliv = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."msites where memid=$userid"), 0);
	if ($hitsdeliv == NULL) { $hitsdeliv=0; }
	$bandeliv = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."mbanners where memid=$userid"), 0);
	if ($bandeliv == NULL) { $bandeliv=0; }
	$textdeliv = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."mtexts where memid=$userid"), 0);
	if ($textdeliv == NULL) { $textdeliv=0; }
	
	$sqbandeliv = 0;
	if (file_exists("mysqbans.php") || file_exists("../mysqbans.php")) {
		$sqbandeliv = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."msqbans where memid=$userid"),0);
		if (!is_numeric($sqbandeliv) || $sqbandeliv < 1) {
			$sqbandeliv = 0;
		}
	}
	
	$mbranddeliv = 0;
	if (file_exists("mybranders.php") || file_exists("../mybranders.php")) {
		$mbranddeliv = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."mbranders where memid=$userid"),0);
		if (!is_numeric($mbranddeliv) || $mbranddeliv < 1) {
			$mbranddeliv = 0;
		}
	}
	
	$peeldeliv = 0;
	if (file_exists("mypeels.php") || file_exists("../mypeels.php")) {
		$peeldeliv = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."mpeels where memid=$userid"),0);
		if (!is_numeric($peeldeliv) || $peeldeliv < 1) {
			$peeldeliv = 0;
		}
	}
	
	$widgetdeliv = 0;
	$widgetcredit = 0;
	if (file_exists("mywidgetads.php") || file_exists("../mywidgetads.php")) {
		$widgetdeliv = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."widgetads where memid=$userid"),0);
		if (!is_numeric($widgetdeliv) || $widgetdeliv < 1) {
			$widgetdeliv = 0;
		}
		$widgetcredit = lfmsql_result(lfmsql_query("Select SUM(credits_today) from `".$prefix."widgetads_widgets` where user_id=$userid"),0);
		if (!is_numeric($widgetcredit) || $widgetcredit < 1) {
			$widgetcredit = 0;
		}
	}
	
	$newrefs = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where status='Active' and refid=$userid and joindate <= '".$yesterdate." 23:59:59' and joindate >= '".$yesterdate."'"), 0);
	
	if ($clickstoday>0 || $hitsdeliv>0 || $bandeliv>0 || $textdeliv>0 || $sqbandeliv>0 || $mbranddeliv>0 || $peeldeliv>0 || $widgetdeliv>0 || $widgetcredit>0 || $newrefs>0) {
		@lfmsql_query("Insert into ".$prefix."surflogs (date, userid, clicks, time, hitsdeliver, bandeliver, textdeliver, sqbandeliver, mbranddeliver, peeldeliver, widgetdeliver, widgetcredit, newrefs) VALUES ('$yesterdate', $userid, $clickstoday, $timetoday, $hitsdeliv, $bandeliv, $textdeliv, $sqbandeliv, $mbranddeliv, $peeldeliv, $widgetdeliv, $widgetcredit, $newrefs)");
	}
}
}

//Update Stats
@lfmsql_query("Update ".$prefix."members set creditsyesterday=creditstoday, creditstoday=0");
@lfmsql_query("Update ".$prefix."members set clicksyesterday=clickstoday, clickstoday=0");
@lfmsql_query("Update ".$prefix."msites set hitsyesterday=hitstoday, hitstoday=0");
@lfmsql_query("Update ".$prefix."mbanners set hitsyesterday=hitstoday, hitstoday=0");
@lfmsql_query("Update ".$prefix."mtexts set hitsyesterday=hitstoday, hitstoday=0");

//Reset Daily Limits
@lfmsql_query("Update ".$prefix."members set timetoday=0 where timetoday>0");

//Update the Word Search Game
$getresetdays = lfmsql_query("Select value from ".$prefix."wssettings where field='daysreset' limit 1");
$resetdays = lfmsql_result($getresetdays, 0, "value");
$checklastreset = lfmsql_query("Select wsreset from ".$prefix."settings");
$lastreset = lfmsql_result($checklastreset, 0, "wsreset");
$doreset = strftime("%Y-%m-%d", strtotime("$lastreset + $resetdays days"));
if (($currentdate >= $doreset) && ($resetdays>0)) {
	@lfmsql_query("Update ".$prefix."settings set wsreset='$currentdate'");
	@lfmsql_query("UPDATE ".$prefix."members SET wsreset=1 where wsword != 1");
}

//Fix Any Frozen Sites
$getsites = lfmsql_query("Select memid from ".$prefix."msites where state=1 and credits>=1");
for ($i = 0; $i < lfmsql_num_rows($getsites); $i++) {
	$memid = lfmsql_result($getsites, $i, "memid");
	@lfmsql_query("Update ".$prefix."members set actsite=1 where Id=$memid and status='Active' limit 1");
}

//Fix Any Frozen Banners
$getbanners = lfmsql_query("Select memid from ".$prefix."mbanners where state=1 and imps>=1");
for ($i = 0; $i < lfmsql_num_rows($getbanners); $i++) {
	$memid = lfmsql_result($getbanners, $i, "memid");
	@lfmsql_query("Update ".$prefix."members set actbanner=1 where Id=$memid and status='Active' limit 1");
}

//Fix Any Frozen Text Ads
$gettexts = lfmsql_query("Select memid from ".$prefix."mtexts where state=1 and imps>=1");
for ($i = 0; $i < lfmsql_num_rows($gettexts); $i++) {
	$memid = lfmsql_result($gettexts, $i, "memid");
	@lfmsql_query("Update ".$prefix."members set acttext=1 where Id=$memid and status='Active' limit 1");
}

//Delete Old Surf Logs
$cronsetting = lfmsql_result(lfmsql_query("SELECT sstats from ".$prefix."settings where 1"), 0);
if (is_numeric($cronsetting)) {
	$delete = time() - $cronsetting*24*3600;
	@lfmsql_query("DELETE FROM ".$prefix."sstats WHERE adate < '$delete'");
	@lfmsql_query("OPTIMIZE TABLE ".$prefix."sstats");
}

//Delete Old Credit Boosts
$t = time();
@lfmsql_query("Delete from ".$prefix."cboost where endtime<$t");

if (file_exists("powerup_cron.php") || file_exists("../powerup_cron.php")) {
	include_once "powerup_cron.php";
}

if (file_exists("mysqbans.php") || file_exists("../mysqbans.php")) {
	@lfmsql_query("Update ".$prefix."msqbans set hitsyesterday=hitstoday, hitstoday=0");
	//Fix Any Frozen Square Banners
	$getsqbans = lfmsql_query("Select memid from ".$prefix."msqbans where state=1 and imps>=1");
	for ($i = 0; $i < lfmsql_num_rows($getsqbans); $i++) {
		$memid = lfmsql_result($getsqbans, $i, "memid");
		@lfmsql_query("Update ".$prefix."members set actsqban=1 where Id=$memid and status='Active' limit 1");
	}
	//Clear Square Banner IP Log
	$tenminago = time()-300;
	@lfmsql_query("DELETE FROM `".$prefix."sqban_iplog` WHERE lasttime < '".$tenminago."'");
}

if (file_exists("mybranders.php") || file_exists("../mybranders.php")) {
	@lfmsql_query("Update ".$prefix."mbranders set hitsyesterday=hitstoday, hitstoday=0");
	//Fix Any Frozen Mini Branders
	$getmbrands = lfmsql_query("Select memid from ".$prefix."mbranders where state=1 and imps>=1");
	for ($i = 0; $i < lfmsql_num_rows($getmbrands); $i++) {
		$memid = lfmsql_result($getmbrands, $i, "memid");
		@lfmsql_query("Update ".$prefix."members set actmbrand=1 where Id=$memid and status='Active' limit 1");
	}
	//Clear Mini Branders IP Log
	$tenminago = time()-300;
	@lfmsql_query("DELETE FROM `".$prefix."mbrand_iplog` WHERE lasttime < '".$tenminago."'");
}

if (file_exists("mypeels.php") || file_exists("../mypeels.php")) {
	@lfmsql_query("Update ".$prefix."mpeels set hitsyesterday=hitstoday, hitstoday=0 ;");
	//Fix Any Frozen Peel Ads
	$getpeels = lfmsql_query("Select memid from ".$prefix."mpeels where state=1 and imps>=1");
	for ($i = 0; $i < lfmsql_num_rows($getpeels); $i++) {
		$memid = lfmsql_result($getpeels, $i, "memid");
		@lfmsql_query("Update ".$prefix."members set actpeel=1 where Id=$memid and status='Active' limit 1 ;");
	}
}

if (file_exists("mywidgetads.php") || file_exists("../mywidgetads.php")) {
	@lfmsql_query("Update ".$prefix."widgetads set hitsyesterday=hitstoday, hitstoday=0 ;");
	@lfmsql_query("Update ".$prefix."widgetads_widgets set hits_today=0, uhits_today=0, credits_today=0 ;");
	@lfmsql_query("TRUNCATE TABLE ".$prefix."widgetads_iplog");
}

// Promo Wall Update
if (file_exists("promowall.php") || file_exists("../promowall.php")) {
	@lfmsql_query("UPDATE ".$prefix."members SET promowall=0");
	@lfmsql_query("UPDATE promowall_settings SET value=0 WHERE field='adminhits'");
}
// End Promo Wall Update

//Top 5 Prizes
if (file_exists("../top5_cron.php")) {
	include_once "../top5_cron.php";
} elseif (file_exists("top5_cron.php")) {
	include_once "top5_cron.php";
}

if (file_exists("superlb_cron.php") || file_exists("../superlb_cron.php")) {
	include_once "superlb_cron.php";
}

?>