<?php

// /////////////////////////////////////////////////////////////////////
// GeniuXs v3
// Copyright 2023 Logiscape LLC. All Rights Reserved
// https://geniuxs.com
//
// The sale, duplication or transfer of the script to any 
// person other than the original purchaser is a violation
// of the purchase agreement and is strictly prohibited.
// Any alteration of the script source code or accompanying 
// materials will void any responsibility that Logiscape LLC
// has regarding the proper functioning of the script.
// /////////////////////////////////////////////////////////////////////

if (!isset($_POST['messagedata']) || strlen($_POST['messagedata']) < 1) {
	// Show the form to collect the data
	echo '<form name="autoload" action="geniuxs_api.php" method="post" enctype="application/x-www-form-urlencoded" title="autoload"><br>';
  	echo '<input type="hidden" name="messagedata"><br>';
  	echo '</form>';
	exit;
}

require_once "inc/filter.php";
require_once "inc/lfmsql.php";

include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass);
lfmsql_select_db($dbname) or die("Error: Unable to select database");

// Make sure the GET data exists
if (!isset($_POST['messagedata']) || strlen(trim($_POST['messagedata'])) < 1) {
	echo("Invalid Message Data");
	exit;
}


// Make sure the data actually came from GeniuXs
$verifyserver = "geniuxs.com";
$datahash = md5(trim($_POST['messagedata']));
$data = "sumdata=".$datahash;

$header = "POST /geniuxs_api_checksum.php HTTP/1.1\r\n";
$header .= "Host: ".$verifyserver."\r\n";
$header .= "Referer: http://".$_SERVER["SERVER_NAME"]."/\r\n";
$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
$header .= "Content-Length: ".strlen($data)."\r\n";
$header .= "Connection: close\r\n\r\n";

if (!$verifyconnect = fsockopen('ssl://'.$verifyserver, 443, $errno, $errstr, 10)) {
	echo("RESULT:Unable To Connect To Verify:ENDRESULT");
	exit;
}
fwrite($verifyconnect, $header.$data);
$verifyresponse = stream_get_contents($verifyconnect);
fclose($verifyconnect);

if (strpos($verifyresponse, "ValidateResult:") === false) {
	echo("Invalid Response From GeniuXs");
	exit;
} else {
	$colonpos = strpos($verifyresponse, "ValidateResult:");
	$colonpos = $colonpos+15;
	$validateresultres = trim(substr($verifyresponse, $colonpos));
	
	$packressplit = explode(':', $validateresultres);
	$validateresultres = trim($packressplit[0]);
	
	if ($validateresultres == "valid") {
		// Data Is Valid
	} else {
		echo("StartData:Could Not Validate GeniuXs Data:EndData");
		exit;
	}
}

// XML Functions
function startingxml($parser, $name, $attrs)
{
	global $curname;
	$curname = $name;
}
function endingxml($parser, $name)
{
	// IGNORE ENDING
}
function RESULTSXML($parser, $data)
{
	global $curname,$OFFERDATA;
    $OFFERDATA[$curname] = htmlentities($data);
}
// End XML Functions


// ============================================================================
// ** Decode The GeniuXs Data **
//
	$tempfiledata = base64_decode(trim($_POST['messagedata']));
// ====================================	
// INITIATE XML PARSING
//
	$xml_parser = xml_parser_create();
	xml_parser_set_option($xml_parser, XML_OPTION_CASE_FOLDING, true);
	xml_set_element_handler($xml_parser, "startingxml", "endingxml");
	xml_set_character_data_handler($xml_parser, "RESULTSXML");
	$parser = xml_parse($xml_parser, $tempfiledata, true);
	if (!$parser)
	{
		echo("StartData:Could not parse XML file. There may be an error with the offer data:EndData");
		exit;
	}
	xml_parser_free($xml_parser);
	
	$messageid = addslashes($OFFERDATA['GENIUXSID']);
	
	$geniuxssub = $OFFERDATA['GENIUXSSUB'];
	if (strlen($geniuxssub) > 0) {
		$geniuxssub = addslashes(base64_decode($geniuxssub));
	}
	
	$geniuxsmess = $OFFERDATA['GENIUXSMESS'];
	if (strlen($geniuxsmess) > 0) {
		$geniuxsmess = addslashes(base64_decode($geniuxsmess));
	}

// ========================================================
// Add the Message
//
	
	$hourago = time() - 3600;
	
	lfmsql_query("DELETE FROM `geniuxs_api` WHERE messageid='$messageid' OR time < $hourago");
	
	lfmsql_query("INSERT INTO `geniuxs_api` (messageid, time, subjecttext, bodytext) VALUES ('$messageid', ".time().", '$geniuxssub', '$geniuxsmess')") or die(lfmsql_error());	
	
	echo("StartData:Auto Added Successfully:EndData");
	exit;

?>