<?php

// /////////////////////////////////////////////////////////////////////
// GeniuXs v3
// Copyright 2023 Logiscape LLC. All Rights Reserved
// https://geniuxs.com
//
// The sale, duplication or transfer of the script to any 
// person other than the original purchaser is a violation
// of the purchase agreement and is strictly prohibited.
// Any alteration of the script source code or accompanying 
// materials will void any responsibility that Logiscape LLC
// has regarding the proper functioning of the script.
// /////////////////////////////////////////////////////////////////////

if (!isset($cronfilepath) || strlen($cronfilepath) < 1) {
	echo("This file should be scheduled in the oto_cronjobs table");
	exit;
}
	
	require_once "geniuxs_make_key.php";
	
	// Query settings table for sitename etc
	$res=@lfmsql_query("SELECT sitename,replyaddress,bounceaddress,affurl FROM ".$prefix."settings") or die("1040: Unable to find ".$prefix."settings!");
	$row=@lfmsql_fetch_array($res);
	$sitename=$row["sitename"];
	$replyemail=$row["replyaddress"];
	$bounceaddress=$row["bounceaddress"];
	$affurl=$row["affurl"];
	
	if ($affurl != "") {
		$spliturl = explode("/", $affurl);
		$sitedomain = $spliturl[2];
		$sitedomain = str_replace("www.", "", $sitedomain);
	} else {
		$sitedomain = "";
	}

// Get Time/Date Info

$currentdate = date("Y-m-d");
$currenthour = date("H");
$currentmin = date("i");
$currenttime = time();

// End Get Time/Date Info

// Check Last Cron Run
$getlastcron = lfmsql_query("SELECT lastruntime FROM `geniuxs_crons` WHERE crontype='dailynewmem'");

if (lfmsql_num_rows($getlastcron) < 1) {
	// Error
	echo("Could Not Find Last Group Mailer Cron Run");
} else {

$lastcron = lfmsql_result($getlastcron, 0, "lastruntime");

if ($lastcron > ($currenttime-86000)) {
	// Last Cron Too Recent
	echo("Last Group Mailer Cron Ran ".$currenttime-$lastcron." Seconds Ago");
} else {

lfmsql_query("UPDATE `geniuxs_crons` SET lastruntime=".$currenttime." WHERE crontype='dailynewmem'");
// End Check Last Cron Run


// Update Any Member Level Changes
$getmembers = lfmsql_query("SELECT Id, mtype FROM ".$prefix."members");

if (lfmsql_num_rows($getmembers) > 0) {
	
	for ($i = 0; $i < lfmsql_num_rows($getmembers); $i++) {
		$memberid = lfmsql_result($getmembers, $i, "Id");
		$membertype = lfmsql_result($getmembers, $i, "mtype");
		
		$checktype = lfmsql_query("SELECT acctype FROM `geniuxs_memtypes` WHERE userid='".$memberid."' LIMIT 1");
		if (lfmsql_num_rows($checktype) > 0) {
			$checkedtype = lfmsql_result($checktype, 0, "acctype");
			if ($checkedtype != $membertype) {
				lfmsql_query("UPDATE `geniuxs_memtypes` SET acctype='".$membertype."' WHERE userid='".$memberid."' LIMIT 1");
				lfmsql_query("UPDATE ".$prefix."members SET upgchanged='".$currentdate."' WHERE Id='".$memberid."' LIMIT 1");
			}
		} else {
			lfmsql_query("INSERT INTO `geniuxs_memtypes` (userid, acctype) VALUES ('".$memberid."', '".$membertype."')");
			lfmsql_query("UPDATE ".$prefix."members SET upgchanged='".$currentdate."' WHERE Id='".$memberid."' LIMIT 1");
		}
	}
}
// End Update Any Member Level Changes


// Get Queue Settings
$usequeue = 0;
$getusequeue = lfmsql_query("SELECT valvalue FROM `geniuxs_vals` WHERE valtype='usequeue'");
if (lfmsql_num_rows($getusequeue) > 0) {
	$usequeue = lfmsql_result($getusequeue, 0, "valvalue");
}


// Check For Messages To Send

$getmessages = lfmsql_query("SELECT * FROM `geniuxs_newmem` WHERE messageactive=1");

if (lfmsql_num_rows($getmessages) > 0) {
	
	for ($i = 0; $i < lfmsql_num_rows($getmessages); $i++) {
		
		$messageid = lfmsql_result($getmessages, $i, "id");
		$numdays = lfmsql_result($getmessages, $i, "numdays");
		$acctype = lfmsql_result($getmessages, $i, "acctype");
		
		$sendonce = lfmsql_result($getmessages, $i, "sendonce");
		
		$subject = lfmsql_result($getmessages, $i, "subject");
		$bodytext = lfmsql_result($getmessages, $i, "bodytext");
		
		$expiredays = lfmsql_result($getmessages, $i, "expiredays");
		$salespackage = lfmsql_result($getmessages, $i, "salespackage");
		$htmlcontent = lfmsql_result($getmessages, $i, "htmlcontent");
		$clickurl = lfmsql_result($getmessages, $i, "clickurl");
		
		$credits = lfmsql_result($getmessages, $i, "credits");
		$banners = lfmsql_result($getmessages, $i, "banners");
		$texts = lfmsql_result($getmessages, $i, "texts");
		$peelimps = lfmsql_result($getmessages, $i, "peelimps");
		$sqbanimps = lfmsql_result($getmessages, $i, "sqbanimps");
		$porkyps = lfmsql_result($getmessages, $i, "porkyps");
		
		$mbranders = lfmsql_result($getmessages, $i, "mbranders");
		$xppoints = lfmsql_result($getmessages, $i, "xppoints");
		
		$cash = lfmsql_result($getmessages, $i, "cash");
		$widgetads = lfmsql_result($getmessages, $i, "widgetads");
		$podpoints = lfmsql_result($getmessages, $i, "podpoints");
		$piggybank = lfmsql_result($getmessages, $i, "piggybank");
		
		$subject = translate_site_tags($subject);
		$bodytext = translate_site_tags($bodytext);
		
		if ($expiredays < 1) { $expiredays = 1; }
		
		if ($acctype > 0) {
			$accquery = " AND mtype=".$acctype;
			$searchcolumn = "upgchanged";
		} else {
			$accquery = "";
			$searchcolumn = "joindate";
		}
		
		if ($acctype > 0 && $numdays > 1) {
			// Since this cron just updated any member level changes, the changes would have happened a day ago
			$numdays = $numdays - 1;
			$joindatetosend = strftime("%Y-%m-%d", strtotime("$currentdate + ".$numdays." days ago"));
		} elseif ($acctype > 0) {
			$joindatetosend = $currentdate;
		} else {
			$joindatetosend = strftime("%Y-%m-%d", strtotime("$currentdate + ".$numdays." days ago"));
		}
		
		$sendtocount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members WHERE status='Active' AND newsletter=1 AND ".$searchcolumn." LIKE '".$joindatetosend."%'".$accquery), 0);
		
		lfmsql_query("UPDATE `geniuxs_newmem` SET totalsends=totalsends+".$sendtocount." WHERE id=".$messageid);
		
		
		if ($sendtocount > 0) {
		
			// Click Links
			if ($clickurl != "none") {
				$linkkey = geniuxs_make_key(8);
				$linkexpiretime = $currenttime + ($expiredays*86400);
				lfmsql_query("INSERT INTO `geniuxs_clicklinks` (linkkey, salespackage, acctype, expiretime, htmlcontent, redirecturl, credits, banners, texts, peelimps, sqbanimps, porkyps, mbranders, xppoints, cash, widgetads, podpoints, piggybank) VALUES ('".$linkkey."', ".$salespackage.", ".$acctype.", ".$linkexpiretime.", '".addslashes($htmlcontent)."', '".addslashes($clickurl)."', '".$credits."', '".$banners."', '".$texts."', '".$peelimps."', '".$sqbanimps."', '".$porkyps."', '".$mbranders."', '".$xppoints."', '".$cash."', '".$widgetads."', '".$podpoints."', '".$piggybank."')");
				
			}
			
			// Mail To Members
			$getmembers = lfmsql_query("SELECT Id, email FROM ".$prefix."members WHERE status='Active' AND newsletter=1 AND ".$searchcolumn." LIKE '".$joindatetosend."%'".$accquery);
			for ($j = 0; $j < lfmsql_num_rows($getmembers); $j++) {
				
				$memberid = lfmsql_result($getmembers, $j, "Id");
				$memberemail = lfmsql_result($getmembers, $j, "email");
				
				// Make Sure A Duplicate Isn't Sent
				$countlog = 0;
				if ($sendonce == 1) {
					$countlog = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `geniuxs_newmemlog` WHERE messageid='".$messageid."' AND userid='".$memberid."'"), 0);
				}
				
				if ($sendonce != 1 || $countlog == 0) {
					
					if ($usequeue > 0) {
						
						lfmsql_query("INSERT INTO geniuxs_queue (priority, type, messageid, userid, toaddress, fromname, fromaddress, linkkey) VALUES (1, 3, ".$messageid.", ".$memberid.", '".addslashes($memberemail)."', '".addslashes($sitename)."', '".addslashes($replyemail)."', '".$linkkey."')");
						
						lfmsql_query("INSERT INTO `geniuxs_newmemlog` (messageid, userid) VALUES ('".$messageid."', '".$memberid."')");
						
					} else {
						
						lfmsql_query("INSERT INTO `geniuxs_newmemlog` (messageid, userid) VALUES ('".$messageid."', '".$memberid."')");
						
						$msgsubject = translate_user_tags($subject,$memberemail);
						$msgbody = translate_user_tags($bodytext,$memberemail);
						
						if (stristr($msgbody, '<') !== FALSE && stristr($msgbody, '>') !== FALSE) {
							$mailformat = "html";
						}
						
						$clicklinkurl = $affurl."geniuxs_click.php?userid=".$memberid."&nmid=".$messageid."&linkkey=".$linkkey;
						
						if (isset($mailformat) && $mailformat == "html") {
							if (stristr($msgbody, 'href=#CLICKLINK#') === FALSE && stristr($msgbody, 'href="#CLICKLINK#') === FALSE && stristr($msgbody, 'href = #CLICKLINK#') === FALSE && stristr($msgbody, 'href = "#CLICKLINK#') === FALSE) {
								$clicklinkurl = "<a target=\"_blank\" href=\"".$clicklinkurl."\">".$clicklinkurl."</a>";
							}
						}
						
						$msgbody = str_ireplace('#CLICKLINK#', $clicklinkurl, $msgbody);
						
						$unsubscribe = $affurl."geniuxs_unsub.php?user=".$memberid."&nmid=".$messageid."&email=".$memberemail;
						
						if (isset($mailformat) && $mailformat == "html") {
							$unsubscribe = "<a target=\"_blank\" href=\"".$unsubscribe."\">".$unsubscribe."</a>";
						}
						
						if (file_exists("geniuxs_unsub_text.php")) {
							include "geniuxs_unsub_text.php";
						}
						if (!isset($unsubtext) || strlen($unsubtext) < 1) {
							$unsubtext = "You are subscribed to receive updates with the e-mail address ".$memberemail.". \nClick on the following link or paste it into your web browser to unsubscribe:";
						}
						
						$msgbody .= "\n\n\n".$unsubtext."\n\n".$unsubscribe;
						
						// Send message
						$now = date("ymdHis").rand(1000,9999);
						
						if (isset($mailformat) && $mailformat == "html") {
							$msgbody = str_ireplace("\n", "<br>", $msgbody);
							$headers = "MIME-Version: 1.0\r\n";
							$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
						} else {
							$headers = "";
						}
						
						$headers .= "From: ".$sitename." <".$replyemail.">"."\r\n";
						$headers .= "Return-Path: ".$sitename." <".$replyemail.">"."\r\n";
						$headers .= "Message-ID: <".$now."GeniuXs@".$sitedomain.">"."\r\n";
						$mailFrom = "-f$bounceaddress";
						mail($memberemail,$msgsubject,$msgbody,$headers,$mailFrom);
					}
				}
			}
		}	
	}
}

}
}

?>