<?php

// /////////////////////////////////////////////////////////////////////
// GeniuXs v3
// Copyright 2023 Logiscape LLC. All Rights Reserved
// https://geniuxs.com
//
// The sale, duplication or transfer of the script to any 
// person other than the original purchaser is a violation
// of the purchase agreement and is strictly prohibited.
// Any alteration of the script source code or accompanying 
// materials will void any responsibility that Logiscape LLC
// has regarding the proper functioning of the script.
// /////////////////////////////////////////////////////////////////////

if (!isset($cronfilepath) || strlen($cronfilepath) < 1) {
	echo("This file should be scheduled in the oto_cronjobs table");
	exit;
}
	
	require_once "geniuxs_make_key.php";
	
	// Query settings table for sitename etc
	$res=@lfmsql_query("SELECT sitename,replyaddress,bounceaddress,affurl FROM ".$prefix."settings") or die("1040: Unable to find ".$prefix."settings!");
	$row=@lfmsql_fetch_array($res);
	$sitename=$row["sitename"];
	$replyemail=$row["replyaddress"];
	$bounceaddress=$row["bounceaddress"];
	$affurl=$row["affurl"];
	
	if ($affurl != "") {
		$spliturl = explode("/", $affurl);
		$sitedomain = $spliturl[2];
		$sitedomain = str_replace("www.", "", $sitedomain);
	} else {
		$sitedomain = "";
	}
	
	$getadmininfo = lfmsql_query("Select admin_name, email from `".$prefix."admin` where id=1 limit 1");
	if (lfmsql_num_rows($getadmininfo) > 0) {
		$adminemail = lfmsql_result($getadmininfo, 0, "email");
		$adminname = lfmsql_result($getadmininfo, 0, "admin_name");
	} else {
		$adminemail = "";
	}

// Get Time/Date Info

$currentdate = date("Y-m-d");
$currenthour = date("G");
$currentmin = date("i");

if ($currentmin >= 45) {
	$currentquarter = 4;
} elseif ($currentmin >= 30) {
	$currentquarter = 3;
} elseif ($currentmin >= 15) {
	$currentquarter = 2;
} else {
	$currentquarter = 1;
}

$currenttime = time();

// End Get Time/Date Info

// Check Last Cron Run
$getlastcron = lfmsql_query("SELECT lastruntime FROM `geniuxs_crons` WHERE crontype='quarterhourly'");

if (lfmsql_num_rows($getlastcron) < 1) {
	// Error
	echo("Could Not Find Last Quarterly Cron Run");
} else {

$lastcron = lfmsql_result($getlastcron, 0, "lastruntime");

if ($lastcron > ($currenttime-840)) {
	// Last Cron Too Recent
	echo("Last Quarterly Cron Ran ".$currenttime-$lastcron." Seconds Ago");
} else {

lfmsql_query("UPDATE `geniuxs_crons` SET lastruntime=".$currenttime." WHERE crontype='quarterhourly'");
// End Check Last Cron Run


// Remove Sent Messages
lfmsql_query("DELETE FROM `geniuxs_schedule` WHERE messagesent > 0");


// Remove Expired Links
lfmsql_query("DELETE FROM `geniuxs_clicklinks` WHERE expiretime < ".$currenttime);


// Get Queue Settings
$usequeue = 0;
$getusequeue = lfmsql_query("SELECT valvalue FROM `geniuxs_vals` WHERE valtype='usequeue'");
if (lfmsql_num_rows($getusequeue) > 0) {
	$usequeue = lfmsql_result($getusequeue, 0, "valvalue");
}


// Increase Timers
lfmsql_query("DELETE FROM `geniuxs_timerdrops` WHERE expired=1");
$getdrops = lfmsql_query("SELECT * FROM `geniuxs_timerdrops` WHERE expiretime < ".$currenttime." AND expired=0");
if (lfmsql_num_rows($getdrops) > 0) {
	for ($i = 0; $i < lfmsql_num_rows($getdrops); $i++) {
		$dropid = lfmsql_result($getdrops, $i, "id");
		$acctype = lfmsql_result($getdrops, $i, "acctype");
		$numseconds = lfmsql_result($getdrops, $i, "numseconds");
		
		if ($acctype > 0 && $acctype < 999999) {
			lfmsql_query("UPDATE ".$prefix."membertypes SET surftimer=surftimer+".$numseconds." WHERE mtid=".$acctype);
		} else {
			lfmsql_query("UPDATE ".$prefix."membertypes SET surftimer=surftimer+".$numseconds);
		}
		
		lfmsql_query("UPDATE `geniuxs_timerdrops` SET expired=1 WHERE id=".$dropid);
	}
}
// End Increase Timers


// Check For Admin Notifications To Send
$notifylevel = lfmsql_result(lfmsql_query("SELECT valvalue FROM `geniuxs_vals` WHERE valtype='notifylevel'"), 0);

if ($usequeue > 0 || !is_numeric($notifylevel)) { $notifylevel=0; }


if ($notifylevel >= 1 && $adminemail != "") {

	// Notify of Scheduled Mail Failures
	$thirtysecsago = time() - 30;
	$getschedsends = lfmsql_query("SELECT starttime, updatetime, sendcount, numsends, subject FROM `geniuxs_schedsent` WHERE warnflag=0 AND (updatetime < ".$thirtysecsago." AND numsends < sendcount)");
	if (lfmsql_num_rows($getschedsends)) {
		$notifymess = "Hi ".$adminname.",\n\nThis is a message from GeniuXs installed on your website: ".$sitedomain."\n\nI wasn't able to fully send your scheduled e-mails.  The most likely reason is that the server hosting your exchange wasn't able to process the messages at the time they were sent.  You may try scheduling your messages when no other cron jobs or backups are running.  It's also possible that your server was offline for maintenence at the time your messages were scheduled.  Here is a list of the messages that weren't fully sent, along with the number of members (if any) they were successfully sent to.\n\n\n";
		for ($i = 0; $i < lfmsql_num_rows($getschedsends); $i++) {
			$starttime = lfmsql_result($getschedsends, $i, "starttime");
			$updatetime = lfmsql_result($getschedsends, $i, "updatetime");
			$sendcount = lfmsql_result($getschedsends, $i, "sendcount");
			$numsends = lfmsql_result($getschedsends, $i, "numsends");
			$subject = lfmsql_result($getschedsends, $i, "subject");
			
			$timesending = $updatetime-$starttime;
			
			$notifymess .= "Sent to ".$numsends." of ".$sendcount." members - Ran for ".$timesending." seconds - Subject: ".$subject."\n\n";
			
		}
		
		$notifymess .= "\nYou can change your notification settings in your Admin area under GeniuXs -> Status and Settings";

		lfmsql_query("UPDATE `geniuxs_schedsent` SET warnflag=1 WHERE warnflag=0 AND (updatetime < ".$thirtysecsago." AND numsends < sendcount)");
		
		// Send message
		$now = date("ymdHis").rand(1000,9999);
		$headers = "From: ".$sitename." <".$replyemail.">"."\r\n";
		$headers .= "Return-Path: ".$sitename." <".$replyemail.">"."\r\n";
		$headers .= "Message-ID: <".$now."GeniuXs@".$sitedomain.">"."\r\n";
		mail($adminemail, "GeniuXs Mail Failure Notification", $notifymess,$headers);

	}
	
	// Notify of Automatic Mail Failures
	$thirtysecsago = time() - 30;
	$getautosends = lfmsql_query("SELECT starttime, updatetime, sendcount, numsends, mailid FROM `geniuxs_maillog` WHERE warnflag=0 AND (updatetime < ".$thirtysecsago." AND numsends < sendcount)");
	if (lfmsql_num_rows($getautosends)) {
		$notifymess = "Hi ".$adminname.",\n\nThis is a message from GeniuXs installed on your website: ".$sitedomain."\n\nI wasn't able to fully send your automated e-mails.  The most likely reason is that the server hosting your exchange wasn't able to process the messages at the time they were sent.  You may try adjusting your geniuxs_groupmailer.php cron job to when no other cron jobs or backups are running.  It's also possible that your server was offline for maintenence at the time your messages were scheduled.  Here is a list of the messages that weren't fully sent, along with the number of members (if any) they were successfully sent to.\n\n\n";
		for ($i = 0; $i < lfmsql_num_rows($getautosends); $i++) {
			$starttime = lfmsql_result($getautosends, $i, "starttime");
			$updatetime = lfmsql_result($getautosends, $i, "updatetime");
			$sendcount = lfmsql_result($getautosends, $i, "sendcount");
			$numsends = lfmsql_result($getautosends, $i, "numsends");
			$mailid = lfmsql_result($getautosends, $i, "mailid");
			
			$subject = lfmsql_result(lfmsql_query("SELECT subject FROM `geniuxs_groupmails` WHERE id=".$mailid), 0);
			
			$timesending = $updatetime-$starttime;
			
			$notifymess .= "Sent to ".$numsends." of ".$sendcount." members - Ran for ".$timesending." seconds - Subject: ".$subject."\n\n";
			
		}
		
		$notifymess .= "\nYou can change your notification settings in your Admin area under GeniuXs -> Status and Settings";
		
		lfmsql_query("UPDATE `geniuxs_maillog` SET warnflag=1 WHERE warnflag=0 AND (updatetime < ".$thirtysecsago." AND numsends < sendcount)");
		
		// Send message
		$now = date("ymdHis").rand(1000,9999);
		$headers = "From: ".$sitename." <".$replyemail.">"."\r\n";
		$headers .= "Return-Path: ".$sitename." <".$replyemail.">"."\r\n";
		$headers .= "Message-ID: <".$now."GeniuXs@".$sitedomain.">"."\r\n";
		mail($adminemail, "GeniuXs Mail Failure Notification", $notifymess,$headers);
	}
	
}

if ($notifylevel == 2 && $adminemail != "") {

	// Notify of Scheduled Mail Success
	$thirtysecsago = time() - 30;
	$getschedsends = lfmsql_query("SELECT starttime, updatetime, sendcount, numsends, subject FROM `geniuxs_schedsent` WHERE warnflag=0 AND numsends=sendcount");
	if (lfmsql_num_rows($getschedsends)) {
		$notifymess = "Hi ".$adminname.",\n\nThis is a message from GeniuXs installed on your website: ".$sitedomain."\n\nThe following scheduled messages were successfully delivered to the mailing software on your server.\n\n\n";
		for ($i = 0; $i < lfmsql_num_rows($getschedsends); $i++) {
			$starttime = lfmsql_result($getschedsends, $i, "starttime");
			$updatetime = lfmsql_result($getschedsends, $i, "updatetime");
			$sendcount = lfmsql_result($getschedsends, $i, "sendcount");
			$numsends = lfmsql_result($getschedsends, $i, "numsends");
			$subject = lfmsql_result($getschedsends, $i, "subject");
			
			$timesending = $updatetime-$starttime;
			
			$notifymess .= "Sent to ".$numsends." of ".$sendcount." members - Ran for ".$timesending." seconds - Subject: ".$subject."\n\n";
			
		}
		
		$notifymess .= "\nYou can change your notification settings in your Admin area under GeniuXs -> Status and Settings";

		lfmsql_query("UPDATE `geniuxs_schedsent` SET warnflag=1 WHERE warnflag=0 AND numsends=sendcount");
		
		// Send message
		$now = date("ymdHis").rand(1000,9999);
		$headers = "From: ".$sitename." <".$replyemail.">"."\r\n";
		$headers .= "Return-Path: ".$sitename." <".$replyemail.">"."\r\n";
		$headers .= "Message-ID: <".$now."GeniuXs@".$sitedomain.">"."\r\n";
		mail($adminemail, "GeniuXs Mail Success Notification", $notifymess,$headers);

	}
	
	// Notify of Automatic Mail Success
	$thirtysecsago = time() - 30;
	$getautosends = lfmsql_query("SELECT starttime, updatetime, sendcount, numsends, mailid FROM `geniuxs_maillog` WHERE warnflag=0 AND numsends=sendcount");
	if (lfmsql_num_rows($getautosends)) {
		$notifymess = "Hi ".$adminname.",\n\nThis is a message from GeniuXs installed on your website: ".$sitedomain."\n\nThe following automatic messages were successfully delivered to the mailing software on your server.\n\n\n";
		for ($i = 0; $i < lfmsql_num_rows($getautosends); $i++) {
			$starttime = lfmsql_result($getautosends, $i, "starttime");
			$updatetime = lfmsql_result($getautosends, $i, "updatetime");
			$sendcount = lfmsql_result($getautosends, $i, "sendcount");
			$numsends = lfmsql_result($getautosends, $i, "numsends");
			$mailid = lfmsql_result($getautosends, $i, "mailid");
			
			$subject = lfmsql_result(lfmsql_query("SELECT subject FROM `geniuxs_groupmails` WHERE id=".$mailid), 0);
			
			$timesending = $updatetime-$starttime;
			
			$notifymess .= "\nSent to ".$numsends." of ".$sendcount." members - Ran for ".$timesending." seconds - Subject: ".$subject."\n\n";
			
		}
		
		$notifymess .= "You can change your notification settings in your Admin area under GeniuXs -> Status and Settings";
		
		lfmsql_query("UPDATE `geniuxs_maillog` SET warnflag=1 WHERE warnflag=0 AND numsends=sendcount");
		
		// Send message
		$now = date("ymdHis").rand(1000,9999);
		$headers = "From: ".$sitename." <".$replyemail.">"."\r\n";
		$headers .= "Return-Path: ".$sitename." <".$replyemail.">"."\r\n";
		$headers .= "Message-ID: <".$now."GeniuXs@".$sitedomain.">"."\r\n";
		mail($adminemail, "GeniuXs Mail Success Notification", $notifymess,$headers);
	}
	
}

// Mark Notifications
$thirtysecsago = time() - 30;
lfmsql_query("UPDATE `geniuxs_schedsent` SET warnflag=1 WHERE warnflag=0 AND updatetime < ".$thirtysecsago);
lfmsql_query("UPDATE `geniuxs_maillog` SET warnflag=1 WHERE warnflag=0 AND updatetime < ".$thirtysecsago);

// End Check For Admin Notifications To Send


// Check For Messages To Send

$getschedule = lfmsql_query("SELECT * FROM `geniuxs_schedule` WHERE messagesent=0 AND senddate='".$currentdate."' AND sendhour='".$currenthour."' AND sendminute='".$currentquarter."'");

if (lfmsql_num_rows($getschedule) > 0) {
	
	for ($i = 0; $i < lfmsql_num_rows($getschedule); $i++) {
		
		$messageid = lfmsql_result($getschedule, $i, "id");
		$acctype = lfmsql_result($getschedule, $i, "acctype");
		$subject = lfmsql_result($getschedule, $i, "subject");
		$bodytext = lfmsql_result($getschedule, $i, "bodytext");
		
		$expiredays = lfmsql_result($getschedule, $i, "expiredays");
		$surfboost = lfmsql_result($getschedule, $i, "surfboost");
		$buyboost = lfmsql_result($getschedule, $i, "buyboost");
		$timerdrop = lfmsql_result($getschedule, $i, "timerdrop");
		$salespackage = lfmsql_result($getschedule, $i, "salespackage");
		$htmlcontent = lfmsql_result($getschedule, $i, "htmlcontent");
		$clickurl = lfmsql_result($getschedule, $i, "clickurl");
		
		$credits = lfmsql_result($getschedule, $i, "credits");
		$banners = lfmsql_result($getschedule, $i, "banners");
		$texts = lfmsql_result($getschedule, $i, "texts");
		$peelimps = lfmsql_result($getschedule, $i, "peelimps");
		$sqbanimps = lfmsql_result($getschedule, $i, "sqbanimps");
		$porkyps = lfmsql_result($getschedule, $i, "porkyps");
		
		$mbranders = lfmsql_result($getschedule, $i, "mbranders");
		$xppoints = lfmsql_result($getschedule, $i, "xppoints");
		
		$cash = lfmsql_result($getschedule, $i, "cash");
		$widgetads = lfmsql_result($getschedule, $i, "widgetads");
		$podpoints = lfmsql_result($getschedule, $i, "podpoints");
		$piggybank = lfmsql_result($getschedule, $i, "piggybank");
		
		$subject = translate_site_tags($subject);
		$bodytext = translate_site_tags($bodytext);
		
		if ($expiredays < 1) { $expiredays = 1; }
		
		if ($acctype > 0 && $acctype < 999999) {
			$accquery = " AND mtype=".$acctype;
		} elseif ($acctype == 999999) {
			$getbuyerlist = lfmsql_query("SELECT DISTINCT user_id FROM ".$prefix."ipn_transactions");
			$buyerlist = array();
			for ($j = 0; $j < lfmsql_num_rows($getbuyerlist); $j++) {
				$buyerlist[$j] = lfmsql_result($getbuyerlist, $j, "user_id");
			}
			if (count($buyerlist) > 0) {
				$buyerlist = implode(',', $buyerlist);
				$accquery = " AND Id IN (".$buyerlist.")";
			} else {
				$accquery = " AND Id=0";
			}
		} else {
			$accquery = "";
		}
		
		$sendtocount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members WHERE status='Active' AND newsletter=1".$accquery), 0);
		
		lfmsql_query("INSERT INTO `geniuxs_schedsent` (messageid, starttime, sendcount, subject, bodytext) VALUES (".$messageid.", ".time().", ".$sendtocount.", '".addslashes($subject)."', '".addslashes($bodytext)."')");
		lfmsql_query("UPDATE `geniuxs_schedule` SET messagesent=1 WHERE id=".$messageid);
		
		
		if ($sendtocount > 0) {
		
			@lfmsql_query("UPDATE geniuxs_vals SET valvalue=".$currenttime." WHERE valtype='lastschedmail'");
			
			// Surf / Purchase Boosts
			if ($surfboost > 0 || $buyboost > 0) {
				$startboost = $currenttime;
				$endboost = $currenttime + ($expiredays*86400);
				lfmsql_query("Insert into ".$prefix."cboost (`starttime`, `endtime`, `surfboost`, `buyboost`, `acctype`, `surfimage`, `surftext`, `buytext`) values ('".$startboost."', '".$endboost."', '".$surfboost."', '".$buyboost."', ".$acctype.", '/images/cboost.jpg', 'The Surf Ratios Have Been Boosted', 'A Credit Special Is In Progress!')");
			}
			
			// Timer Drops
			if ($timerdrop > 0) {
				$droperror = 1;
				if ($acctype > 0 && $acctype < 999999) {
					$droperror = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."membertypes WHERE surftimer <= ".$timerdrop." AND mtid=".$acctype), 0);
					if ($droperror == 0) {
						lfmsql_query("UPDATE ".$prefix."membertypes SET surftimer=surftimer-".$timerdrop." WHERE mtid=".$acctype);
					}
				} else {
					$droperror = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."membertypes WHERE surftimer <= ".$timerdrop), 0);
					if ($droperror == 0) {
						lfmsql_query("UPDATE ".$prefix."membertypes SET surftimer=surftimer-".$timerdrop." WHERE mtid>0");
					}
				}
				
				if ($droperror == 0) {
					$enddrop = $currenttime + ($expiredays*86400);
					lfmsql_query("INSERT INTO `geniuxs_timerdrops` (acctype, expiretime, numseconds, expired) VALUES (".$acctype.", ".$enddrop.", ".$timerdrop.", 0)");
				}
			}
			
			// Click Links
			if ($clickurl != "none") {
				$linkkey = geniuxs_make_key(8);
				$linkexpiretime = $currenttime + ($expiredays*86400);
				lfmsql_query("INSERT INTO `geniuxs_clicklinks` (linkkey, salespackage, acctype, expiretime, htmlcontent, redirecturl, credits, banners, texts, peelimps, sqbanimps, porkyps, mbranders, xppoints, cash, widgetads, podpoints, piggybank) VALUES ('".$linkkey."', ".$salespackage.", ".$acctype.", ".$linkexpiretime.", '".addslashes($htmlcontent)."', '".addslashes($clickurl)."', '".$credits."', '".$banners."', '".$texts."', '".$peelimps."', '".$sqbanimps."', '".$porkyps."', '".$mbranders."', '".$xppoints."', '".$cash."', '".$widgetads."', '".$podpoints."', '".$piggybank."')");
				
			}
			
			// Mail To Members
			$getmembers = lfmsql_query("SELECT Id, email FROM ".$prefix."members WHERE status='Active' AND newsletter=1".$accquery." ORDER BY lastlogin DESC");
			for ($j = 0; $j < lfmsql_num_rows($getmembers); $j++) {
				
				$memberid = lfmsql_result($getmembers, $j, "Id");
				$memberemail = lfmsql_result($getmembers, $j, "email");
				
				if ($usequeue > 0) {
					
					lfmsql_query("INSERT INTO geniuxs_queue (priority, type, messageid, userid, toaddress, fromname, fromaddress, linkkey) VALUES (3, 1, ".$messageid.", ".$memberid.", '".addslashes($memberemail)."', '".addslashes($sitename)."', '".addslashes($replyemail)."', '".$linkkey."')");
					
				} else {
					
					$msgsubject = translate_user_tags($subject,$memberemail);
					$msgbody = translate_user_tags($bodytext,$memberemail);
					
					if (stristr($msgbody, '<') !== FALSE && stristr($msgbody, '>') !== FALSE) {
						$mailformat = "html";
					}
					
					$clicklinkurl = $affurl."geniuxs_click.php?userid=".$memberid."&smid=".$messageid."&linkkey=".$linkkey;
					
					if (isset($mailformat) && $mailformat == "html") {
						if (stristr($msgbody, 'href=#CLICKLINK#') === FALSE && stristr($msgbody, 'href="#CLICKLINK#') === FALSE && stristr($msgbody, 'href = #CLICKLINK#') === FALSE && stristr($msgbody, 'href = "#CLICKLINK#') === FALSE) {
							$clicklinkurl = "<a target=\"_blank\" href=\"".$clicklinkurl."\">".$clicklinkurl."</a>";
						}
					}
					
					$msgbody = str_ireplace('#CLICKLINK#', $clicklinkurl, $msgbody);
					
					$unsubscribe = $affurl."geniuxs_unsub.php?user=".$memberid."&smid=".$messageid."&email=".$memberemail;
					
					if (isset($mailformat) && $mailformat == "html") {
						$unsubscribe = "<a target=\"_blank\" href=\"".$unsubscribe."\">".$unsubscribe."</a>";
					}
					
					if (file_exists("geniuxs_unsub_text.php")) {
						include "geniuxs_unsub_text.php";
					}
					if (!isset($unsubtext) || strlen($unsubtext) < 1) {
						$unsubtext = "You are subscribed to receive updates with the e-mail address ".$memberemail.". \nClick on the following link or paste it into your web browser to unsubscribe:";
					}
					
					$msgbody .= "\n\n\n".$unsubtext."\n\n".$unsubscribe;
					
					// Send message
					$now = date("ymdHis").rand(1000,9999);
					
					if (isset($mailformat) && $mailformat == "html") {
						if (stristr($msgbody, '<html') === FALSE && stristr($msgbody, '<body') === FALSE) {
							$msgbody = nl2br($msgbody);
						}
						$headers = "MIME-Version: 1.0\r\n";
						$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
					} else {
						$headers = "";
					}
					
					$headers .= "From: ".$sitename." <".$replyemail.">"."\r\n";
					$headers .= "Return-Path: ".$sitename." <".$replyemail.">"."\r\n";
					$headers .= "Message-ID: <".$now."GeniuXs@".$sitedomain.">"."\r\n";
					$mailFrom = "-f$bounceaddress";
					mail($memberemail,$msgsubject,$msgbody,$headers,$mailFrom);
					
					lfmsql_query("UPDATE `geniuxs_schedsent` SET updatetime=".time().", numsends=numsends+1 WHERE messageid=".$messageid." LIMIT 1");
				}
			}
		}		
	}
}

}
}

?>