<?php

// Add Sites From Instant Banner Creator
// Created By Josh Abbott
// Included With LFM Based Scripts

// Gives members the ability to quickly and easily add banners from their Instant Banner Creator account

require_once "inc/filter.php";
require_once "inc/lfmsql.php";

require_once "inc/funcs.php";

include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass);
lfmsql_select_db($dbname) or die("Error: Unable to select database");

$userid = isset($_POST['userid'])?$_POST['userid']:'';
$sitelist = isset($_POST['sitelist'])?$_POST['sitelist']:'';
$domainlist = isset($_POST['domainlist'])?$_POST['domainlist']:'';

if ($userid == '' || !is_numeric($userid) || $userid < 1) {
	echo("RESULT:Invalid Request:ENDRESULT");
	exit;
}

if (strlen($sitelist) < 1 || strlen($domainlist) < 1) {
	echo("RESULT:Invalid Request:ENDRESULT");
	exit;
}


// Make sure this request really came from Instant Banner Creator
$verifyserver = "instantbannercreator.com";
$data = "userid=".$userid."&md5sitelist=".md5($sitelist);

$header = "POST /import_ibc_verify.php HTTP/1.1\r\n";
$header .= "Host: ".$verifyserver."\r\n";
$header .= "Referer: http://".$_SERVER["SERVER_NAME"]."/\r\n";
$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
$header .= "Content-Length: ".strlen($data)."\r\n";
$header .= "Connection: close\r\n\r\n";

if (!$verifyconnect = fsockopen('ssl://'.$verifyserver, 443, $errno, $errstr, 10)) {
	echo("RESULT:Unable To Connect To Verify:ENDRESULT");
	exit;
}
fwrite($verifyconnect, $header.$data);
$verifyresponse = stream_get_contents($verifyconnect);
fclose($verifyconnect);

if (strpos($verifyresponse, "RESULT:") === false) {
	echo("RESULT:Unable To Connect To Verify:ENDRESULT");
	exit;
} else {
	$colonpos = strpos($verifyresponse, "RESULT:");
	$colonpos = $colonpos+7;
	$verifyresult = trim(substr($verifyresponse, $colonpos));
	$ressplit = explode(':ENDRESULT', $verifyresult);
	$verifyresult = trim($ressplit[0]);
	if ($verifyresult == "Success") {
		// Result Is Valid
	} else {
		echo("RESULT:Request Did Not Verify With Instant Banner Creator:ENDRESULT");
		exit;
	}
}

// Decode the data
$sitelist = base64_decode($sitelist);
$domainlist = base64_decode($domainlist);

// Get member and site settings
$getduplicates = lfmsql_query("Select allowduplicates from ".$prefix."settings limit 1");
$allowduplicates = lfmsql_result($getduplicates, 0, "allowduplicates");
$countcredits = lfmsql_query("select mtype from ".$prefix."members where Id=$userid");
if (lfmsql_num_rows($countcredits) < 1) {
	echo("RESULT:Unable To Find User ID:ENDRESULT");
	exit;
}
$acctype = lfmsql_result($countcredits, 0, "mtype");
$getaccdata = lfmsql_query("Select maxbanners, manbanners from ".$prefix."membertypes where mtid=$acctype limit 1");
$maxbanners = lfmsql_result($getaccdata, 0, "maxbanners");
$manbanners = lfmsql_result($getaccdata, 0, "manbanners");

if ($manbanners != 0) {
	// Admin Approval Required
	$newstate = 0;
} else {
	$newstate = 1;
}

$sitelistarray = explode(',', $sitelist);
$domainlistarray = explode(',', $domainlist);
$warninglist = '';

// Start checking and adding the sites that were imported
for ($i = 0; $i < count($sitelistarray); $i++) {
	
	$thissite = $sitelistarray[$i];
	$thisdomainlist = $domainlistarray[$i];
	
	$splitsite = explode('|', $thissite);
	$imageurl = $splitsite[0];
	$targeturl = $splitsite[1];
	
	$thisdomainlist = str_replace("|", ',', $thisdomainlist);
	$splitdomainlist = explode(',', $thisdomainlist);
	$bannedfound = array();
	
	for ($j = 0; $j < count($splitdomainlist); $j++) {
		$checkdomain = $splitdomainlist[$j];
		$isbanned = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM banned_sites WHERE domain LIKE '%".$checkdomain."%'"), 0);
		if ($isbanned > 0) {
			$bannedfound[] = $checkdomain;
			$warninglist .= $checkdomain.' is banned by '.$_SERVER["SERVER_NAME"].'<br>';
		}
	}
	
	if (count($bannedfound) == 0) {
		// Add The Banner
		$checkexisting = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."mbanners where memid=$userid and img='".$imageurl."' and target='".$targeturl."'"),0);
		if (($checkexisting == 0) || ($allowduplicates >= 1)) {
			$numsites = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."mbanners where memid=$userid"), 0);
			if ($numsites >= $maxbanners) {
				if (strpos($warninglist, 'max banners allowed') !== false) {
					$warninglist .= 'You have added the max banners allowed for your account at '.$_SERVER["SERVER_NAME"].'<br>';
				}
			} else {
				$imageurl = block_html_chars($imageurl);
				$targeturl = block_html_chars($targeturl);
				lfmsql_query("Insert into ".$prefix."mbanners (state, memid, img, target) values ($newstate, $userid, '".$imageurl."', '".$targeturl."')");
			}
		}
	}
}

echo("RESULT:Success".$warninglist.":ENDRESULT");
exit;

?>