<?php
// //////////////////////////////////////////////////////////////////////////
// LFM, LFMTE, and LFMVM Mail Functions
// Copyright 2014-2018 AKH Media Group and Josh Abbott. All Rights Reserved
// //////////////////////////////////////////////////////////////////////////

function lfmmail($toaddress, $subjecttext, $bodytext, $fromname, $fromaddress, $fromserver=0, $bounceaddress=0, $smtpserver="localhost", $smtpuser="", $smtppass="", $mailformat="plain", $extraheaders=0) {
	
	if ($smtpserver == "localhost" || strlen($smtpserver) < 1) {
		
		// Use normal mail() function
		
		if ($mailformat == "html") {
			$bodytext = nl2br($bodytext);
			$headers = "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
		} else {
			$headers = "";
		}
		
		if (strlen($fromserver) < 2) {
			$splitfrom = explode('@', $fromaddress);
			$fromserver = $splitfrom[1];
		}
		
		$now = date("ymdHis").rand(1000,9999);
		$headers .= "From: ".$fromname." <".$fromaddress.">"."\r\n";
		$headers .= "Reply-To: ".$fromname." <".$fromaddress.">"."\r\n";
		$headers .= "Message-ID: <".$now."LFM@".$fromserver.">"."\r\n";
		
		if (strlen($extraheaders) > 1) {
			$headers .= $extraheaders;
		}
		
		if (strlen($bounceaddress) > 2) {
			$mailFrom = "-f$bounceaddress";
			return mail($toaddress, $subjecttext, $bodytext, $headers, $mailFrom);
		} else {
			$mailFrom = "-f$fromaddress";
			return mail($toaddress, $subjecttext, $bodytext, $headers, $mailFrom);
		}
		
	} else {
		
		// Use Swift
		
		if ($mailformat == "html") {
			$bodytext = nl2br($bodytext);
		}
		
		require_once 'swift/lib/swift_required.php';
		
		// Prepare The Mailer
		$transport = Swift_SmtpTransport::newInstance($smtpserver, 25);
		
		if (strlen($smtpuser) > 0 && strlen($smtppass) > 0) {
			// Using Username/Password
			$transport->setUsername($smtpuser);
			$transport->setPassword($smtppass);
		}
		
		$mailer = Swift_Mailer::newInstance($transport);
		
		// Prepare The Message
		$message = Swift_Message::newInstance();
		$message->setSubject($subjecttext);
		$message->setBody($bodytext, 'text/'.$mailformat);
		$message->setFrom(array($fromaddress => $fromname));
		$message->setTo($toaddress);
		$message->setReturnPath($bounceaddress);
		
		// Send The Message
		$result = $mailer->send($message);
		return $result;
	}
	
}

?>