<?php
// ////////////////////////////////////////////////////////////
// LFM v4.27
// Copyright 2006-2021 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "filter.php";



	@session_start();
	// logout - kill this session
    if(isset($_GET["mf"]))
    {
	    if($_GET["mf"] == "lo")
	    {
		    $_SESSION["uid"] = "";
		    $_SESSION["user_password"] = "";
			if (!isset($_SESSION["adminid"])){
				if (isset($_COOKIE[session_name()])) {
					@setcookie(session_name(), '', time()-42000, '/');
				}
				if (isset($_COOKIE["lfmpr3s5gy"])) {
					@setcookie("lfmpr3s5gy", '', time()-42000, '/');
				}
				@session_destroy();
			}
		}
    }
	include_once "funcs.php";
	include_once "lfm_password.php";

	// Get the path to the root of the installation
	$slashpos=strrpos($_SERVER['REQUEST_URI'],"/");
	$memberpath=substr($_SERVER['REQUEST_URI'],0,$slashpos);
	$slashpos=strrpos($memberpath,"/");
	$indexpath=substr($memberpath,0,$slashpos);


	include "config.php";
	include_once "sql_funcs.php";
	
	$_SESSION["prefix"] = $prefix;

	@lfmsql_connect($dbhost,$dbuser,$dbpass);
	@lfmsql_select_db($dbname) or die( "Unable to select database");
	
	$getloginrequest = @lfmsql_query("SELECT affurl, loginrequest FROM ".$prefix."settings") or die("Unable to find settings!");
	$loginrequestrow = @lfmsql_fetch_array($getloginrequest);
	$loginrequest = $loginrequestrow["loginrequest"];
	$affurl = $loginrequestrow["affurl"];
	
	$requestparam = '';
	if ($loginrequest == 1 && isset($_GET['requestfile'])) {
		$requestparam = '&requestfile='.$_GET['requestfile'];
	}

/* Check whether the userid is already set - if not, attempt to authenticate */
	/* In order to be considered authenticated, $uid must be set */

	if (isset($_SESSION["uid"]) && strlen($_SESSION["uid"]) > 0 && isset($_SESSION["user_password"]) && strlen($_SESSION["user_password"]) > 0 && isset($_SESSION["userid"]) && is_numeric($_SESSION["userid"]) && $_SESSION["userid"] > 0 && !isset($_POST["login"])) {
		 
		 // Check that this is really who it says it is

		 // Sanitize input values
		 $s_login=sanitize_sql($_SESSION["uid"]);
		 $s_password=sanitize_sql($_SESSION["user_password"]);

		 $authquery="SELECT Id FROM ".$prefix."members WHERE username='".$s_login."' AND password='".$s_password."'";
		 $authresult=@lfmsql_query($authquery);
		 $num=@lfmsql_num_rows($authresult);
		 
		 if($num <= 0) {
		 	// Not found - must be wrong/invalid
			$_SESSION["uid"]="";
			$_SESSION["user_password"]="";
			$_SESSION["userid"]="";
			$authenticated=0;
			if (!isset($_SESSION["adminid"])){
				@session_destroy();
			}
			echo "<script language=\"javascript\">";
			echo "window.location.href=\"login.php?s=noauth\";";
			echo "</script>";
			exit;
		 } else {
		 	$authenticated=1;
		 	$_SESSION["userid"] = lfmsql_result($authresult, 0, "Id");
		 }
		 
	} elseif (isset($_POST["login"]) && strlen($_POST["login"]) > 0 && isset($_POST["password"]) && strlen($_POST["password"]) > 0) {
		
		$ip = getip();
		
		// Check Banned IP
		if (bannedIp($ip) !== false || bannedIp($_SERVER['REMOTE_ADDR']) !== false) { echo("Your IP Is Banned"); exit; }
		 
		 // Sanitize input values
		 $s_login=sanitize_sql($_POST["login"]);
		 $s_password=sanitize_sql($_POST["password"]);
		 
		$max_fail_name = lfmsql_result(lfmsql_query("SELECT max_fail_name FROM `".$prefix."settings`"), 0);
		$max_fail_ip = lfmsql_result(lfmsql_query("SELECT max_fail_ip FROM `".$prefix."settings`"), 0);
		$max_ipperacc = lfmsql_result(lfmsql_query("SELECT max_ipperacc FROM `".$prefix."settings`"), 0);
		$max_accperip = lfmsql_result(lfmsql_query("SELECT max_accperip FROM `".$prefix."settings`"), 0);
		
		$tenminago = time() - 600;
		
		// IP Address Brute Force Protection
		if (isset($max_fail_ip) && is_numeric($max_fail_ip) && $max_fail_ip > 0) {
			$countfailip = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `".$prefix."login_log` WHERE logtime >= ".$tenminago." AND ipaddress='".$ip."' AND invalidlogin=1 AND unlocked=0"), 0);
			if ($countfailip >= $max_fail_ip) {
				// Immediately terminate the script to reduce the server load from brute force attacks
				echo("As a security precaution, you have been temporarily blocked due to too many invalid login attempts.  This block will be automatically lifted within the next hour.");
				exit;
			}
		}
		
		// Get IP Location If Installed
		$ipregion = "";
		$ipcountry = "";
		$ipcity = "";
		if (file_exists("inc/iplocation_funcs.php") || file_exists("iplocation_funcs.php")) {
			include_once "iplocation_funcs.php";
			if (function_exists('getIpCity')) {
				$ipdata = getIpCity($ip);
				$ipregion = $ipdata[0];
				$ipcountry = $ipdata[1];
				$ipcity = $ipdata[2];
			}
		}

		 /* Try to authenticate this user against db */
		 $authquery="SELECT Id, username, email, password, status FROM ".$prefix."members WHERE username='".$s_login."'";
		 $authresult=@lfmsql_query($authquery);
		 $num=@lfmsql_num_rows($authresult);
		 if($num <= 0) {
			// Username doesn't exist
			@lfmsql_query("INSERT INTO `".$prefix."login_log` (logtime, userid, ipaddress, invalidlogin, region, country, city) VALUES ('".time()."', -1, '".$ip."', 1, '".$ipregion."', '".$ipcountry."', '".$ipcity."')");
			$authenticated=0;
			$_SESSION["uid"]="";
			$_SESSION["user_password"]="";
			$_SESSION["userid"]="";
			if (!isset($_SESSION["adminid"])){
				@session_destroy();
			}
			echo "<script language=\"javascript\">";
			echo "window.location.href=\"login.php?s=invlogin".$requestparam."\";";
			echo "</script>";
			exit;
		 } else	{
			$authrow=@lfmsql_fetch_array($authresult);
			
			// Validate Password
			$loginuserid = $authrow["Id"];
			$passwordhash = $authrow["password"];
			
			$verifiedip = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `".$prefix."login_log` WHERE userid=".$loginuserid." AND ipaddress='".$ip."' AND invalidlogin=0"), 0);
			
			if ($verifiedip < 1) {
				// Username Brute Force Protection
				if (isset($max_fail_name) && is_numeric($max_fail_name) && $max_fail_name > 0) {
					$countfaillogins = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM `".$prefix."login_log` WHERE logtime >= ".$tenminago." AND userid=".$loginuserid." AND invalidlogin=1 AND unlocked=0"), 0);
					if ($countfaillogins >= $max_fail_name) {
						echo("As a security precaution, you have been temporary blocked due to too many invalid login attempts.  This block will be automatically lifted within the next hour.");
						exit;
					}
				}
			}
			
			if (strlen($passwordhash) == 32) {
				// Check Using Old MD5 Format
				if ($passwordhash == md5($s_password)) {
					// Correct Password
					@lfmsql_query("INSERT INTO `".$prefix."login_log` (logtime, userid, ipaddress, invalidlogin, region, country, city) VALUES ('".time()."', ".$loginuserid.", '".$ip."', 0, '".$ipregion."', '".$ipcountry."', '".$ipcity."')");
					$passwordhash = lfmMakePassword($s_password);
					lfmsql_query("UPDATE ".$prefix."members SET password='".$passwordhash."' WHERE Id='".$loginuserid."'") or die(lfmsql_error());
				} else {
					// Wrong Password
					@lfmsql_query("INSERT INTO `".$prefix."login_log` (logtime, userid, ipaddress, invalidlogin, region, country, city) VALUES ('".time()."', ".$loginuserid.", '".$ip."', 1, '".$ipregion."', '".$ipcountry."', '".$ipcity."')");
					$authenticated=0;
					$_SESSION["uid"]="";
					$_SESSION["user_password"]="";
					$_SESSION["userid"]="";
					if (!isset($_SESSION["adminid"])){
						@session_destroy();
					}
					echo "<script language=\"javascript\">";
					echo "window.location.href=\"login.php?s=invlogin".$requestparam."\";";
					echo "</script>";
					exit;
				}
			} else {
				// Check Using New Format
				if (lfmCheckPassword($s_password, $passwordhash)) {
					// Correct Password
					@lfmsql_query("INSERT INTO `".$prefix."login_log` (logtime, userid, ipaddress, invalidlogin, region, country, city) VALUES ('".time()."', ".$loginuserid.", '".$ip."', 0, '".$ipregion."', '".$ipcountry."', '".$ipcity."')");
				} else {
					// Wrong Password
					@lfmsql_query("INSERT INTO `".$prefix."login_log` (logtime, userid, ipaddress, invalidlogin, region, country, city) VALUES ('".time()."', ".$loginuserid.", '".$ip."', 1, '".$ipregion."', '".$ipcountry."', '".$ipcity."')");
					$authenticated=0;
					$_SESSION["uid"]="";
					$_SESSION["user_password"]="";
					$_SESSION["userid"]="";
					if (!isset($_SESSION["adminid"])){
						@session_destroy();
					}
					echo "<script language=\"javascript\">";
					echo "window.location.href=\"login.php?s=invlogin".$requestparam."\";";
					echo "</script>";
					exit;
				}
			}
			
			// Delete Old Log Entries
			$monthago = time() - 2678400;
			@lfmsql_query("DELETE FROM `".$prefix."login_log` WHERE logtime < ".$monthago);
			
			// Unverified
			if($authrow["status"] == "Unverified")
			{
				if (!isset($_SESSION["adminid"])){
					@session_destroy();
				}
				echo "<script language=\"javascript\">";
				echo "window.location.href=\"unverified_account.php\";";
				echo "</script>";
				exit;
			}
			
			// Check Banned Email
			if (bannedEmail($authrow["email"]) !== false) { echo("Your Email Is Banned"); exit; }
			
			// Check For Hacker Whacker Exceptions
			$ipexception = lfmsql_query("SELECT newlimit FROM `".$prefix."hackblock_exceptions` WHERE exctype=1 AND excvalue='".$ip."'");
			if (lfmsql_num_rows($ipexception) > 0) {
				$exclimit = lfmsql_result($ipexception, 0, "newlimit");
				if (is_numeric($exclimit) && ($exclimit == 0 || $exclimit > $max_accperip)) {
					$max_accperip = $exclimit;
				}
			}
			$accexception = lfmsql_query("SELECT newlimit FROM `".$prefix."hackblock_exceptions` WHERE exctype=2 AND excvalue=".$loginuserid);
			if (lfmsql_num_rows($accexception) > 0) {
				$exclimit = lfmsql_result($accexception, 0, "newlimit");
				if (is_numeric($exclimit) && ($exclimit == 0 || $exclimit > $max_ipperacc)) {
					$max_ipperacc = $exclimit;
				}
			}
			
			// Check Multiple Accounts Per IP
			if ($max_accperip > 0) {
				$dayagotime = time() - 86400;
				$dayago = date("Y-m-d H:i:s", $dayagotime);
				$countipaccounts = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members WHERE Id != ".$loginuserid." AND ((signupip='".$ip."' AND joindate > '".$dayago."') OR (lastip='".$ip."' AND lastlogin > '".$dayago."'))"), 0);
				if ($countipaccounts >= $max_accperip) {
					echo("This IP address has been used to access too many accounts within a short timeframe, and has been temporarily blocked.  Please try again later.");
					exit;
				}
			}
			
			// Check Multiple IPs Per Account
			if ($max_ipperacc > 0) {
				$dayagotime = time() - 86400;
				$countipaccounts = lfmsql_query("SELECT COUNT(*) FROM `".$prefix."login_log` WHERE ipaddress != '".$ip."' AND userid = ".$loginuserid." AND invalidlogin=0 AND unlocked=0 AND logtime > ".$dayagotime." GROUP BY ipaddress");
				if (lfmsql_num_rows($countipaccounts) >= $max_ipperacc) {
					echo("This account has been accessed by too many IP Addresses within a short timeframe, and has been temporarily locked to protect you.  Please contact us if you have not recently accessed your account from multiple devices or locations.");
					exit;
				}
			}
			
			
			// Authenticated
			$logintime=date("Y-m-d H:i:s");
			if (!isset($_SESSION["adminid"])){
				@lfmsql_query("UPDATE ".$prefix."members SET lastip='$ip', lastlogin='$logintime', numLogins=numLogins+1 WHERE Id=".$authrow["Id"]) or die(lfmsql_error());
			}
			$_SESSION["uid"] = $authrow["username"];
			$_SESSION["user_password"] = $passwordhash;
			$_SESSION["userid"] = $authrow["Id"];
			setcookie("lfmpr3s5gy", session_name(), time()+3600);
			$authenticated=1;
			
			if ($loginrequest == 1 && isset($_GET['requestfile']) && strlen($_GET['requestfile']) > 0) {
				$requestfile = base64_decode($_GET['requestfile']);
				echo "<script language=\"javascript\">";
				echo "window.location.href=\"".$affurl.$requestfile."\";";
				echo "</script>";
				exit;
			}
		 }
		 
	} else {
		
		// Not Logged In
		$authenticated=0;
		$_SESSION["uid"]="";
		$_SESSION["user_password"]="";
		$_SESSION["userid"]="";
		if (!isset($_SESSION["adminid"])){
			@session_destroy();
		}
		
		// Get Request
		$requestparam = '';
		if ($loginrequest == 1 && !isset($_GET['requestfile'])) {
			$fullrequest = $_SERVER['REQUEST_URI'];
			$splitrequest = explode("/", $fullrequest);
			$requestnum = count($splitrequest);
			$requestnum = $requestnum-1;
			if ($splitrequest[$requestnum] == "") {
				$requestnum = $requestnum-1;
			}
			$requestfile = $splitrequest[$requestnum];
			if (strlen($requestfile) > 0 && $requestfile != 'members.php' && $requestfile != 'members.php?mf=lo' && strpos($requestfile, 'login.php') === false) {
				$requestparam = '&requestfile='.base64_encode($requestfile);
			}
		}
		
		echo "<script language=\"javascript\">";
		echo "window.location.href=\"login.php?s=noauth".$requestparam."\";";
		echo "</script>";
		exit;
		
	}

?>