<?php

// LFM Authorize.net Integration v1.0
// Written By Josh Abbott

// Receives the response after an Authorize.net purchase and calls the LFM function to process the order

if ( !defined('SITE_NAME') ) { header("Location:../"); exit; }

if (isset($x_response_code) && isset($x_subscription_id) && is_numeric($x_subscription_id) && isset($x_amount) && is_numeric($x_amount)) {
	
	if ($x_response_code != 1 && $x_response_code != 4) {
		$err = 'AuthNet - Subscription payment failed or declined';
		processError ($err,$_POST);
	} else {
		$getsub = lfmsql_query("SELECT item_number, user_id FROM ".$prefix."ipn_transactions WHERE subscr_id='".$x_subscription_id."'");
		if (lfmsql_num_rows($getsub) > 0) {
			$userid = lfmsql_result($getsub, 0, "user_id");
			$itemid = lfmsql_result($getsub, 0, "item_number");
			
			$getitem = lfmsql_query("SELECT * FROM ".$prefix."ipn_products WHERE id='".$itemid."' AND amount='".$x_amount."'") or die(lfmsql_error());
			if (lfmsql_num_rows($getitem) < 1) {
				$err = 'AuthNet - Item Not Found For Subscription Renewal';
				processError ($err,$_POST);
			} else {
				// Renew The Subscription
				$iteminfo = lfmsql_fetch_array($getitem);
				$itemname = $iteminfo['name'];
				$authnettransid = 'subrenew_'.$x_subscription_id.'_'.$x_trans_id;
				
				$getmember = lfmsql_query("select firstname, lastname, email from ".$prefix."members where Id=".$userid);
				if (lfmsql_num_rows($getmember) > 0) {
					$firstname = lfmsql_result($getmember, 0, "firstname");
					$lastname = lfmsql_result($getmember, 0, "lastname");
					$member_email = lfmsql_result($getmember, 0, "email");
				}
				
				$new = array();
				$new['processor'] = 'authnet';
				$new['subscr_id'] = $x_subscription_id;
				$new['date'] = date("r");
				$new['amount'] = $x_amount;
				$new['txn_type'] = 'Buy';
				$new['txn_id'] = $authnettransid;
				$new['item_name'] = $itemname;
				$new['item_number'] = $itemid;
				$new['name'] = $firstname." ".$lastname;
				$new['email'] = $member_email;
				$new['fee'] = 2.5*($new['amount']/100)+0.25;
				$new['user_id'] = $userid;
				$new['payment_status'] = 'OK';
				processOrder('Buy', $new);
			}
		} else {
			$err = 'AuthNet - Subscription Number Not Found';
			processError ($err,$_POST);
		}
	}
	
} elseif (isset($x_response_code) && !isset($x_subscription_id)) {
	
	// Uncomment For Debug Use
	//$err = 'AuthNet - Post Data From Non-Subscription Transaction';
	//processError ($err,$_POST);
	
} elseif (isset($xmlResult->messages->resultCode) && $xmlResult->messages->resultCode == 'Ok') {
	
	$getmember = lfmsql_query("select firstname, lastname, email from ".$prefix."members where Id=".$_SESSION["userid"]);
	if (lfmsql_num_rows($getmember) > 0) {
		$firstname = lfmsql_result($getmember, 0, "firstname");
		$lastname = lfmsql_result($getmember, 0, "lastname");
		$member_email = lfmsql_result($getmember, 0, "email");
	}
	
	$new = array();
	$new['processor'] = 'authnet';
	
	if (isset($authnetsubid) && $authnetsubid > 0) {
		$new['subscr_id'] = $authnetsubid;
	}
	
	$new['date'] = date("r");
	$new['amount'] = $iteminfo['amount'];
	$new['txn_type'] = 'Buy';
	$new['txn_id'] = $authnettransid;
	$new['item_name'] = $itemname;
	$new['item_number'] = $_POST['authnetItemId'];
	$new['name'] = $firstname." ".$lastname;
	$new['email'] = $member_email;
	$new['fee'] = 2.5*($new['amount']/100)+0.25;
	$new['user_id'] = $_SESSION["userid"];
	$new['payment_status'] = 'OK';
	processOrder('Buy', $new);
	
	echo('success|'.$itemreturnurl);

} else {
	$err = 'AuthNet - Invalid Result Code';
	processError ($err,$_POST);
}	

?>