<?php
/** *************************************************************************** 
* LFM Cross Promo Date Class
*
* @author Tim Brownlaw - http://www.hotfiresoftware.com
* @date   1st Dec 2013
* @version 1.0
*
* Dependancies:
*
* @note
*
* @todo
*
*/

class Date
{
  public $timezone    = NULL; // Seconds
  public $tzone       = NULL; // String
  public $starttime_d = NULL; // DateTime
  public $endtime_d   = NULL; // DateTime
  public $savingstime  = NULL; // Bool

  public $timezone_rem    = NULL; // Seconds
  public $tzone_rem       = NULL; // String
  public $starttime_rem_d = NULL; // DateTime
  public $endtime_rem_d   = NULL; // DateTime
  public $savingstime_rem  = NULL; // Bool

  public $starttime = NULL; // Timestamp
  public $endtime   = NULL; // Timestamp
  public $timediff  = NULL; // Seconds


/** *******************************************************
* Set the Times
*
* @param $startime - timestamp
* @param $startime - timestamp
*
* @note
*
* @todo - Works
*/
  public function init_times($starttime,$endtime)
  {
    $this->starttime     = $starttime;
    $this->endtime       = $endtime;
  }

/** *******************************************************
* Set the Times
*
* @param $startime - timestamp
* @param $startime - timestamp
*
* @note
*
* @todo - Works
*/
  public function set_times($starttime,$endtime)
  {
    $this->starttime     = $starttime;
    $this->endtime       = $endtime;
    $this->starttime_d     = $this->toDate($this->starttime,0);
    $this->endtime_d       = $this->toDate($this->endtime,0);
  }
/** *******************************************************
* Set the Main Values and Calculate the required values
*
* @param $tzone - This is the String Version of the Time Zone
* @param $loc   - 0 = Local Site, 1 = Remote Site
*
* @note
*
* @todo - Works
*/
  public function set_values($tzone,$loc = 0)
  {
    if( $tzone == '' )
    {
      return false;
    }
      switch ($loc)
      {
        case 0:
          $this->tzone = $tzone;

          $this->set_timezone(0);
          $this->timezone    = date('Z');
          $this->starttime_d = $this->toDate($this->starttime,0);
          $this->endtime_d   = $this->toDate($this->endtime,0);
          $this->savingstime = date('I');

        break;
        case 1:
          $this->tzone_rem = $tzone;

          $this->set_timezone(1);
          $this->timezone_rem    = date('Z');
          $this->starttime_rem_d = $this->toDate($this->starttime,1);
          $this->endtime_rem_d   = $this->toDate($this->endtime,1);
          $this->savingstime_rem = date('I');

          $this->set_timezone(0);
        break;
        default;
          return false;
      }
      $this->timediff = $this->timezone_rem - $this->timezone;
    return true;
  }
/** *******************************************************
* Convert the timestamp into the required date format
*  depending upon the local or remote timezone
*
* @param $timestamp - The required timestamp to convert
* @param $loc       - 0 = Local Site, 1 = Remote Site
*
* @note
*
* @todo - Works
*/
  public function toDate($timestamp,$loc=0)
  {
    $this->set_timezone($loc);
    $out = date('Y-m-d H:i:s',$timestamp);
    return $out;
  }

/** *******************************************************
* Convert the timestamp into the required date format
*  depending upon the local or remote timezone
*
* @param $timestamp - The required timestamp to convert
* @param $loc       - 0 = Local Site, 1 = Remote Site
*
* @note
*
* @todo - Works
*/
  public function todayDateRange($timestamp,$loc=0)
  {
    $out = array();
    $this->set_timezone($loc);
    $date = date('Y-m-d',$timestamp);
    $time_start = strtotime($date);
    $out['time_start'] = $time_start;
    $out['time_end'] = $time_start + 86400;
    return $out;
  }



/** *******************************************************
* Get the Server times
*
*
* @param $loc       - 0 = Local Site, 1 = Remote Site
*
* @note
*
* @todo - Works
*/
  public function server_time($loc=0)
  {
    switch($loc)
    {
      case 0:
        $this->set_timezone(0);
        $now = time();
        $out = date('Y-m-d H:i:s',$now);
      break;
      case 1:
        $this->set_timezone(1);
        $now = time();
        $out = date('Y-m-d H:i:s',$now);
        $this->set_timezone(0);
      break;
      default;
        return false;
    }
   return $out;
  }


  
/** *******************************************************
* Calculate the Time Difference - Local timezone
*
* @param 
* @return : Object of the difference in years,months,days,hours.mins and seconds
*
* @note
*
* @todo - Works
*/
  public function diff()
  {
    $this->set_timezone(0);
    $now = date('Y-m-d H:i:s',time());
    return $this->time_diff($now,$this->endtime_d);
  }
/** *******************************************************
* Calculate the Period between two datetimes
*
* @param
*
* @return : Object of the difference in years,months,days,hours.mins and seconds
*
* @note
*
* @todo - Works
*/
  public function period()
  {
    $this->set_timezone(0);
    return $this->time_diff($this->starttime_d,$this->endtime_d);
  }
/** ***************************************************************************
* Calulate the Remaining Time given the Start and End Timestamps
*  This is for PHP Version >= 5.3.10 
*
* @param $start - datetime
* @param $end   - datetime
*
* @return The Time - (object) y,m,d,h,i,s
* 
* @note
*
* @todo
*
*/
  public function time_diff($start,$end)
  {
    if (version_compare(phpversion(), '5.3.10', '<'))
    {
 // php version isn't high enough
      return $this->time_diff_1($start,$end);
    }
    $objstart = new DateTime($start);
    $expiration = new DateTime($end);
    $period = $expiration->diff($objstart);
    return $period;
  }
/** ***************************************************************************
* Calulate the Remaining Time given the Start and End Timestamps
*  This is for PHP Version < 5.3.10 - Replacement for Datetime:diff()
*
* @param $start - datetime
* @param $end   - datetime
*
* @return The Time - (object) y,m,d,h,i,s
*
* @note
*
* @todo
*
*/
  public function time_diff_1($start,$end)
  {
    $date1 = strtotime($end);
    $date2 = strtotime($start);
    $subTime = $date1 - $date2;
    $y = floor($subTime/(60*60*24*365));
    $m = floor($subTime/(60*60*24*12)%12);
    $d = floor(($subTime/(60*60*24))%365);
    $h = floor(($subTime/(60*60))%24);
    $i = floor(($subTime/60)%60);
    $s = floor(($subTime)%60);
    $date_info = (object)array('y'=>$y,'m'=>$m,'d'=>$d,'h'=>$h,'i'=>$i,'s'=>$s);
    return $date_info;
  }
/** ***************************************************************************
* Show a tabulated output of the current dates for debugging
*
* @param
*
* @note
*
* @todo
*
*/
  public function show_dates()
  {
    $out = '';
    $out .= '<table><tr><td>';
    $out .= 'Site';
    $out .= '</td><td>';
    $out .= 'StartTime';
    $out .= '</td><td>';
    $out .= 'EndTime';
    $out .= '</td></tr>';
    $out .= '<tr><td>';
    $out .= 'Site A';
    $out .= '</td><td>';
    $out .= $this->starttime_d;
    $out .= '</td><td>';
    $out .= $this->endtime_d;
    $out .= '</td></tr>';
    $out .= '<tr><td>';
    $out .= 'Site B';
    $out .= '</td><td>';
    $out .= $this->starttime_rem_d;
    $out .= '</td><td>';
    $out .= $this->endtime_rem_d;
    $out .= '</td></tr>';
    $out .= '</table>';
    return $out;
  }
/** ***************************************************************************
* Get the Time Remaining 
*
* @param
*
* @return: The Timestamp of the remaining time
*
* @note
*
* @todo
*
*/

  public function time_remaining()
  {
    $now = time();
    return $this->endtime - $now;
  }
/** ***************************************************************************
* Set the Timezone
*
* @param $loc - 0 = Local Site, 1 = Remote Site
*
* @note
*
* @todo
*
*/
  private function set_timezone($loc)
  {
    switch ((int)$loc)
    {
      case 0: // Local
        $timezone = $this->tzone;
      break;
      case 1: // Remote
        $timezone = $this->tzone_rem;
      break;
      default;
        return false;
    }
    return date_default_timezone_set($timezone);
  }
//NOTE @TB This is a test method for now
  public function diff_test()
  {
    $this->set_timezone(0);
    $now = date('Y-m-d H:i:s',time());
    return $this->time_diff_1($now,$this->endtime_d);
  }
} // ===> END OF CLASS <=== //