<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.53
// Copyright 2006-2021 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "inc/filter.php";
require_once "inc/lfmsql.php";
include "inc/config.php";
lfmsql_connect($dbhost,$dbuser,$dbpass);
lfmsql_select_db($dbname) or die( "Unable to select database");

if (!isset($_GET['type'])) {
	echo('Invalid Request');
	exit;
}

$sourceurl = $_SERVER['HTTP_REFERER'];
$splitsource = explode("/", $sourceurl);
$source = $splitsource[2];
$source = str_ireplace("www.", "", $source);

$servername = $_SERVER["SERVER_NAME"];
$servername = str_ireplace("www.", "", $servername);

if ($source != $servername) {
	echo('Unauthorized Source');
	exit;
}

$todaycount = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."msites"),0);
if (!is_numeric($todaycount) || $todaycount < 1) { $todaycount = 0; }

if ($_GET['type'] == 'hitstoday') {
	echo($todaycount);
	exit;
} elseif ($_GET['type'] == 'hitsweek') {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(hitsdelivered) from ".$prefix."datestats WHERE date >= DATE_SUB(CURDATE(), INTERVAL 6 DAY)"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = $statcount + $todaycount;
	echo($statcount);
	exit;
} elseif ($_GET['type'] == 'hitsmonth') {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(hitsdelivered) from ".$prefix."datestats WHERE date >= DATE_SUB(CURDATE(), INTERVAL 29 DAY)"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = $statcount + $todaycount;
	echo($statcount);
	exit;
} elseif ($_GET['type'] == 'hitsyear') {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(hitsdelivered) from ".$prefix."datestats WHERE date >= DATE_SUB(CURDATE(), INTERVAL 364 DAY)"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = $statcount + $todaycount;
	echo($statcount);
	exit;
} elseif ($_GET['type'] == 'hitslife') {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(hitsdelivered) from ".$prefix."datestats"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = $statcount + $todaycount;
	echo($statcount);
	exit;
}

exit;
?>