<?php
// ////////////////////////////////////////////////////////////
// LFMTE v2.54
// Copyright 2006-2022 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

// Member Count Stats

if (stripos($textstring, '#SITESTATS_TOTALMEMBERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members"), 0);	
	$textstring = str_ireplace("#SITESTATS_TOTALMEMBERS#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_ACTIVEMEMBERS#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members WHERE status='Active' AND lastlogin >= DATE_SUB(CURDATE(), INTERVAL 30 DAY)"), 0);	
	$textstring = str_ireplace("#SITESTATS_ACTIVEMEMBERS#", $statcount, $textstring);
}

// New Member Stats

if (stripos($textstring, '#SITESTATS_NEWTODAY#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members WHERE joindate >= CURDATE()"), 0);	
	$textstring = str_ireplace("#SITESTATS_NEWTODAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_NEWTHISWEEK#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members WHERE joindate >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"), 0);	
	$textstring = str_ireplace("#SITESTATS_NEWTHISWEEK#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_NEWTHISMONTH#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members WHERE joindate >= DATE_SUB(CURDATE(), INTERVAL 1 MONTH)"), 0);	
	$textstring = str_ireplace("#SITESTATS_NEWTHISMONTH#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_NEWTHISYEAR#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$prefix."members WHERE joindate >= DATE_SUB(CURDATE(), INTERVAL 1 YEAR)"), 0);	
	$textstring = str_ireplace("#SITESTATS_NEWTHISYEAR#", $statcount, $textstring);
}

// Surfing Stats

if (stripos($textstring, '#SITESTATS_SURFINGNOW#') !== false) {
	$currenttime = time();
	$nowtime = $currenttime-120;
	$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where lastclick >= ".$nowtime),0);
	$textstring = str_ireplace("#SITESTATS_SURFINGNOW#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_SURFEDTODAY#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where clickstoday > 0"),0);
	$textstring = str_ireplace("#SITESTATS_SURFEDTODAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_SURFEDYESTERDAY#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where clicksyesterday > 0"),0);
	$textstring = str_ireplace("#SITESTATS_SURFEDYESTERDAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_SURFEDWEEK#') !== false) {
	$currenttime = time();
	$weektime = $currenttime-604800;
	$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where lastclick >= ".$weektime),0);
	$textstring = str_ireplace("#SITESTATS_SURFEDWEEK#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_SURFEDMONTH#') !== false) {
	$currenttime = time();
	$monthtime = $currenttime-2592000;
	$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where lastclick >= ".$monthtime),0);
	$textstring = str_ireplace("#SITESTATS_SURFEDMONTH#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_SURFEDYEAR#') !== false) {
	$currenttime = time();
	$yeartime = $currenttime-(365*86400);
	$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."members where lastclick >= ".$yeartime),0);
	$textstring = str_ireplace("#SITESTATS_SURFEDYEAR#", $statcount, $textstring);
}

// Ads In Rotation

if (stripos($textstring, '#SITESTATS_ROTATINGSITES#') !== false) {
	$getrotation = lfmsql_query("Select rotationtype from ".$prefix."settings");
	$rotationtype = lfmsql_result($getrotation, 0, "rotationtype");
	if ($rotationtype == 0) {
		$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."msites a LEFT JOIN ".$prefix."members b ON (a.memid=b.Id) where a.state=1 and a.credits >= 1 and b.status='Active' and b.actsite=1"),0);
	} else {
		$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."msites where state=1 and credits >= 1"),0);
	}
	$textstring = str_ireplace("#SITESTATS_ROTATINGSITES#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_ROTATINGBANNERS#') !== false) {
	$getrotation = lfmsql_query("Select rotationtype from ".$prefix."settings");
	$rotationtype = lfmsql_result($getrotation, 0, "rotationtype");
	if ($rotationtype == 0) {
		$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."mbanners a LEFT JOIN ".$prefix."members b ON (a.memid=b.Id) where a.state=1 and a.imps >= 1 and b.status='Active' and b.actbanner=1"),0);
	} else {
		$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."mbanners where state=1 and imps >= 1"),0);
	}
	$textstring = str_ireplace("#SITESTATS_ROTATINGBANNERS#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_ROTATINGTEXTS#') !== false) {
	$getrotation = lfmsql_query("Select rotationtype from ".$prefix."settings");
	$rotationtype = lfmsql_result($getrotation, 0, "rotationtype");
	if ($rotationtype == 0) {
		$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."mtexts a LEFT JOIN ".$prefix."members b ON (a.memid=b.Id) where a.state=1 and a.imps >= 1 and b.status='Active' and b.acttext=1"),0);
	} else {
		$statcount = lfmsql_result(lfmsql_query("Select COUNT(*) from ".$prefix."mtexts where state=1 and imps >= 1"),0);
	}
	$textstring = str_ireplace("#SITESTATS_ROTATINGTEXTS#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_ROTATINGSQUAREBANNERS#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select COUNT(*) from ".$prefix."msqbans where state=1 and imps >= 1"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_ROTATINGSQUAREBANNERS#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_ROTATINGMINIBRANDERS#') !== false) {
	$getrotation = lfmsql_query("Select rotationtype from ".$prefix."settings");
	$rotationtype = lfmsql_result($getrotation, 0, "rotationtype");
	if ($rotationtype == 0) {
		$statcount = @lfmsql_result(@lfmsql_query("Select COUNT(*) from ".$prefix."mbranders a LEFT JOIN ".$prefix."members b ON (a.memid=b.Id) where a.state=1 and a.imps >= 1 and b.status='Active' and b.actmbrand=1"),0);
	} else {
		$statcount = @lfmsql_result(@lfmsql_query("Select COUNT(*) from ".$prefix."mbranders where state=1 and imps >= 1"),0);
	}
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_ROTATINGMINIBRANDERS#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_ROTATINGPEELS#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select COUNT(*) from `".$prefix."mpeels` where state=1 and imps >= 1"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_ROTATINGPEELS#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_ROTATINGWIDGETS#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select COUNT(*) from `".$prefix."widgetads` where state=1 and imps >= 1"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_ROTATINGWIDGETS#", $statcount, $textstring);
}

// Traffic Delivered Today

if (stripos($textstring, '#SITESTATS_SITEHITSTODAY#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."msites"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_SITEHITSTODAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_BANNERHITSTODAY#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."mbanners"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_BANNERHITSTODAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_TEXTHITSTODAY#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(hitstoday) from ".$prefix."mtexts"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_TEXTHITSTODAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_SQUAREBANNERHITSTODAY#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select SUM(hitstoday) from ".$prefix."msqbans"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_SQUAREBANNERHITSTODAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_MINIBRANDERHITSTODAY#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select SUM(hitstoday) from ".$prefix."mbranders"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_MINIBRANDERHITSTODAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_PEELHITSTODAY#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select SUM(hitstoday) from ".$prefix."mpeels"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_PEELHITSTODAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_WIDGETHITSTODAY#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select SUM(hitstoday) from ".$prefix."widgetads"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_WIDGETHITSTODAY#", $statcount, $textstring);
}

// Traffic Delivered Yesterday

if (stripos($textstring, '#SITESTATS_SITEHITSYESTERDAY#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(hitsyesterday) from ".$prefix."msites"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_SITEHITSYESTERDAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_BANNERHITSYESTERDAY#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(hitsyesterday) from ".$prefix."mbanners"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_BANNERHITSYESTERDAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_TEXTHITSYESTERDAY#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(hitsyesterday) from ".$prefix."mtexts"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_TEXTHITSYESTERDAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_SQUAREBANNERHITSYESTERDAY#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select SUM(hitsyesterday) from ".$prefix."msqbans"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_SQUAREBANNERHITSYESTERDAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_MINIBRANDERHITSYESTERDAY#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select SUM(hitsyesterday) from ".$prefix."mbranders"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_MINIBRANDERHITSYESTERDAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_PEELHITSYESTERDAY#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select SUM(hitsyesterday) from ".$prefix."mpeels"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_PEELHITSYESTERDAY#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_WIDGETHITSYESTERDAY#') !== false) {
	$statcount = @lfmsql_result(@lfmsql_query("Select SUM(hitsyesterday) from ".$prefix."widgetads"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$textstring = str_ireplace("#SITESTATS_WIDGETHITSYESTERDAY#", $statcount, $textstring);
}

// Daily Delivery Averages

if (stripos($textstring, '#SITESTATS_SITEHITSAVERAGE#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select AVG(perurl) from ".$prefix."datestats WHERE date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_SITEHITSAVERAGE#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_BANNERHITSAVERAGE#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select AVG(perbanner) from ".$prefix."datestats WHERE date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_BANNERHITSAVERAGE#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_TEXTHITSAVERAGE#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select AVG(pertext) from ".$prefix."datestats WHERE date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_TEXTHITSAVERAGE#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_SQUAREBANNERHITSAVERAGE#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select AVG(persqban) from ".$prefix."datestats WHERE date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_SQUAREBANNERHITSAVERAGE#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_MINIBRANDERHITSAVERAGE#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select AVG(permbrand) from ".$prefix."datestats WHERE date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_MINIBRANDERHITSAVERAGE#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_PEELHITSAVERAGE#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select AVG(perpeel) from ".$prefix."datestats WHERE date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_PEELHITSAVERAGE#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_WIDGETHITSAVERAGE#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select AVG(perwidgetad) from ".$prefix."datestats WHERE date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_WIDGETHITSAVERAGE#", $statcount, $textstring);
}

// Live Macros

if (stripos($textstring, '#SITESTATS_LIVEHITSTODAY#') !== false) {
	global $livemacrocount;
	if (!isset($livemacrocount) || !is_numeric($livemacrocount)) {
		$livemacrocount = 0;
	}
	$livemacrocode = '';
	if ($livemacrocount < 1) {
		$livemacrocode .= '<script language="JavaScript" src="lib/livehitcounter/counter.js"></script>';
	}
	$livemacrocode .= '<span class="livemacro" id="livemacro'.$livemacrocount.'">Loading...</span>
	<script>
	var livemacroobj'.$livemacrocount.' = {
		url: "macros_live_ajax.php?type=hitstoday",
		elementid: "livemacro'.$livemacrocount.'"
	}
	livehitcounter_pull_count(livemacroobj'.$livemacrocount.');
	</script>';
	$textstring = str_ireplace("#SITESTATS_LIVEHITSTODAY#", $livemacrocode, $textstring);
	$livemacrocount++;
}

if (stripos($textstring, '#SITESTATS_LIVEHITSWEEK#') !== false) {
	global $livemacrocount;
	if (!isset($livemacrocount) || !is_numeric($livemacrocount)) {
		$livemacrocount = 0;
	}
	$livemacrocode = '';
	if ($livemacrocount < 1) {
		$livemacrocode .= '<script language="JavaScript" src="lib/livehitcounter/counter.js"></script>';
	}
	$livemacrocode .= '<span class="livemacro" id="livemacro'.$livemacrocount.'">Loading...</span>
	<script>
	var livemacroobj'.$livemacrocount.' = {
		url: "macros_live_ajax.php?type=hitsweek",
		elementid: "livemacro'.$livemacrocount.'"
	}
	livehitcounter_pull_count(livemacroobj'.$livemacrocount.');
	</script>';
	$textstring = str_ireplace("#SITESTATS_LIVEHITSWEEK#", $livemacrocode, $textstring);
	$livemacrocount++;
}

if (stripos($textstring, '#SITESTATS_LIVEHITSMONTH#') !== false) {
	global $livemacrocount;
	if (!isset($livemacrocount) || !is_numeric($livemacrocount)) {
		$livemacrocount = 0;
	}
	$livemacrocode = '';
	if ($livemacrocount < 1) {
		$livemacrocode .= '<script language="JavaScript" src="lib/livehitcounter/counter.js"></script>';
	}
	$livemacrocode .= '<span class="livemacro" id="livemacro'.$livemacrocount.'">Loading...</span>
	<script>
	var livemacroobj'.$livemacrocount.' = {
		url: "macros_live_ajax.php?type=hitsmonth",
		elementid: "livemacro'.$livemacrocount.'"
	}
	livehitcounter_pull_count(livemacroobj'.$livemacrocount.');
	</script>';
	$textstring = str_ireplace("#SITESTATS_LIVEHITSMONTH#", $livemacrocode, $textstring);
	$livemacrocount++;
}

if (stripos($textstring, '#SITESTATS_LIVEHITSYEAR#') !== false) {
	global $livemacrocount;
	if (!isset($livemacrocount) || !is_numeric($livemacrocount)) {
		$livemacrocount = 0;
	}
	$livemacrocode = '';
	if ($livemacrocount < 1) {
		$livemacrocode .= '<script language="JavaScript" src="lib/livehitcounter/counter.js"></script>';
	}
	$livemacrocode .= '<span class="livemacro" id="livemacro'.$livemacrocount.'">Loading...</span>
	<script>
	var livemacroobj'.$livemacrocount.' = {
		url: "macros_live_ajax.php?type=hitsyear",
		elementid: "livemacro'.$livemacrocount.'"
	}
	livehitcounter_pull_count(livemacroobj'.$livemacrocount.');
	</script>';
	$textstring = str_ireplace("#SITESTATS_LIVEHITSYEAR#", $livemacrocode, $textstring);
	$livemacrocount++;
}

if (stripos($textstring, '#SITESTATS_LIVEHITSLIFE#') !== false) {
	global $livemacrocount;
	if (!isset($livemacrocount) || !is_numeric($livemacrocount)) {
		$livemacrocount = 0;
	}
	$livemacrocode = '';
	if ($livemacrocount < 1) {
		$livemacrocode .= '<script language="JavaScript" src="lib/livehitcounter/counter.js"></script>';
	}
	$livemacrocode .= '<span class="livemacro" id="livemacro'.$livemacrocount.'">Loading...</span>
	<script>
	var livemacroobj'.$livemacrocount.' = {
		url: "macros_live_ajax.php?type=hitslife",
		elementid: "livemacro'.$livemacrocount.'"
	}
	livehitcounter_pull_count(livemacroobj'.$livemacrocount.');
	</script>';
	$textstring = str_ireplace("#SITESTATS_LIVEHITSLIFE#", $livemacrocode, $textstring);
	$livemacrocount++;
}

// Cash Stats

if (stripos($textstring, '#SITESTATS_COMMEARNED#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(commission) FROM ".$prefix."sales WHERE affid>0 AND commission>0 AND salestier=1 AND (status IS NULL OR status != 'R') AND prize=0"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_COMMEARNED#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_CASHPRIZESEARNED#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(commission) FROM ".$prefix."sales WHERE affid>0 AND commission>0 AND prize=1"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_CASHPRIZESEARNED#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_COMMPAID#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(commission) FROM ".$prefix."sales WHERE status = 'P' AND commission>0 AND prize=0"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_COMMPAID#", $statcount, $textstring);
}

if (stripos($textstring, '#SITESTATS_CASHPRIZESPAID#') !== false) {
	$statcount = lfmsql_result(lfmsql_query("Select SUM(commission) FROM ".$prefix."sales WHERE status = 'P' AND commission>0 AND prize=1"),0);
	if (!is_numeric($statcount) || $statcount < 1) { $statcount = 0; }
	$statcount = round($statcount);
	$textstring = str_ireplace("#SITESTATS_CASHPRIZESPAID#", $statcount, $textstring);
}

// Server Time

if (stripos($textstring, '#SITESTATS_DATETIME#') !== false) {
	$textstring = str_ireplace("#SITESTATS_DATETIME#", date("M j, Y g:i A", time()), $textstring);
}

if (stripos($textstring, '#SITESTATS_LIVEDATETIME#') !== false) {
	global $liveclockcount;
	if (!isset($liveclockcount) || !is_numeric($liveclockcount)) {
		$liveclockcount = 0;
	}
	$liveclockcode = '<span class="livedatetime" id="livedatetime'.$liveclockcount.'">Loading...</span>
	<script>
	function getLiveDateTime'.$liveclockcount.'() {
		livedatetime_xmlhttp = new XMLHttpRequest();
		if(livedatetime_xmlhttp.overrideMimeType) {
			livedatetime_xmlhttp.overrideMimeType(\'text/xml\');
		}
		if(!livedatetime_xmlhttp) {
			alert(\'Your browser is blocking or does not support Ajax\');
			return false;
		}
	
		livedatetime_xmlhttp.onreadystatechange = function() {
		if (livedatetime_xmlhttp.readyState == 4) {
			document.getElementById("livedatetime'.$liveclockcount.'").innerHTML = livedatetime_xmlhttp.responseText;
			setTimeout("getLiveDateTime'.$liveclockcount.'()", 10000);
		}
		}
		
		newDate = new Date();
		milliCount = newDate.getTime();
		
		livedatetime_xmlhttp.open(\'GET\', \'gettime_ajax.php?m=\' + milliCount, true);
		livedatetime_xmlhttp.send(null);
	}
	getLiveDateTime'.$liveclockcount.'();
	</script>';
	$textstring = str_ireplace("#SITESTATS_LIVEDATETIME#", $liveclockcode, $textstring);
	$liveclockcount++;
}

?>