<?php
// ////////////////////////////////////////////////////////////
// LFM v4.25
// Copyright 2006-2019 Logiscape LLC. All Rights Reserved
// http://themembershipscript.com
//
// The LFM Script ("the script") is copyrighted to
// Logiscape LLC.  Individual files and libraries
// included with the script may be governed by their own
// license agreements, which can be found in the source
// codes of those files when applicable.
//
// The sale, duplication or transfer of the script outside the
// license agreement is strictly prohibited.
//
// Any alteration of the script source code or accompanying
// materials will void any responsibility that Logiscape
// has regarding the proper functioning of the script.
// By using this script you agree to the terms and conditions
// of use of the script.
// ////////////////////////////////////////////////////////////

require_once "inc/filter.php";

session_start();
include "inc/userauth.php";

include "inc/theme.php";

// Query settings table for sitename and One Time Offer
$res=@lfmsql_query("SELECT * FROM ".$prefix."settings") or die("Unable to find settings!");
$row=@lfmsql_fetch_array($res);
$sitename=$row["sitename"];
$affurl=$row["affurl"];
$bannerurls=$row["bannerurls"];
$flow=$row["flow"];
$autopermdel = $row["autopermdel"];

// Check whether member account has been disabled
$dqry="SELECT * FROM ".$prefix."members WHERE username='".$_SESSION["uid"]."'";
$dres=@lfmsql_query($dqry) or die("Unable to find login");
$drow=@lfmsql_fetch_array($dres);
$useremail=$drow["email"];
$joindate=$drow["joindate"];
$mtype=$drow["mtype"];

$page_content = "";

if($drow["status"] == "Suspended")
{
   $_SESSION["uid"] = "";
   $_SESSION["user_password"] = "";
   if (isset($_COOKIE[session_name()])) {
      setcookie(session_name(), '', time()-42000, '/');
   }
   @session_destroy();

   load_template ($theme_dir."/header.php");

   // Get suspended page
   $bres=@lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='Suspended'") or die("Unable to find Homepage Body!");
   $brow=@lfmsql_fetch_array($bres);
   $memberarea=translate_site_tags($brow["template_data"]);
   $memberarea=translate_user_tags($memberarea, $useremail);

   if (function_exists('html_entity_decode'))
   {
      $page_content = html_entity_decode($memberarea);
   }
   else
   {
      $page_content = unhtmlentities($memberarea);
   }

   load_template ($theme_dir."/content.php");
   load_template ($theme_dir."/footer.php");
   exit;
}

if($_POST["Submit"] == "Login")
{
	
   // Find out if it is pro-only
   $mtres=@lfmsql_query("SELECT enabled FROM ".$prefix."membertypes WHERE mtid=1");
   $mtrow=@lfmsql_fetch_array($mtres);
   $free_enabled = $mtrow["enabled"];

   // Check for active account in pro-only system
   if($free_enabled == 0 && $mtype <=1)
   {
      // Allow user to log in to 'Pending' area
      load_template ($theme_dir."/header.php");

      // Get suspended page
      $bres=@lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE template_name='News'") or die("Unable to find Homepage Body!");
      $brow=@lfmsql_fetch_array($bres);
      $memberarea=translate_site_tags($brow["template_data"]);
      $memberarea=translate_user_tags($memberarea, $useremail);
      
      if (function_exists('html_entity_decode'))
      {
         $page_content = html_entity_decode($memberarea);
      }
      else
      {
         $page_content = unhtmlentities($memberarea);
      }

      load_template ($theme_dir."/content.php");
      load_template ($theme_dir."/footer.php");
      exit;
   }
}


// START OTO AND LOGIN OFFERS
if($_POST["Submit"] == "Login") {

 $getuserinfo = lfmsql_query("Select mtype, joindate from ".$prefix."members where Id=".$_SESSION["userid"]." limit 1");
 $usrid = $_SESSION["userid"];
 $acctype = lfmsql_result($getuserinfo, 0, "mtype");

 $joindate = lfmsql_result($getuserinfo, 0, "joindate");
 $jointime = strtotime($joindate);
 $timediff = time()-$jointime;
 $userdays = $timediff/86400;
 $userdays = round($userdays);

 $_SESSION['altgroup'] = 0;

 //Pick A Main Group
 $checkotogroups = lfmsql_query("Select * from ".$prefix."oto_groups where days<=$userdays AND (acctype=$acctype OR acctype=0) AND splitmirror=0 order by days asc");

 if (lfmsql_num_rows($checkotogroups) > 0) {
	 for ($i = 0; $i < lfmsql_num_rows($checkotogroups); $i++) {
		 $showoto = "yes";
		 $groupid = lfmsql_result($checkotogroups, $i, "id");
		 $checkstats = lfmsql_query("Select id from ".$prefix."oto_stats where userid=$usrid and groupid=$groupid limit 1");
		 if (lfmsql_num_rows($checkstats) != 0) {
			 $showoto = "no";
		 }
		 $checkoffers = lfmsql_query("Select id from ".$prefix."oto_offers where groupid=$groupid limit 1");
		 if (lfmsql_num_rows($checkoffers) == 0) {
			 $showoto = "no";
		 }
		 if ($showoto == "yes") {
			 $_SESSION['offershown'] = 1;
			 header("Location: showoto.php");
			 exit;
		 }
 	}
 }

//Begin SPO

$getspos = lfmsql_query("SELECT * FROM ".$prefix."spo WHERE paused=0 AND (acctype=$acctype OR acctype=0) AND mdays<=$userdays ORDER BY rank ASC") or die (lfmsql_error());

if (lfmsql_num_rows($getspos) > 0) {
//Begin Checking SPOs
	for ($i = 0; $i < lfmsql_num_rows($getspos); $i++) {
	$id = lfmsql_result($getspos, $i, "id");
	$memtype = lfmsql_result($getspos, $i, "memtype");
	$reptype = lfmsql_result($getspos, $i, "reptype");
	//Check Stats
	if ($memtype == 0) {
		//Use Spostats Table
		$getstats = lfmsql_query("Select lastshown from ".$prefix."spostats where spoid=$id and userid=$usrid limit 1");
		if (lfmsql_num_rows($getstats) > 0) {
			$lastshown = lfmsql_result($getstats, 0, "lastshown");
		} else {
			$lastshown = 0;
		}
	} else {
		//Use User Table
		$colname = "spo".$id;
		$getstats = lfmsql_query("Select $colname from ".$prefix."members where id=$usrid limit 1");
		if (lfmsql_num_rows($getstats) > 0) {
			$lastshown = lfmsql_result($getstats, 0, $colname);
		} else {
			$lastshown = 0;
		}
	}
	if ($reptype != 0) {
		//Offer Is Shown Multiple Times
		if ($reptype == 1) {
			$delaytime = 0;
		}
		elseif ($reptype == 2) {
			$delaytime = 86400;
		}
		elseif ($reptype == 3) {
			$delaytime = 604800;
		}
		elseif ($reptype == 4) {
			$delaytime = 1209600;
		}
		elseif ($reptype == 5) {
			$delaytime = 2635200;
		}
		elseif ($reptype == 6) {
			$delaytime = 5270400;
		}
		elseif ($reptype == 7) {
			$delaytime = 31536000;
		}
		$thetime = time();
		$delaycheck = $thetime - $delaytime;
		
	
	if (!function_exists("spocheck") && file_exists("spo_check.php")) {
	include_once "spo_check.php";
	}
	
	if (function_exists("spocheck")) {
		$extrachecks = spocheck($id);
	} else {
		$extrachecks = 1;
	}
	
	if ($extrachecks == 1 && $lastshown <= $delaycheck) {
	
	
			header("Location: showspo.php?spoid=$id");
			exit;
		}
	} 
	else {
		//Offer Is Only Shown Once
		
	
	if (!function_exists("spocheck") && file_exists("spo_check.php")) {
	include_once "spo_check.php";
	}
	
	if (function_exists("spocheck")) {
		$extrachecks = spocheck($id);
	} else {
		$extrachecks = 1;
	}
	
	if ($extrachecks == 1 && $lastshown == 0) {
	
	
			header("Location: showspo.php?spoid=$id");
			exit;
		}
	}
}
}

//Start RTO
$gettotal = lfmsql_query("Select totalpercent from ".$prefix."rto where id=1 limit 1");
if (lfmsql_num_rows($gettotal) == 1) {
	$totalpercent = lfmsql_result($gettotal, 0, "totalpercent");
	$randomnum = rand(1, 100);
	if ($randomnum <= $totalpercent) {
		$randnum = rand(0, 100);
		$getad = lfmsql_query("Select * from ".$prefix."rtoads where highnum>=$randnum and lownum<=$randnum limit 1");
		if (lfmsql_num_rows($getad) != 0) {
			$id = lfmsql_result($getad, 0, "id");
			@lfmsql_query("Update ".$prefix."rtoads set shown=shown+1 where id=$id limit 1");
			header("Location: showrto.php?rtoid=$id");
			exit;
		}
	}
}
//End RTO




}
// END OTO AND LOGIN OFFERS

// Run Login Mods
$getmods = lfmsql_query("Select filename from `".$prefix."loginmods` where enabled=1");
if (lfmsql_num_rows($getmods) > 0) {
while ($modlist = lfmsql_fetch_array($getmods)) {
	$modfilename = trim($modlist['filename']);
	if (file_exists($modfilename)) {
		include($modfilename);
	}
}
}
// End Run Login Mods

$html_head = <<<EOT
<script language="javascript" src="inc/jsfuncs.js"></script>
<script type="text/javascript" src="inc/ajax.js"></script>
<script type="text/javascript">
var ajax = new sack();

function validateTaf(form) {
   var e = form.elements, m = '';
   if(!e['yourname'].value) {m += '- Your Name is required.\\n';}
   if(!e['youremail'].value) {m += '- Your Email is required.\\n';}
   if(!e['friendemail'].value) {m += '- Friend Email is required.\\n';}
   if(m) {
   alert('The following error(s) occurred:\\n\\n' + m);
   return false;
   }
return true;
}
</script>
<script type="text/javascript" src="inc/audio-player.js"></script>
<script type="text/javascript">  
  AudioPlayer.setup("inc/player.swf", {  
  width: 500
});  
</script>
EOT;

load_template ($theme_dir."/header.php");

load_template ($theme_dir."/mmenu.php");

// Delete User Account
if(trim($_POST["Submit"]) == "Yes - Delete My Account" && $_GET["mf"] == "ydc") {
   // Get template data from database
   $hres=@lfmsql_query("SELECT template_data FROM ".$prefix."templates WHERE TEMPLATE_NAME='Deleted'");
   $hrow=@lfmsql_fetch_array($hres);
   // Decode template data
   if (function_exists('html_entity_decode'))
   {
      $dhtml=html_entity_decode($hrow["template_data"]);
   }
   else
   {
      $dhtml=unhtmlentities($hrow["template_data"]);
   }

   $dcarea=translate_site_tags($dhtml);
   $dcarea=translate_user_tags($dcarea, $useremail);

   $page_content .= $dcarea;

   if($_SESSION['userid'] > 0) {
	
	$deletememid = $_SESSION['userid'];
	
	$getmemberinfo = lfmsql_query("SELECT * FROM ".$prefix."members WHERE Id=".$deletememid);
	$memberinfo = lfmsql_fetch_array($getmemberinfo);
	
	lfmsql_query("DELETE FROM ".$prefix."membersd WHERE Id=".$deletememid." OR username='".$memberinfo['username']."' OR email='".$memberinfo['email']."'") or die(lfmsql_error());
	
	if ($autopermdel == 0) {
		
		$getmods = lfmsql_query("Select filename from `".$prefix."delete_final_mods` where enabled=1");
		if (lfmsql_num_rows($getmods) > 0) {
		while ($modlist = lfmsql_fetch_array($getmods)) {
			$modfilename = trim($modlist['filename']);
			if (file_exists($modfilename)) {
				include($modfilename);
			}
		}
		}
		
		lfmsql_query("Delete from ".$prefix."oto_stats where userid=".$deletememid);
		lfmsql_query("Delete from ".$prefix."spostats where userid=".$deletememid);
		lfmsql_query("DELETE FROM ".$prefix."customvals WHERE userid=".$deletememid);
		lfmsql_query("UPDATE ".$prefix."sales SET affid=0, commission=0 WHERE affid=".$deletememid);
		
	} else {
		
		$qry="INSERT INTO ".$prefix."membersd (Id, username, firstname, lastname, email, address, city, state, postcode, country, telephone, password, refid, status, joindate, geo, paypal_email, groupid, mtype, newsletter, lastip, signupip, lastlogin, numLogins, affnotify, expirydate, paymentplan, upgend, vericode, deletedate, deletereason) VALUES (".$deletememid.", '".$memberinfo['username']."', '".$memberinfo['firstname']."', '".$memberinfo['lastname']."', '".$memberinfo['email']."', '".$memberinfo['address']."', '".$memberinfo['city']."', '".$memberinfo['state']."', '".$memberinfo['postcode']."', '".$memberinfo['country']."', '".$memberinfo['telephone']."', '".$memberinfo['password']."', '".$memberinfo['refid']."', '".$memberinfo['status']."', '".$memberinfo['joindate']."', '".$memberinfo['geo']."', '".$memberinfo['paypal_email']."', '".$memberinfo['groupid']."', '".$memberinfo['mtype']."', '".$memberinfo['newsletter']."', '".$memberinfo['lastip']."', '".$memberinfo['signupip']."', '".$memberinfo['lastlogin']."', '".$memberinfo['numLogins']."', '".$memberinfo['affnotify']."', '".$memberinfo['expirydate']."', '".$memberinfo['paymentplan']."', '".$memberinfo['upgend']."', '".$memberinfo['vericode']."', NOW(), 'Deleted By Member')";
		
		lfmsql_query($qry) or die(lfmsql_error());
		
		$getmods = lfmsql_query("Select filename from `".$prefix."delete_mods` where enabled=1");
		if (lfmsql_num_rows($getmods) > 0) {
		while ($modlist = lfmsql_fetch_array($getmods)) {
			$modfilename = trim($modlist['filename']);
			if (file_exists($modfilename)) {
				include($modfilename);
			}
		}
		}
		
	}
	
	lfmsql_query("DELETE FROM ".$prefix."members WHERE Id = ".$deletememid);
	
   }
}

   ////////////////////////////////////////////////
   //
   // MENU - DEFAULT MEMBER AREA
   //
   ////////////////////////////////////////////////

   if(!isset($_GET["mf"]) && !isset($_GET["page"]))
   {
		include "m_memberarea.php";
   }

   ////////////////////////////////////////////////
   //
   // MENU - Member pages
   //
   ////////////////////////////////////////////////
   if(isset($_GET["page"]))
   {
		include "m_page.php";
   }

   ////////////////////////////////////////////////
   //
   // MENU OPTION - My Referrals
   //
   ////////////////////////////////////////////////

   if($_GET["mf"] == "mr")
   {
		include "m_referrals.php";
   }

   ////////////////////////////////////////////////
   //
   // MENU OPTION - Upgrades
   //
   ////////////////////////////////////////////////
   if($_GET["mf"] == "ug")
   {
		include "m_upgrades.php";
   }

   ////////////////////////////////////////////////
   //
   // MENU OPTION - My Links (Promo items)
   //
   ////////////////////////////////////////////////
	if($_GET["mf"] == "li")
    {
    	include "m_links.php";
	}


   // Edit Profile
   if($_GET["mf"] == "pf" || $_GET["mf"] == "upd")
   {
        ////////////////////////////////////////////////
        //
        // MENU OPTION - My Profile
        //
        ////////////////////////////////////////////////
		
        include "m_profile.php";
        
   }

   ////////////////////////////////////////////////
   //
   // MENU OPTION - My Commissions
   //
   ////////////////////////////////////////////////

   if($_GET["mf"] == "mc")
   {
   		include "m_comm.php";
   }

   ////////////////////////////////////////////////
   //
   // MENU OPTION - My Downloads
   //
   ////////////////////////////////////////////////

   if($_GET["mf"] == "md")
   {
		include "m_downloads.php";
   }

   ////////////////////////////////////////////////
   //
   // MENU OPTION - Downline Builder
   //
   ////////////////////////////////////////////////

   if($_GET["mf"] == "dlb")
   {
		include "m_dlb.php";
   }   

   if($_GET["mf"] == "sc")
   {
		include "m_subscriptions.php";
   }

   if($_GET["mf"] == "scc")
   {
		include "m_subscriptions_cancel.php";
   }  

load_template ($theme_dir."/content.php");

?>