// SECTION 1A SCRIPTS   

            
// Get references to the SSN input fields
const SSNInput = document.getElementById('ssn');

    

// Add input event listeners to format SSN as XXX-XX-XXXX
    SSNInput.addEventListener('input', formatSSN);


// Function to format SSN as XXX-XX-XXXX
    function formatSSN() {
        this.value = this.value.replace(/\D/g, ''); // Remove non-numeric characters
        const match = this.value.match(/^(\d{0,3})(\d{0,2})(\d{0,4})$/);
        if (match) {
            this.value = match[1] + (match[1] && match[2] ? '-' : '') + match[2] + (match[2] && match[3] ? '-' : '') + match[3];
        }
        }
 
// Function to toggle the display of "Other Prefix" input based on the selected prefix
    function toggleOtherPrefix() {
        var prefixDropdown = document.getElementById("prefix");
        var otherPrefixTextbox = document.getElementById("other-prefix-text");
        var otherPrefixDiv = document.getElementById("other-prefix");

        if (prefixDropdown.value === "Other") {
            otherPrefixTextbox.required = true;
            otherPrefixDiv.style.display = "block";
        } else {
            otherPrefixTextbox.required = false;
            otherPrefixDiv.style.display = "none";
        }
    }

    // Function to toggle the display of "Other Gender" input based on the selected gender
    function toggleOtherGender() {
        var genderDropdown = document.getElementById("gender");
        var otherGenderTextbox = document.getElementById("other-gender");
        var otherGenderTextboxDiv = document.getElementById("other-gender-textbox");

        if (genderDropdown.value === "Other") {
            otherGenderTextbox.required = true;
            otherGenderTextboxDiv.style.display = "block";
        } else {
            otherGenderTextbox.required = false;
            otherGenderTextboxDiv.style.display = "none";
        }
    }

// Function to toggle the display of "Other State" input based on the selected state
    function toggleOtherState() {
        var stateDropdown = document.getElementById("state");
        var otherStateTextbox = document.getElementById("other-state");
        var otherStateTextboxDiv = document.getElementById("other-state-textbox");

        if (stateDropdown.value === "OUS") {
            otherStateTextbox.required = true;
            otherStateTextboxDiv.style.display = "block";
        } else {
            otherStateTextbox.required = false;
            otherStateTextboxDiv.style.display = "none";
        }
    }

// Function to toggle the display of "Referral Name" input
    function togglerefName() {
        var referralSourceDropdown = document.getElementById("ref-source");
        var refNameTextbox = document.getElementById("ref-name-textbox");
        var refNameDiv = document.getElementById("ref-name-div");

        if (referralSourceDropdown.value === "Other" || referralSourceDropdown.value === "Doctor" || referralSourceDropdown.value === "Patient") {
            refNameTextbox.required = false;
            refNameDiv.style.display = "block";
        } else {
            refNameTextbox.required = false;
            refNameDiv.style.display = "none";
        }
    }

 
// Populate the day dropdown based on the selected month
   $("#birthmonth").on("change", function () {
    var selectedMonth = $(this).val();
    var dayDropdown = $("#birthday");

    if (selectedMonth === "Select Month") {
        dayDropdown.html("<option value='' disabled selected>Select a Month first</option>");
    } else {
        var daysInMonth = 31; // Default to 31 days

        if (selectedMonth === "April" || selectedMonth === "June" || selectedMonth === "September" || selectedMonth === "November") {
            daysInMonth = 30;
        } else if (selectedMonth === "February") {
            daysInMonth = 29; // Leap year handling can be added here
        }

        var dayOptions = "<option value='' disabled selected>Select Day</option>";
        for (var i = 1; i <= daysInMonth; i++) {
            dayOptions += "<option value='" + i + "'>" + i + "</option>";
        }
        dayDropdown.html(dayOptions);
    }
});