// SECTION 1A SCRIPTS   
// Function to toggle the display of "Other Prefix" input based on the selected prefix
    function toggleOtherPrefix() {
        var prefixDropdown = document.getElementById("prefix");
        var otherPrefixTextbox = document.getElementById("other-prefix-text");
        var otherPrefixDiv = document.getElementById("other-prefix");

        if (prefixDropdown.value === "Other") {
            otherPrefixTextbox.required = true;
            otherPrefixDiv.style.display = "block";
        } else {
            otherPrefixTextbox.required = false;
            otherPrefixDiv.style.display = "none";
        }
    }

    function formatDOB(input) {
        // Remove all non-numeric characters from the input
        var value = input.value.replace(/\D/g, '');
    
        // Check if the input value is not empty
        if (value.length > 0) {
            // Format the DOB as MM/DD/YYYY
            if (value.length >= 2) {
                value = value.substring(0, 2) + '/' + value.substring(2);
            }
            if (value.length >= 5) {
                value = value.substring(0, 5) + '/' + value.substring(5, 9);
            }
        }
    
        // Set the formatted value back to the input field
        input.value = value;
    
        // Handle backspace to remove the slash
        input.addEventListener('keydown', function (e) {
            if (e.key === 'Backspace' && input.selectionStart === input.selectionEnd) {
                var caretPos = input.selectionStart;
                if (caretPos === 3 || caretPos === 6) {
                    // Move the caret one position to the left to skip the slash
                    input.setSelectionRange(caretPos - 1, caretPos - 1);
                }
            }
        });
    
        // Handle backspace to remove the slash when deleting the digit before it
        input.addEventListener('input', function (e) {
            var caretPos = input.selectionStart;
            if (caretPos === 2 || caretPos === 5) {
                // Remove the slash if the digit before it is deleted
                value = value.substring(0, caretPos - 1) + value.substring(caretPos);
                input.value = value;
                // Move the caret one position to the left
                input.setSelectionRange(caretPos - 1, caretPos - 1);
            }
        });
    }
    
    // Function to toggle the display of "Other Gender" input based on the selected gender
    function toggleOtherGender() {
        var genderDropdown = document.getElementById("gender");
        var otherGenderTextbox = document.getElementById("other-gender");
        var otherGenderTextboxDiv = document.getElementById("other-gender-textbox");

        if (genderDropdown.value === "Other") {
            otherGenderTextbox.required = true;
            otherGenderTextboxDiv.style.display = "block";
        } else {
            otherGenderTextbox.required = false;
            otherGenderTextboxDiv.style.display = "none";
        }
    }

// Function to toggle the display of "Other State" input based on the selected state
    function toggleOtherState() {
        var stateDropdown = document.getElementById("state");
        var otherStateTextbox = document.getElementById("other-state");
        var otherStateTextboxDiv = document.getElementById("other-state-textbox");

        if (stateDropdown.value === "OUS") {
            otherStateTextbox.required = true;
            otherStateTextboxDiv.style.display = "block";
        } else {
            otherStateTextbox.required = false;
            otherStateTextboxDiv.style.display = "none";
        }
    }
 
// Populate the day dropdown based on the selected month
   $("#birthmonth").on("change", function () {
    var selectedMonth = $(this).val();
    var dayDropdown = $("#birthday");

    if (selectedMonth === "Select Month") {
        dayDropdown.html("<option value='' disabled selected>Select a Month first</option>");
    } else {
        var daysInMonth = 31; // Default to 31 days

        if (selectedMonth === "April" || selectedMonth === "June" || selectedMonth === "September" || selectedMonth === "November") {
            daysInMonth = 30;
        } else if (selectedMonth === "February") {
            daysInMonth = 29; // Leap year handling can be added here
        }

        var dayOptions = "<option value='' disabled selected>Select Day</option>";
        for (var i = 1; i <= daysInMonth; i++) {
            dayOptions += "<option value='" + i + "'>" + i + "</option>";
        }
        dayDropdown.html(dayOptions);
    }
});