<?php

// LFM Cron Runner v1.1
// For LFM, LFMTE, and LFMVM scripts
// Written By Josh Abbott

// This file should be added as a cron job set to run every minute.
// It will then run any files scheduled in the oto_cronjobs table.

require_once "inc/filter.php";

// Connect To Database
include "inc/config.php";
require_once "inc/funcs.php";
lfmsql_connect($dbhost,$dbuser,$dbpass);
lfmsql_select_db($dbname) or die("Unable to select database");


// Ensure The Cron Doesn't Run Too Often
$currenttime = time();
$getlastcron = lfmsql_query("Select lastruncron from ".$prefix."settings") or die(lfmsql_error());

if (lfmsql_num_rows($getlastcron) <= 0) {
	echo("Missing Last Cron Run Setting");
	exit;
}

$lastcron = lfmsql_result($getlastcron, 0, "lastruncron");

if ($lastcron > ($currenttime-20)) {
	echo("Cron Ran Less Than 60 Seconds Ago");
	exit;
}

@lfmsql_query("Update ".$prefix."settings set lastruncron='$currenttime'") or die(lfmsql_error());


// Begin Checking And Running Crons

$currentday = date("D");
$currenthour = date("G");
$currentmin = intval(date("i"));

$daycheck = "(`day`='*' OR `day` LIKE '%".$currentday."%')";

$hourcheck = "(`hour`='*' OR `hour`='".$currenthour."')";

$extramincheck = "";
if ($currentmin == 0 || ($currentmin == 30)) {
	$extramincheck .= " OR `minute`='*/30'";
}
if ($currentmin == 0 || ($currentmin % 15 == 0)) {
	$extramincheck .= " OR `minute`='*/15'";
}
if ($currentmin == 0 || ($currentmin % 10 == 0)) {
	$extramincheck .= " OR `minute`='*/10'";
}
if ($currentmin == 0 || ($currentmin % 5 == 0)) {
	$extramincheck .= " OR `minute`='*/5'";
}
if ($currentmin == 0 || ($currentmin % 2 == 0)) {
	$extramincheck .= " OR `minute`='*/2'";
}
$mincheck = "(`minute`='*' OR `minute`='".$currentmin."'".$extramincheck.")";

$getcrons = lfmsql_query("SELECT id, filepath FROM `".$prefix."cronjobs` WHERE ".$daycheck." AND ".$hourcheck." AND ".$mincheck." ORDER BY `priority` ASC") or die(lfmsql_error());

//echo("SELECT id, filepath FROM `".$prefix."cronjobs` WHERE ".$daycheck." AND ".$hourcheck." AND ".$mincheck." ORDER BY `priority` ASC");
//echo("\n");
//echo(json_encode($getcrons));

for ($cronsi = 0; $cronsi < lfmsql_num_rows($getcrons); $cronsi++) {
	
	$cronid = lfmsql_result($getcrons, $cronsi, "id");
	$cronfilepath = lfmsql_result($getcrons, $cronsi, "filepath");
	
	if (file_exists($cronfilepath)) {
		lfmsql_query("UPDATE `".$prefix."cronjobs` SET lastcalled='".time()."' WHERE id='".$cronid."' LIMIT 1");
		include $cronfilepath;
		lfmsql_query("UPDATE `".$prefix."cronjobs` SET lastcomplete='".time()."' WHERE id='".$cronid."' LIMIT 1");
	}
}

exit;

?>