<?php

/////////////////////////////////////////////////////////////////////////
//                                                                     //
// Sales API - Created by Josh Abbott                                  //
//                                                                     //
/////////////////////////////////////////////////////////////////////////

// -- Graph Functions --
// VisuGraph JS 1.0
// 2012 Josh Abbott, http://visugraph.com
// Licensed for the LFM script

if (!isset($_GET['apikey']) || strlen($_GET['apikey']) < 1) {
	echo("Invalid request");
	exit;
}

	require_once "inc/filter.php";
	require_once "inc/lfmsql.php";

	include "inc/config.php";
	include "inc/funcs.php";
	@lfmsql_connect($dbhost,$dbuser,$dbpass);
	@lfmsql_select_db($dbname) or die("Unable to select database");

$getapikey = lfmsql_query("SELECT salesapikey FROM `".$prefix."settings`") or die(lfmsql_error());
if (lfmsql_num_rows($getapikey) < 1) {
	echo("Unable to get API key");
	exit;
}

$validapikey = lfmsql_result($getapikey, 0, "salesapikey");

if (strlen($validapikey) < 1) {
	echo("A key must be generated in System Settings to enable Sales API");
	exit;
}

if ($validapikey != $_GET['apikey']) {
	echo("Invalid API key");
	exit;
}


function countdays($firstdate, $lastdate) {
	$currdate = $firstdate;
	$daycount = 0;
	while ($currdate <= $lastdate) {
		$daycount++;
		$currdate = strftime("%Y-%m-%d", strtotime("$currdate + 1 day"));
	}
	return $daycount;
}

// Prepare Graph

$datatype = $_GET['datatype'];
$tabletype = $_GET['tabletype'];

// Data Type 1 = Dollar Amount Of Sales
// Data Type 2 = Number Of Units Sold
if ($datatype == "" || !is_numeric($datatype) || $datatype < 1 || $datatype > 2) {
	// Set to default
	$datatype = 1;
}

if ($datatype == 1) {
	$searchvalue = "SUM(amount) AS sales";
	$sortvalue = "sales";
	$datalabel = "Sales";
} else {
	$searchvalue = "COUNT(*) AS units";
	$sortvalue = "units";
	$datalabel = "Units Sold";
}

// Check for extra conditions such as payment types

$extracondition = "";

if (isset($_GET['paymenttypes']) && strlen($_GET['paymenttypes']) > 0) {
	$paymenttypes = explode(',', $_GET['paymenttypes']);
	for ($i = 0; $i < count($paymenttypes); $i++) {
		$paymenttypes[$i] = "'".$paymenttypes[$i]."'";
	}
	if (count($paymenttypes) > 1) {
		$paymenttypes = implode(',', $paymenttypes);
	} else {
		$paymenttypes = $paymenttypes[0];
	}
	if (strlen($extracondition) > 0) {
		$extracondition .= " AND processor IN(".$paymenttypes.")";
	} else {
		$extracondition = "processor IN(".$paymenttypes.")";
	}
}

if (strlen($extracondition) > 0) {
	$extrawhere = " WHERE ".$extracondition;
	$extraand = " AND ".$extracondition;
} else {
	$extrawhere = "";
	$extraand = "";
}

if ($tabletype == "sumonly") {
	if (isset($_GET['showdays']) && is_numeric($_GET['showdays']) && $_GET['showdays'] > 0) {
		$showdays = $_GET['showdays'];
		$enddate = date("Y-m-d");
		$startdate = strftime("%Y-%m-%d", strtotime("$startdate + $showdays days ago"));
		$thistotal = lfmsql_result(lfmsql_query("Select SUM(amount) AS sales from ".$prefix."ipn_transactions where added >= '".$startdate." 00:00:00' and added <= '".$enddate." 23:59:59'".$extraand), 0);
		if (!isset($thistotal) || !is_numeric($thistotal) || $thistotal < 0) {
			$thistotal = "0.00";
		}
		echo("#STARTTOTAL#".$thistotal."#ENDTOTAL#");
	}
	if (isset($_GET['avgmonths']) && is_numeric($_GET['avgmonths']) && $_GET['avgmonths'] > 0) {
		$avgmonths = $_GET['avgmonths'];
		$i=time();
		$finish=$i-(365*86400);
		$p=0;
		while($i>$finish) {
			$ym=date("Y-m",$i);
			if($ym<>$p) { $mth[]=$ym; $p=$ym; }
			$i=$i-(28*86400);
		}
		$f=1;
		$finish = $avgmonths;
		$rangetotal=0;
		while($f<=$finish) {
			$r=lfmsql_query("SELECT SUM(amount) FROM ".$prefix."ipn_transactions WHERE added LIKE '$mth[$f]%'".$extraand);
			$monthsales=lfmsql_result($r,0); if(!$monthsales) { $monthsales="0"; }
			$rangetotal=$rangetotal+$monthsales;
			$f++;
		}
		if (!isset($rangetotal) || !is_numeric($rangetotal) || $rangetotal < 0) {
			$rangetotal = "0.00";
		}
		if ($rangetotal > 0 && $avgmonths > 0) {
			$rangeavg = $rangetotal/$avgmonths;
			$rangeavg = round($rangeavg, 2);
		} else {
			$rangeavg = 0.00;
		}
		echo("#STARTAVG#".$rangeavg."#ENDAVG#");
	}
	exit;
}

if ($tabletype == "oneday") {
	
	// Pull the items list sold on a specific day
	
	if (isset($_GET['date']) && strlen($_GET['date']) == 10) {
		$date = $_GET['date'];	
	} else {
		echo("Invalid Date");
		exit;
	}
	
	// Get the totals for that day
	$gettotals = lfmsql_query("Select SUM(amount) AS sales, COUNT(*) AS units from ".$prefix."ipn_transactions WHERE added >= '".$date." 00:00:00' AND added <= '".$date." 23:59:59'".$extraand);
	$totalunits = lfmsql_result($gettotals, 0, "units");
	if ($totalunits < 1) {
		echo("No sales found on this date.");
		exit;
	}
	$totalsales = lfmsql_result($gettotals, 0, "sales");
	if (!isset($totalsales) || !is_numeric($totalsales) || $totalsales < 0) {
		$totalsales = "0.00";
	}
	$totalsales = round($totalsales, 2);
	
	echo($totalsales.",".$totalunits."|");
	
	// Get the totals of each item sold on that day
	$getitems = lfmsql_query("Select item_number, item_name, sum(amount) AS sales, count(*) AS units from ".$prefix."ipn_transactions WHERE added >= '".$date." 00:00:00' AND added <= '".$date." 23:59:59'".$extraand." group by item_number order by ".$sortvalue." desc");
	
	for ($i = 0; $i < lfmsql_num_rows($getitems); $i++) {
		
		$itemname = lfmsql_result($getitems, $i, "item_name");
		$itemsales = lfmsql_result($getitems, $i, "sales");
		$itemunits = lfmsql_result($getitems, $i, "units");
		
		if (strpos($itemname, '-') !== false) {
			// Removes any transaction-specific details from the name
			$splititemname = explode('-', $itemname);
			$itemname = trim($splititemname[0]);
		}
		$itemname = str_replace(",", '', $itemname);
		$itemname = str_replace("|", '', $itemname);
		
		echo($itemname.",".$itemsales.",".$itemunits."|");
	}
	
	exit;
	
}

if ($tabletype == "average" && isset($_GET['avgmonths']) && is_numeric($_GET['avgmonths']) && $_GET['avgmonths'] > 0) {
	
	// Pull the items list averages over a date range
	
	$avgmonths = $_GET['avgmonths'];
	$i=time();
	$finish=$i-(365*86400);
	$p=0;
	while($i>$finish) {
		$ym=date("Y-m",$i);
		if($ym<>$p) { $mth[]=$ym; $p=$ym; }
		$i=$i-(28*86400);
	}
	$f=1;
	$finish = $avgmonths;
	$rangetotal=0;
	$itemarray = array();
	while($f<=$finish) {
		$getitems = lfmsql_query("SELECT item_number, item_name, sum(amount) AS sales FROM ".$prefix."ipn_transactions WHERE added LIKE '$mth[$f]%'".$extraand." group by item_number order by sales desc");
		for ($i = 0; $i < lfmsql_num_rows($getitems); $i++) {
			$itemnumber = lfmsql_result($getitems, $i, "item_number");
			$itemname = lfmsql_result($getitems, $i, "item_name");
			$itemsales = lfmsql_result($getitems, $i, "sales");
			if(!$itemsales) { $itemsales="0"; }
			
			if (strpos($itemname, '-') !== false) {
				// Removes any transaction-specific details from the name
				$splititemname = explode('-', $itemname);
				$itemname = trim($splititemname[0]);
			}
			$itemname = str_replace(",", '', $itemname);
			$itemname = str_replace("|", '', $itemname);
			
			$itemarray[$itemnumber]['itemname'] = $itemname;
			$itemarray[$itemnumber]['itemtotal'] = $itemarray[$itemnumber]['itemtotal'] + $itemsales;
		}
		
		$f++;
	}
	
	foreach ($itemarray as $key => $value) {
		
		$itemname = $itemarray[$key]['itemname'];
		$rangetotal = $itemarray[$key]['itemtotal'];
		
		if (!isset($rangetotal) || !is_numeric($rangetotal) || $rangetotal < 0) {
			$rangetotal = "0.00";
		}
		if ($rangetotal > 0 && $avgmonths > 0) {
			$rangeavg = $rangetotal/$avgmonths;
			$rangeavg = round($rangeavg, 2);
		} else {
			$rangeavg = 0.00;
		}
		
		echo($itemname.",".$rangeavg."|");
	}
	
	exit;
	
}
	
// Pull the items list and graph sold over a date range

$starttime = $_GET['starttime'];
$endtime = $_GET['endtime'];

if (!is_numeric($starttime) || $starttime < 1) { exit; }
if (!is_numeric($endtime) || $endtime < 1) { exit; }

$startdate = date("Y-m-d",$starttime);
$enddate = date("Y-m-d",$endtime);

$numdays = countdays($startdate, $enddate);
$numelems = 0;

if ($numdays > 40) {
	//Switch to monthly view
	
	$graphtype = "monthly";

	$currdate = $startdate;
	
	while ($currdate <= $enddate) {
	
	$selecteddate = mktime(0,0,0,substr($currdate,5,2),substr($currdate,8),substr($currdate,0,4));
	
	$selectedmonth = date("m", $selecteddate);
	$selectedyear = date("Y", $selecteddate);
	$daya = $selectedyear."-".$selectedmonth."-"."01";
	$dayb = $selectedyear."-".$selectedmonth."-"."31";
	$monthname = date("M", $selecteddate);
		
	if ($monthname == "Jan") {
		$monthname = "Jan<br>".$selectedyear;
	} else {
		$monthname = $monthname."<br><br>";
	}
	
	$getmonth = lfmsql_query("Select ".$searchvalue." from ".$prefix."ipn_transactions WHERE added >= '".$daya." 00:00:00' AND added <= '".$dayb." 23:59:59'".$extraand);
	
	$currentsum = lfmsql_result($getmonth, 0, $sortvalue);
	if ($currentsum == NULL) {
		$currentsum = 0;
	}

	$statsum[$numelems] = $currentsum;
	$xname[$numelems] = $monthname;
	$xvals[$numelems] = mktime(0,0,0,substr($daya,5,2),2,substr($daya,0,4)) * 1000;
	$numelems = $numelems+1;
	
	$currdate = strftime("%Y-%m-%d", strtotime("$daya + 1 month"));
	
	}
	
	
	if ($selectedmonth != date("m", strtotime($enddate))) {
		// Run the last month
		
		$selecteddate = mktime(0,0,0,substr($currdate,5,2),substr($currdate,8),substr($currdate,0,4));
		
		$selectedmonth = date("m", $selecteddate);
		$selectedyear = date("Y", $selecteddate);
		$daya = $selectedyear."-".$selectedmonth."-"."01";
		$dayb = $selectedyear."-".$selectedmonth."-"."31";
		$monthname = date("M", $selecteddate);
			
		if ($monthname == "Jan") {
			$monthname = "Jan<br>".$selectedyear;
		} else {
			$monthname = $monthname."<br><br>";
		}
		
		$getmonth = lfmsql_query("Select ".$searchvalue." from ".$prefix."ipn_transactions WHERE added >= '".$daya." 00:00:00' AND added <= '".$dayb." 23:59:59'".$extraand);
		
		$currentsum = lfmsql_result($getmonth, 0, $sortvalue);
		if ($currentsum == NULL) {
			$currentsum = 0;
		}
		
		$statsum[$numelems] = $currentsum;
		$xname[$numelems] = $monthname;
		$xvals[$numelems] = mktime(0,0,0,substr($daya,5,2),2,substr($daya,0,4)) * 1000;
		$numelems = $numelems+1;
	}
	

} else {

	$graphtype = "daily";

	$numelems = $numdays;

	$getdays = lfmsql_query("Select ".$searchvalue.", DATE_FORMAT(added, '%Y-%m-%d') AS date from ".$prefix."ipn_transactions where added >= '".$startdate." 00:00:00' and added <= '".$enddate." 23:59:59'".$extraand." GROUP BY DATE_FORMAT(added, '%Y-%m-%d') ORDER BY date ASC");
	
	if (lfmsql_num_rows($getdays) > 0) {
		for ($i = 0; $i < lfmsql_num_rows($getdays); $i++) {
			$thedate = lfmsql_result($getdays, $i, "date");
			$datelist[$i] = $thedate;
			$sumlist[$i] = lfmsql_result($getdays, $i, $sortvalue);
		}
	} else {
		// Set Empty Date Array
		$datelist[0] = 0;
	}
	
	$currdate = $startdate;
	$i = 0;
	while ($currdate <= $enddate) {
	
		$dateposition = array_search($currdate, $datelist);
		if ($dateposition === false) {
			//No Stats For Date
			$thetime = mktime(0,0,0,substr($currdate,5,2),substr($currdate,8),substr($currdate,0,4));
			$statsum[$i] = 0;
			$xname[$i] = date("d", $thetime);
			if ($xname[$i] == 1) { $xname[$i] = $xname[$i]."<br>".date("M", $thetime); } else { $xname[$i] = $xname[$i]."<br><br>"; }
			$xvals[$i] = $thetime * 1000;
		} else {
			//Enter Stats For Date
			$thetime = mktime(0,0,0,substr($currdate,5,2),substr($currdate,8),substr($currdate,0,4));
			$statsum[$i] = $sumlist[$dateposition];
			$xname[$i] = date("d", $thetime);
			if ($xname[$i] == 1) { $xname[$i] = $xname[$i]."<br>".date("M", $thetime); } else { $xname[$i] = $xname[$i]."<br><br>"; }
			$xvals[$i] = $thetime * 1000;
		}
	
		$currdate = strftime("%Y-%m-%d", strtotime("$currdate + 1 day"));
		$i++;
	}
}

// End Prepare Graph

if ($numelems < 1) {
	// No Data To Display
	exit;
}

// Make Data Array And Ticks (Axis Labels)
$datatext = $xvals[0].",".$statsum[0];
$tickstext = $xvals[0].",".$xname[0];
for ($i = 1; $i < $numelems; $i++) {
	$datatext .= "|".$xvals[$i].",".$statsum[$i];
	$tickstext .= "|".$xvals[$i].",".$xname[$i];			
}

// Set The Top Line On The Y Axis By Finding The Highest Stat
if ($numdays <= 40) {
	$checkstartdate = strftime("%Y-%m-%d", strtotime("$startdate + 45 days ago"));
	$checkenddate = strftime("%Y-%m-%d", strtotime("$enddate + 45 days"));
	$dailysums = lfmsql_query("SELECT ".$searchvalue." FROM `".$prefix."ipn_transactions` where added >= '".$checkstartdate." 00:00:00' and added <= '".$checkenddate." 23:59:59'".$extraand." GROUP BY DATE_FORMAT(added, '%Y-%m-%d')");
	if (lfmsql_num_rows($dailysums) > 1) {
		while ($row = lfmsql_fetch_array($dailysums)) {
			$sumsarray[] = $row[$sortvalue];
		}
		$maxval = max($sumsarray);
		$avgval = array_sum($sumsarray) / count($sumsarray);
		if (($avgval*15) >= $maxval) {
			// Keeps A Consistent Axis Unless Max Value Is An Outlier
			$maxstat = $maxval;
		} else {
			$maxstat = max($statsum);
		}
	} else {
		$maxstat = max($statsum);
	}
} else {
	$monthlysums = lfmsql_query("SELECT ".$searchvalue." FROM `".$prefix."ipn_transactions`".$extrawhere." group by YEAR(added), MONTH(added)");
	if (lfmsql_num_rows($monthlysums) > 1) {
		while ($row = lfmsql_fetch_array($monthlysums)) {
			$sumsarray[] = $row[$sortvalue];
		}
		$maxval = max($sumsarray);
		$avgval = array_sum($sumsarray) / count($sumsarray);
		if (($avgval*15) >= $maxval) {
			// Keeps A Consistent Axis Unless Max Value Is An Outlier
			$maxstat = $maxval;
		} else {
			$maxstat = max($statsum);
		}
	} else {
		$maxstat = max($statsum);
	}
}

// Get The Sales Data
$gettotals = lfmsql_query("Select SUM(amount) AS sales, COUNT(*) AS units from ".$prefix."ipn_transactions WHERE added >= '".$startdate." 00:00:00' AND added <= '".$enddate." 23:59:59'".$extraand);
$totalunits = lfmsql_result($gettotals, 0, "units");
if ($totalunits < 1) {
	$salesdata = "No sales found during this period.";
} else {
	$totalsales = lfmsql_result($gettotals, 0, "sales");
	if (!isset($totalsales) || !is_numeric($totalsales) || $totalsales < 0) {
		$totalsales = "0.00";
	}
	$totalsales = round($totalsales, 2);
	
	$salesdata = $totalsales.",".$totalunits."|";
	
	// Get the totals of each item sold on that day
	$getitems = lfmsql_query("Select item_number, item_name, sum(amount) AS sales, count(*) AS units from ".$prefix."ipn_transactions WHERE added >= '".$startdate." 00:00:00' AND added <= '".$enddate." 23:59:59'".$extraand." group by item_number order by ".$sortvalue." desc");
	
	for ($i = 0; $i < lfmsql_num_rows($getitems); $i++) {
		
		$itemname = lfmsql_result($getitems, $i, "item_name");
		$itemsales = lfmsql_result($getitems, $i, "sales");
		$itemunits = lfmsql_result($getitems, $i, "units");
		
		if (strpos($itemname, '-') !== false) {
			// Removes any transaction-specific details from the name
			$splititemname = explode('-', $itemname);
			$itemname = trim($splititemname[0]);
		}
		$itemname = str_replace(",", '', $itemname);
		$itemname = str_replace("|", '', $itemname);
		
		$salesdata .= $itemname.",".$itemsales.",".$itemunits."|";
	}
}

// Output The Data
echo("#STARTSTARTDATE#".$startdate."#ENDSTARTDATE#");
echo("#STARTENDDATE#".$enddate."#ENDENDDATE#");

echo("#STARTGRAPHTYPE#".$graphtype."#ENDGRAPHTYPE#");
echo("#STARTDATALABEL#".$datalabel."#ENDDATALABEL#");

echo("#STARTDATA#".$datatext."#ENDDATA#");
echo("#STARTTICKS#".$tickstext."#ENDTICKS#");
echo("#STARTMAX#".$maxstat."#ENDMAX#");

echo("#STARTSALESDATA#".$salesdata."#ENDSALESDATA#");

exit;

?>