<?php

// LFMTE Captcha Pro Plugin
// 2020 Logiscape.com

$getcaptchatype = lfmsql_query("SELECT value FROM `".$prefix."captchaproset` WHERE field='captchatype'");
if (lfmsql_num_rows($getcaptchatype) > 0) {
	$captchatype = lfmsql_result($getcaptchatype, 0, "value");
} else {
	$captchatype = 1;
}

if ($captchatype == 1) {
	// Basic Captcha
	if (!isset($_REQUEST["captcha"]) || strlen($_REQUEST["captcha"]) < 1 || (strtolower($_SESSION["captcha"]) != strtolower($_REQUEST["captcha"]))) {
		//CAPTCHA is invalid
		$errmsg="Security code is incorrect<br>";
	}
} elseif ($captchatype == 2) {
	// Google reCAPTCHA v2
	$rcv2secret = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."captchaproset` WHERE field='rcv2secret'"), 0);
	if (!isset($_POST['g-recaptcha-response']) || strlen($_POST['g-recaptcha-response']) < 1) {
		$errmsg="Unable to verify reCAPTCHA<br>";
	} else {
		$captchareq = 'secret='.$rcv2secret.'&response='.$_POST['g-recaptcha-response'];
		$captchaheader = "POST /recaptcha/api/siteverify HTTP/1.1\r\n";
		$captchaheader .= "Host: www.google.com\r\n";
		$captchaheader .= "Content-Type: application/x-www-form-urlencoded\r\n";
		$captchaheader .= "Content-Length: " . strlen($captchareq) . "\r\n";
		$captchaheader .= "Connection: close\r\n\r\n";
		$captchafp = fsockopen ('ssl://www.google.com', 443, $errno, $errstr, 30);
		if ($captchafp) {
			fputs ($captchafp, $captchaheader . $captchareq);
			$captchares = stream_get_contents($captchafp, 6144);
			$captchares2 = strip_tags($captchares);
			if (strpos($captchares2, '"success": true') !== false) {
				// Valid
			} else {
				// Invalid
				$errmsg="Unable to verify reCAPTCHA<br>";
			}
		} else {
			$errmsg="reCAPTCHA Connection Error. Please try again.<br>";
		}
	}
} elseif ($captchatype == 3) {
	// Google reCAPTCHA v3
	$rcv3secret = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."captchaproset` WHERE field='rcv3secret'"), 0);
	$rcv3minscore = lfmsql_result(lfmsql_query("SELECT value FROM `".$prefix."captchaproset` WHERE field='rcv3minscore'"), 0);
	if (!is_numeric($rcv3minscore) || $rcv3minscore < 0 || $rcv3minscore > 1) {
		$rcv3minscore = 0.5;
	}
	
	if (!isset($_POST['g-recaptcha-response']) || strlen($_POST['g-recaptcha-response']) < 1) {
		$errmsg="Unable to verify reCAPTCHA<br>";
	} else {
		$captchareq = 'secret='.$rcv3secret.'&response='.$_POST['g-recaptcha-response'];
		$captchaheader = "POST /recaptcha/api/siteverify HTTP/1.1\r\n";
		$captchaheader .= "Host: www.google.com\r\n";
		$captchaheader .= "Content-Type: application/x-www-form-urlencoded\r\n";
		$captchaheader .= "Content-Length: " . strlen($captchareq) . "\r\n";
		$captchaheader .= "Connection: close\r\n\r\n";
		$captchafp = fsockopen ('ssl://www.google.com', 443, $errno, $errstr, 30);
		if ($captchafp) {
			fputs ($captchafp, $captchaheader . $captchareq);
			$captchares = stream_get_contents($captchafp, 6144);
			$captchares2 = strip_tags($captchares);
			if (strpos($captchares2, '"success": true') !== false) {
				// Valid
				$scorepos = strpos($captchares2, '"score":');
				$scorevalue = trim(substr($captchares2, $scorepos+strlen('"score":'), 4));
				if (floatval($scorevalue) < floatval($rcv3minscore)) {
					$errmsg = "reCAPTCHA score ".$scorevalue." is too low<br>";
				}
			} else {
				// Invalid
				$errmsg="Unable to verify reCAPTCHA. Please try again.<br>";
			}
		} else {
			$errmsg="reCAPTCHA Connection Error. Please try again.<br>";
		}
	}
}

?>