<?php

// SurfingGuard Checker v2.5
// 2011-2020 Josh Abbott, http://surfingguard.com

include("sgheader.php");


// Check AV Status
$antivirusurl = "https://sgchecker.com/runchecks.php";

$serveronline = 1;

$urlinfo = parse_url($antivirusurl);
$hostname = $urlinfo['host'];
if ($hostname == "" || gethostbyname($hostname) == $hostname) {
	$serveronline = 0;
} else {
$port = 443;
$timeout = 3;
$headers = "GET ".$urlinfo['path'].'?'.$urlinfo['query']." HTTP/1.1\r\n";
$headers .= "Host: ".$hostname."\r\n";
$headers .= "Referer: http://".$_SERVER["SERVER_NAME"]."\r\n";
$headers .= "User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36\r\n";
$headers .= "Connection: close\r\n";
$headers .= "Accept: */*\r\n";
$headers .= "\r\n";
$avreturn = "";
$attempts = 0;
while((strpos($avreturn, '200 OK') === false) && (strpos($avreturn, '302 Found') === false) && ($attempts<2)) {
	$connection = fsockopen('ssl://'.$hostname, $port, $errno, $errstr, $timeout);
	if ($connection) {
		stream_set_timeout($connection, $timeout);
		fwrite($connection,$headers);
		//Read the reply
		$avreturn = "";
		$readruns = 0;
		while (!feof($connection) && !$checktimeout['timed_out'] && $readruns < 500) {
			$avreturn .= fread($connection, 10000);
			$checktimeout = stream_get_meta_data($connection);
			$readruns++;
		}
		fclose($connection);
	}
	$attempts = $attempts+1;
}
if((strpos($avreturn, '200 OK') === false) && (strpos($avreturn, '302 Found') === false)) {
$serveronline = 0;
}

// The license will return invalid, but we just want to check the server
if (strpos($avreturn, "Invalid License") === false) {
$serveronline = 0;
}

}

if ($serveronline == 1) {
	$avstatus = "<img src=\"/sgcheck.png\" alt=\"Online\" border=\"0\">";
// End Check AV Update
} else {
	$avstatus = "<img src=\"/sgfail.png\" alt=\"NOT WORKING\" border=\"0\">";
}
// End Check AV Status


// Get News
if ($serveronline == 1) {

	$tename = lfmsql_result(lfmsql_query("Select value from sg_settings where name='exchange'"), 0);
	$sgkey = lfmsql_result(lfmsql_query("Select value from sg_settings where name='key'"), 0);
	$sgver = lfmsql_result(lfmsql_query("Select value from sg_settings where name='version'"), 0);

	$getnewspath = "https://sgchecker.com/getnews.php?exchange=".$tename."&key=".$sgkey."&ver=".$sgver;
	$urlinfo = parse_url($getnewspath);
	$hostname = $urlinfo['host'];
	
	if ($hostname == "" || gethostbyname($hostname) == $hostname) {
		$sgnews = "<p>Unable to connect to check for updates.<br><br>Please check back later.</p>";
	} else {
	
	$port = 443;
	$timeout = 3;
	$headers = "GET ".$urlinfo['path'].'?'.$urlinfo['query']." HTTP/1.1\r\n";
	$headers .= "Host: ".$hostname."\r\n";
	$headers .= "Referer: http://".$_SERVER["SERVER_NAME"]."\r\n";
	$headers .= "User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36\r\n";
	$headers .= "Connection: close\r\n";
	$headers .= "Accept: */*\r\n";
	$headers .= "\r\n";
	$sgnews = "";
	
	$checknewsupdate = fsockopen('ssl://'.$hostname, $port, $errno, $errstr, $timeout);
	if ($checknewsupdate) {
		stream_set_timeout($checknewsupdate, 3);
		fwrite($checknewsupdate,$headers);
		$readruns = 0;
		while (!feof($checknewsupdate) && !$checktimeout['timed_out'] && $readruns < 500) {
			$sgnews .= fread($checknewsupdate, 10000);
			$checktimeout = stream_get_meta_data($checknewsupdate);
			$readruns++;
		}
		fclose($checknewsupdate);
	}
	
	if((strpos($sgnews, '200 OK') === false) && (strpos($sgnews, '302 Found') === false)) {
		$sgnews = "<p>Unable to connect to check for updates.<br><br>Please check back later.</p>";
	} else {
		$colonpos = strpos($sgnews, "NEWS:");
		$colonpos = $colonpos+5;
		$sgnews = substr($sgnews, $colonpos);
	}
	
	}

} else {
	$sgnews = "<p>Unable to connect to check for updates.<br><br>Please check back later.</p>";
}
// End Get News


// Get Last Monitor
$getlastmon = lfmsql_query("Select f4check FROM ".$prefix."msites ORDER BY f4check DESC LIMIT 1");
if (lfmsql_num_rows($getlastmon) > 0) {
	$lastmon = lfmsql_result($getlastmon, 0, "f4check");
	if ((time() - $lastmon) > 7200) {
		$monitorstatus = "<img src=\"/sgfail.png\" alt=\"NOT WORKING\" border=\"0\">";
	} else {
		$monitorstatus = "<img src=\"/sgcheck.png\" alt=\"Online\" border=\"0\">";
	}
} else {
	$monitorstatus = "No Sites";
}
// End Get Last Monitor


// Get Last Chargeback Monitor
$getlastmon = lfmsql_query("Select value FROM sg_settings where name='lastcbmon'");
if (lfmsql_num_rows($getlastmon) > 0) {
	$lastcbmon = lfmsql_result($getlastmon, 0, "value");
	if ((time() - $lastcbmon) > 7200) {
		$chargebackstatus = "<img src=\"/sgfail.png\" alt=\"NOT WORKING\" border=\"0\">";
	} else {
		$chargebackstatus = "<img src=\"/sgcheck.png\" alt=\"Online\" border=\"0\">";
	}
} else {
	$chargebackstatus = "<img src=\"/sgfail.png\" alt=\"NOT WORKING\" border=\"0\">";
}
// End Get Last Chargeback Monitor

echo("<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">
<tr><td width=\"55%\" valign=\"top\">

<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\" width=\"97%\">
<tr><td align=center>
".$sgnews."
</td></tr>
</table>

<p>&nbsp;</p>

</td><td width=\"45%\" valign=\"top\" align=\"right\">

<table border=\"1\" bordercolor=\"gray\" cellpadding=\"5\" cellspacing=\"0\">
<tr><td colspan=\"2\" align=\"center\" bgcolor=\"#8FBAE7\"><b>System Status</b></td></tr>

<tr><td align=\"right\">Site Monitor</td><td>".$monitorstatus."</td></tr>
<tr><td align=\"right\">Chargeback/Cheater Monitor</td><td>".$chargebackstatus."</td></tr>
<tr><td align=\"right\">SG Server</td><td>".$avstatus."</td></tr>

</table>

</td></tr>
</table>");


include("sgfooter.php");

?>