let currentSection = 1;

const sectionOrder = [
        "section1",
        "section2",
        "section3",
        "section4",
        "section5",
        "section6",
        "section7"
    ];

    
function prevSection() {
    if (currentSection > 1) {
            currentSection--;
            updateSectionVisibility();
            updateButtonVisibility();
        }
}


function nextSection() {
    if (currentSection === 1 && validateSection("section1")) {
        currentSection++;
        updateSectionVisibility();
        updateButtonVisibility();
    } else if (currentSection === 2 && validateSection("section2")) {
        currentSection++;
        updateSectionVisibility();
        updateButtonVisibility();
    } else if (currentSection === 3 && validateSection("section3")) {
        currentSection++;
        updateSectionVisibility();
        updateButtonVisibility();    
    } else if (currentSection === 4 && validateSection("section4")) {
        currentSection++;
        updateSectionVisibility();
        updateButtonVisibility();
    } else if (currentSection === 5 && validateSection("section5")) {
        currentSection++;
        updateSectionVisibility();
        updateButtonVisibility();
    } else if (currentSection === 6 && validateSection("section6")) {
        currentSection++;
        updateSectionVisibility();
        updateButtonVisibility();    
    } else if (currentSection === 7 && validateSection("section7")) {
        currentSection++;
        updateSectionVisibility();
        updateButtonVisibility();
    }
}


function validateSection(sectionId) {
    const requiredFields = document.querySelectorAll(`#${sectionId} [required]`);

    for (const field of requiredFields) {
        if (!field.value.trim()) {
            showNotification("Please fill out all required fields.");
            return false;
        }
    }

    hideNotification();
    return true;
}


function updateSectionVisibility() {
    // Array of section IDs in the order you want to navigate

    // Loop through the sections and update their display based on currentSection
    for (let i = 0; i < sectionOrder.length; i++) {
        const sectionId = sectionOrder[i];
        const section = document.getElementById(sectionId);

        // Determine whether to display or hide the section
        const shouldDisplay = i === currentSection - 1;
        section.style.display = shouldDisplay ? "block" : "none";
    }
}

    
    function updateButtonVisibility() {
    const prevButton = document.getElementById("prevButton");
    const nextButton = document.getElementById("nextButton");
    const submitButton = document.getElementById("submitButton");

    // Show or hide the Previous button
    if (currentSection === 1) {
        prevButton.style.display = "none";
    } else {
        prevButton.style.display = "inline";
    }

    // Show or hide the Next button
    if (currentSection === sectionOrder.length) {
        nextButton.style.display = "none";
    } else {
        nextButton.style.display = "inline";
    }

    // Show or hide the Submit button
    if (currentSection === sectionOrder.length) {
        submitButton.style.display = "inline";
    } else {
        submitButton.style.display = "none";
    }
}


function showNotification(message) {
    const notification = document.getElementById("notification");
    notification.textContent = message;
    notification.style.display = "block";
}


function hideNotification() {
    const notification = document.getElementById("notification");
    notification.style.display = "none";
}