// SECTION 3A, 3B, & 3C SCRIPTS


// Get references to the labels
const physNameLabel = document.querySelector('label[for="phys-name"]');
const physAddrLabel = document.querySelector('label[for="phys-addr"]');
const physPhoneLabel = document.querySelector('label[for="phys-num"]');


// Add an event listener to the checkbox
noPhysCheckbox.addEventListener('change', function() {
    // If the checkbox is checked, disable the email input fields and update labels
    if (this.checked) {
        physNameInput.disabled = true;
        physAddrInput.disabled = true;
        physPhoneInput.disabled = true;
        physNameLabel.textContent = 'Primary Physician';
        physAddrLabel.textContent = 'Street Address';
        physPhoneLabel.textContent = 'Phone Number';
    } else {
        // If the checkbox is unchecked, enable the email input fields and update labels
        physNameInput.disabled = false;
        physAddrInput.disabled = false;
        physPhoneInput.disabled = false;
        physNameLabel.textContent = 'Primary Physician *';
        physAddrLabel.textContent = 'Street Address';
        physPhoneLabel.textContent = 'Phone Number';
    }

    // Update required attribute of email input fields based on checkbox state
    updatePhysFieldRequired();
});

// Function to update the required attribute of email input fields based on checkbox state
function updatePhysFieldRequired() {
    if (noPhysCheckbox.checked) {
        physNameInput.removeAttribute('required');
        physAddrInput.removeAttribute('required');
        physPhoneInput.removeAttribute('required');
    } else {
        physNameInput.setAttribute('required', 'required');
        physAddrInput.setAttribute('required', 'required');
        physPhoneInput.setAttribute('required', 'required');
    }
}