use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

require 'PHPMailer/PHPMailer.php';
require 'PHPMailer/SMTP.php';
require 'PHPMailer/Exception.php';
require 'vendor/autoload.php'; // Include Composer's autoloader for PhpSpreadsheet

$uploadDirectory = '/dh_xurbjw/rfriedmanmdportal.com/uploads/';

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    // Collect form data
    $prefix = $_POST["prefix"];
    $firstName = $_POST["first-name"];
    $middleInitial = $_POST["middle-initial"];
    $lastName = $_POST["last-name"];
    $suffix = $_POST["suffix"];
    $birthday = $_POST["birthday"];
    $gender = $_POST["gender"];
    $otherGender = $_POST["other-gender"];
    $maritalStatus = $_POST["marital-status"];
    $ssn = $_POST["ssn"];
    $license = $_POST["license"];
    $cellphone = $_POST["cell-phone"];
    
    // Create a new PhpSpreadsheet instance
    $spreadsheet = new Spreadsheet();
    $sheet = $spreadsheet->getActiveSheet();
    
    // Set form data in the spreadsheet
    $data = [
        ["Field", "Value"],
        ["Prefix", $prefix],
        ["First Name", $firstName],
        ["Middle Initial", $middleInitial],
        ["Last Name", $lastName],
        ["Suffix", $suffix],
        ["Birthday", $birthday],
        ["Gender", $gender],
        ["Other Gender", $otherGender],
        ["Marital Status", $maritalStatus],
        ["SSN", $ssn],
        ["Driver's License", $license],
        ["Cell Phone", $cellphone],
    ];
    
    $sheet->fromArray($data, null, 'A1');
    
    // Create a temporary file to save the spreadsheet
    $tempDir = sys_get_temp_dir();
    $tempFileName = tempnam($tempDir, 'patient_data.xlsx');
    if ($tempFileName === false) {
        die('Failed to create a temporary file.');
    }

    $writer = new Xlsx($spreadsheet);
    try {
        $writer->save($tempFileName);
    } catch (Exception $e) {
        die('Error saving spreadsheet: ' . $e->getMessage());
    }
    
    // Email the XLSX file
    $mail = new PHPMailer(true);

    // SMTP configuration (replace with your SMTP settings)
    $mail->isSMTP();
    $mail->Host = 'smtp-mail.outlook.com';
    $mail->SMTPAuth = true;
    $mail->Username = 'nicholas_salas13@hotmail.com'; // Replace with your Outlook email address
    $mail->Password = 'eutgvotxajfrpaam'; // Replace with your Outlook email password
    $mail->SMTPSecure = 'tls';
    $mail->Port = 587;

    // Sender and recipient information
    $mail->setFrom('nicholas_salas13@hotmail.com', 'Kiosk Registration'); // Replace with your Outlook email and name
    $mail->addAddress('nicholas@rfriedmanmd.com', 'Nicholas');
    $mail->Subject = 'NEW PATIENT SUBMISSION -TEST- (' . $lastName . ', ' . $firstName . ')';

    // Attach the XLSX file
    $mail->addAttachment($tempFileName, 'patient_data.xlsx');

    // Email content
    $mail->isHTML(false);
    $mail->Body = 'This is a test message.' . "\n\n" . 'If you can see this message as well as the attached XLSX file, the test was a success!!';

    // Send the email
    if ($mail->send()) {
        // Email sent successfully

        // Handle file upload
        if (isset($_FILES['upload-license'])) {
            $targetFile = $uploadDirectory . basename($_FILES['upload-license']['name']);
            if (move_uploaded_file($_FILES['upload-license']['tmp_name'], $targetFile)) {
                echo "success"; // Email sent and file uploaded successfully
            } else {
                echo "error_file_upload"; // Email sent, but file upload failed
            }
        } else {
            echo "success"; // Email sent (no file upload)
        }
    } else {
        // Email sending failed
        echo "error_email_send";
    }

    // Clean up the temporary file
    unlink($tempFileName);
} else {
    // Handle invalid request
    echo "Invalid request method.";
}