$(document).ready(function () {
    // Event listener for form submission
    $("#NewPatientForm").on("submit", function (e) {
        // Display a confirmation dialog
        var isConfirmed = window.confirm("Are you ready to submit the form?");

        // If the user confirmed, proceed with form submission
        if (isConfirmed) {
            e.preventDefault(); // Prevent the default form submission

            // Create a FormData object
            var formData = new FormData(this);

            // Send an AJAX POST request to process_registration.php
            $.ajax({
                type: "POST",
                url: "process_registration.php",
                data: formData,
                processData: false, // Tell jQuery not to process the data
                contentType: false, // Tell jQuery not to set contentType
                success: function (response) {
                    if (response === "success") {
                        // Display success message and redirect to the success page
                        alert("Form submitted successfully!");
                        window.location.href = "success.html";
                    } else if (response === "error") {
                        // Display error message
                        alert("Error submitting the form. Please try again.");
                    } else {
                        // Handle other responses as needed
                        alert("Unexpected response: " + response);
                    }
                },
                error: function () {
                    // Display error message for AJAX request failure
                    alert("Error submitting the form. Please try again.");
                }
            });
        } else {
            // If the user canceled, do not submit the form
            return false;
        }
    });
});
