// SECTION 3D SCRIPTS
function formatExpirationDate(event) {
    // Prevent non-numeric characters
    let numericValue = event.target.value.replace(/[^0-9]/g, "");
    
    // Apply MM/YYYY format
    if (numericValue.length > 2) {
      numericValue = numericValue.slice(0, 2) + '/' + numericValue.slice(2);
    }
    
    // Update the input field
    event.target.value = numericValue;
  }

const autoBillCheckbox = document.getElementById('auto-bill-checkbox');
const autoBillHiddenInput = document.querySelector('input[name="auto-bill"]');

autoBillCheckbox.addEventListener('change', function() {
    if (this.checked) {
        autoBillHiddenInput.value = 'YES'; // Set the value to "YES" when the checkbox is checked
    } else {
        autoBillHiddenInput.value = 'NO'; // Set the value back to "NO" when the checkbox is unchecked
    }
});

document.addEventListener('DOMContentLoaded', function() {
    const creditInfoFields = [
        document.getElementById('card-name'),
        document.getElementById('card-num'),
        document.getElementById('ccexp-date'),
        document.getElementById('sec-code'),
        document.getElementById('auto-bill-checkbox')
    ];
    
    const signatureField = document.getElementById('card-sig');
    const signatureLabel = document.querySelector('label[for="card-sig"]');
    const baseSignatureLabelText = 'Please Type In Your Initials To Sign';
    const signatureSection = document.getElementById('card-sig-div');
    const requiredSection = document.getElementById('required-div');
    
    creditInfoFields.forEach(field => {
        field.addEventListener('input', updateSignatureRequirement);
        field.addEventListener('change', updateSignatureRequirement);
    });
    
    function updateSignatureRequirement() {
        for(const field of creditInfoFields) {
            if((field.type === 'checkbox' && field.checked) || 
               (field.type !== 'checkbox' && field.value.trim() !== '')) {
                signatureField.required = true;
                signatureLabel.textContent = `${baseSignatureLabelText} *`;
                signatureSection.style.display = 'block';
                requiredSection.style.display = 'block';
                return;
            }
        }
        signatureField.required = false;
        signatureLabel.textContent = baseSignatureLabelText;
        signatureSection.style.display = 'none';
        requiredSection.style.display = 'none';
    }
    // Initialize visibility and requirement based on initial values
    updateSignatureRequirement();
});