<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require 'PHPMailer/PHPMailer.php';
require 'PHPMailer/SMTP.php';
require 'PHPMailer/Exception.php';

$uploadDirectory = __DIR__."/uploads/";
if ($_SERVER["REQUEST_METHOD"] === "POST") {
    // Page 1 Data
    $acctNumber = $_POST["acct-number"];
    $patientType = $_POST["patient-type"];

    $prefix = $_POST["prefix"];
    $otherPrefix = $_POST["other-prefix"];
    $firstName = $_POST["first-name"];
    $middleInitial = $_POST["middle-initial"];
    $lastName = $_POST["last-name"];
    $suffix = $_POST["suffix"];

    $birthDate = $_POST["birthdate"];

    $gender = $_POST["gender"];
    $otherGender = $_POST["other-gender"];
    $maritalStatus = $_POST["marital-status"];

    $addrStreet = $_POST["addr1"];
    $addrUnit = $_POST["addr2"];
    $addrCity = $_POST["city"];
    $addrState = $_POST["state"];
    $addrOtherState = $_POST["other-state"];
    $addrZip = $_POST["zip-code"];

    $ssn = $_POST["ssn"];
    $license = $_POST["license"];
    
    $refName = $_POST["ref-name"];
    $refRelate = $_POST["ref-relate"];
    $refNumber = $_POST["ref-number"];

    // Page 2 Data
    $primPhone = $_POST["prim-phone"];
    $homePhone = $_POST["home-phone"];
    $workPhone = $_POST["work-phone"];
    $workExt = $_POST["work-ext"];

    $primEmail = $_POST["prim-email"];
    $otherEmail = $_POST["other-email"];

    $prefComm = $_POST["pref-comm"];

    $emergeName = $_POST["alt-cont-name"];
    $emergeRelate = $_POST["alt-cont-relate"];
    $emergeNum = $_POST["alt-cont-num"];
    $emergeEmail = $_POST["alt-cont-email"];

    $sameAsEmergency = isset($_POST["same-kin"]) && $_POST["same-kin"] === "on";

    if ($sameAsEmergency) {
        $kinName = $emergeName;
        $kinRelate = $emergeRelate;
        $kinNum = $emergeNum;
        $kinEmail = $emergeEmail;
    } else {
        $kinName = $_POST["kin-name"];
        $kinRelate = $_POST["kin-relate"];
        $kinNum = $_POST["kin-num"];
        $kinEmail = $_POST["kin-email"];
    }

    $commAlt = $_POST["comm-alt"];

    // Page 3 Data
    $physName = $_POST["phys-name"];
    $physNum = $_POST["phys-num"];

    $pharName = $_POST["phar-name"];
    $pharNum = $_POST["phar-num"];

    $jobTitle = $_POST["job-title"];
    $jobName = $_POST["job-name"];
    $jobNum = $_POST["job-num"];

    $cardName = $_POST["card-name"];
    $cardNum = $_POST["card-num"];
    $ccexpDate = $_POST["ccexp-date"];
    $secCode = $_POST["sec-code"];
    $autoBill = $_POST["auto-bill"];
    $cardSig = $_POST["card-sig"];

    // Page 4 Data
    $insChoice = $_POST["insurance"];

    $primInsName = "";
    $primPolNum = "";
    $primGrpNum = "";
    $primExpDate = "";
    $primEmploy = "";
    $primOther = "";
    $primUpload = "";

    $secInsName = "";
    $secPolNum = "";
    $secGrpNum = "";
    $secExpDate = "";
    $secEmploy = "";
    $secOther = "";
    $secUpload = "";

    if ($insChoice == "Yes-Comm") {
    $primInsName = $_POST["prim-ins-name-COMM"];
    $primPolNum = $_POST["prim-pol-num-COMM"];
    $primGrpNum = $_POST["prim-grp-num-COMM"];
    $primExpDate = $_POST["prim-exp-date-COMM"];
    $primEmploy = $_POST["prim-employ-COMM"];
    $primOther = $_POST["prim-other-info-COMM"];
    $primUpload = $_FILES["upload-prim-ins-COMM"];

    } elseif ($insChoice == "Yes-GIMedSec") {
    $primInsName = $_POST["prim-ins-name-MED"];
    $primPolNum = $_POST["prim-pol-num-MED"];
    $primUpload = $_FILES["upload-prim-ins-MED"];
    $secInsName = $_POST["sec-ins-name"];
    $secPolNum = $_POST["sec-pol-num"];
    $secGrpNum = $_POST["sec-grp-num"];
    $secExpDate = $_POST["sec-exp-date"];
    $secEmploy = $_POST["sec-employ"];
    $secOther = $_POST["sec-other-info"];
    $secUpload = $_FILES["upload-sec-ins"];

    } elseif ($insChoice == "Yes-GIMed") {
        $primInsName = $_POST["prim-ins-name-MED"];
        $primPolNum = $_POST["prim-pol-num-MED"];
        $primUpload = $_FILES["upload-prim-ins-MED"];

    } elseif ($insChoice == "Yes-MedAdv") {
    $primInsName = $_POST["prim-ins-name-MEDADV"];
    $primPolNum = $_POST["prim-pol-num-MEDADV"];
    $primUpload = $_FILES["upload-prim-ins-MEDADV"];

    } elseif ($insChoice == "Yes-Medi") {
    $primInsName = $_POST["prim-ins-name-Medi"];
        $primPolNum = $_POST["prim-pol-num-Medi"];
        $primUpload = $_FILES["upload-prim-ins-Medi"];

    } elseif ($insChoice == "No") {
        // Handle the case where no insurance is selected
    }

    $frfPolicy = $_POST["frf-policy-sig"];
    $medPolicy = $_POST["med-policy-sig"];
    $medSecPolicy = $_POST["medSEC-policy-sig"];
    $refPolicy = $_POST["ref-policy-sig"];
    $medAdvPolicy = $_POST["medADV-policy-sig"];
    $medicaidPolicy = $_POST["medicaid-policy-sig"];
    $hipaaPolicy = $_POST["HIPAA-sig"];

    // Page 5 Data
    $pmh0 = $_POST["PMH-0"];
    $pmh1 = $_POST["PMH-1"];
    $pmh2 = $_POST["PMH-2"];
    $pmh3 = $_POST["PMH-3"];
    $pmh4 = $_POST["PMH-4"];
    $pmh5 = $_POST["PMH-5"];
    $pmh6 = $_POST["PMH-6"];
    $pmh7 = $_POST["PMH-7"];
    $pmh8 = $_POST["PMH-8"];
    $pmh9 = $_POST["PMH-9"];
    $pmh10 = $_POST["PMH-10"];
    $pmh11 = $_POST["PMH-11"];
    $pmh12 = $_POST["PMH-12"];
    $pmh13 = $_POST["PMH-13"];
    $pmh14 = $_POST["PMH-14"];
    $pmh15 = $_POST["PMH-15"];
    $pmh16 = $_POST["PMH-16"];
    $pmh17 = $_POST["PMH-17"];
    $pmh18 = $_POST["PMH-18"];
    $pmh19 = $_POST["PMH-19"];
    $pmh20 = $_POST["PMH-20"];
    $pmh21 = $_POST["PMH-21"];
    $pmh22 = $_POST["PMH-22"];
    $pmh23 = $_POST["PMH-23"];
    $pmh24 = $_POST["PMH-24"];
    $pmh25 = $_POST["PMH-25"];
    $pmh26 = $_POST["PMH-26"];
    $pmh27 = $_POST["PMH-27"];
    $pmh28 = $_POST["PMH-28"];
    $pmh29 = $_POST["PMH-29"];
    $pmh30 = $_POST["PMH-30"];
    $pmhOther = $_POST["PMH-otherEntry"];

    $psh0 = $_POST["PSH-0"];
    $psh1 = $_POST["PSH-1"];
    $psh2 = $_POST["PSH-2"];
    $psh3 = $_POST["PSH-3"];
    $psh4 = $_POST["PSH-4"];
    $psh5 = $_POST["PSH-5"];
    $psh6 = $_POST["PSH-6"];
    $psh7 = $_POST["PSH-7"];
    $psh8 = $_POST["PSH-8"];
    $psh9 = $_POST["PSH-9"];
    $psh10 = $_POST["PSH-10"];
    $psh11 = $_POST["PSH-11"];
    $psh12 = $_POST["PSH-12"];
    $psh13 = $_POST["PSH-13"];
    $psh14 = $_POST["PSH-14"];
    $psh15 = $_POST["PSH-15"];
    $psh16 = $_POST["PSH-16"];
    $psh17 = $_POST["PSH-17"];
    $psh18 = $_POST["PSH-18"];
    $psh19 = $_POST["PSH-19"];
    $psh20 = $_POST["PSH-20"];
    $psh21 = $_POST["PSH-21"];
    $psh22 = $_POST["PSH-22"];
    $psh23 = $_POST["PSH-23"];
    $psh24 = $_POST["PSH-24"];
    $psh25 = $_POST["PSH-25"];
    $psh26 = $_POST["PSH-26"];
    $psh27 = $_POST["PSH-27"];
    $psh28 = $_POST["PSH-28"];
    $psh29 = $_POST["PSH-29"];
    $psh30 = $_POST["PSH-30"];
    $psh31 = $_POST["PSH-31"];
    $psh32 = $_POST["PSH-32"];
    $psh33 = $_POST["PSH-33"];
    $psh34 = $_POST["PSH-34"];
    $psh35 = $_POST["PSH-35"];
    $psh36 = $_POST["PSH-36"];
    $psh37 = $_POST["PSH-37"];
    $psh38 = $_POST["PSH-38"];
    $psh39 = $_POST["PSH-39"];
    $psh40 = $_POST["PSH-40"];
    $psh41 = $_POST["PSH-41"];
    $psh42 = $_POST["PSH-42"];
    $psh43 = $_POST["PSH-43"];
    $psh44 = $_POST["PSH-44"];
    $psh45 = $_POST["PSH-45"];
    $pshOther = $_POST["PSH-otherEntry"];

    $poh0 = $_POST["POH-0"];
    $poh1 = $_POST["POH-1"];
    $poh2 = $_POST["POH-2"];
    $poh17 = $_POST["POH-17"];
    $poh3 = $_POST["POH-3"];
    $poh4 = $_POST["POH-4"];
    $poh5 = $_POST["POH-5"];
    $poh6 = $_POST["POH-6"];
    $poh7 = $_POST["POH-7"];
    $poh8 = $_POST["POH-8"];
    $poh9 = $_POST["POH-9"];
    $poh10 = $_POST["POH-10"];
    $poh11 = $_POST["POH-11"];
    $poh12 = $_POST["POH-12"];
    $poh13 = $_POST["POH-13"];
    $poh14 = $_POST["POH-14"];
    $poh15 = $_POST["POH-15"];
    $poh16 = $_POST["POH-16"];
    $poh18 = $_POST["POH-18"];
    $poh19 = $_POST["POH-19"];
    $poh20 = $_POST["POH-20"];
    $poh21 = $_POST["POH-21"];
    $poh22 = $_POST["POH-22"];
    $poh23 = $_POST["POH-23"];
    $poh24 = $_POST["POH-24"];
    $poh25 = $_POST["POH-25"];
    $poh26 = $_POST["POH-26"];
    $poh27 = $_POST["POH-27"];
    $poh28 = $_POST["POH-28"];
    $poh29 = $_POST["POH-29"];
    $poh30 = $_POST["POH-30"];
    $poh31 = $_POST["POH-31"];
    $pohOther = $_POST["POH-otherEntry"];

    $posh0 = $_POST["POSH-0"];
    $posh1 = $_POST["POSH-1"];
    $posh2 = $_POST["POSH-2"];
    $posh3 = $_POST["POSH-3"];
    $posh4 = $_POST["POSH-4"];
    $posh5 = $_POST["POSH-5"];
    $posh6 = $_POST["POSH-6"];
    $posh10 = $_POST["POSH-10"];
    $posh8 = $_POST["POSH-8"];
    $posh11 = $_POST["POSH-11"];
    $posh12 = $_POST["POSH-12"];
    $posh13 = $_POST["POSH-13"];
    $posh14 = $_POST["POSH-14"];
    $posh15 = $_POST["POSH-15"];
    $posh16 = $_POST["POSH-16"];
    $posh17 = $_POST["POSH-17"];
    $posh18 = $_POST["POSH-18"];
    $posh19 = $_POST["POSH-19"];
    $posh20 = $_POST["POSH-20"];
    $posh21 = $_POST["POSH-21"];
    $posh22 = $_POST["POSH-22"];
    $posh23 = $_POST["POSH-23"];
    $posh24 = $_POST["POSH-24"];
    $posh25 = $_POST["POSH-25"];
    $posh26 = $_POST["POSH-26"];
    $posh27 = $_POST["POSH-27"];
    $posh28 = $_POST["POSH-28"];
    $posh29 = $_POST["POSH-29"];
    $posh30 = $_POST["POSH-30"];
    $posh31 = $_POST["POSH-31"];
    $posh32 = $_POST["POSH-32"];
    $posh33 = $_POST["POSH-33"];
    $posh34 = $_POST["POSH-34"];
    $posh35 = $_POST["POSH-35"];
    $posh36 = $_POST["POSH-36"];
    $posh37 = $_POST["POSH-37"];
    $posh38 = $_POST["POSH-38"];
    $posh39 = $_POST["POSH-39"];
    $posh40 = $_POST["POSH-40"];
    $posh41 = $_POST["POSH-41"];
    $posh42 = $_POST["POSH-42"];
    $posh43 = $_POST["POSH-43"];
    $posh44 = $_POST["POSH-44"];
    $posh45 = $_POST["POSH-45"];
    $posh46 = $_POST["POSH-46"];
    $posh47 = $_POST["POSH-47"];
    $posh48 = $_POST["POSH-48"];
    $poshOther = $_POST["POSH-otherEntry"];


    $fhNone = $_POST["FH-0"];
    $glauNone = $_POST["GLAU-0"];
    $glauMOM = $_POST["GLAU-MOM"];
    $glauDAD = $_POST["GLAU-DAD"];
    $glauSIS = $_POST["GLAU-SIS"];
    $glauBRO = $_POST["GLAU-BRO"];
    
    $catNone = $_POST["CAT-0"];
    $catMOM = $_POST["CAT-MOM"];
    $catDAD = $_POST["CAT-DAD"];
    $catSIS = $_POST["CAT-SIS"];
    $catBRO = $_POST["CAT-BRO"];
    
    $macdNone = $_POST["MACD-0"];
    $macdMOM = $_POST["MACD-MOM"];
    $macdDAD = $_POST["MACD-DAD"];
    $macdSIS = $_POST["MACD-SIS"];
    $macdBRO = $_POST["MACD-BRO"];

    $omelNone = $_POST["OMEL-0"];
    $omelMOM = $_POST["OMEL-MOM"];
    $omelDAD = $_POST["OMEL-DAD"];
    $omelSIS = $_POST["OMEL-SIS"];
    $omelBRO = $_POST["OMEL-BRO"];


    $shNone = $_POST["SH-0"];

    $csNone = isset($_POST["CS-0"]) && $_POST["CS-0"] == "CS-0" ? 'CS-0' : '';
    $csFS = isset($_POST["CigaretteSmoking"]) && $_POST["CigaretteSmoking"] == "CS-FS" ? 'CS-FS' : '';
    $csCSD = isset($_POST["CigaretteSmoking"]) && $_POST["CigaretteSmoking"] == "CS-CSD" ? 'CS-CSD' : '';
    $csCE = isset($_POST["CigaretteSmoking"]) && $_POST["CigaretteSmoking"] == "CS-CE" ? 'CS-CE' : '';

    $auNone = isset($_POST["AU-0"]) && $_POST["AU-0"] == "AU-0" ? 'AU-0' : '';
    $au1D = isset($_POST["AlcoholUse"]) && $_POST["AlcoholUse"] == "AU-1D" ? 'AU-1D' : '';
    $au2D = isset($_POST["AlcoholUse"]) && $_POST["AlcoholUse"] == "AU-2D" ? 'AU-2D' : '';
    $au3D = isset($_POST["AlcoholUse"]) && $_POST["AlcoholUse"] == "AU-3D" ? 'AU-3D' : '';


    $algNone = $_POST["ALG-0"];
    $algEntry = $_POST["ALG-entry"];
    
    $medNone = $_POST["MED-0"];
    $medEntry = $_POST["MED-entry"];


    $ros0 = $_POST["ROS-0"];
    $ros1 = $_POST["ROS-1"];
    $ros2 = $_POST["ROS-2"];
    $ros3 = $_POST["ROS-3"];
    $ros4 = $_POST["ROS-4"];
    $ros5 = $_POST["ROS-5"];
    $ros6 = $_POST["ROS-6"];
    $ros7 = $_POST["ROS-7"];
    $ros8 = $_POST["ROS-8"];
    $ros9 = $_POST["ROS-9"];
    $ros10 = $_POST["ROS-10"];
    $ros11 = $_POST["ROS-11"];
    $ros12 = $_POST["ROS-12"];
    $ros13 = $_POST["ROS-13"];
    $ros14 = $_POST["ROS-14"];
    $ros15 = $_POST["ROS-15"];
    $ros16 = $_POST["ROS-16"];
    $ros17 = $_POST["ROS-17"];
    $ros18 = $_POST["ROS-18"];
    $ros19 = $_POST["ROS-19"];
    $ros20 = $_POST["ROS-20"];
    $ros21 = $_POST["ROS-21"];
    $ros22 = $_POST["ROS-22"];
    $ros23 = $_POST["ROS-23"];
    $ros24 = $_POST["ROS-24"];
    $ros25 = $_POST["ROS-25"];
    $ros26 = $_POST["ROS-26"];
    $ros27 = $_POST["ROS-27"];
    $ros28 = $_POST["ROS-28"];
    $ros29 = $_POST["ROS-29"];
    $ros30 = $_POST["ROS-30"];
    $ros31 = $_POST["ROS-31"];
    $ros32 = $_POST["ROS-32"];
    $ros33 = $_POST["ROS-33"];
    $ros34 = $_POST["ROS-34"];
    $ros35 = $_POST["ROS-35"];
    $ros36 = $_POST["ROS-36"];
    $ros37 = $_POST["ROS-37"];
    $ros38 = $_POST["ROS-38"];
    $ros39 = $_POST["ROS-39"];

  
    // Create an array to store each row of data
    $rows = array();

    // Page 1 Data
    $page1Data = array(
        "Account Number" => $acctNumber, "Patient Type" => $patientType, "Prefix" => $prefix, "Other Prefix" => $otherPrefix, "First Name" => $firstName, "Middle Initial" => $middleInitial,
        "Last Name" => $lastName, "Suffix" => $suffix, "birthdate" => $birthDate, "Gender" => $gender, "Other Gender" => $otherGender, "Marital Status" => $maritalStatus,
        "Street Address" => $addrStreet, "Unit Number" => $addrUnit, "City" => $addrCity, "State" => $addrState,
        "Other State" => $addrOtherState, "Zip Code" => "'" . $addrZip, "SSN" => $ssn, "Driver's License Number" => $license,
        "Referral Name" => $refName, "Referral Relationship" => $refRelate, "Referral Number" => $refNumber
    );

    // Page 2 Data
    $page2Data = array(
        "Primary Phone" => $primPhone, "Home Phone" => $homePhone, "Work Phone" => $workPhone, "Work Extension" => $workExt,
        "Primary Email" => "", // Initialize with empty values
        "Other Email" => "", // Initialize with empty values
        "Communication Preference" => $prefComm,
        "Emergency Contact Name" => $emergeName, "Emergency Contact Relationship" => $emergeRelate,
        "Emergency Contact Phone Number" => $emergeNum, "Emergency Contact Email" => $emergeEmail,
        "Next of Kin Name" => $kinName, "Next of Kin Relationship" => $kinRelate,
        "Next of Kin Phone Number" => $kinNum, "Next of Kin Email" => $kinEmail,
        "Alternate Communication Method" => $commAlt
    );

    // Check if the "no-email" checkbox is not checked, and if so, update the email values
    if (!isset($_POST["no-email"]) || (isset($_POST["no-email"]) && $_POST["no-email"] !== "on")) {
        $page2Data["Primary Email"] = $_POST["prim-email"];
        $page2Data["Other Email"] = $_POST["other-email"];
    }

    // Page 3 Data
    $page3Data = array(
        "Physician Name" => $physName, "Physician Phone Number" => $physNum,
        "Pharmacy Name" => $pharName, "Pharmacy Phone Number" => $pharNum,
        "Employer Title" => $jobTitle, "Employer Name" => $jobName, "Employer Phone Number" => $jobNum,
        "Name on Card" => $cardName, "Card Number" => "'" . $cardNum, "Expiration Date" => "'" . $ccexpDate,
        "Security Code" => $secCode, "AutoBill" => $autoBill, "Card Signature" => $cardSig
    );

    // Page 4 Data
    $page4Data = array(
        "Insurance Choice" => $insChoice, "Primary Insurance Name" => $primInsName, "Primary Policy Number" => $primPolNum,
        "Primary Group Number" => $primGrpNum, "Primary Expire Date" => $primExpDate, "Primary Employer" => $primEmploy,
        "Primary Other Info" => $primOther, "Secondary Insurance Name" => $secInsName, "Secondary Policy Number" => $secPolNum,
        "Secondary Group Number" => $secGrpNum, "Secondary Expire Date" => $secExpDate, "Secondary Employer" => $secEmploy,
        "Secondary Other Info" => $secOther, "FRF Policy Signature" => $frfPolicy, "Medicare Policy Signature" => $medPolicy,
        "Medicare-Sec Policy Signature" => $medSecPolicy, "Refraction Policy Signature" => $refPolicy, "Medical ADV Policy Signature" => $medAdvPolicy,
        "Medicaid Policy Signature" => $medicaidPolicy, "HIPAA Policy Signature" => $hipaaPolicy
    );

    // Page 5 Data
    $page5Data = array(
        "PMH0" => $pmh0, "PMH1" => $pmh1, "PMH2" => $pmh2, "PMH3" => $pmh3, "PMH4" => $pmh4, "PMH5" => $pmh5, "PMH6" => $pmh6, "PMH7" => $pmh7, "PMH8" => $pmh8, "PMH9" => $pmh9,
        "PMH10" => $pmh10, "PMH11" => $pmh11, "PMH12" => $pmh12, "PMH13" => $pmh13, "PMH14" => $pmh14, "PMH15" => $pmh15, "PMH16" => $pmh16, "PMH17" => $pmh17, "PMH18" => $pmh18, "PMH19" => $pmh19,
        "PMH20" => $pmh20, "PMH21" => $pmh21, "PMH22" => $pmh22, "PMH23" => $pmh23, "PMH24" => $pmh24, "PMH25" => $pmh25, "PMH26" => $pmh26, "PMH27" => $pmh27, "PMH28" => $pmh28, "PMH29" => $pmh29,
        "PMH30" => $pmh30, "PMH Other" => $pmhOther,
        "PSH0" => $psh0, "PSH1" => $psh1, "PSH2" => $psh2, "PSH3" => $psh3, "PSH4" => $psh4, "PSH5" => $psh5, "PSH6" => $psh6, "PSH7" => $psh7, "PSH8" => $psh8, "PSH9" => $psh9,
        "PSH10" => $psh10, "PSH11" => $psh11, "PSH12" => $psh12, "PSH13" => $psh13, "PSH14" => $psh14, "PSH15" => $psh15, "PSH16" => $psh16, "PSH17" => $psh17, "PSH18" => $psh18, "PSH19" => $psh19,
        "PSH20" => $psh20, "PSH21" => $psh21, "PSH22" => $psh22, "PSH23" => $psh23, "PSH24" => $psh24, "PSH25" => $psh25, "PSH26" => $psh26, "PSH27" => $psh27, "PSH28" => $psh28, "PSH29" => $psh29,
        "PSH30" => $psh30, "PSH31" => $psh31, "PSH32" => $psh32, "PSH33" => $psh33, "PSH34" => $psh34, "PSH35" => $psh35, "PSH36" => $psh36, "PSH37" => $psh37, "PSH38" => $psh38, "PSH39" => $psh39, 
        "PSH40" => $psh40, "PSH41" => $psh41, "PSH42" => $psh42, "PSH43" => $psh43, "PSH44" => $psh44, "PSH45" => $psh45, "PSH Other" => $pshOther,
        "POH0" => $poh0, "POH1" => $poh1, "POH2" => $poh2, "POH17" => $poh17, "POH3" => $poh3, "POH4" => $poh4, "POH5" => $poh5, "POH6" => $poh6, "POH7" => $poh7, "POH8" => $poh8, "POH9" => $poh9,
        "POH10" => $poh10, "POH11" => $poh11, "POH12" => $poh12, "POH13" => $poh13, "POH14" => $poh14, "POH15" => $poh15, "POH16" => $poh16, "POH18" => $poh18, "POH19" => $poh19,
        "POH20" => $poh20, "POH21" => $poh21, "POH22" => $poh22, "POH24" => $poh24, "POH23" => $poh23, "POH25" => $poh25, "POH26" => $poh26, "POH27" => $poh27, "POH28" => $poh28, "POH29" => $poh29,
        "POH30" => $poh30, "POH31" => $poh31, "POH Other" => $pohOther,
        "POSH0" => $posh0, "POSH1" => $posh1, "POSH2" => $posh2, "POSH3" => $posh3, "POSH4" => $posh4, "POSH5" => $posh5, "POSH6" => $posh6, "POSH10" => $posh10,
        "POSH8" => $posh8, "POSH11" => $posh11, "POSH12" => $posh12, "POSH13" => $posh13, "POSH14" => $posh14, "POSH15" => $posh15, "POSH16" => $posh16, "POSH17" => $posh17, "POSH18" => $posh18, "POSH19" => $posh19,
        "POSH20" => $posh20, "POSH21" => $posh21, "POSH22" => $posh22, "POSH23" => $posh23, "POSH24" => $posh24, "POSH25" => $posh25, "POSH26" => $posh26, "POSH27" => $posh27, "POSH28" => $posh28, "POSH29" => $posh29,
        "POSH30" => $posh30, "POSH31" => $posh31, "POSH32" => $posh32, "POSH33" => $posh33, "POSH34" => $posh34, "POSH35" => $posh35, "POSH36" => $posh36, "POSH37" => $posh37, "POSH38" => $posh38, "POSH39" => $posh39, 
        "POSH40" => $posh40, "POSH41" => $posh41, "POSH42" => $posh42, "POSH43" => $posh43, "POSH44" => $posh44, "POSH45" => $posh45, "POSH46" => $posh46, "POSH47" => $posh47, "POSH48" => $posh48, "POSH Other" => $poshOther,

        "FH-0" => $fhNone, "GLAU-0" => $glauNone, "GLAU-MOM" => $glauMOM, "GLAU-DAD" => $glauDAD, "GLAU-SIS" => $glauSIS, "GLAU-BRO" => $glauBRO,
        "CAT-0" => $catNone, "CAT-MOM" => $catMOM, "CAT-DAD" => $catDAD, "CAT-SIS" => $catSIS, "CAT-BRO" => $catBRO,
        "MACD-0" => $macdNone, "MACD-MOM" => $macdMOM, "MACD-DAD" => $macdDAD, "MACD-SIS" => $macdSIS, "MACD-BRO" => $macdBRO,
        "OMEL-0" => $omelNone, "OMEL-MOM" => $omelMOM, "OMEL-DAD" => $omelDAD, "OMEL-SIS" => $omelSIS, "OMEL-BRO" => $omelBRO,

        "SH-0" => $shNone, "CS-0" => $csNone, "CS-FS" => $csFS, "CS-CSD" => $csCSD, "CS-CE" => $csCE,
        "AU-0" => $auNone, "AU-1D" => $au1D, "AU-2D" => $au2d, "AU-3D" => $au3D,

        "ALG-0" => $algNone, "ALG-entry" => $algEntry, "MED-0" => $medNone, "MED-entry" => $medEntry,

        "ROS0" => $ros0, "ROS1" => $ros1, "ROS2" => $ros2, "ROS3" => $ros3, "ROS4" => $ros4, "ROS5" => $ros5, "ROS6" => $ros6, "ROS7" => $ros7, "ROS8" => $ros8, "ROS9" => $ros9,
        "ROS10" => $ros10, "ROS11" => $ros11, "ROS12" => $ros12, "ROS13" => $ros13, "ROS14" => $ros14, "ROS15" => $ros15, "ROS16" => $ros16, "ROS17" => $ros17, "ROS18" => $ros18, "ROS19" => $ros19,
        "ROS20" => $ros20, "ROS21" => $ros21, "ROS22" => $ros22, "ROS23" => $ros23, "ROS24" => $ros24, "ROS25" => $ros25, "ROS26" => $ros26, "ROS27" => $ros27, "ROS28" => $ros28, "ROS29" => $ros29,
        "ROS30" => $ros30, "ROS31" => $ros31, "ROS32" => $ros32, "ROS33" => $ros33, "ROS34" => $ros34, "ROS35" => $ros35, "ROS36" => $ros36, "ROS37" => $ros37, "ROS38" => $ros38, "ROS39" => $ros39,


    );

    // Combine all data
    $allData = array_merge($page1Data, $page2Data, $page3Data, $page4Data, $page5Data);

    // Construct the CSV data
    $csvData = '';
    foreach ($allData as $field => $value) {
        $csvData .= '"' . $field . '","' . $value . "\"\n";
    }

        // Email the CSV
        $mail = new PHPMailer();

        // SMTP configuration (replace with your SMTP settings)
        $mail->isSMTP();
        $mail->Host = 'server.i-lovetraffic.online';
        $mail->SMTPAuth = true;
        $mail->Username = 'send@i-lovetraffic.online'; // Replace with your Outlook email address
        $mail->Password = 'WGrr--Y0Q78X'; // Replace with your Outlook email password
        $mail->SMTPSecure = 'ssl';
        $mail->Port = 465;

        // Sender and recipient information
        $mail->setFrom('send@i-lovetraffic.online', 'TEST Registration'); // Replace with your Outlook email and name
        $mail->addAddress('naturesky0411@gmail.com', 'TEST');
        $mail->Subject = 'KIOSK PT SUBMIT IN PROGRESS (' . $lastName . ', ' . $firstName . ')';

        // Attach the CSV file
        $mail->addStringAttachment($csvData, 'patient_data.csv', 'base64', 'text/csv');

        // File upload handling and attachment
        $fileUploadNames = ['upload-license', 'upload-prim-ins', 'upload-sec-ins'];
        foreach ($fileUploadNames as $uploadName) {
            if (isset($_FILES[$uploadName])) {
                $targetFile = $uploadDirectory . basename($_FILES[$uploadName]['name']);
                if (move_uploaded_file($_FILES[$uploadName]['tmp_name'], $targetFile)) {
                    $mail->addAttachment($targetFile); // Add file attachment
                } else {
                    echo "error_file_upload"; // File upload failed
                    return; // Consider adding proper error handling
                }
            }
        }
            // Email content
        $mail->isHTML(false);
        $mail->Body = 'There is currently a patient being processed in our systems.' . "\n\n" . 'You will receive an email when that is complete, so please disregard this.';

        // Send the email
        if ($mail->send()) {
            echo "success"; // Email sent and file uploaded successfully
        } else {
            // Email sending failed
            echo "error_email_send";
        }
    } else {
    // Handle invalid request
    echo "Invalid request method.";
}
?>