<!doctype html>
<html lang="en">
  <head>
    
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title><?php lfm_sitename(); ?></title>
    
    <!-- Bootstrap Stylesheet -->
    <link href="<?php echo $theme_dir.'/'; ?>style_files/css/bootstrap.min.css" rel="stylesheet">
    
    <!-- Font Awesome Free Stylesheet -->
    <link href="<?php echo $theme_dir.'/'; ?>style_files/css/fontawesome-icons.min.css" rel="stylesheet">
    
    <!-- Main LFM Stylesheet -->
    <link href="<?php echo $theme_dir.'/'; ?>style.css" rel="stylesheet">
    
    <?php lfm_head(); ?>
    
  </head>

<?php if(function_exists('fabint')) { fabint(); } ?>

<body>

<!-- Required Bootstrap Javascript Files -->
<script src="<?php echo $theme_dir.'/'; ?>style_files/js/jquery.min.js"></script>
<script src="<?php echo $theme_dir.'/'; ?>style_files/js/bootstrap.bundle.min.js"></script>

<!-- Typed.js Animated Text Javascript File -->
<script src="<?php echo $theme_dir.'/'; ?>style_files/js/typed.min.js"></script>

<div class="lfm_menu_bar">
	<nav class="navbar navbar-expand-lg">
		
		<!-- Header in desktop mode -->
		<a class="d-none d-lg-block" href="members.php"><img class="lfm_menu_logo" src="themes/LFMTE_default/logo.png" alt="Logo"></a>
		
		<!-- Header in mobile mode -->
		<a class="d-lg-none navbar-toggler dropdown-toggle text-white" data-toggle="collapse" data-target="#lfm_members_mainmenu" aria-controls="lfm_members_mainmenu" aria-expanded="false" aria-label="Toggle navigation" href="#"><img class="lfm_menu_logo" src="themes/LFMTE_default/logo.png" alt="Logo"></a>
		
		<!-- Main menu -->
		<div class="navbar-collapse collapse" id="lfm_members_mainmenu">
			<ul class="nav navbar-nav">
			
			<?php
			if(isset($_SESSION["uid"]) && $_SESSION["uid"] != "") {
				$prefix = $_SESSION["prefix"];
				
				if (isset($_GET['tabid'])) {
					$tabid = $_GET['tabid'];
				} elseif (isset($_SESSION['tabid'])) {
					$tabid = $_SESSION['tabid'];
				} else {
					$tabid = 'home';
				}
				$_SESSION['tabid'] = $tabid;
			?>
			
				<li class="nav-item<?php if($tabid == 'home') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false"> <i class="fas fa-home"></i> Home</a>
					<ul class="lfm_menu_tab nav">

<? if(get_setting("enablemenu_home") == "1") { ?><li><a href="members.php?tabid=home"><span>Members Area</span></a></li><? } ?>

<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown">Affiliates<b class="caret"></b></a>
<ul class="dropdown-menu">
	<? if(get_setting("enablemenu_promote") == "1") { ?><li><a href="members.php?mf=li&tabid=home"><span>Affiliate Toolbox</span></a></li><? } ?>
	
	<? if(get_setting("enablemenu_makemoney") == "1") { ?><li><a href="members.php?mf=mc&tabid=home"><span>Commissions</span></a></li><? } ?>
	
	<? if(get_setting("enablemenu_ref") == "1") { ?><li><a href="members.php?mf=mr&tabid=home"><span>Referrals</span></a></li><? } ?>
	
	<? if(get_setting("enablemenu_dlb") == "1") { ?><li><a href="members.php?mf=dlb&tabid=home"><span>Downline Builder</span></a></li><? } ?>
	
	<?php
	// Personalized Banners Plugin
	if (file_exists('promo_banners.php')) {
		echo('<li><a href="promo_banners.php?tabid=home"><span>Personal Banners</span></a></li>');
	}
	?>
	
	<?php
	// Personalized Splash Plugin
	if (file_exists('promo_info.php')) {
		echo('<li><a href="promo_info.php?tabid=home"><span>Personal Splashes</span></a></li>');
	}
	?>
</ul>
</li>

<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown">Account<b class="caret"></b></a>
<ul class="dropdown-menu">
	
	<?php
	// Private Messages Plugin
	if (file_exists('pmessages.php')) {
		echo('<li><a href="pmessages.php?tabid=home"><span>Private Messages</span></a></li>');
	}
	?>
	
	<?php
	// Coupons Plugin
	if (file_exists('mycoupons.php')) {
		$couponsenabled = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."coupsets` WHERE field='modenabled'"), 0); if ($couponsenabled == 1) { ?> <li><a href="mycoupons.php?tabid=home"><span>My Coupons</span></a></li> <?php }
	}
	?>
	
	<? if(get_setting("enablemenu_profile") == "1") { ?><li><a href="members.php?mf=pf&tabid=home"><span>Profile</span></a></li><? } ?>
	
	<?php
	// Authorize.net
	$checkauthnet = lfmsql_result(lfmsql_query("SELECT COUNT(*) FROM ".$_SESSION["prefix"]."ipn_merchants WHERE name='AuthNet' AND CHAR_LENGTH(payee) > 0"), 0);
	if ($checkauthnet > 0) {
	?>
	<li><a href="authnet_paymethods.php"><span>Payment Methods</span></a></li>
	<li><a href="authnet_subs.php"><span>Subscriptions</span></a></li>
	<? } ?>
	
	<?php
	// Social Profiles Plugin
	if (file_exists('myprofile_info.php')) {
		$getprofilesenabled = lfmsql_query("Select value from `profiles_settings` where field='enabled'"); if (lfmsql_num_rows($getprofilesenabled) > 0) { $profilesenabled = lfmsql_result($getprofilesenabled, 0, "value"); if ($profilesenabled == 1) { echo('<li><a href="myprofile_info.php?tabid=home"><span>Social Profile</span></a></li>'); } }
	}
	?>
	
	<?php
	// Piggy Bank Plugin
	if (file_exists('piggybank.php')) {
		$enablepiggy = @lfmsql_result(@lfmsql_query("Select value from `".$_SESSION["prefix"]."piggybank_settings` where field='enabled'"), 0); if ($enablepiggy > 0) { $balancename = @lfmsql_result(@lfmsql_query("Select value from `".$_SESSION["prefix"]."piggybank_settings` where field='balancename'"), 0); echo('<li><a href="piggybank.php?tabid=home"><span>'.$balancename.'</span></a></li>'); }
	}
	?>
	
	<?php
	// Social Branding Plugin
	if (file_exists('social_branding.php')) {
		echo('<li><a href="social_branding.php?tabid=home"><span>Social Branding</span></a></li>');
	}
	?>
	
	<? if(get_setting("enablemenu_downloads") == "1") { ?><li><a href="members.php?mf=md&tabid=home"><span>Downloads</span></a></li><? } ?>
	
	<? if(get_setting("enablemenu_upgrade") == "1") { ?><li><a href="members.php?mf=ug&tabid=home"><span>Upgrade</span></a></li><? } ?>
</ul>
</li>

<li><a href="faqs.php?tabid=home"><span>Support</span></a></li>

<? if(get_setting("enablemenu_forum") == "1") { ?><li><a href="/forum/"><span>Forum</span></a></li><? } ?>

<?php lfm_show_user_menu(); ?>

<? if(get_setting("enablemenu_logout") == "1") { ?><li><a href="members.php?mf=lo"><span>Logout</span></a></li><? } ?>

					</ul>
				</li>
			
				<li class="nav-item<?php if($tabid == 'surf') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false"> Surfing Center</a>
					<ul class="lfm_menu_tab nav">
						
	<li><a href="surfing.php"><span>Surf</span></a></li>
	
<?php if (file_exists('claim.php') || file_exists('surfcode.php') || file_exists('bonuscard.php')) { ?>
<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown">Rewards<b class="caret"></b></a>
<ul class="dropdown-menu">

	<?php
	// Surfer Rewards Plugin
	if (file_exists('claim.php')) {
		echo('<li><a href="claim.php?tabid=surf"><span>Surfer Rewards</span></a></li>');
	}
	?>
	
	<?php
	// Surf Promo Code Plugin
	if (file_exists('surfcode.php')) {
		echo('<li><a href="surfcode.php?tabid=surf"><span>Enter Surf Code</span></a></li>');
	}
	?>
	
	<?php
	// Bonus Card Game
	if (file_exists('bonuscard.php')) {
		$getbcardsettings=lfmsql_query("SELECT * FROM ".$_SESSION["prefix"]."bonuscardset");
		if(lfmsql_num_rows($getbcardsettings) > 0) {
			while ($gbcardsettings = lfmsql_fetch_array($getbcardsettings)) {
				$bcardsetid = $gbcardsettings['field'];
				$bcardsetting[$bcardsetid] = $gbcardsettings['value'];
			}
			if($bcardsetting['enabled'] == 1) {
				echo('<li><a href="bonuscard.php?tabid=surf"><span>Bonus Card</span></a></li>');
			}
		}
	}
	?>

</ul>
</li>
<?php } ?>
	
	<?php
	// Traffic Pods Plugin
	if (file_exists('trafficpods_info.php')) {
		echo('<li><a href="trafficpods_info.php?tabid=surf"><span>TrafficPods</span></a></li>');
	}
	?>
	
	<?php
	// Team Surfing Plugin
	if (file_exists('teamsurf_teams.php')) {
		echo('<li><a href="teamsurf_teams.php?tabid=surf"><span>Team Surfing</span></a></li>');
	}
	?>
	
	<?php
	// Easy Competitions Plugin
	if (file_exists('super_leaderboard.php')) {
		$getlbsettings=lfmsql_query("SELECT * FROM ".$_SESSION["prefix"]."superlbset");
		if(lfmsql_num_rows($getlbsettings) > 0) {
			while ($glbsettings = lfmsql_fetch_array($getlbsettings)) {
				$lbsetid = $glbsettings['field'];
				$lbsetting[$lbsetid] = $glbsettings['value'];
			}
			if($lbsetting['menuenabled'] == 1) {
				echo('<li><a href="super_leaderboard.php?tabid=surf"><span>'.$lbsetting['menutitle'].'</span></a></li>');
			}
		}
	}
	?>
	
	<?php
	// Prize Wheel Plugin
	if (file_exists('prizewheel.php')) {
		$getpwheelsettings=lfmsql_query("SELECT * FROM ".$_SESSION["prefix"]."pwheelsettings");
		if(lfmsql_num_rows($getpwheelsettings) > 0) {
			while ($gpwheelsettings = lfmsql_fetch_array($getpwheelsettings)) {
				$pwheelsetid = $gpwheelsettings['field'];
				$pwheelsetting[$pwheelsetid] = $gpwheelsettings['value'];
			}
			if($pwheelsetting['enablepwheel'] == 1 && $pwheelsetting['menuenabled'] == 1) {
				echo('<li style="cursor:pointer;" onClick="window.open(\'prizewheel.php\',\'prize_wheel\',\'width=700, height=585\');"><a><span>'.$pwheelsetting['menutitle'].'</span></a></li>');
			}
		}
	}
	?>
	
	<?php
	// Weekly Bonus Plugin
	if (file_exists('weeklybonus.php')) {
		$getsettings = @lfmsql_query("SELECT * FROM ".$_SESSION["prefix"]."weeklybonussettings WHERE id=1 LIMIT 1;");
		if (@lfmsql_num_rows($getsettings) > 0) {
			$pagetitle = lfmsql_result($getsettings, 0, "title");
			echo("<li><a href=\"weeklybonus.php?tabid=surf\"><span>".$pagetitle."</span></a></li>");
		}
	}
	?>
	
	<?php
	// Surfer Jetfuel Plugin
	if (file_exists('buy_jetfuel.php')) {
		$page_enabled = @lfmsql_result(@lfmsql_query("SELECT value FROM ".$_SESSION["prefix"]."jetfuel_settings WHERE field='page_enabled'"), 0);
		if ($page_enabled == "1") {
			echo('<li><a href="buy_jetfuel.php?tabid=surf"><span>Surfer Jetfuel</span></a></li>');
		}
	}
	?>
						
					</ul>
				</li>
				
				<li class="nav-item<?php if($tabid == 'ads') { echo ' lfm_tab_opened'; } ?>"><a class="nav-link" href="#" role="button" aria-expanded="false"> My Ads</a>
					<ul class="lfm_menu_tab nav">

<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown">Manage Ads<b class="caret"></b></a>
<ul class="dropdown-menu">
	
	<li><a href="mysites.php?tabid=ads"><span>Sites</span></a></li>
	
	<li><a href="mybanners.php?tabid=ads"><span>Banners</span></a></li>
	
	<?php
	// Square Banners Plugin
	if (file_exists('mysqbans.php')) {
		$sqbansenabled = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."sqban_settings` WHERE field='sqban_enabled'"), 0);
		if ($sqbansenabled == 1) {
			echo('<li><a href="mysqbans.php?tabid=ads"><span>Square Banners</span></a></li>');
		}
	}
	?>
	
	<li><a href="mytexts.php?tabid=ads"><span>Text Ads</span></a></li>
	
	<?php
	// Mini Branders Plugin
	if (file_exists('mybranders.php')) {
		$mbrandsenabled = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."mbrandset` WHERE field='mbrand_enabled'"), 0); if ($mbrandsenabled == 1) { ?> <li><a href="mybranders.php?tabid=ads"><span>Mini Branders</span></a></li> <?php }
	}
	?>
	
	<?php
	// Peel Ads Plugin
	if (file_exists('mypeels.php')) {
		$peelsenabled = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."peel_settings` WHERE field='peel_enabled'"), 0);
		if ($peelsenabled == 1) {
			echo('<li><a href="mypeels.php?tabid=ads"><span>Peel Ads</span></a></li>');
		}
	}
	?>
	
</ul>
</li>


<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown">Credits<b class="caret"></b></a>
<ul class="dropdown-menu">
	<li><a href="autoassign.php?tabid=ads"><span>Auto Assign</span></a></li>
	<li><a href="buycredits.php?tabid=ads"><span>Buy Credits</span></a></li>
</ul>
</li>


	<?php
	// Rotator/Tracker Plugin
	if (file_exists('myrotators.php')) {
		echo('<li><a href="myrotators.php?tabid=ads"><span>Rotators</span></a></li>');
	}
	?>
	
	<?php
	// Auto Monthly Bonuses Plugin
	if (file_exists('ab_autoassign.php')) {
		$autobenabled = @lfmsql_result(@lfmsql_query("SELECT value FROM `".$prefix."abonsets` WHERE field='modenabled'"), 0); if ($autobenabled == 1) { ?> <li><a href="ab_autoassign.php?tabid=ads"><span>Monthly Bonuses</span></a></li> <?php }
	}
	?>
	
	<?php
	// Get The Spot Plugin
	if (file_exists('thespot.php')) {
		$getlbsettings=lfmsql_query("SELECT value FROM ".$_SESSION["prefix"]."thespot WHERE field='ssenabled'");
		if(lfmsql_num_rows($getlbsettings) > 0) {
			$spotmenuenabled = lfmsql_result($getlbsettings, 0, "value");
			if($spotmenuenabled == 1) {
				echo('<li><a href="thespot.php?tabid=ads"><span>Get The Spot</span></a></li>');
			}
		}
	}
	?>
	
	<?php
	// Remember My Site Plugin
	if (file_exists('memquest_buy.php')) {
		$getmqsettings=lfmsql_query("SELECT * FROM ".$_SESSION["prefix"]."prevpgmset WHERE mtid=0 ");
		if(lfmsql_num_rows($getmqsettings) > 0) {
			while ($gmqsettings = lfmsql_fetch_array($getmqsettings)) {
				$mqsetid = $gmqsettings['field'];
				$mqsetting[$mqsetid] = $gmqsettings['value'];
			}
			if($mqsetting['ppenabled'] == 1 && $mqsetting['sellslots'] == 1) {
				echo('<li><a href="memquest_buy.php?tabid=ads"><span>Memory Sites</span></a></li>');
			}
		}
	}
	?>
	
	<?php
	// Reserved Pageviews Plugin
	if (file_exists('buyslots.php')) {
		echo('<li><a href="buyslots.php?tabid=ads"><span>Reserve A Page</span></a></li>');
	}
	?>
	
	<?php
	// Login Spotlight Plugin
	if (file_exists('spotlight.php')) {
		echo('<li><a href="spotlight.php?tabid=ads"><span>Login Spotlight</span></a></li>');
	}
	?>
	
					</ul>
				</li>
			
			<?php } else { ?>
			
			<li class="nav-item lfm_tab_opened"><a class="nav-link" href="#" role="button" aria-expanded="false"> <i class="fas fa-home"></i> Home</a>
				<ul class="lfm_menu_tab nav">
					<li><a href="index.php"><span>Home</span></a></li>
					<li><a href="login.php"><span>Login</span></a></li>
					<li><a href="signup.php"><span>Signup</span></a></li>
					<li><a href="faqs.php"><span>FAQs</span></a></li>
				</ul>
			</li>
			
			<?php } ?>
			</ul>
		</div>
	</nav>
</div>


<!-- Javascript for the main menu -->
<script>
$(document).ready(function() {
	$('.nav-link').on('click', function(e) {
		var parent = $(this).parent();
		var openedTabs = parent.siblings('.lfm_tab_opened');
		
		if (parent.hasClass('lfm_tab_opened') && !parent.hasClass('lfm_tab_closed')) {
			// If already opened, adds a closed class for mobile
			parent.addClass('lfm_tab_closed');
		} else if (parent.hasClass('lfm_tab_closed')) {
			parent.removeClass('lfm_tab_closed');
		}
		
		openedTabs.removeClass('lfm_tab_opened');
		parent.addClass('lfm_tab_opened');
	});
});
</script>